from abc import abstractmethod, ABCMeta
from enum import StrEnum, auto
from random import choice, randrange


class Store(metaclass=ABCMeta):
    @staticmethod
    @abstractmethod
    def generate():
        pass

    def __str__(self):
        return self.generate()

    def __repr__(self):
        return self.generate()


class Antique(Store):
    @staticmethod
    def generate():
        n1 = [
            "A New View",
            "A Quiet Corner",
            "About Time",
            "Age of Vintage",
            "Aged Goodness",
            "Anecdotes",
            "Another Man's Treasures",
            "Another Treasures",
            "Antique Appeal",
            "Antique Cache",
            "Antique Cuties",
            "Antique Hut",
            "Antique Trove",
            "Antiques and Artifacts",
            "Antiquities",
            "Authentic Antiquities",
            "Beautiful Salvage",
            "Blasts from the Past",
            "Bought Again",
            "Bygones",
            "Checkered Pasts",
            "Cozy Collectibles",
            "Dinky and Dainty",
            "Discoveries",
            "Drab to Fab",
            "Echoes of the Past",
            "Established Goods",
            "Focus of the Past",
            "Focus on the Past",
            "Forget Me Nots",
            "Forgotten Furnishings",
            "Fortunes in Time",
            "Found in Time",
            "From Oblivion",
            "From Time Immemorial",
            "Frozen in Time",
            "General Goods",
            "Good As New",
            "Good Goods",
            "Good Ol' Days",
            "Hodge Podge Lodge",
            "Honest Heirlooms",
            "In-Of-Date",
            "Joys For Forever",
            "Junk Deluxe",
            "Just in Time",
            "Knick-knack Paddywhack Shack",
            "Legends of Their Time",
            "Little Collectibles",
            "Little House of Trinkets",
            "Live in the Past",
            "Living Memories",
            "Long Time No See",
            "Lost and Found in Time",
            "Matters of Time",
            "Memory Lane",
            "Miracles of the Past",
            "Mod Life",
            "Modern Memories",
            "Modern Vintage",
            "Needful Things",
            "Odd Types",
            "Old Gold",
            "Old Roots",
            "Old Stuff",
            "Old and Bold",
            "Oldies and Goldies",
            "Once upon a time",
            "One Time or Another",
            "Out of the Attic",
            "Pandora's Box",
            "Paragon Prizes",
            "Pass On the Past",
            "Pass The Time",
            "Past Caring",
            "Past Meets Present",
            "Past On",
            "Past Over",
            "Past Passed On",
            "Past Repast",
            "Pockets of Time",
            "Precious Past",
            "Precious Things",
            "Presents for the Present",
            "Presents of the Past",
            "Preserved",
            "Primes of the Past",
            "Rags and Riches",
            "Recent Memories",
            "Recollect Them All",
            "Recollectibles",
            "Relics and Rarities",
            "Relics and Riches",
            "Relics of Time",
            "Reliquary",
            "Remains to be Seen",
            "Remember",
            "Remember This",
            "Remember, Remember",
            "Renewed Life",
            "Renewed Memories",
            "Retro Relics",
            "Revered Relics",
            "Revival",
            "Salvage Garden",
            "Secrets of the Past",
            "Shared Memories",
            "Stuff and Things",
            "Sweet Memories",
            "Taken for Granted",
            "Tales Resold",
            "Tales of the Past",
            "Tales Retold",
            "Tales Untold",
            "Tests of Time",
            "The Antiki-Wiki",
            "The Antique Market",
            "The Salvage Beast",
            "The Shuffle of Things",
            "The Time is Ripe",
            "The Treasure Chest",
            "The Treasure Trove",
            "Things Past",
            "Things of the Past",
            "Thingymabobs",
            "Time Honored",
            "Time Not Forgotten",
            "Time Recovered",
            "Time of One's Life",
            "Timeless Treasures",
            "Timeless Trinkets",
            "Times Remembered",
            "Top Drawer Antiques",
            "Treasures and Trinkets",
            "Treasures of Time",
            "Treasure Trove",
            "Trinkets and Traditions",
            "Trinkets of Time",
            "Twosided",
            "Utter Clutter",
            "Vagabond Vendor",
            "Vestiges of the Past",
            "Vintage",
            "Vintage Baby",
            "Vintage Treasures",
            "Vintage Vogue",
            "Vintage Wares",
            "Warm Wares",
            "Wayward Wealths",
            "Wealth of Time",
            "Well of a Time",
            "Whispers of the Past",
            "Wonders of the Past",
        ]
        return choice(n1).title()


class Book:
    class BookType(StrEnum):
        Children = auto()
        Drama = auto()
        Fiction = auto()
        Horror = auto()
        Humor = auto()
        Mystery = auto()
        Nonfiction = auto()
        Romance = auto()
        SciFi = auto()
        Tome = auto()

    @staticmethod
    def Children():
        c1 = [
            "baby",
            "bear",
            "bird",
            "boy",
            "bunny",
            "cat",
            "caterpillar",
            "chicken",
            "cow",
            "dino",
            "dog",
            "dragon",
            "duck",
            "family",
            "fox",
            "frog",
            "ghost",
            "girl",
            "goat",
            "kid",
            "king",
            "kitten",
            "lion",
            "little bird",
            "little boy",
            "little dragon",
            "little duck",
            "little girl",
            "little prince",
            "little princess",
            "man",
            "mouse",
            "owl",
            "pig",
            "prince",
            "princess",
            "puppy",
            "queen",
            "rabbit",
            "sheep",
            "snowman",
            "tiger",
            "toad",
            "wizard",
            "woman",
        ]
        c2 = [
            "babies",
            "bears",
            "birds",
            "boys",
            "bunnies",
            "cats",
            "chickens",
            "cows",
            "dinos",
            "dogs",
            "dragons",
            "ducks",
            "foxes",
            "frogs",
            "ghosts",
            "girls",
            "goats",
            "kids",
            "kings",
            "kittens",
            "lions",
            "little birds",
            "little dragons",
            "little ducks",
            "mice",
            "owls",
            "pigs",
            "puppies",
            "rabbits",
            "sheep",
            "tigers",
            "toads",
            "wizards",
        ]
        c3 = [
            "adventure",
            "airplane",
            "attic",
            "basement",
            "bed",
            "candle",
            "car",
            "chair",
            "chimney",
            "city",
            "closet",
            "coat",
            "country",
            "cup",
            "curiosity",
            "day",
            "door",
            "field",
            "flower",
            "forest",
            "hat",
            "home",
            "house",
            "lantern",
            "light",
            "mirror",
            "mountain",
            "pocket",
            "river",
            "roof",
            "sands",
            "shield",
            "statue",
            "stories",
            "story",
            "tale",
            "tales",
            "town",
            "train",
            "tree",
            "wand",
            "watch",
            "water",
            "week",
            "window",
        ]
        c4 = [
            "in my house",
            "in my school",
            "in my town",
            "in space",
            "in the forest",
            "in the mountains",
            "in the river",
            "of dreams",
            "of excelsior",
            "of fantasia",
            "of fantasy",
            "of fire",
            "of gold",
            "of life",
            "of magic",
            "of miracles",
            "of my country",
            "of my dreams",
            "of my house",
            "of my imagination",
            "of my land",
            "of mysteries",
            "of mystery",
            "of puzzles",
            "of rain",
            "of rainbows",
            "of riddles",
            "of secrets",
            "of silver",
            "of stone",
            "of sunshine",
            "of the moon",
            "of the stars",
            "of the sun",
            "of tomorrow",
            "of utopia",
            "of wonder",
            "of wood",
            "of yesterday",
            "on the moon",
        ]
        c5 = [
            "a day with",
            "adventure of",
            "afraid of",
            "amazing life of",
            "amazing world of",
            "back to",
            "back with",
            "bewitched by",
            "boring at",
            "brave at",
            "bubble of",
            "careful with",
            "caring for",
            "celebrating with",
            "cleaning at",
            "cleaning with",
            "clumsy at",
            "colors of",
            "cooking with",
            "cool at",
            "crafting with",
            "crazy at",
            "crazy with",
            "cute with",
            "drawing with",
            "enchanted by",
            "fearless with",
            "foolish with",
            "free with",
            "gift from",
            "gift of",
            "giving with",
            "growing up with",
            "growing with",
            "happy with",
            "helping",
            "jealous of",
            "jumping with",
            "learning with",
            "living with",
            "love of",
            "loved by",
            "playing with",
            "present from",
            "present of",
            "puzzling with",
            "reading with",
        ]
        c6 = [
            "fantasy",
            "flowers",
            "leaves",
            "magic",
            "my best friend",
            "my brother",
            "my cat",
            "my cousin",
            "my dad",
            "my dog",
            "my family",
            "my father",
            "my fish",
            "my friend",
            "my home",
            "my house",
            "my imagination",
            "my mom",
            "my mother",
            "my neighbor",
            "my neighbors",
            "my nephew",
            "my new cat",
            "my new clothes",
            "my new dog",
            "my new fish",
            "my new pet",
            "my niece",
            "my pet",
            "my pet dragon",
            "my school",
            "my sister",
            "my town",
            "my village",
            "petals",
            "sticks",
            "the animals",
            "the doctor",
            "the fields",
            "the forest",
            "the hospital",
            "the mountains",
            "the neighbor",
            "the neighbors",
            "the river",
            "the school",
            "the town",
            "water",
        ]
        c7 = [
            "in my house",
            "in my school",
            "in my town",
            "in space",
            "in the forest",
            "in the mountains",
            "in the river",
            "of dreams",
            "of excelsior",
            "of fantasia",
            "of fantasy",
            "of fire",
            "of gold",
            "of life",
            "of magic",
            "of miracles",
            "of my country",
            "of my dreams",
            "of my house",
            "of my imagination",
            "of my land",
            "of mysteries",
            "of mystery",
            "of puzzles",
            "of rain",
            "of rainbows",
            "of riddles",
            "of secrets",
            "of silver",
            "of stone",
            "of sunshine",
            "of the moon",
            "of the stars",
            "of the sun",
            "of tomorrow",
            "of utopia",
            "of wonder",
            "of wood",
            "of yesterday",
            "on the moon",
        ]
        i = randrange(5)
        if i == 0:
            return str(choice(c1) + " " + choice(c4)).title()
        elif i == 1:
            return str(choice(c2) + " " + choice(c4)).title()
        elif i == 2:
            return str(choice(c2) + " " + choice(c2)).title()
        elif i == 3:
            return str(choice(c3) + " " + choice(c7)).title()
        else:
            return str(choice(c5) + " " + choice(c6)).title()

    @staticmethod
    def Drama():
        d1 = [
            "accomplice",
            "agent",
            "ancestor",
            "angel",
            "army",
            "assassin",
            "assistant",
            "baker",
            "bandit",
            "bearer",
            "blacksmith",
            "boy",
            "bringer",
            "builder",
            "butcher",
            "cat",
            "child",
            "collaborator",
            "collector",
            "companion",
            "courier",
            "creator",
            "culler",
            "defender",
            "deputy",
            "descendant",
            "doctor",
            "dog",
            "emissary",
            "enemy",
            "farmer",
            "follower",
            "foreigner",
            "founder",
            "friend",
            "girl",
            "guardian",
            "heir",
            "horse",
            "human",
            "invader",
            "inventor",
            "knight",
            "lord",
            "man",
            "medic",
            "messenger",
            "officer",
            "opponent",
            "patron",
            "peasant",
            "peon",
            "pirate",
            "planner",
            "rat",
            "raven",
            "rebel",
            "savior",
            "scientist",
            "secretary",
            "servant",
            "slave",
            "soldier",
            "spy",
            "stranger",
            "supporter",
            "thief",
            "traitor",
            "vulture",
            "warrior",
            "widow",
            "wife",
            "witch",
            "wolf",
            "woman",
        ]
        d2 = [
            "agents",
            "ancestors",
            "angels",
            "armies",
            "assassins",
            "assistants",
            "bakers",
            "bandits",
            "bearers",
            "blacksmiths",
            "boys",
            "bringers",
            "builders",
            "butchers",
            "children",
            "collectors",
            "companions",
            "couriers",
            "creators",
            "cullers",
            "defenders",
            "deputies",
            "descendants",
            "doctors",
            "emissaries",
            "enemies",
            "farmers",
            "followers",
            "foreigners",
            "founders",
            "friends",
            "girls",
            "guardians",
            "heirs",
            "horses",
            "people",
            "invaders",
            "inventors",
            "knights",
            "lords",
            "men",
            "medics",
            "messengers",
            "officers",
            "opponents",
            "patrons",
            "peasants",
            "peons",
            "pirates",
            "planners",
            "rats",
            "rebels",
            "saviors",
            "scientists",
            "secretaries",
            "servants",
            "slaves",
            "soldiers",
            "spies",
            "strangers",
            "supporters",
            "thieves",
            "traitors",
            "vultures",
            "warriors",
            "widows",
            "wives",
            "witches",
            "wolves",
            "women",
        ]
        d3 = [
            "accidents",
            "anger",
            "annihilation",
            "ascension",
            "bane",
            "beginning",
            "birth",
            "border",
            "boundaries",
            "carnage",
            "castle",
            "cause",
            "certainty",
            "chase",
            "confinement",
            "country",
            "creation",
            "cruelty",
            "culling",
            "death",
            "decay",
            "decisions",
            "demise",
            "design",
            "destruction",
            "dishonor",
            "disruption",
            "edge",
            "effect",
            "element",
            "end",
            "execution",
            "failure",
            "fate",
            "harvest",
            "homes",
            "loss",
            "love",
            "nation",
            "obliteration",
            "origin",
            "perfection",
            "planet",
            "product",
            "result",
            "rise",
            "root",
            "ruination",
            "ruins",
            "scourge",
            "source",
            "undoing",
            "union",
            "unity",
            "vengeance",
            "violence",
            "vision",
        ]
        d4 = [
            "dressed in black",
            "dressed in white",
            "of afflication",
            "of agony",
            "of anguish",
            "of bad news",
            "of breaking hearts",
            "of crime",
            "of damnation",
            "of darkness",
            "of dawn",
            "of desire",
            "of despair",
            "of destruction",
            "of doom",
            "of dread",
            "of dusk",
            "of earth",
            "of eternity",
            "of evil",
            "of fire",
            "of fortune",
            "of freedom",
            "of glory",
            "of gold",
            "of heaven",
            "of hell",
            "of history",
            "of hope",
            "of ice",
            "of insanity",
            "of last rites",
            "of limbo",
            "of misery",
            "of nightmares",
            "of pain",
            "of power",
            "of reality",
            "of remorse",
            "of repentance",
            "of sorrow",
            "of stone",
            "of suffering",
            "of the battle",
            "of the blues",
            "of the curse",
            "of the east",
            "of the eclipse",
            "of the end",
            "of the forest",
            "of the forsaken",
            "of the frontline",
            "of the gods",
            "of the lost ones",
            "of the mountains",
            "of the nation",
            "of the nether",
            "of the night",
            "of the north",
            "of the ocean",
            "of the plague",
            "of the prison",
            "of the river",
            "of the sea",
            "of the south",
            "of the stars",
            "of the stockades",
            "of the void",
            "of the west",
            "of the world",
            "of time",
            "of tomorrow",
            "of twilight",
            "of war",
            "with a goal",
            "with debt",
            "with gold",
            "with guns",
            "with hoods",
            "with horns",
            "with money",
            "with silver hair",
            "with sins",
            "with wings",
            "without a conscience",
            "without a goal",
            "without a head",
            "without a home",
            "without desire",
            "without direction",
            "without duty",
            "without faith",
            "without fear",
            "without honor",
            "without hope",
            "without shame",
            "without sin",
            "without time",
        ]
        d5 = [
            "accepting",
            "admiring",
            "adopting",
            "alarming",
            "altering",
            "answering to",
            "arrival of",
            "avoiding",
            "aware of",
            "battle",
            "battle of",
            "battling",
            "battling in",
            "becoming",
            "begging",
            "begging in",
            "belonging to",
            "bound to",
            "binding to",
            "bleeding at",
            "bleeding in",
            "blinded by",
            "blinded in",
            "blood at",
            "blood in",
            "bravery at",
            "breaking",
            "breath of",
            "call to",
            "calling",
            "changing",
            "chasing",
            "choking in",
            "cleaning up",
            "clinging to",
            "commanding",
            "confessions of",
            "cruelty of",
            "crying in",
            "dead at",
            "dead in",
            "death at",
            "death in",
            "death to",
            "destroying",
            "driving into",
            "eliminating",
            "ending",
            "enter",
            "escape",
            "escaping",
            "facing",
            "fade into",
            "fighting",
            "flee to",
            "flying into",
            "force of",
            "forsaken by",
            "forsaking",
            "frightened of",
            "haunting",
            "hiding",
            "hunted by",
            "hunting",
            "hurt by",
            "hurting",
            "infamous among",
            "jealous of",
            "kicking",
            "killing",
            "laughing at",
            "learning from",
            "life at",
            "life in",
            "listening to",
            "loathing",
            "losing",
            "lurking in",
            "meeting at",
            "meeting in",
            "memories of",
            "memory of",
            "mending",
            "never trust",
            "numb to",
            "pray for",
            "prepare for",
            "preparing for",
            "promises of",
            "remember",
            "robbing",
            "run for",
            "running into",
            "scared of",
            "screams at",
            "screams in",
            "searching at",
            "searching for",
            "searching in",
            "separated at",
            "separated by",
            "separated in",
            "sick of",
            "smiles in",
            "smiles of",
            "songs of",
            "sounds of",
            "starting",
            "trust",
            "weep for",
            "welcome to",
            "whispers in",
            "whispers of",
            "write about",
            "wrong about",
        ]
        d6 = [
            "a storm",
            "dreams",
            "history",
            "my destiny",
            "my dreams",
            "my end",
            "my enemies",
            "my family",
            "my friends",
            "my future",
            "my home",
            "my husband",
            "my leader",
            "my nightmares",
            "my past",
            "my school",
            "my wife",
            "nightmares",
            "secrets",
            "technology",
            "the abyss",
            "the apocolypse",
            "the bridge",
            "the castle",
            "the champions",
            "the city",
            "the commander",
            "the country",
            "the curse",
            "the dark",
            "the darkness",
            "the demons",
            "the depths",
            "the dungeons",
            "the east",
            "the elements",
            "the emperor",
            "the end",
            "the fog",
            "the forest",
            "the future",
            "the graveyard",
            "the guards",
            "the hunter",
            "the jungle",
            "the king",
            "the light",
            "the mayor",
            "the maze",
            "the mines",
            "the mist",
            "the moon",
            "the mountains",
            "the nation",
            "the night",
            "the north",
            "the ocean",
            "the past",
            "the plague",
            "the president",
            "the prison",
            "the prisoner",
            "the prisoners",
            "the river",
            "the sea",
            "the shadows",
            "the ships",
            "the slaves",
            "the soldier",
            "the soldiers",
            "the south",
            "the stars",
            "the sun",
            "the swamp",
            "the town",
            "the traitor",
            "the traitors",
            "the void",
            "the west",
            "the world",
            "time",
        ]
        d7 = [
            "dressed in black",
            "dressed in white",
            "of afflication",
            "of agony",
            "of anguish",
            "of bad news",
            "of breaking hearts",
            "of crime",
            "of damnation",
            "of darkness",
            "of dawn",
            "of desire",
            "of despair",
            "of destruction",
            "of doom",
            "of dread",
            "of dusk",
            "of earth",
            "of eternity",
            "of evil",
            "of fire",
            "of fortune",
            "of freedom",
            "of glory",
            "of gold",
            "of heaven",
            "of hell",
            "of history",
            "of hope",
            "of ice",
            "of insanity",
            "of last rites",
            "of limbo",
            "of misery",
            "of nightmares",
            "of pain",
            "of power",
            "of reality",
            "of remorse",
            "of repentance",
            "of sorrow",
            "of stone",
            "of suffering",
            "of the battle",
            "of the blues",
            "of the curse",
            "of the east",
            "of the eclipse",
            "of the end",
            "of the forest",
            "of the forsaken",
            "of the frontline",
            "of the gods",
            "of the lost ones",
            "of the mountains",
            "of the nation",
            "of the nether",
            "of the night",
            "of the north",
            "of the ocean",
            "of the plague",
            "of the prison",
            "of the river",
            "of the sea",
            "of the south",
            "of the stars",
            "of the stockades",
            "of the void",
            "of the west",
            "of the world",
            "of time",
            "of tomorrow",
            "of twilight",
            "of war",
            "with a goal",
            "with debt",
            "with gold",
            "with guns",
            "with hoods",
            "with horns",
            "with money",
            "with silver hair",
            "with sins",
            "with wings",
            "without a conscience",
            "without a goal",
            "without a head",
            "without a home",
            "without desire",
            "without direction",
            "without duty",
            "without faith",
            "without fear",
            "without honor",
            "without hope",
            "without shame",
            "without sin",
            "without time",
        ]
        i = randrange(5)
        if i == 0:
            return str(choice(d1) + " " + choice(d4)).title()
        elif i == 1:
            return str(choice(d2) + " " + choice(d4)).title()
        elif i == 2:
            return str(choice(d2) + " " + choice(d2)).title()
        elif i == 3:
            return str(choice(d3) + " " + choice(d7)).title()
        else:
            return str(choice(d5) + " " + choice(d6)).title()

    @staticmethod
    def Fiction():
        f1 = [
            "agent",
            "imp",
            "alien",
            "angel",
            "animal",
            "army",
            "assassin",
            "baker",
            "bandit",
            "blacksmith",
            "boy",
            "butcher",
            "butterfly",
            "cat",
            "changeling",
            "child",
            "companion",
            "creator",
            "criminal",
            "cyborg",
            "deceiver",
            "defender",
            "demon",
            "descendant",
            "doctor",
            "dog",
            "dragon",
            "dragonborn",
            "druid",
            "duchess",
            "duke",
            "dwarf",
            "elf",
            "emperor",
            "enchanter",
            "enemy",
            "fairy",
            "fighter",
            "fish",
            "foe",
            "foreigner",
            "friend",
            "gangster",
            "ghost",
            "giant",
            "girl",
            "gnome",
            "goblin",
            "god",
            "goddess",
            "guardian",
            "hawk",
            "heir",
            "hero",
            "hobgoblin",
            "horse",
            "human",
            "hunter",
            "hydra",
            "invader",
            "king",
            "knight",
            "lion",
            "lord",
            "mage",
            "man",
            "medic",
            "mermaid",
            "merman",
            "monk",
            "mouse",
            "necromancer",
            "nymph",
            "officer",
            "ogre",
            "opponent",
            "orc",
            "owl",
            "paladin",
            "parrot",
            "persuer",
            "phantom",
            "pilot",
            "pirate",
            "priest",
            "priestess",
            "protector",
            "queen",
            "rat",
            "raven",
            "rebel",
            "robot",
            "rogue",
            "sage",
            "savior",
            "serpent",
            "shaman",
            "skeleton",
            "slave",
            "snake",
            "soldier",
            "spider",
            "spy",
            "stranger",
            "summoner",
            "swindler",
            "thief",
            "tortoise",
            "traitor",
            "tree",
            "troll",
            "turtle",
            "vampire",
            "vulture",
            "warlock",
            "warrior",
            "werewolf",
            "wife",
            "witch",
            "wizard",
            "wolf",
            "woman",
            "zombie",
        ]
        f2 = [
            "agents",
            "imps",
            "aliens",
            "angels",
            "animals",
            "armies",
            "assassins",
            "bandits",
            "blacksmiths",
            "boys",
            "butchers",
            "cats",
            "children",
            "companions",
            "creators",
            "criminals",
            "cyborgs",
            "deceivers",
            "defenders",
            "demons",
            "descendants",
            "doctors",
            "dogs",
            "dragons",
            "druids",
            "dwarves",
            "elves",
            "enchanters",
            "enemies",
            "fairies",
            "fighters",
            "fish",
            "foes",
            "foreigners",
            "friends",
            "gangsters",
            "ghosts",
            "giants",
            "girls",
            "gnomes",
            "goblins",
            "gods",
            "guardians",
            "heirs",
            "heroes",
            "hobgoblins",
            "horses",
            "humans",
            "hunters",
            "invaders",
            "kings",
            "knights",
            "lions",
            "lords",
            "mages",
            "men",
            "mermaids",
            "mermen",
            "mice",
            "monks",
            "necromancers",
            "nymphs",
            "officers",
            "ogres",
            "orcs",
            "owls",
            "paladins",
            "persuers",
            "phantoms",
            "pilots",
            "pirates",
            "priests",
            "protectors",
            "rats",
            "rebels",
            "robots",
            "rogues",
            "sages",
            "serpents",
            "shamans",
            "skeletons",
            "slaves",
            "snakes",
            "soldiers",
            "spiders",
            "spies",
            "strangers",
            "summoners",
            "swindlers",
            "thieves",
            "traitors",
            "trees",
            "trolls",
            "turtles",
            "vampires",
            "vultures",
            "warlocks",
            "warriors",
            "werewolves",
            "witches",
            "wives",
            "wizards",
            "wolves",
            "women",
            "zombies",
        ]
        f3 = [
            "ancestry",
            "anger",
            "annihilation",
            "ascension",
            "bane",
            "beginning",
            "birth",
            "body",
            "border",
            "bow",
            "burial",
            "carnage",
            "castle",
            "catacomb",
            "chamber",
            "chase",
            "coffin",
            "completion",
            "confinement",
            "construction",
            "country",
            "creation",
            "crossbow",
            "crypt",
            "culling",
            "culmination",
            "curse",
            "death",
            "decay",
            "defeat",
            "demise",
            "destiny",
            "dishonor",
            "disruption",
            "doom",
            "edge",
            "element",
            "enchantment",
            "end",
            "extinction",
            "faction",
            "failure",
            "faith",
            "family",
            "fate",
            "fortune",
            "fruit",
            "future",
            "game",
            "goal",
            "grave",
            "harmony",
            "hatred",
            "honor",
            "hope",
            "imprisonment",
            "inception",
            "influence",
            "inspiration",
            "limit",
            "loss",
            "love",
            "luck",
            "magic",
            "mausoleum",
            "means",
            "misfortune",
            "monument",
            "moon",
            "murder",
            "name",
            "nation",
            "obliteration",
            "origin",
            "palace",
            "perfection",
            "planet",
            "rebirth",
            "reincarnation",
            "renewal",
            "restoration",
            "result",
            "revenge",
            "revival",
            "rise",
            "root",
            "ruination",
            "ruins",
            "scourge",
            "shield",
            "source",
            "spear",
            "spells",
            "spire",
            "staff",
            "star",
            "statue",
            "strife",
            "success",
            "surprise",
            "sword",
            "termination",
            "throne",
            "tomb",
            "tower",
            "tree",
            "union",
            "unity",
            "vengeance",
            "victory",
            "vision",
            "wand",
            "will",
            "world",
        ]
        f4 = [
            "of autumn",
            "of darkness",
            "of dawn",
            "of deception",
            "of demons",
            "of desire",
            "of despair",
            "of destruction",
            "of the rose",
            "of doom",
            "of dread",
            "of dreams",
            "of dusk",
            "of earth",
            "of eternity",
            "of fire",
            "of fortune",
            "of freedom",
            "of glory",
            "of gold",
            "of greatness",
            "of heaven",
            "of hell",
            "of history",
            "of hope",
            "of ice",
            "of infinity",
            "of insanity",
            "of limbo",
            "of magic",
            "of misfortune",
            "of my dreams",
            "of my imagination",
            "of nature",
            "of nightmares",
            "of perfection",
            "of power",
            "of rainbows",
            "of secrets",
            "of shadows",
            "of silver",
            "of snow",
            "of sorrow",
            "of spring",
            "of stone",
            "of summer",
            "of the ancestors",
            "of the ancients",
            "of the banished",
            "of the banner",
            "of the bow",
            "of the broken banner",
            "of the caves",
            "of the curse",
            "of the dagger",
            "of the dungeons",
            "of the east",
            "of the eclipse",
            "of the end",
            "of the era",
            "of the eternal",
            "of the forest",
            "of the forsaken",
            "of the future",
            "of the gods",
            "of the immortals",
            "of the king",
            "of the land",
            "of the light",
            "of the lost ones",
            "of the mountain",
            "of the nation",
            "of the night",
            "of the north",
            "of the ocean",
            "of the past",
            "of the plague",
            "of the prison",
            "of the river",
            "of the sea",
            "of the shadows",
            "of the shield",
            "of the skull",
            "of the solstice",
            "of the south",
            "of the stars",
            "of the stockades",
            "of the sword",
            "of the titans",
            "of the undead",
            "of the void",
            "of the west",
            "of the wind",
            "of the world",
            "of time",
            "of tomorrow",
            "of twilight",
            "of utopia",
            "of water",
            "of whispers",
            "of wind",
            "of winter",
            "of wood",
            "of yesterday",
            "with a goal",
            "with determination",
            "with gold",
            "with honor",
            "with immortality",
            "with money",
            "with pride",
            "with silver",
            "with sins",
            "with strength",
            "with vigor",
            "without a conscience",
            "without a goal",
            "without a home",
            "without a leader",
            "without courage",
            "without desire",
            "without direction",
            "without duty",
            "without faith",
            "without fear",
            "without flaws",
            "without glory",
            "without hate",
            "without honor",
            "without hope",
            "without shame",
            "without sin",
            "without time",
        ]
        f5 = [
            "accepting",
            "admiring",
            "adopting",
            "altering",
            "amusing",
            "answering to",
            "arriving at",
            "avoiding",
            "awakening",
            "bathing in",
            "battle",
            "battle of",
            "battling at",
            "battling in",
            "becoming",
            "begging in",
            "belonging to",
            "bound to",
            "binding to",
            "bleeding at",
            "bleeding in",
            "blinded by",
            "blinded in",
            "blood at",
            "blood in",
            "bravery at",
            "breaking",
            "breath of",
            "call to",
            "calling",
            "challenge of",
            "challenging",
            "changing",
            "chasing",
            "choking in",
            "cleaning up",
            "clinging to",
            "commanding",
            "confessions of",
            "controlling",
            "crying in",
            "dancing in",
            "dead at",
            "dead in",
            "death at",
            "death in",
            "death to",
            "deceiving",
            "delaying",
            "destroying",
            "drinking at",
            "driving into",
            "dwelling in",
            "eating at",
            "eliminating",
            "ending",
            "enhancing",
            "enter",
            "escape",
            "escaping",
            "fade into",
            "faith of",
            "fighting",
            "flee to",
            "flying into",
            "force of",
            "forsaken by",
            "forsaking",
            "going to",
            "growing in",
            "guarded by",
            "guarding",
            "healing",
            "helping",
            "hiding",
            "hunted by",
            "hunting",
            "hurt by",
            "hurting",
            "ignoring",
            "inventing",
            "invited by",
            "jumping into",
            "justice in",
            "kicking",
            "laughing at",
            "leading",
            "learning from",
            "life at",
            "life in",
            "listening to",
            "losing",
            "lurking in",
            "meeting at",
            "meeting in",
            "memory of",
            "mending",
            "never trust",
            "origin of",
            "painting",
            "pleasing",
            "possessed by",
            "praise",
            "praised by",
            "prepare for",
            "preparing for",
            "promises of",
            "punished by",
            "question",
            "raised by",
            "reach of",
            "rejecting",
            "remember",
            "rescue at",
            "rescue in",
            "right about",
            "run for",
            "running in",
            "sailing into",
            "scared at",
            "scared of",
            "screams at",
            "screams in",
            "searching at",
            "searching for",
            "searching in",
            "separated at",
            "separated by",
            "separated in",
            "shelter at",
            "shelter in",
            "signs at",
            "signs in",
            "signs of",
            "smile at",
            "smiles in",
            "songs of",
            "sounds in",
            "sounds of",
            "starting",
            "still breathing in",
            "symbols in",
            "symbols of",
            "taste of",
            "temptations in",
            "temptations of",
            "traces in",
            "travel to",
            "trust",
            "vanish at",
            "vanish in",
            "vanishing into",
            "visiting",
            "walking",
            "weep for",
            "welcome to",
            "whispers in",
            "whispers of",
            "winning",
            "working",
            "write about",
            "wrong about",
        ]
        f6 = [
            "a storm",
            "dreams",
            "eternity",
            "heaven",
            "hell",
            "history",
            "hope",
            "magic",
            "my country",
            "my destiny",
            "my dreams",
            "my end",
            "my enemies",
            "my family",
            "my friends",
            "my future",
            "my home",
            "my leader",
            "my nightmares",
            "my past",
            "nature",
            "nightmares",
            "secrets",
            "shields",
            "spells",
            "swords",
            "the abyss",
            "the ancestors",
            "the angels",
            "the animals",
            "the apocolypse",
            "the beginning",
            "the castle",
            "the catacombs",
            "the caves",
            "the champions",
            "the chasm",
            "the city",
            "the commander",
            "the country",
            "the curse",
            "the dark",
            "the darkness",
            "the demons",
            "the depths",
            "the dungeons",
            "the east",
            "the elements",
            "the emperor",
            "the end",
            "the eternals",
            "the firelands",
            "the fog",
            "the forest",
            "the future",
            "the gods",
            "the graves",
            "the graveyard",
            "the guardians",
            "the heavens",
            "the hills",
            "the home of demons",
            "the hunter",
            "the immortals",
            "the invaders",
            "the jungle",
            "the king",
            "the leaders",
            "the light",
            "the maze",
            "the mist",
            "the moon",
            "the mountains",
            "the nation",
            "the night",
            "the north",
            "the ocean",
            "the past",
            "the phantoms",
            "the pits",
            "the plague",
            "the river",
            "the sea",
            "the shadows",
            "the ships",
            "the skies",
            "the slaves",
            "the south",
            "the swamp",
            "the titans",
            "the tombs",
            "the town",
            "the universe",
            "the void",
            "the west",
            "the world",
            "time",
        ]
        f7 = [
            "of autumn",
            "of darkness",
            "of dawn",
            "of deception",
            "of demons",
            "of desire",
            "of despair",
            "of destruction",
            "of the rose",
            "of doom",
            "of dread",
            "of dreams",
            "of dusk",
            "of earth",
            "of eternity",
            "of fire",
            "of fortune",
            "of freedom",
            "of glory",
            "of gold",
            "of greatness",
            "of heaven",
            "of hell",
            "of history",
            "of hope",
            "of ice",
            "of infinity",
            "of insanity",
            "of limbo",
            "of magic",
            "of misfortune",
            "of my dreams",
            "of my imagination",
            "of nature",
            "of nightmares",
            "of perfection",
            "of power",
            "of rainbows",
            "of secrets",
            "of shadows",
            "of silver",
            "of snow",
            "of sorrow",
            "of spring",
            "of stone",
            "of summer",
            "of the ancestors",
            "of the ancients",
            "of the banished",
            "of the banner",
            "of the bow",
            "of the broken banner",
            "of the caves",
            "of the curse",
            "of the dagger",
            "of the dungeons",
            "of the east",
            "of the eclipse",
            "of the end",
            "of the era",
            "of the eternal",
            "of the forest",
            "of the forsaken",
            "of the future",
            "of the gods",
            "of the immortals",
            "of the king",
            "of the land",
            "of the light",
            "of the lost ones",
            "of the mountain",
            "of the nation",
            "of the night",
            "of the north",
            "of the ocean",
            "of the past",
            "of the plague",
            "of the prison",
            "of the river",
            "of the sea",
            "of the shadows",
            "of the shield",
            "of the skull",
            "of the solstice",
            "of the south",
            "of the stars",
            "of the stockades",
            "of the sword",
            "of the titans",
            "of the undead",
            "of the void",
            "of the west",
            "of the wind",
            "of the world",
            "of time",
            "of tomorrow",
            "of twilight",
            "of utopia",
            "of water",
            "of whispers",
            "of wind",
            "of winter",
            "of wood",
            "of yesterday",
            "with a goal",
            "with determination",
            "with gold",
            "with honor",
            "with immortality",
            "with money",
            "with pride",
            "with silver",
            "with sins",
            "with strength",
            "with vigor",
            "without a conscience",
            "without a goal",
            "without a home",
            "without a leader",
            "without courage",
            "without desire",
            "without direction",
            "without duty",
            "without faith",
            "without fear",
            "without flaws",
            "without glory",
            "without hate",
            "without honor",
            "without hope",
            "without shame",
            "without sin",
            "without time",
        ]
        i = randrange(5)
        if i == 0:
            return str(choice(f1) + " " + choice(f4)).title()
        elif i == 1:
            return str(choice(f2) + " " + choice(f4)).title()
        elif i == 2:
            return str(choice(f2) + " " + choice(f2)).title()
        elif i == 3:
            return str(choice(f3) + " " + choice(f7)).title()
        else:
            return str(choice(f5) + " " + choice(f6)).title()

    @staticmethod
    def Horror():
        h1 = [
            "agent",
            "angel",
            "animal",
            "creature",
            "figure",
            "bat",
            "beast",
            "boy",
            "butcher",
            "cat",
            "child",
            "colleague",
            "cook",
            "crow",
            "demon",
            "devil",
            "doctor",
            "dog",
            "fiend",
            "fish",
            "foreigner",
            "freak",
            "friend",
            "ghost",
            "girl",
            "guest",
            "horror",
            "horse",
            "human",
            "hunter",
            "imp",
            "man",
            "monk",
            "monster",
            "mutant",
            "neighbor",
            "owl",
            "phantom",
            "rat",
            "raven",
            "serpent",
            "shaman",
            "skeleton",
            "skinner",
            "snake",
            "spider",
            "stranger",
            "student",
            "teacher",
            "tree",
            "visitor",
            "vulture",
            "wife",
            "witch",
            "wolf",
            "woman",
            "zombie",
        ]
        h2 = [
            "agents",
            "angels",
            "animals",
            "creatures",
            "figures",
            "bats",
            "beasts",
            "boys",
            "butchers",
            "cats",
            "children",
            "colleagues",
            "cooks",
            "crows",
            "demons",
            "dogs",
            "fiends",
            "fish",
            "foreigners",
            "freaks",
            "friends",
            "ghosts",
            "girls",
            "guests",
            "horrors",
            "horses",
            "humans",
            "hunters",
            "imps",
            "men",
            "monks",
            "monsters",
            "mutants",
            "neighbors",
            "owls",
            "phantoms",
            "rats",
            "serpents",
            "skeletons",
            "snakes",
            "spiders",
            "strangers",
            "students",
            "teachers",
            "trees",
            "visitors",
            "vultures",
            "wives",
            "witches",
            "wolves",
            "women",
            "zombies",
        ]
        h3 = [
            "ambushed",
            "blood",
            "bodies",
            "books",
            "captured",
            "carvings",
            "corruption",
            "temptation",
            "don't go",
            "don't look",
            "drawings",
            "emblems",
            "eyes",
            "fire",
            "footprints",
            "footsteps",
            "giggling",
            "growls",
            "grunts",
            "hands",
            "hidden",
            "laughter",
            "lights",
            "lost",
            "movement",
            "mumbling",
            "music",
            "noises",
            "numbers",
            "paintings",
            "rituals",
            "screams",
            "secrets",
            "shadows",
            "signs",
            "singing",
            "songs",
            "sounds",
            "symbols",
            "trapped",
            "trinkets",
            "vanished",
            "voices",
            "whispers",
            "working",
        ]
        h4 = [
            "asking questions",
            "asks weird questions",
            "at the catacombs",
            "at the crypts",
            "at the graveyard",
            "at the hospital",
            "at the lake",
            "at the museum",
            "at the convention",
            "at the river",
            "at the tombs",
            "behind me",
            "behind the counter",
            "behind the door",
            "behind you",
            "blinking twice",
            "during full moon",
            "during halloween",
            "during lunch",
            "following me",
            "hiding from me",
            "in apartment B",
            "in my closet",
            "in my dreams",
            "in my garden",
            "in my nightmares",
            "in my school",
            "in my street",
            "in the abandoned house",
            "in the antique shop",
            "in the attic",
            "in the basement",
            "in the cabin",
            "in the castle",
            "in the elevator",
            "in the field",
            "in the fog",
            "in the forest",
            "in the lake",
            "in the library",
            "in the mirror",
            "in the mist",
            "in the mountain",
            "in the river",
            "in the store",
            "looking at me",
            "next door",
            "of detention",
            "of hell",
            "of the forest",
            "of the mountain",
            "of the night",
            "of the void",
            "on my roof",
            "on the ceiling",
            "under my bed",
            "who smiles",
            "who stare",
            "with a smile",
            "with black hair",
            "with fire",
            "with rotten skin",
            "with white hair",
            "without a mouth",
            "without a voice",
            "without eyes",
            "without teeth",
        ]
        h5 = [
            "abandoned in",
            "accepting",
            "afraid of",
            "afraid in",
            "alive in",
            "anguished by",
            "aware of",
            "brave until",
            "blinded by",
            "calm until",
            "careful of",
            "cautious of",
            "confused by",
            "corrupted by",
            "corrupted in",
            "crazy in",
            "defiant until",
            "defiant in",
            "brave in",
            "calm in",
            "defenseless in",
            "dead in",
            "evil in",
            "frozen in",
            "frightened in",
            "foolish in",
            "forsaken in",
            "fatal in",
            "growling in",
            "humble in",
            "hurt in",
            "horrified in",
            "hollowed by",
            "hidden in",
            "hidden by",
            "helpless in",
            "haunted in",
            "haunted by",
            "knowing",
            "living in",
            "surviving",
            "lonely in",
            "mad in",
            "miserable until",
            "mortified in",
            "motionless in",
            "mystery in",
            "numb in",
            "oblivious to",
            "oblivious in",
            "pain in",
            "pained by",
            "rotten in",
            "ready for",
            "scared by",
            "scared in",
            "somber until",
            "shaking in",
            "sweating in",
            "tempting until",
            "weeping at",
            "wicked until",
            "wretched in",
        ]
        h6 = [
            "eternity",
            "hell",
            "history",
            "my demise",
            "my dreams",
            "my end",
            "my nightmares",
            "my past",
            "nature",
            "nightmares",
            "secrets",
            "the abyss",
            "the catacombs",
            "the caves",
            "the chasm",
            "the city",
            "the country",
            "the crypts",
            "the dark",
            "the darkness",
            "the depths",
            "the dungeons",
            "the elements",
            "the end",
            "the fog",
            "the forest",
            "the graves",
            "the graveyard",
            "the hills",
            "the jungle",
            "the light",
            "the maze",
            "the mist",
            "the mountains",
            "the night",
            "the north",
            "the ocean",
            "the pits",
            "the river",
            "the sea",
            "the shadows",
            "the swamp",
            "the tombs",
            "the town",
            "the void",
            "time",
        ]
        h7 = [
            "at the catacombs",
            "at the convention",
            "at the crypts",
            "at the graveyard",
            "at the hospital",
            "at the lake",
            "at the museum",
            "at the river",
            "at the tombs",
            "behind me",
            "behind the counter",
            "behind the door",
            "behind you",
            "during full moon",
            "during halloween",
            "during lunch",
            "following me",
            "hiding from me",
            "in apartment B",
            "in my closet",
            "in my dreams",
            "in my garden",
            "in my nightmares",
            "in my school",
            "in my street",
            "in the abandoned house",
            "in the antique shop",
            "in the attic",
            "in the basement",
            "in the cabin",
            "in the castle",
            "in the catacombs",
            "in the convention",
            "in the crypts",
            "in the elevator",
            "in the field",
            "in the fog",
            "in the forest",
            "in the graveyard",
            "in the hospital",
            "in the lake",
            "in the library",
            "in the mirror",
            "in the mist",
            "in the mountain",
            "in the museum",
            "in the river",
            "in the store",
            "in the tombs",
            "next door",
            "on my roof",
            "on the ceiling",
            "under my bed",
        ]
        i = randrange(5)
        if i == 0:
            return str(choice(h1) + " " + choice(h4)).title()
        elif i == 1:
            return str(choice(h2) + " " + choice(h4)).title()
        elif i == 2:
            return str(choice(h2) + " " + choice(h2)).title()
        elif i == 3:
            return str(choice(h3) + " " + choice(h7)).title()
        else:
            return str(choice(h5) + " " + choice(h6)).title()

    @staticmethod
    def Humor():
        u1 = [
            "agent",
            "angel",
            "baker",
            "boy",
            "buffoon",
            "butcher",
            "cat",
            "chicken",
            "child",
            "clown",
            "comedian",
            "companion",
            "criminal",
            "doctor",
            "dog",
            "fish",
            "foreigner",
            "friend",
            "girl",
            "fool",
            "harlequin",
            "horse",
            "hunter",
            "jester",
            "king",
            "knight",
            "lord",
            "man",
            "mime",
            "mouse",
            "officer",
            "parrot",
            "pig",
            "prankster",
            "queen",
            "rat",
            "raven",
            "rebel",
            "robot",
            "serpent",
            "soldier",
            "spider",
            "stranger",
            "thief",
            "wife",
            "woman",
        ]
        u2 = [
            "agent",
            "angel",
            "baker",
            "boy",
            "buffoon",
            "butcher",
            "cat",
            "chicken",
            "child",
            "clown",
            "comedian",
            "companion",
            "criminal",
            "doctor",
            "dog",
            "fish",
            "foreigner",
            "friend",
            "girl",
            "fool",
            "harlequin",
            "horse",
            "hunter",
            "jester",
            "king",
            "knight",
            "lord",
            "man",
            "mime",
            "mouse",
            "officer",
            "parrot",
            "pig",
            "prankster",
            "queen",
            "rat",
            "raven",
            "rebel",
            "robot",
            "serpent",
            "soldier",
            "spider",
            "stranger",
            "thief",
            "wife",
            "woman",
        ]
        u3 = [
            "antics",
            "bags",
            "bliss",
            "buckets",
            "crying",
            "electricity",
            "farts",
            "fire",
            "fools",
            "gags",
            "humor",
            "ignorance",
            "injury",
            "jokes",
            "journeys",
            "laughing",
            "laughter",
            "lyrics",
            "mirrors",
            "mischief",
            "parody",
            "poems",
            "poop",
            "pranks",
            "secrets",
            "smoke",
            "songs",
            "spoofs",
            "stunts",
            "traps",
            "tricking",
            "tricks",
            "trinkets",
            "trouble",
            "trust",
            "whispers",
        ]
        u4 = [
            "of jokes",
            "of gags",
            "of humor",
            "of laughs",
            "of parody",
            "of stunts",
            "with stunts",
            "of tomorrow",
            "of the village",
            "of the city",
            "of the country",
            "from the mountains",
            "from the river",
            "from the forests",
            "without a voice",
            "with big eyes",
            "project",
            "gamble",
            "program",
            "job",
            "design",
            "deal",
            "plan",
            "setup",
            "affair",
            "program",
            "scheme",
            "strategy",
            "adventure",
            "exploit",
            "secret",
            "in the window",
            "in the hallway",
            "in the museum",
            "on my journey",
            "during my travel",
            "arrangement",
            "delusion",
            "wish",
            "puzzle",
            "makeover",
            "during the night",
            "can sing",
            "left me",
            "has been naughty",
            "has a secret life",
            "on a day out",
            "with a hat",
            "mocks me",
            "prophecy",
            "can cook",
            "can dance",
            "and my journey",
            "lives with me",
            "sleeps in my bed",
            "abroad",
            "loves sugar",
            "kicked me out",
            "stalks me",
        ]
        u5 = [
            "accomplishment of",
            "active in",
            "adored by",
            "adventure in",
            "ambition of",
            "ambitious in",
            "amused by",
            "anger of",
            "angry with",
            "blinded by",
            "bliss of",
            "brilliance of",
            "bruises of",
            "charm of",
            "climax of",
            "confused by",
            "confusion of",
            "damage of",
            "damaged by",
            "delight of",
            "devoted to",
            "discretion of",
            "elegance of",
            "embarrassed by",
            "evil of",
            "excited by",
            "excitement of",
            "failing of",
            "favorite of",
            "frozen by",
            "glamour of",
            "glory of",
            "greed of",
            "help of",
            "helped by",
            "hidden by",
            "hunger of",
            "ignorance of",
            "impressed by",
            "intelligence of",
            "intent of",
            "jealous of",
            "love for",
            "love of",
            "luxury of",
            "madness of",
            "mystery of",
            "offense of",
            "pleased by",
            "power of",
            "puzzled by",
            "respect for",
            "shame of",
            "simplicity of",
            "song of",
            "stupidity of",
            "suspicious of",
            "tired of",
            "trust",
            "trust in",
            "victory of",
            "wealth of",
            "weight of",
            "whispers of",
            "word of",
        ]
        u6 = [
            "being lonely",
            "fantasy",
            "fire",
            "her laugh",
            "his laugh",
            "ice",
            "lies",
            "magic",
            "money",
            "my actions",
            "my brother",
            "my design",
            "my friend",
            "my friends",
            "my idea",
            "my intentions",
            "my island",
            "my journey",
            "my memories",
            "my parents",
            "my plan",
            "my pranks",
            "my project",
            "my sister",
            "my system",
            "my teacher",
            "my town",
            "my trick",
            "my village",
            "nature",
            "that boy",
            "that girl",
            "that idiot",
            "the boy",
            "the brothers",
            "the clown",
            "the design",
            "the device",
            "the fool",
            "the girl",
            "the guard",
            "the idea",
            "the idiot",
            "the jester",
            "the job",
            "the joke",
            "the king",
            "the mayor",
            "the maze",
            "the night",
            "the officer",
            "the pants",
            "the plan",
            "the pranks",
            "the president",
            "the project",
            "the sisters",
            "the teacher",
            "the town",
            "the trick",
            "the truth",
            "the universe",
            "the village",
            "traditions",
            "water",
        ]
        u7 = [
            "of jokes",
            "of gags",
            "of humor",
            "of laughs",
            "of parody",
            "of stunts",
            "with stunts",
            "of tomorrow",
            "of the village",
            "of the city",
            "of the country",
            "from the mountains",
            "from the river",
            "from the forests",
            "without a voice",
            "with big eyes",
            "project",
            "gamble",
            "program",
            "job",
            "design",
            "deal",
            "plan",
            "setup",
            "affair",
            "program",
            "scheme",
            "strategy",
            "adventure",
            "exploit",
            "secret",
            "in the window",
            "in the hallway",
            "in the museum",
            "on my journey",
            "during my travel",
            "arrangement",
            "delusion",
            "wish",
            "puzzle",
            "makeover",
            "during the night",
            "can sing",
            "left me",
            "has been naughty",
            "has a secret life",
            "on a day out",
            "with a hat",
            "mocks me",
            "prophecy",
            "can cook",
            "can dance",
            "and my journey",
            "lives with me",
            "sleeps in my bed",
            "abroad",
            "loves sugar",
            "kicked me out",
            "stalks me",
        ]
        i = randrange(5)
        if i == 0:
            return str(choice(u1) + " " + choice(u4)).title()
        elif i == 1:
            return str(choice(u2) + " " + choice(u4)).title()
        elif i == 2:
            return str(choice(u2) + " " + choice(u2)).title()
        elif i == 3:
            return str(choice(u3) + " " + choice(u7)).title()
        else:
            return str(choice(u5) + " " + choice(u6)).title()

    @staticmethod
    def Mystery():
        m1 = [
            "agent",
            "angel",
            "army",
            "assassin",
            "baker",
            "bandit",
            "blacksmith",
            "boy",
            "butcher",
            "butterfly",
            "cat",
            "changeling",
            "companion",
            "criminal",
            "cyborg",
            "defender",
            "doctor",
            "dog",
            "duchess",
            "duke",
            "emperor",
            "enemy",
            "figure",
            "fish",
            "foe",
            "foreigner",
            "friend",
            "gangster",
            "giant",
            "vulture",
            "descendant",
            "heir",
            "child",
            "creator",
            "girl",
            "god",
            "goddess",
            "guardian",
            "hawk",
            "hero",
            "horse",
            "human",
            "invader",
            "king",
            "knight",
            "lion",
            "lord",
            "man",
            "medic",
            "mouse",
            "nymph",
            "officer",
            "opponent",
            "owl",
            "parrot",
            "phantom",
            "pilot",
            "pirate",
            "priest",
            "priestess",
            "queen",
            "rat",
            "raven",
            "hunter",
            "rebel",
            "robot",
            "sage",
            "savior",
            "serpent",
            "slave",
            "snake",
            "soldier",
            "spider",
            "spy",
            "stranger",
            "swindler",
            "thief",
            "tortoise",
            "traitor",
            "tree",
            "turtle",
            "warrior",
            "wife",
            "witch",
            "wolf",
            "woman",
        ]
        m2 = [
            "agents",
            "aliens",
            "armies",
            "assassins",
            "bandits",
            "blacksmiths",
            "boys",
            "butchers",
            "cats",
            "companions",
            "criminals",
            "vultures",
            "descendants",
            "heirs",
            "children",
            "creators",
            "defenders",
            "doctors",
            "dogs",
            "enemies",
            "figures",
            "fish",
            "foes",
            "foreigners",
            "friends",
            "gangsters",
            "giants",
            "girls",
            "gods",
            "guardians",
            "heroes",
            "horses",
            "humans",
            "invaders",
            "kings",
            "knights",
            "lions",
            "lords",
            "men",
            "mice",
            "officers",
            "owls",
            "phantoms",
            "pilots",
            "hunters",
            "pirates",
            "priests",
            "rats",
            "rebels",
            "robots",
            "serpents",
            "slaves",
            "snakes",
            "soldiers",
            "spiders",
            "spies",
            "strangers",
            "swindlers",
            "thieves",
            "traitors",
            "trees",
            "turtles",
            "warriors",
            "wives",
            "witches",
            "wolves",
            "women",
        ]
        m3 = [
            "achievement",
            "admiration",
            "appearance",
            "birth",
            "ceremony",
            "city",
            "clan",
            "relics",
            "clouds",
            "code",
            "country",
            "crash",
            "creed",
            "cult",
            "death",
            "destruction",
            "dream",
            "dreams",
            "enigma",
            "explosion",
            "faith",
            "fantasy",
            "fascination",
            "fog",
            "help",
            "illusion",
            "illusions",
            "key",
            "magic",
            "map",
            "memories",
            "mists",
            "mystery",
            "nightmare",
            "nightmares",
            "oracle",
            "parable",
            "paradox",
            "passage",
            "password",
            "picure",
            "prediction",
            "predictions",
            "puzzle",
            "puzzles",
            "question",
            "rain",
            "rebirth",
            "restoration",
            "revival",
            "riddle",
            "road",
            "rune",
            "runes",
            "seclusion",
            "secret",
            "secrets",
            "sect",
            "town",
            "treasure",
            "village",
            "vision",
            "visions",
            "worship",
        ]
        m4 = [
            "from beyond the grave",
            "in my city",
            "in my country",
            "in my garden",
            "in my house",
            "in my town",
            "in my village",
            "in my yard",
            "in the city",
            "in the forest",
            "in the lake",
            "in the mountains",
            "in the river",
            "of a beast",
            "of a cat",
            "of a creature",
            "of a dog",
            "of a friend",
            "of a man",
            "of a painting",
            "of a person",
            "of a shadow",
            "of a star",
            "of a stranger",
            "of a woman",
            "of an asteroid",
            "of an insect",
            "of animals",
            "of darkness",
            "of history",
            "of light",
            "of nature",
            "of outer space",
            "of shadows",
            "of the caves",
            "of the chasm",
            "of the flowers",
            "of the forest",
            "of the future",
            "of the galaxy",
            "of the lake",
            "of the moon",
            "of the mountain",
            "of the nether",
            "of the ocean",
            "of the past",
            "of the river",
            "of the sea",
            "of the stars",
            "of the sun",
            "of the swamp",
            "of the underground",
            "of the void",
            "of tomorrow",
            "of yesterday",
        ]
        m5 = [
            "abandoned by",
            "accomplishment of",
            "aching for",
            "adventure of",
            "age in",
            "age of",
            "alarmed by",
            "amazed by",
            "amused by",
            "ashamed of",
            "astonished by",
            "aware of",
            "blinded by",
            "bound to",
            "bravery for",
            "broken by",
            "calmed by",
            "caring for",
            "cautious of",
            "celebrate",
            "celebrated by",
            "clueless about",
            "comforted by",
            "confronted by",
            "confused by",
            "conscious of",
            "corrupted by",
            "created by",
            "crushed by",
            "curse of",
            "danger of",
            "deafened by",
            "death by",
            "death of",
            "depths of",
            "disguised by",
            "doubting",
            "enchanted by",
            "enchantment of",
            "enlightened by",
            "essence of",
            "evil of",
            "experiences of",
            "expert in",
            "faith of",
            "flaws of",
            "forsaken by",
            "frozen by",
            "gift of",
            "growing by",
            "guilt of",
            "hated by",
            "hatred of",
            "help of",
            "hidden in",
            "hunger of",
            "idle in",
            "jaded by",
            "love of",
            "loved by",
            "loyal to",
            "luck of",
            "moral of",
            "muted by",
            "nervous in",
            "old in",
            "parallel of",
            "perfume of",
            "price of",
            "prize of",
            "shrouded by",
            "young in",
        ]
        m6 = [
            "a storm",
            "a tower",
            "darkness",
            "dreams",
            "eternity",
            "heaven",
            "hell",
            "history",
            "hope",
            "illusions",
            "light",
            "my actions",
            "my destiny",
            "my dreams",
            "my future",
            "my home",
            "my house",
            "my life",
            "my nightmares",
            "my past",
            "my secrets",
            "my sins",
            "my town",
            "my village",
            "nightmares",
            "the beginning",
            "the black smoke",
            "the caves",
            "the chasm",
            "the cliffs",
            "the dark",
            "the depths",
            "the dungeon",
            "the east",
            "the elements",
            "the end",
            "the fog",
            "the forest",
            "the future",
            "the light",
            "the maze",
            "the mines",
            "the mist",
            "the moon",
            "the mountains",
            "the north",
            "the past",
            "the river",
            "the south",
            "the stars",
            "the sun",
            "the west",
            "the white smoke",
            "the world",
            "time",
            "visions",
        ]
        m7 = [
            "from beyond the grave",
            "in my city",
            "in my country",
            "in my garden",
            "in my house",
            "in my town",
            "in my village",
            "in my yard",
            "in the city",
            "in the forest",
            "in the lake",
            "in the mountains",
            "in the river",
            "of a beast",
            "of a cat",
            "of a creature",
            "of a dog",
            "of a friend",
            "of a man",
            "of a painting",
            "of a person",
            "of a shadow",
            "of a star",
            "of a stranger",
            "of a woman",
            "of an asteroid",
            "of an insect",
            "of animals",
            "of darkness",
            "of history",
            "of light",
            "of nature",
            "of outer space",
            "of shadows",
            "of the caves",
            "of the chasm",
            "of the flowers",
            "of the forest",
            "of the future",
            "of the galaxy",
            "of the lake",
            "of the moon",
            "of the mountain",
            "of the nether",
            "of the ocean",
            "of the past",
            "of the river",
            "of the sea",
            "of the stars",
            "of the sun",
            "of the swamp",
            "of the underground",
            "of the void",
            "of tomorrow",
            "of yesterday",
        ]
        i = randrange(5)
        if i == 0:
            return str(choice(m1) + " " + choice(m4)).title()
        elif i == 1:
            return str(choice(m2) + " " + choice(m4)).title()
        elif i == 2:
            return str(choice(m2) + " " + choice(m2)).title()
        elif i == 3:
            return str(choice(m3) + " " + choice(m7)).title()
        else:
            return str(choice(m5) + " " + choice(m6)).title()

    @staticmethod
    def Nonfiction():
        n1 = [
            "horses",
            "dogs",
            "people",
            "men",
            "women",
            "athletes",
            "children",
            "animals",
            "cats",
            "birds",
            "trees",
            "flowers",
            "insects",
            "fungi",
            "grasses",
            "corals",
            "fish",
            "reptiles",
            "amphibians",
            "rodents",
            "vultures",
            "pests",
            "predators",
            "preys",
            "crustaceans",
            "creatures",
            "angels",
            "devils",
            "demons",
            "freaks",
            "fools",
            "herbs",
            "spices",
            "mice",
            "rats",
            "warriors",
            "ancients",
            "leaders",
            "followers",
            "rulers",
            "kings",
            "queens",
            "emperors",
            "dinosaurs",
            "spirits",
            "friends",
            "enemies",
            "sinners",
            "spiders",
            "snakes",
            "flies",
            "stars",
            "planets",
            "moons",
            "ancestors",
            "politicians",
        ]
        n2 = [
            "horses",
            "dogs",
            "people",
            "men",
            "women",
            "athletes",
            "children",
            "animals",
            "cats",
            "birds",
            "trees",
            "flowers",
            "insects",
            "fungi",
            "grasses",
            "corals",
            "fish",
            "reptiles",
            "amphibians",
            "rodents",
            "vultures",
            "pests",
            "predators",
            "preys",
            "crustaceans",
            "creatures",
            "angels",
            "devils",
            "demons",
            "freaks",
            "fools",
            "herbs",
            "spices",
            "mice",
            "rats",
            "warriors",
            "ancients",
            "leaders",
            "followers",
            "rulers",
            "kings",
            "queens",
            "emperors",
            "dinosaurs",
            "spirits",
            "friends",
            "enemies",
            "sinners",
            "spiders",
            "snakes",
            "flies",
            "stars",
            "planets",
            "moons",
            "ancestors",
            "politicians",
        ]
        n3 = [
            "architecture",
            "art",
            "awards",
            "beaches",
            "books",
            "buildings",
            "candles",
            "capitals",
            "cars",
            "castles",
            "cities",
            "clans",
            "comics",
            "constellations",
            "constructions",
            "cooking",
            "countries",
            "crafting",
            "creations",
            "crimes",
            "currencies",
            "customs",
            "deception",
            "disasters",
            "diseases",
            "drinks",
            "dungeons",
            "education",
            "elements",
            "empires",
            "events",
            "fantasy",
            "farming",
            "farms",
            "festivals",
            "fields",
            "fires",
            "flags",
            "food",
            "furniture",
            "gems",
            "gods",
            "gold",
            "guardians",
            "guilds",
            "harmony",
            "harvest",
            "help",
            "holidays",
            "hope",
            "instruments",
            "iron",
            "languages",
            "love",
            "magic",
            "medicine",
            "miracles",
            "money",
            "monuments",
            "music",
            "nations",
            "nature",
            "ores",
            "paintings",
            "phones",
            "photos",
            "planes",
            "populations",
            "prisons",
            "prophets",
            "resources",
            "robots",
            "schools",
            "science",
            "secrets",
            "shields",
            "ships",
            "sights",
            "signs",
            "silver",
            "sins",
            "societies",
            "spells",
            "statues",
            "swords",
            "technology",
            "towns",
            "traditions",
            "trains",
            "travelling",
            "tv",
            "vehicles",
            "volcanos",
            "wars",
            "waters",
            "wealth",
            "weapons",
            "weather",
            "wonders",
            "working",
        ]
        n4 = [
            "around the world",
            "in the wild",
            "in your garden",
            "of dreams",
            "of heaven",
            "of hell",
            "of history",
            "of magic",
            "of medicine",
            "of our realm",
            "of science",
            "of stone",
            "of technology",
            "of the caves",
            "of the decade",
            "of the depths",
            "of the east",
            "of the fields",
            "of the forest",
            "of the future",
            "of the harvest",
            "of the hunt",
            "of the jungle",
            "of the lakes",
            "of the mountains",
            "of the north",
            "of the oceans",
            "of the past",
            "of the planet",
            "of the revolution",
            "of the rivers",
            "of the seas",
            "of the sky",
            "of the south",
            "of the swamp",
            "of the universe",
            "of the west",
            "of the world",
            "of time",
            "of tomorrow",
            "of yesterday",
            "of your dreams",
            "per continent",
            "per country",
            "per realm",
            "with skills",
            "with style",
            "with tradition",
            "without borders",
            "without limits",
            "without restrictions",
        ]
        n5 = [
            "academics of",
            "admiration of",
            "adoration of",
            "advancement of",
            "adventures of",
            "afraid of",
            "age of",
            "alarmed by",
            "alive in",
            "amazed by",
            "amazing",
            "amused by",
            "amusing",
            "ancient",
            "annual",
            "antique",
            "aromas of",
            "athletics of",
            "awesome",
            "basic",
            "blinded by",
            "bored by",
            "bored of",
            "brave",
            "brilliant",
            "broken",
            "cautious of",
            "classic",
            "clever",
            "colors of",
            "comfort of",
            "confusing",
            "creating",
            "creative",
            "dangers of",
            "demand for",
            "differences of",
            "digital",
            "digitize",
            "elegance of",
            "emotions of",
            "ethics of",
            "excellence of",
            "excellent",
            "expert",
            "experts of",
            "fame of",
            "famous",
            "fantasy of",
            "father of",
            "fears of",
            "flaws of",
            "focus on",
            "fortunes of",
            "friends of",
            "glamor of",
            "grace of",
            "curse of",
            "memory of",
            "dawn of",
            "greed of",
            "happy",
            "harmful",
            "helpful",
            "hidden",
            "honest",
            "honor of",
            "honored by",
            "idolized",
            "infamous",
            "innocence of",
            "intelligence of",
            "intelligent",
            "joy of",
            "known",
            "lasting",
            "life with",
            "limits of",
            "lost",
            "love for",
            "love of",
            "luck of",
            "majestic",
            "misery of",
            "mother of",
            "mysterious",
            "mystery of",
            "nature of",
            "nifty",
            "notable",
            "odd",
            "outlandish",
            "perfume of",
            "political",
            "popular",
            "powerful",
            "precious",
            "prestigious",
            "pure",
            "rare",
            "respect",
            "respect for",
            "safe",
            "scared of",
            "scented",
            "secret",
            "strange",
            "stunning",
            "temptations of",
            "tempted by",
            "the best",
            "united",
            "united as",
            "unusual",
            "wanted",
            "welcome to",
            "wonders of",
        ]
        n6 = [
            "aliens",
            "androids",
            "animals",
            "art",
            "babies",
            "biology",
            "neverland",
            "chemistry",
            "children",
            "cooking",
            "drawing",
            "dreams",
            "earth",
            "education",
            "fantasy",
            "history",
            "imagination",
            "keeping pets",
            "magic",
            "maths",
            "medicine",
            "men",
            "my country",
            "my home",
            "nature",
            "new earth",
            "nightmares",
            "painting",
            "people",
            "pets",
            "physics",
            "robots",
            "science",
            "space",
            "technology",
            "teenagers",
            "the caves",
            "the depths",
            "the forest",
            "the future",
            "the galaxy",
            "the lakes",
            "the lands",
            "the mountains",
            "the oceans",
            "the past",
            "the planet",
            "the rivers",
            "the seas",
            "the swamps",
            "the world",
            "time",
            "time travel",
            "today",
            "tomorrow",
            "women",
            "yesterday",
            "young adults",
            "your family",
            "your garden",
            "your home",
        ]
        n7 = [
            "around the world",
            "in the wild",
            "in your garden",
            "of dreams",
            "of heaven",
            "of hell",
            "of history",
            "of magic",
            "of medicine",
            "of our realm",
            "of science",
            "of stone",
            "of technology",
            "of the caves",
            "of the decade",
            "of the depths",
            "of the east",
            "of the fields",
            "of the forest",
            "of the future",
            "of the harvest",
            "of the hunt",
            "of the jungle",
            "of the lakes",
            "of the mountains",
            "of the north",
            "of the oceans",
            "of the past",
            "of the planet",
            "of the revolution",
            "of the rivers",
            "of the seas",
            "of the sky",
            "of the south",
            "of the swamp",
            "of the universe",
            "of the west",
            "of the world",
            "of time",
            "of tomorrow",
            "of yesterday",
            "of your dreams",
            "per continent",
            "per country",
            "per realm",
            "with skills",
            "with style",
            "with tradition",
            "without borders",
            "without limits",
            "without restrictions",
        ]
        i = randrange(5)
        if i == 0:
            return str(choice(n1) + " " + choice(n4)).title()
        elif i == 1:
            return str(choice(n2) + " " + choice(n4)).title()
        elif i == 2:
            return str(choice(n2) + " " + choice(n2)).title()
        elif i == 3:
            return str(choice(n3) + " " + choice(n7)).title()
        else:
            return str(choice(n5) + " " + choice(n6)).title()

    @staticmethod
    def Romance():
        r1 = [
            "admirer",
            "angel",
            "assistant",
            "beloved",
            "boy",
            "boyfriend",
            "colleague",
            "cook",
            "darling",
            "dear",
            "dearest",
            "duchess",
            "duke",
            "fiance",
            "flame",
            "foreigner",
            "friend",
            "girl",
            "girlfriend",
            "god",
            "goddess",
            "guest",
            "heartthrob",
            "honey",
            "husband",
            "knight",
            "ladylove",
            "love",
            "lovebird",
            "lover",
            "maid",
            "man",
            "mistress",
            "neighbor",
            "nymph",
            "queen",
            "roommate",
            "secret admirer",
            "servant",
            "stranger",
            "suitor",
            "sweetheart",
            "sweetie",
            "truelove",
            "valentine",
            "visitor",
            "wife",
            "woman",
        ]
        r2 = [
            "admirers",
            "angels",
            "assistants",
            "beloved",
            "boys",
            "boyfriends",
            "butterflies",
            "darlings",
            "dears",
            "dearests",
            "foreigners",
            "friends",
            "girls",
            "girlfriends",
            "gods",
            "guests",
            "heartthrobs",
            "honeys",
            "husbands",
            "knights",
            "ladyloves",
            "loves",
            "lovebirds",
            "lovers",
            "men",
            "mistresses",
            "nymphs",
            "queens",
            "roommates",
            "secret admirers",
            "strangers",
            "suitors",
            "sweethearts",
            "sweeties",
            "trueloves",
            "valentines",
            "visitors",
            "wifes",
            "women",
            "servants",
            "neighbors",
            "colleagues",
        ]
        r3 = [
            "accident",
            "beginning",
            "birth",
            "body",
            "chase",
            "choice",
            "climax",
            "completion",
            "creation",
            "destiny",
            "determination",
            "disruption",
            "edge",
            "element",
            "end",
            "evening",
            "fluke",
            "fortune",
            "foundation",
            "fruit",
            "future",
            "game",
            "hug",
            "inspiration",
            "kiss",
            "limit",
            "loss",
            "love",
            "luck",
            "lust",
            "memory",
            "name",
            "night",
            "origin",
            "passion",
            "perfection",
            "reality",
            "restoration",
            "result",
            "rise",
            "romance",
            "root",
            "scent",
            "source",
            "surprise",
            "vision",
            "will",
            "world",
        ]
        r4 = [
            "at my school",
            "at my work",
            "in my town",
            "in the forest",
            "in the mountain",
            "in the night",
            "in the river",
            "of the rose",
            "of bliss",
            "of dawn",
            "of desire",
            "of devotion",
            "of eternity",
            "of fire",
            "of fond memories",
            "of fortune",
            "of freedom",
            "of heaven",
            "of hell",
            "of hope",
            "of insanity",
            "of joy",
            "of love",
            "of lust",
            "of my admiration",
            "of my adoration",
            "of my childhood",
            "of my dreams",
            "of my fascination",
            "of my imagination",
            "of my mind",
            "of paradise",
            "of passion",
            "of perfection",
            "of rainbows",
            "of reality",
            "of romance",
            "of silver",
            "of the evening",
            "of the forest",
            "of the mountains",
            "of the night",
            "of the north",
            "of the ocean",
            "of the river",
            "of the sea",
            "of the solstice",
            "of the south",
            "of the stars",
            "of the west",
            "of tomorrow",
            "of yearning",
            "of yesterday",
            "with a cheeky smile",
            "with a crush",
            "with a hat",
            "with black hair",
            "with blond hair",
            "with blue eyes",
            "with brown hair",
            "with curly hair",
            "with freckles",
            "with funny socks",
            "with green eyes",
            "with hazel eyes",
            "with red hair",
            "with white hair",
            "with wings",
            "without fear",
            "without flaws",
            "without shame",
            "without time",
        ]
        r5 = [
            "accepting",
            "aching for",
            "admiring",
            "adored by",
            "adoring",
            "altering",
            "amusing",
            "answering",
            "assured by",
            "attracted to",
            "avoiding",
            "awakening in",
            "bathing in",
            "becoming",
            "belonging to",
            "bound to",
            "blinded by",
            "breath of",
            "calling",
            "changing",
            "chasing",
            "clinging to",
            "comforted by",
            "confessions of",
            "dancing with",
            "controlling",
            "cuddling",
            "dance of",
            "devoted to",
            "escaping",
            "excited by",
            "exciting",
            "flustered by",
            "frozen by",
            "guarded by",
            "guarding",
            "happy for",
            "helping",
            "hope for",
            "hunted by",
            "hurt by",
            "intelligent",
            "kind",
            "kissing",
            "learning from",
            "listening to",
            "lonely without",
            "losing",
            "loved by",
            "loving",
            "lucky with",
            "memory of",
            "oblivious to",
            "pleasing",
            "possessed by",
            "praise",
            "praised by",
            "prepare for",
            "preparing for",
            "promises of",
            "punished by",
            "rejecting",
            "remember",
            "scared of",
            "searching for",
            "separated by",
            "smile at",
            "songs of",
            "sounds of",
            "strange",
            "symbols of",
            "talk about",
            "talk to",
            "taste of",
            "temptations of",
            "travel to",
            "trust",
            "visited by",
            "visiting",
            "walking",
            "welcome to",
            "whispers in",
            "whispers of",
            "write about",
            "wrong about",
        ]
        r6 = [
            "adoration",
            "affection",
            "dreams",
            "eternity",
            "friendship",
            "her",
            "her friends",
            "her parents",
            "him",
            "his friends",
            "his parents",
            "love",
            "lust",
            "my admirer",
            "my boyfriend",
            "my dreams",
            "my friend",
            "my future",
            "my girl",
            "my girlfriend",
            "my guy",
            "my husband",
            "my man",
            "my nightmares",
            "my past",
            "my secret admirer",
            "my sweetheart",
            "my wife",
            "myself",
            "passion",
            "secrets",
            "the ",
            "the husband",
            "the night",
            "the river",
            "the sea",
            "the shadows",
            "the stars",
            "the stranger",
            "the wife",
            "time",
        ]
        r7 = [
            "at my school",
            "at my work",
            "in my town",
            "in the forest",
            "in the mountain",
            "in the night",
            "in the river",
            "of bliss",
            "of dawn",
            "of desire",
            "of devotion",
            "of eternity",
            "of fire",
            "of fond memories",
            "of fortune",
            "of freedom",
            "of heaven",
            "of hell",
            "of hope",
            "of insanity",
            "of joy",
            "of love",
            "of lust",
            "of my admiration",
            "of my adoration",
            "of my childhood",
            "of my dreams",
            "of my fascination",
            "of my imagination",
            "of my mind",
            "of paradise",
            "of passion",
            "of perfection",
            "of rainbows",
            "of reality",
            "of romance",
            "of silver",
            "of the evening",
            "of the forest",
            "of the mountains",
            "of the night",
            "of the north",
            "of the ocean",
            "of the river",
            "of the sea",
            "of the solstice",
            "of the south",
            "of the stars",
            "of the west",
            "of tomorrow",
            "of yearning",
            "of yesterday",
        ]
        i = randrange(5)
        if i == 0:
            return str(choice(r1) + " " + choice(r4)).title()
        elif i == 1:
            return str(choice(r2) + " " + choice(r4)).title()
        elif i == 2:
            return str(choice(r2) + " " + choice(r2)).title()
        elif i == 3:
            return str(choice(r3) + " " + choice(r7)).title()
        else:
            return str(choice(r5) + " " + choice(r6)).title()

    @staticmethod
    def SciFi():
        s1 = [
            "agent",
            "alien",
            "android",
            "angel",
            "army",
            "assassin",
            "beast",
            "boy",
            "captain",
            "child",
            "clone",
            "commander",
            "creator",
            "creature",
            "cyborg",
            "defender",
            "director",
            "doctor",
            "droid",
            "emperor",
            "enemy",
            "figure",
            "foreigner",
            "friend",
            "girl",
            "guardian",
            "guest",
            "hero",
            "human",
            "hunter",
            "intruder",
            "invader",
            "leader",
            "man",
            "martian",
            "medic",
            "mercenary",
            "officer",
            "pilot",
            "rebel",
            "recruit",
            "robot",
            "soldier",
            "spy",
            "stranger",
            "traitor",
            "veteran",
            "visitor",
            "volunteer",
            "woman",
        ]
        s2 = [
            "agents",
            "aliens",
            "androids",
            "armies",
            "assassins",
            "beasts",
            "boys",
            "captains",
            "children",
            "clones",
            "commanders",
            "creators",
            "creatures",
            "cyborgs",
            "defenders",
            "directors",
            "doctors",
            "droids",
            "emperors",
            "enemies",
            "figures",
            "foreigners",
            "friends",
            "girls",
            "guardians",
            "guests",
            "heroes",
            "humans",
            "hunters",
            "intruders",
            "invaders",
            "leaders",
            "men",
            "martians",
            "medics",
            "mercenaries",
            "officers",
            "pilots",
            "rebels",
            "recruits",
            "robots",
            "soldiers",
            "spies",
            "strangers",
            "traitors",
            "veterans",
            "visitors",
            "volunteers",
            "women",
        ]
        s3 = [
            "ambush",
            "appearance",
            "ascension",
            "battle",
            "beginning",
            "betrayal",
            "birth",
            "border",
            "carnage",
            "carvings",
            "chase",
            "confinement",
            "construction",
            "corruption",
            "creation",
            "culling",
            "death",
            "deception",
            "defeat",
            "demise",
            "destiny",
            "destruction",
            "disruption",
            "doom",
            "edge",
            "element",
            "end",
            "monument",
            "monuments",
            "statue",
            "statues",
            "exploration",
            "extermination",
            "extinction",
            "fate",
            "future",
            "hatred",
            "honor",
            "hope",
            "inception",
            "influence",
            "inspiration",
            "loss",
            "love",
            "monument",
            "moon",
            "murder",
            "nation",
            "obliteration",
            "origin",
            "planet",
            "rebirth",
            "reincarnation",
            "restoration",
            "result",
            "revenge",
            "revival",
            "rise",
            "root",
            "ruins",
            "scourge",
            "signs",
            "source",
            "star",
            "statue",
            "symbols",
            "throne",
            "victory",
            "world",
        ]
        s4 = [
            "of the sun",
            "of the moon",
            "of outer space",
            "on my ship",
            "of the galaxy",
            "of eternity",
            "from outer space",
            "of war",
            "of aliens",
            "of life",
            "of death",
            "of time",
            "of the dead",
            "of darkness",
            "of the void",
            "of the vacuum",
            "of the new world",
            "of earth",
            "of new earth",
            "of the sands",
            "of the ocean",
            "of the crash",
            "of the flight",
            "of the orbit",
            "of space",
            "of the worlds",
            "of the universe",
            "of the future",
            "of the past",
            "of everywhere",
            "of nowhere",
            "of the stars",
            "of stardust",
            "of moondust",
            "with tentacles",
            "with four eyes",
            "with spaceships",
            "with a spaceship",
            "with a UFO",
            "from the UFO",
            "in the news",
            "from the portal",
            "in the portal",
            "in the past",
            "in the future",
            "in the center of the earth",
            "in the beginning of time",
            "of new worlds",
            "of our legacy",
            "of men's legacy",
            "of earth's legacy",
            "of the fallen",
            "of our culture",
            "of honor",
            "of exploration",
            "of our ship",
            "of our destiny",
            "of our future",
            "of the outlands",
            "of sunshine",
            "of mars",
            "on mars",
        ]
        s5 = [
            "abandoned by",
            "abandoned in",
            "abandoned on",
            "admiration for",
            "afraid of",
            "alerted by",
            "alive in",
            "alive on",
            "anxious for",
            "basic",
            "better",
            "blindd by",
            "bored by",
            "broken",
            "caution of",
            "cautious of",
            "celebrating",
            "changed by",
            "closed for",
            "colors of",
            "complexity of",
            "confused by",
            "courage for",
            "crazy of",
            "created by",
            "cultured by",
            "darkness of",
            "defenseless against",
            "demand for",
            "dependent on",
            "devoted to",
            "disguised by",
            "disguised in",
            "elegance of",
            "equality in",
            "equality of",
            "experience in",
            "experience of",
            "failing of",
            "failure of",
            "father of",
            "favor of",
            "fixed in",
            "fortune of",
            "frightened of",
            "frozen by",
            "gift of",
            "glory of",
            "greed of",
            "haunted by",
            "hidden by",
            "hidden in",
            "inspired by",
            "intelligence in",
            "joy of",
            "life after",
            "life in",
            "life with",
            "light of",
            "limits of",
            "lonely in",
            "longing for",
            "lost in",
            "married to",
            "mother of",
            "mystery of",
            "open to",
            "origin of",
            "perfection of",
            "puzzle of",
            "right for",
            "secrets of",
            "security of",
            "serenity of",
            "sins of",
            "stranger to",
            "understanding",
        ]
        s6 = [
            "a new war",
            "a nuclear war",
            "a nuclear winter",
            "a rise of machines",
            "a robot takeover",
            "aliens",
            "androids",
            "droids",
            "electricity",
            "eternity",
            "first contact",
            "moon rocks",
            "moondust",
            "my android servant",
            "my journey",
            "my planet",
            "my space journey",
            "new earth",
            "new technology",
            "orbit",
            "orbital flight",
            "outer space",
            "robotic control",
            "robots",
            "solar flares",
            "space flight",
            "stardust",
            "technolic advancements",
            "technology",
            "the aliens",
            "the armies",
            "the depths",
            "the end",
            "the end of earth",
            "the end of the sun",
            "the eyes",
            "the fog",
            "the galaxy",
            "the guests",
            "the immortals",
            "the intruders",
            "the legends",
            "the machines",
            "the mists",
            "the moon",
            "the new age",
            "the new gods",
            "the new planet",
            "the new world",
            "the ocean",
            "the portal",
            "the revolution",
            "the robotic police",
            "the secrets",
            "the secrets of the ocean",
            "the stars",
            "the sun",
            "the titans",
            "the troopers",
            "the truth",
            "the vacuum",
            "the void",
            "the void of space",
            "time travel",
            "time travellers",
        ]
        s7 = [
            "from outer space",
            "of alien life",
            "of aliens",
            "of darkness",
            "of death",
            "of earth",
            "of earth's legacy",
            "of eternity",
            "of everywhere",
            "of exploration",
            "of honor",
            "of life",
            "of mars",
            "of men's legacy",
            "of moondust",
            "of new earth",
            "of new life",
            "of new worlds",
            "of nowhere",
            "of our culture",
            "of our destiny",
            "of our future",
            "of our legacy",
            "of our ship",
            "of outer space",
            "of robots",
            "of society",
            "of space",
            "of stardust",
            "of sunshine",
            "of the aliens",
            "of the androids",
            "of the crash",
            "of the dead",
            "of the droids",
            "of the faceless ones",
            "of the fallen",
            "of the flight",
            "of the future",
            "of the galaxy",
            "of the intruders",
            "of the invaders",
            "of the moon",
            "of the new order",
            "of the new world",
            "of the ocean",
            "of the orbit",
            "of the outlands",
            "of the past",
            "of the planet",
            "of the sands",
            "of the stars",
            "of the sun",
            "of the universe",
            "of the vacuum",
            "of the void",
            "of the worlds",
            "of time",
            "of war",
            "on mars",
            "on my ship",
        ]
        i = randrange(5)
        if i == 0:
            return str(choice(s1) + " " + choice(s4)).title()
        elif i == 1:
            return str(choice(s2) + " " + choice(s4)).title()
        elif i == 2:
            return str(choice(s2) + " " + choice(s2)).title()
        elif i == 3:
            return str(choice(s3) + " " + choice(s7)).title()
        else:
            return str(choice(s5) + " " + choice(s6)).title()

    @staticmethod
    def Tome():
        t1 = [
            "Alpha",
            "Amnesia",
            "Apostle",
            "Aqua",
            "Ash",
            "Ashes",
            "Ataraxia",
            "Benediction",
            "Blackfire",
            "Blackout",
            "Blazefury",
            "Blazewing",
            "Brilliance",
            "Brilliancy",
            "Brimstone",
            "Celeste",
            "Celestia",
            "Chaos",
            "Chaossong",
            "Clarity",
            "Clemence",
            "Cometfall",
            "Consecration",
            "Contortion",
            "Cosmos",
            "Covergence",
            "Cryptic",
            "Cryptkeeper",
            "Dawn",
            "Dawne",
            "Dawnlight",
            "Daydream",
            "Deathsong",
            "Deluge",
            "Delusion",
            "Dementia",
            "Doombinder",
            "Doomguard",
            "Doomshadow",
            "Doomward",
            "Dragonbane",
            "Dragonfire",
            "Dragonwrath",
            "Draughtbane",
            "Dreambinder",
            "Dreamkiss",
            "Dreamshadow",
            "Dreamsong",
            "Dreamwhisper",
            "Duskshadow",
            "Dusksong",
            "Earthshadow",
            "Earthsong",
            "Ebony",
            "Echo",
            "Eclipse",
            "Endgame",
            "Enigma",
            "Featherfall",
            "Ferallity",
            "Fireweaver",
            "Flamebound",
            "Flameguard",
            "Flameward",
            "Fluke",
            "Flux",
            "Frenzy",
            "Frostbound",
            "Frostguard",
            "Frostward",
            "Fury",
            "Ghost",
            "Glimmer",
            "Grieve",
            "Harmony",
            "Hubris",
            "Hysteria",
            "Inertia",
            "Insanity",
            "Insight",
            "Ivory",
            "Labyrinth",
            "Lament",
            "Lazarus",
            "Lifebender",
            "Lifebinder",
            "Lightbane",
            "Limbo",
            "Lorebinder",
            "Lorekeeper",
            "Lull",
            "Lullaby",
            "Malice",
            "Memoire",
            "Mercy",
            "Midnight",
            "Mirage",
            "Moonbeam",
            "Moonlight",
            "Moonshadow",
            "Moonshard",
            "Mystery",
            "Necrosong",
            "Nemesis",
            "Netherbane",
            "Nethersong",
            "Nexus",
            "Nightfall",
            "Nightkiss",
            "Nightmare",
            "Nimble",
            "Nirvana",
            "Nymph",
            "Oath",
            "Oathkeeper",
            "Oblivion",
            "Omega",
            "Omen",
            "Oracle",
            "Peacesong",
            "Penance",
            "Persuasion",
            "Phantom",
            "Phantomdream",
            "Phantomlight",
            "Phantomsong",
            "Phobia",
            "Pride",
            "Prime",
            "Prophecy",
            "Prudence",
            "Pureheart",
            "Purgatory",
            "Purity",
            "Pursuit",
            "Reflection",
            "Remorse",
            "Requiem",
            "Retribution",
            "Revelation",
            "Riddle",
            "Sanguine",
            "Sapience",
            "Scarlet",
            "Serenity",
            "Shadowbane",
            "Shadowbinder",
            "Shadowbound",
            "Shadowfall",
            "Silence",
            "Silverglow",
            "Silverlight",
            "Sleepwalker",
            "Snowfall",
            "Snowflake",
            "Solarflare",
            "Solarsong",
            "Soulbinder",
            "Souleater",
            "Soulflare",
            "Soulkeeper",
            "Soulshadow",
            "Soulsiphon",
            "Soulsliver",
            "Soulspell",
            "Spark",
            "Spellbinder",
            "Spellbound",
            "Spellkeeper",
            "Spellsong",
            "Stardust",
            "Starfall",
            "Starlight",
            "Stormrage",
            "Sunlight",
            "Supinity",
            "Suspension",
            "Thorn",
            "Torment",
            "Torrent",
            "Trance",
            "Tranquillity",
            "Trinity",
            "Twinkle",
            "Twitch",
            "Valhalla",
            "Verdict",
            "Visage",
            "Void",
            "Whisper",
            "Whispersong",
            "Whisperwind",
            "Willbinder",
            "Windweaver",
        ]
        t2 = [
            "Ancient",
            "Antique",
            "Apocalypse",
            "Apocalyptic",
            "Arcane",
            "Arched",
            "Atuned",
            "Bandit's",
            "Baneful",
            "Banished",
            "Barbarian",
            "Barbaric",
            "Battleworn",
            "Blazefury",
            "Blood Infused",
            "Blood-Forged",
            "Bloodcursed",
            "Bloodied",
            "Bloodlord's",
            "Bloodsurge",
            "Bloodvenom",
            "Bonecarvin",
            "Brutal",
            "Brutality",
            "Burnished",
            "Cataclysm",
            "Cataclysmic",
            "Challenger",
            "Challenger's",
            "Champion",
            "Champion's",
            "Cold-Forged",
            "Conqueror",
            "Conqueror's",
            "Corroded",
            "Corrupted",
            "Crazed",
            "Crying",
            "Cursed",
            "Curved",
            "Dancing",
            "Dark",
            "Darkness",
            "Defender",
            "Defender's",
            "Defiled",
            "Defiling",
            "Deluded",
            "Demonic",
            "Deserted",
            "Desire's",
            "Desolation",
            "Destiny's",
            "Diabolical",
            "Dire",
            "Doom",
            "Doom's",
            "Dragon's",
            "Dragonbreath",
            "Eerie",
            "Enchanted",
            "Engraved",
            "Enlightened",
            "Eternal",
            "Exiled",
            "Extinction",
            "Faith's",
            "Faithful",
            "Fancy",
            "Fearful",
            "Feral",
            "Ferocious",
            "Fierce",
            "Fiery",
            "Fire Infused",
            "Fireguard",
            "Firesoul",
            "Firestorm",
            "Flaming",
            "Flimsy",
            "Forsaken",
            "Fortune's",
            "Foul",
            "Fragile",
            "Frail",
            "Frenzied",
            "Frost",
            "Frozen",
            "Furious",
            "Fusion",
            "Ghastly",
            "Ghost",
            "Ghost-Forged",
            "Ghostly",
            "Gladiator",
            "Gladiator's",
            "Gleaming",
            "Glinting",
            "Greedy",
            "Grieving",
            "Grim",
            "Guard's",
            "Guardian's",
            "Hailstorm",
            "Harmonized",
            "Hateful",
            "Haunted",
            "Heartless",
            "Heinous",
            "Hero",
            "Hero's",
            "Hollow",
            "Holy",
            "Honed",
            "Honor's",
            "Hope's",
            "Hopeless",
            "Howling",
            "Hungering",
            "Improved",
            "Impure",
            "Incarnated",
            "Infused",
            "Inherited",
            "Isolated",
            "Jade Infused",
            "Judgement",
            "Keeper's",
            "Knightly",
            "Knight's",
            "Legionnaire's",
            "Liar's",
            "Lich",
            "Lightning",
            "Lonely",
            "Loyal",
            "Lustful",
            "Lusting",
            "Malevolent",
            "Malicious",
            "Malificent",
            "Malignant",
            "Massive",
            "Mended",
            "Mercenary",
            "Military",
            "Misfortune's",
            "Misty",
            "Moonlit",
            "Mourning",
            "Nightmare",
            "Oathkeeper's",
            "Ominous",
            "Peacekeeper",
            "Peacekeeper's",
            "Phantom",
            "Polished",
            "Possessed",
            "Pride's",
            "Prideful",
            "Primal",
            "Prime",
            "Primitive",
            "Promised",
            "Protector's",
            "Proud",
            "Pure",
            "Putrid",
            "Raging",
            "Recruit's",
            "Refined",
            "Reforged",
            "Reincarnated",
            "Relentless",
            "Remorseful",
            "Renewed",
            "Renovated",
            "Replica",
            "Restored",
            "Retribution",
            "Ritual",
            "Roaring",
            "Ruby Infused",
            "Rune-Forged",
            "Runed",
            "Rusty",
            "Savage",
            "Sentinel",
            "Shadow",
            "Shamanic",
            "Sharpened",
            "Silent",
            "Singed",
            "Singing",
            "Sinister",
            "Skyfall",
            "Smooth",
            "Soldier's",
            "Solitude's",
            "Sorcerer's",
            "Sorrow's",
            "Soul",
            "Soul Infused",
            "Soul-Forged",
            "Soulcursed",
            "Soulless",
            "Spectral",
            "Spectral-Forged",
            "Spiteful",
            "Storm",
            "Storm-Forged",
            "Stormfury",
            "Stormguard",
            "Terror",
            "Thirsting",
            "Thirsty",
            "Thunder",
            "Thunder-Forged",
            "Thunderfury",
            "Thunderguard",
            "Thundersoul",
            "Thunderstorm",
            "Timeworn",
            "Tormented",
            "Trainee's",
            "Treachery's",
            "Twilight",
            "Twilight's",
            "Twisted",
            "Tyrannical",
            "Undead",
            "Unholy",
            "Vanquisher",
            "Vengeance",
            "Vengeful",
            "Venom",
            "Vicious",
            "Victor",
            "Vile",
            "Vindication",
            "Vindicator",
            "Vindictive",
            "Void",
            "Volcanic",
            "Vowed",
            "War",
            "War-Forged",
            "Warden's",
            "Warlord's",
            "Warp",
            "Warped",
            "Warrior",
            "Warrior's",
            "Whistling",
            "Wicked",
            "Wind's",
            "Wind-Forged",
            "Windsong",
            "Woeful",
            "Wrathful",
            "Wretched",
            "Yearning",
            "Zealous",
        ]
        t3 = [
            "Tome",
            "Ledger",
            "Scroll",
            "Book",
            "Grimoire",
            "Compendium",
            "Manual",
            "Handbook",
            "Battletome",
            "Manuscript",
            "Lexicon",
            "Codex",
            "Syllabus",
            "Epitome",
            "Grimoire",
            "Book",
            "Scroll",
            "Tome",
        ]
        t4 = [
            "Tome",
            "Ledger",
            "Scroll",
            "Book",
            "Grimoire",
            "Compendium",
            "Manual",
            "Handbook",
            "Battletome",
            "Manuscript",
            "Lexicon",
            "Codex",
            "Syllabus",
            "Epitome",
            "Grimoire",
            "Book",
            "Scroll",
            "Tome",
            "Allegiance",
            "Annihilation",
            "Betrayer",
            "Bond",
            "Boon",
            "Breaker",
            "Bringer",
            "Bruiser",
            "Call",
            "Champion",
            "Conqueror",
            "Crusader",
            "Cry",
            "Cunning",
            "Dawn",
            "Defender",
            "Defiler",
            "Destroyer",
            "Destruction",
            "Edge",
            "Ender",
            "Executioner",
            "Fan",
            "Favor",
            "Ferocity",
            "Foe",
            "Gift",
            "Glory",
            "Guardian",
            "Heirloom",
            "Hope",
            "Incarnation",
            "Last Hope",
            "Last Stand",
            "Legacy",
            "Memory",
            "Might",
            "Oath",
            "Pact",
            "Pledge",
            "Promise",
            "Prophecy",
            "Protector",
            "Ravager",
            "Reach",
            "Sculptor",
            "Secret",
            "Slayer",
            "Soul",
            "Terror",
            "Token",
            "Touch",
            "Tribute",
            "Vengeance",
            "Voice",
            "Whisper",
            "Wit",
        ]
        t5 = [
            "of Agony",
            "of Ancient Power",
            "of Anguish",
            "of Ashes",
            "of Assassins",
            "of Black Magic",
            "of Blessed Fortune",
            "of Blessings",
            "of Blight",
            "of Blood",
            "of Bloodlust",
            "of Broken Bones",
            "of Broken Dreams",
            "of Broken Families",
            "of Burdens",
            "of Chaos",
            "of Closing Eyes",
            "of Conquered Worlds",
            "of Corruption",
            "of Cruelty",
            "of Cunning",
            "of Dark Magic",
            "of Dark Souls",
            "of Darkness",
            "of Decay",
            "of Deception",
            "of Degradation",
            "of Delusions",
            "of Denial",
            "of Desecration",
            "of Diligence",
            "of Dismay",
            "of Dragonsouls",
            "of Due Diligence",
            "of Echoes",
            "of Ended Dreams",
            "of Ending Hope",
            "of Ending Misery",
            "of Eternal Bloodlust",
            "of Eternal Damnation",
            "of Eternal Glory",
            "of Eternal Justice",
            "of Eternal Rest",
            "of Eternal Sorrow",
            "of Eternal Struggles",
            "of Eternity",
            "of Executions",
            "of Faded Memories",
            "of Fallen Souls",
            "of Fools",
            "of Frost",
            "of Frozen Hells",
            "of Fury",
            "of Giants",
            "of Giantslaying",
            "of Grace",
            "of Grieving Widows",
            "of Hate",
            "of Hatred",
            "of Hell's Games",
            "of Hellish Torment",
            "of Heroes",
            "of Holy Might",
            "of Honor",
            "of Hope",
            "of Horrid Dreams",
            "of Horrors",
            "of Illuminated Dreams",
            "of Illumination",
            "of Immortality",
            "of Inception",
            "of Infinite Trials",
            "of Insanity",
            "of Invocation",
            "of Justice",
            "of Light's Hope",
            "of Lost Comrades",
            "of Lost Hope",
            "of Lost Voices",
            "of Lost Worlds",
            "of Magic",
            "of Mercy",
            "of Misery",
            "of Mountains",
            "of Mourning",
            "of Mystery",
            "of Necromancy",
            "of Nightmares",
            "of Oblivion",
            "of Perdition",
            "of Phantoms",
            "of Power",
            "of Pride",
            "of Pride's Fall",
            "of Putrefaction",
            "of Reckoning",
            "of Redemption",
            "of Regret",
            "of Riddles",
            "of Secrecy",
            "of Secrets",
            "of Shadow Strikes",
            "of Shadows",
            "of Shifting Sands",
            "of Shifting Worlds",
            "of Silence",
            "of Slaughter",
            "of Souls",
            "of Stealth",
            "of Storms",
            "of Subtlety",
            "of Suffering",
            "of Suffering's End",
            "of Summoning",
            "of Terror",
            "of Thunder",
            "of Time-Lost Memories",
            "of Timeless Battles",
            "of Titans",
            "of Torment",
            "of Traitors",
            "of Trembling Hands",
            "of Trials",
            "of Truth",
            "of Twilight's End",
            "of Twisted Visions",
            "of Unholy Blight",
            "of Unholy Might",
            "of Vengeance",
            "of Visions",
            "of Wasted Time",
            "of Widows",
            "of Wizardry",
            "of Woe",
            "of Wraiths",
            "of Zeal",
            "of the Ancients",
            "of the Banished",
            "of the Basilisk",
            "of the Beast",
            "of the Blessed",
            "of the Breaking Storm",
            "of the Brotherhood",
            "of the Burning Sun",
            "of the Caged Mind",
            "of the Cataclysm",
            "of the Champion",
            "of the Claw",
            "of the Corrupted",
            "of the Covenant",
            "of the Crown",
            "of the Damned",
            "of the Daywalker",
            "of the Dead",
            "of the Depth",
            "of the Dreadlord",
            "of the Earth",
            "of the East",
            "of the Emperor",
            "of the Empty Void",
            "of the End",
            "of the Enigma",
            "of the Fallen",
            "of the Falling Sky",
            "of the Flame",
            "of the Forest",
            "of the Forgotten",
            "of the Forsaken",
            "of the Gladiator",
            "of the Harvest",
            "of the Immortal",
            "of the Incoming Storm",
            "of the Insane",
            "of the King",
            "of the Lasting Night",
            "of the Leviathan",
            "of the Light",
            "of the Lion",
            "of the Lionheart",
            "of the Lone Victor",
            "of the Lone Wolf",
            "of the Lost",
            "of the Moon",
            "of the Moonwalker",
            "of the Night Sky",
            "of the Night",
            "of the Nightstalker",
            "of the North",
            "of the Occult",
            "of the Oracle",
            "of the Phoenix",
            "of the Plague",
            "of the Prince",
            "of the Protector",
            "of the Queen",
            "of the Serpent",
            "of the Setting Sun",
            "of the Shadows",
            "of the Sky",
            "of the South",
            "of the Stars",
            "of the Storm",
            "of the Summoner",
            "of the Sun",
            "of the Sunwalker",
            "of the Talon",
            "of the Undying",
            "of the Victor",
            "of the Void",
            "of the West",
            "of the Whispers",
            "of the Wicked",
            "of the Wind",
            "of the Wolf",
            "of the World",
            "of the Wretched",
        ]
        num = randrange(3)
        if num == 0:
            return choice(t1)
        elif num == 1:
            return choice(t2) + " " + choice(t3)
        else:
            return choice(t1) + ", " + choice(t4) + " " + choice(t5)

    @staticmethod
    def generate(genre: BookType = None):
        if genre not in Book.BookType:
            genre = choice(list(Book.BookType))

        if genre == Book.BookType.Children:
            return Book.Children()
        elif genre == Book.BookType.Drama:
            return Book.Drama()
        elif genre == Book.BookType.Fiction:
            return Book.Fiction()
        elif genre == Book.BookType.Horror:
            return Book.Horror()
        elif genre == Book.BookType.Humor:
            return Book.Humor()
        elif genre == Book.BookType.Mystery:
            return Book.Mystery()
        elif genre == Book.BookType.Nonfiction:
            return Book.Nonfiction()
        elif genre == Book.BookType.Romance:
            return Book.Romance()
        elif genre == Book.BookType.SciFi:
            return Book.SciFi()
        elif genre == Book.BookType.Tome:
            return Book.Tome()

    def __str__(self):
        return Book.generate()


class Clothes(Store):
    @staticmethod
    def generate():
        c1 = [
            "A Change of Art",
            "A Cool Thread",
            "A Flair Deal",
            "A Stitch in Time",
            "A Wood Deal",
            "Air of Flair",
            "All's Flair",
            "And Sew Forth",
            "And Sew On",
            "Any Stitch Way",
            "Apothecrafty",
            "Art Beats",
            "Art Cookie",
            "Art From Scratch",
            "Art Tea",
            "Art Ways",
            "Art a la Carte",
            "Art and Parcel",
            "Art of Gold",
            "Art of the Furniture",
            "Artsy Fartsy",
            "Be Sew Bold",
            "Bear With Flair",
            "Beautique",
            "Beauty Embroidified",
            "By Design",
            "Care With Flair",
            "Care to Flair",
            "Celecreation",
            "Couture Gifts",
            "Craft Crazy",
            "Craft Fever",
            "Craft Machine",
            "Craftastical",
            "Crafter Hours",
            "Crafter-Noon Delights",
            "Crafterina",
            "Crafterpeneur",
            "Crafting Creativity",
            "Craftopia",
            "Crafts Foundry",
            "Craftworks",
            "Crafty Pleasures",
            "Create Mate",
            "Create Parade",
            "Created Comforts",
            "Creative Beat",
            "Creative Crafts",
            "Creative Creature",
            "Creative Motions",
            "Creative Scene",
            "Creative Splash",
            "Critter Crafts",
            "Critter Knitter",
            "Curio Crafts",
            "Cute as a Button",
            "Daily Thread",
            "Dangly Knits",
            "Definitely Knot",
            "Destined to Design",
            "Doodlecrafts",
            "Draft to Craft",
            "Dreamcrafts",
            "Etched On My Art",
            "Every Knit As Good",
            "Fab Fabrics",
            "Fabric Antics",
            "Fabric Magic",
            "First Create",
            "Flair Play",
            "Flair is Fair",
            "Flair to Share",
            "Flair to Spare",
            "Flights of Fancy",
            "Flying Art",
            "For Art's Sake",
            "For Keep's Sake",
            "For the Most Art",
            "From the Art",
            "Full Seam Ahead",
            "Giftsakes",
            "Go With the Sew",
            "Handy Craft",
            "Handy Handmades",
            "Handy Hands",
            "Happily Ever Crafter",
            "Happy Designs",
            "Heart in Art",
            "Heart to Home",
            "Heavenly Handmade",
            "Hot Threads",
            "I Got Crafts",
            "I Sew It",
            "In Good Hands",
            "In Stitches",
            "In These Arts",
            "In a Stitch",
            "Itching for Stitching",
            "Knit Fit",
            "Knit Knot",
            "Knit Picks",
            "Knit Wit",
            "Knit by Knit",
            "Knit for the Gods",
            "Knitter Critter",
            "Knot Always",
            "Knot Done",
            "Knot Impossible",
            "Knot Lost",
            "Knot a Bit",
            "Knotty Knitters",
            "Make, Believe",
            "Many Hands",
            "My Flair Lady",
            "Near to My Art",
            "Needle in a Haystack",
            "Nightcrafts",
            "No Haste, No Waste",
            "Of the Arts",
            "One Little Knit",
            "Out of the Box",
            "Piece of My Art",
            "Pieces of Art",
            "Pocket Crafts",
            "Pulse Art",
            "Right From the Art",
            "Robin Wood",
            "Seam Come True",
            "Seam On",
            "Seam With Pride",
            "Seam World",
            "Seam's Right",
            "Sew Crafty",
            "Sew Flow",
            "Sew It Goes",
            "Sew It Happens",
            "Sew Loveley",
            "Sew Pretty",
            "Sew Sinful",
            "Sew Solutions",
            "Sew and Saw",
            "Sew and Sell",
            "Sew and Sew",
            "Sew of Hands",
            "Sew the Story Goes",
            "Sewley",
            "Sinful Soaps",
            "Smart Art",
            "Snip Snap",
            "So Far, Sew Good",
            "Spun Fun",
            "State of Create",
            "Stensability",
            "Stitch Away",
            "Stitch Itch",
            "Stitch-Perfect",
            "Sum of my Arts",
            "Sweet Craftations",
            "Sweet Scents",
            "Sweet Seams",
            "Textile Aisle",
            "Textile Smile",
            "Textile Style",
            "Textilophile",
            "That's Sew Creative",
            "The Art Bard",
            "The Art Box",
            "The Art Cart",
            "The Big Ball of Yarn",
            "The Craft Circus",
            "The Craft Crustacean",
            "The Craft Draft",
            "The Craft Room",
            "The Craft Zone",
            "The Flair Bear",
            "The Flair Lair",
            "The Flairy",
            "The More You Bow",
            "The Needle 'n Thread",
            "The Seam Dream",
            "The Seam Theme",
            "The Sew Show",
            "The Sewing Room",
            "The Stitch Kettle",
            "The Stitch Witch",
            "The Thread 'n Needle",
            "The Unique Boutique",
            "Thread and Buttons",
            "Thread of Roses",
            "Threaded Needle",
            "Tins and Needles",
            "To Be Flair",
            "True Knit",
            "Whimsical Woods",
            "Whole Knit and Caboodle",
            "Wildest Seams",
            "Wood That I Could",
            "Would Craft",
            "You Craft What You Sew",
            "You Imbued",
        ]
        return choice(c1)


class Enchanter(Store):
    @staticmethod
    def generate():
        c1 = [
            "a",
            "e",
            "i",
            "o",
            "u",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
        ]
        c2 = [
            "b",
            "d",
            "k",
            "l",
            "m",
            "n",
            "p",
            "r",
            "s",
            "t",
            "b",
            "d",
            "f",
            "g",
            "h",
            "k",
            "l",
            "m",
            "n",
            "p",
            "r",
            "s",
            "t",
            "v",
            "w",
            "y",
            "z",
            "br",
            "dr",
            "gr",
            "kr",
            "pr",
            "str",
            "tr",
            "bl",
            "cl",
            "fl",
            "gl",
            "kl",
            "pl",
            "sl",
        ]
        c3 = [
            "a",
            "e",
            "i",
            "o",
            "u",
            "a",
            "e",
            "i",
            "o",
            "u",
            "ae",
            "ea",
            "ou",
            "au",
            "a",
            "e",
            "o",
        ]
        c4 = ["d", "f", "g", "k", "l", "m", "n", "p", "r", "s", "t", "x"]
        c5 = ["w", "n", "s", "m", "r", "", "", "", "", "", "", ""]
        c6 = [
            "any",
            "arry",
            "arth",
            "arths",
            "arts",
            "elts",
            "erra",
            "erry",
            "erth",
            "eth",
            "iams",
            "ia",
            "iara",
            "ine",
            "inns",
            "iths",
            "iton",
            "ity",
            "onia",
            "ons",
            "ora",
            "ore",
            "orth",
            "orths",
            "ose",
            "yce",
        ]
        c7 = [
            "Academy of Sorcery",
            "Academy of Spells",
            "Academy of Magics",
            "Academy of Witchcraft",
            "Academy of Wizardry",
            "Academy of the Arcane",
            "Institute of Magics",
            "Institute of Wizardy",
            "Institute of the Arcane",
            "School of Magics",
            "School of Sorcery",
            "School of Witchcraft",
            "School of Wizardry",
            "School of Wizards",
            "School of the Arcane",
        ]

        return str(
            choice(c1) + choice(c2) + choice(c3) + choice(c4) + choice(c5) + choice(c6) + ", " + choice(c7)
        ).title()


class Alchemist(Store):
    @staticmethod
    def generate():
        p1 = [
            "Abracapothecary",
            "Abrakadabra",
            "Ace High",
            "Angels and Demons",
            "Arcane Affinity",
            "Arcane Infinity",
            "Arcane Minded",
            "Augury and Alchemy",
            "Bona Fida",
            "Botanica Magica",
            "Breaking Point",
            "Celestial Spell",
            "Cures and Curses",
            "Darkness and Lightness",
            "Demons and Daemons",
            "Dispel and That Spell",
            "Doves and Pigeons",
            "Dragonfire",
            "Eagle's Eye",
            "Embers and Ashes",
            "Faerie Fire",
            "Fantasma",
            "Fortunes and Luck",
            "Genie's Lantern",
            "Genius in a Bottle",
            "Ghosts 'n Stuff",
            "Ghosts and Phantoms",
            "Gobl-Inn",
            "Gorgons and Gremlins",
            "Griffins and Gargoyles",
            "Heaven's Door",
            "Hell's Gate",
            "Herbs and Lotions",
            "Hexes and Jinxes",
            "Hocus Pocus",
            "Hocusses and Pocusses",
            "Horoscopes and Heroscopes",
            "Illuminations",
            "Invisibility and Invincibility",
            "Ki and Chi",
            "Nostrum Arcade",
            "Omnipharmacon",
            "Orbs and Talismans",
            "Palindrome",
            "Pandora",
            "Pandora's Box",
            "Pharmagician",
            "Pixie Dust",
            "Polymorph",
            "Portable Potents",
            "Potions and Cauldrons",
            "Potions and Lotions",
            "Rainbows and Sunshine",
            "Runes and Relics",
            "Runes and Rods",
            "Shades and Shadows",
            "Shifted Polarity",
            "Siphons and Souls",
            "Smoke and Mirrors",
            "Solutions",
            "Solutions and Answers",
            "Spellbound",
            "Spellunking",
            "Spheres and Orbs",
            "Sprites and Spirits",
            "Staves and Stoves",
            "Sticks and Stones",
            "Taboos and Voodoos",
            "Telekinesis and Telepathy",
            "The Acolyte",
            "The Alchemist",
            "The Animorph",
            "The Arcane Barrier",
            "The Arcane Gateway",
            "The Arcane Scroll",
            "The Archangel",
            "The Banished Beast",
            "The Banshee's Scream",
            "The Belly of the Beast",
            "The Black Couldron",
            "The Blink",
            "The Blissful Blizzard",
            "The Blood Pact",
            "The Bloodstone",
            "The Blue Moon",
            "The Book of Riddles",
            "The Bound Tome",
            "The Bramble Staff",
            "The Broken Vial",
            "The Cat In The Hat",
            "The Champion's Scroll",
            "The Charm",
            "The Cloak and Dagger",
            "The Cloak of Invisibility",
            "The Companion",
            "The Cone of Cold",
            "The Conjured Refreshment",
            "The Counterspell",
            "The Crystal Ball",
            "The Dark Flame",
            "The Daydream",
            "The Decoy",
            "The Devil's Key",
            "The Dew Drop",
            "The Double Whammy",
            "The Dragon Aspect",
            "The Dragon Dungeon",
            "The Dragon Seal",
            "The Dragon Slayer",
            "The Dragon's Breath",
            "The Dragonhide",
            "The Dusty Tome",
            "The Dwarven Beard",
            "The Ectoplasm",
            "The Elder Scroll",
            "The Elemental Fury",
            "The Equinox",
            "The Ethereal",
            "The Evil Eye",
            "The Eye of Newt",
            "The Falling Feather",
            "The Familiar",
            "The Faulty Dice",
            "The Fel Steed",
            "The Fifth Element",
            "The Final Form",
            "The Fireball",
            "The Flying Carpet",
            "The Force Field",
            "The Frosty Finger",
            "The Giant Gnome",
            "The Golden Lead",
            "The Grey Beard",
            "The Halberdashery",
            "The Holy Grail",
            "The Hourglass",
            "The Illusion",
            "The Last Spell",
            "The Laughing Leprichaun",
            "The Laughing Skull",
            "The Life Drain",
            "The Little Bunyip",
            "The Little Pixie",
            "The Living Statue",
            "The Magic Box",
            "The Magic Dart",
            "The Magnet",
            "The Minotaur Maze",
            "The Mirage",
            "The Mirror Image",
            "The Mistletoe",
            "The Mithril Mantle",
            "The Mystery",
            "The Mystic Mythic",
            "The Nether and Void",
            "The Nightmare",
            "The Ninth Life",
            "The Pegasus",
            "The Pestle and Mortar",
            "The Philosopher's Stone",
            "The Phoenix Feather",
            "The Plane Walker",
            "The Portal",
            "The Prophecy",
            "The Quiet Ritual",
            "The Raven's Message",
            "The Raven's Quill",
            "The Red Slippers",
            "The Revelation",
            "The Ring of Life",
            "The Risen Phoenix",
            "The Royal Frog",
            "The Rune",
            "The Second Chance",
            "The Shooting Star",
            "The Silver Bullet",
            "The Silver Spoon",
            "The Siphon",
            "The Siren's Song",
            "The Skeleton Closet",
            "The Sleeping Owl",
            "The Sleight of Hand",
            "The Soothsayer",
            "The Sorcerer's Source",
            "The Soul Apothecary",
            "The Soulstone",
            "The Spell Counter",
            "The Sphere",
            "The Spirit Walk",
            "The Stone in the Sword",
            "The Summoned Goods",
            "The Summoning Scroll",
            "The Sword in the Stone",
            "The Talisman",
            "The Tenth Ring",
            "The Third Wish",
            "The Time Warp",
            "The Tinkered Tiara",
            "The Trick Sleeve",
            "The Twilight Zone",
            "The Twinkle Star",
            "The Twisting Nether",
            "The Unicorn",
            "The Unicorn's Horn",
            "The Vision",
            "The Voodoo Doll",
            "The Wand's Want",
            "The Water Elemental",
            "The White Beard",
            "The White Dove",
            "The Wishbone",
            "The Witch's Nose",
            "The Wooden Stake",
            "The Wyrm and the Worm",
            "Tinctures 'n Tonics",
            "Tomes and Tiaras",
            "Trident Trinity",
            "Trinkets and Tronkets",
            "Triton's Tident",
            "Wizard's Mail",
        ]
        p2 = [
            "Adorable",
            "Affordable",
            "Aggressive",
            "Amazing",
            "Amusing",
            "Ancient",
            "Angry",
            "Antique",
            "Awesome",
            "Awkward",
            "Baby",
            "Bathing",
            "Big",
            "Bigger",
            "Bitter",
            "Ebon",
            "Bleeding",
            "Blind",
            "Blushing",
            "Brass",
            "Bright",
            "Brilliant",
            "Bronze",
            "Brown",
            "Cheap",
            "Cheating",
            "Cheering",
            "Clean",
            "Clever",
            "Common",
            "Corrupt",
            "Corrupted",
            "Crafty",
            "Crazy",
            "Creeping",
            "Cuddly",
            "Curly",
            "Dancing",
            "Dapper",
            "Dark",
            "Dirty",
            "Dizzy",
            "Dreaming",
            "Eager",
            "Early",
            "Elder",
            "Elegant",
            "Elementary",
            "Evil",
            "Exalted",
            "Expert",
            "Fading",
            "Fair",
            "Fake",
            "False",
            "Famous",
            "Fancy",
            "Fantastic",
            "Fast",
            "Flimsy",
            "Fluffy",
            "Forsaken",
            "Frozen",
            "Gentle",
            "Glass",
            "Glowing",
            "Golden",
            "Graceful",
            "Greedy",
            "Green",
            "Grim",
            "Grumpy",
            "Hairy",
            "Happy",
            "Haunting",
            "Heavy",
            "Hidden",
            "Huge",
            "Humble",
            "Hungry",
            "Invincible",
            "Invisible",
            "Iron",
            "Jolly",
            "Kind",
            "Large",
            "Last",
            "Laughing",
            "Lazy",
            "Light",
            "Little",
            "Lonely",
            "Loving",
            "Lucky",
            "Mad",
            "Majestic",
            "Mellow",
            "Merry",
            "Naughty",
            "Needy",
            "New",
            "Nutty",
            "Old",
            "Phony",
            "Plain",
            "Pretty",
            "Quick",
            "Quiet",
            "Rapid",
            "Rare",
            "Royal",
            "Scary",
            "Screaming",
            "Second",
            "Secret",
            "Serene",
            "Shady",
            "Silly",
            "Silver",
            "Sleeping",
            "Small",
            "Sneaky",
            "Steel",
            "Storm",
            "Striped",
            "Tall",
            "Thunder",
            "Tiny",
            "Tired",
            "Weeping",
            "Wicked",
            "Wild",
            "Wise",
        ]
        p3 = [
            "Amulet",
            "Angel",
            "Artifact",
            "Banshee",
            "Basilisk",
            "Beacon",
            "Bigfoot",
            "Blade",
            "Book",
            "Boots",
            "Branch",
            "Bunyip",
            "Cauldron",
            "Centaur",
            "Cerberus",
            "Chimera",
            "Chupacabra",
            "Cloak",
            "Cockatrice",
            "Codex",
            "Crown",
            "Cupid",
            "Cyclops",
            "Demon",
            "Dragon",
            "Draugr",
            "Dryad",
            "Dwarf",
            "Elemental",
            "Elf",
            "Ent",
            "Fairy",
            "Faun",
            "Feathered Serpent",
            "Focus",
            "Gargoyle",
            "Gauntlet",
            "Genie",
            "Ghost",
            "Giant",
            "Gnome",
            "Gorgon (Medussa)",
            "Gremlin",
            "Griffin",
            "Grim Reaper",
            "Hag",
            "Harpy",
            "Hellhound",
            "Hippocampus",
            "Hippogriff",
            "Hobbit",
            "Hobgoblin",
            "Hourglass",
            "Human",
            "Hydra",
            "Imp",
            "Incubus/Succubus",
            "Jackalope",
            "Key",
            "Kobold",
            "Kraken",
            "Leprechaun",
            "Lich",
            "Lute",
            "Manticore",
            "Marker",
            "Mermaid",
            "Minotaur",
            "Mummy",
            "Naga",
            "Nymph",
            "Ogre",
            "Orb",
            "Pegasus",
            "Phoenix",
            "Pixie",
            "Poltergeist",
            "Quill",
            "Ring",
            "Robe",
            "Roc",
            "Rune",
            "Sandman",
            "Sasquatch",
            "Satyr",
            "Scepter",
            "Scroll",
            "Seal",
            "Shapeshifter",
            "Shield",
            "Siren",
            "Skeleton",
            "Skull",
            "Sphere",
            "Sphinx",
            "Spriggan",
            "Sprite",
            "Staff",
            "Stone",
            "Sword",
            "Talisman",
            "Tiara",
            "Tome",
            "Troll",
            "Unicorn",
            "Valkyrie",
            "Vampire",
            "Vial",
            "Wand",
            "Wendigo",
            "Werecat",
            "Werewolf",
            "White Stag",
            "Winged Lion",
            "Winged Unicorn",
            "Wisp",
            "Wolpertinger",
            "World Turtle",
            "Wraith",
            "Wyvern",
            "Yeti",
            "Zombie",
        ]
        if randrange(2):
            return choice(p1).title()
        else:
            return str("The " + choice(p2) + " " + choice(p3)).title()


class Restaurant(Store):
    class RestaurantType(StrEnum):
        Diner = auto()
        French = auto()
        Tavern = auto()

    @staticmethod
    def Tavern():
        t1 = [
            "The Abandoned",
            "The Absent",
            "The Abstract",
            "The Accidental",
            "The Adorable",
            "The Aggressive",
            "The Alien",
            "The American",
            "The Amused",
            "The Ancient",
            "The Annoying",
            "The Anxious",
            "The Aquatic",
            "The Armed",
            "The Aromatic",
            "The Ashamed",
            "The Asian",
            "The Assorted",
            "The Attractive",
            "The Australian",
            "The Automatic",
            "The Awesome",
            "The Awful",
            "The Bad",
            "The Beautiful",
            "The Best",
            "The Better",
            "The Big",
            "The Bitter",
            "The Bizarre",
            "The Black",
            "The Bloody",
            "The Blue",
            "The Blushing",
            "The Boiling",
            "The Bored",
            "The Bouncy",
            "The Brass",
            "The Brave",
            "The Broad",
            "The Broken",
            "The Bronze",
            "The Bumpy",
            "The Busy",
            "The Calm",
            "The Careful",
            "The Careless",
            "The Cheap",
            "The Chilly",
            "The Chinese",
            "The Chubby",
            "The Chunky",
            "The Clean",
            "The Clever",
            "The Closed",
            "The Clumsy",
            "The Cold",
            "The Colossal",
            "The Confident",
            "The Cool",
            "The Copper",
            "The Courageous",
            "The Cowardly",
            "The Crazy",
            "The Creepy",
            "The Crowded",
            "The Cruel",
            "The Cunning",
            "The Curious",
            "The Cute",
            "The Daily",
            "The Dancing",
            "The Dangerous",
            "The Dapper",
            "The Dark",
            "The Dazzling",
            "The Dead",
            "The Deep",
            "The Defeated",
            "The Defiant",
            "The Delirious",
            "The Deranged",
            "The Deserted",
            "The Detailed",
            "The Devilish",
            "The Diamond",
            "The Different",
            "The Dire",
            "The Dirty",
            "The Disarmed",
            "The Discreet",
            "The Double",
            "The Drab",
            "The Dramatic",
            "The Drunk",
            "The Drunken",
            "The Dry",
            "The Dusty",
            "The Dutch",
            "The Dwarven",
            "The Dwarvish",
            "The Dynamic",
            "The Eager",
            "The Early",
            "The Earthy",
            "The Educated",
            "The Efficient",
            "The Electric",
            "The Elegent",
            "The Elite",
            "The Embarrassed",
            "The Empty",
            "The Enchanted",
            "The Entertaining",
            "The Equal",
            "The Ethereal",
            "The Even",
            "The Excellent",
            "The Excited",
            "The Exclusive",
            "The Exotic",
            "The Expensive",
            "The Fabulous",
            "The Faded",
            "The Faint",
            "The False",
            "The Familiar",
            "The Famous",
            "The Fancy",
            "The Fantastic",
            "The Far",
            "The Far Away",
            "The Fascinated",
            "The Fascinating",
            "The Fast",
            "The Fearless",
            "The Fiery",
            "The Filthy",
            "The Fine",
            "The First",
            "The Fixed",
            "The Flashy",
            "The Fluffy",
            "The Foamy",
            "The Foolish",
            "The Fragile",
            "The Free",
            "The Freezing",
            "The French",
            "The Frightened",
            "The Frightening",
            "The Frozen",
            "The Full",
            "The Future",
            "The Futuristic",
            "The Fuzy",
            "The General",
            "The Gentle",
            "The German",
            "The Ghastly",
            "The Ghost",
            "The Giant",
            "The Gifted",
            "The Gigantic",
            "The Glamorous",
            "The Glistening",
            "The Glorious",
            "The Godly",
            "The Golden",
            "The Good",
            "The Goofy",
            "The Gorgeous",
            "The Grateful",
            "The Gray",
            "The Greasy",
            "The Green",
            "The Grey",
            "The Groovy",
            "The Gruesome",
            "The Grumpy",
            "The Gullible",
            "The Handy",
            "The Happy",
            "The Harsh",
            "The Healthy",
            "The Heavenly",
            "The Heavy",
            "The Hidden",
            "The High",
            "The Hilarious",
            "The Hissing",
            "The Hollow",
            "The Honorable",
            "The Hot",
            "The Huge",
            "The Hungry",
            "The Hypnotic",
            "The Icky",
            "The Imaginary",
            "The Imperfect",
            "The Impolite",
            "The Impossible",
            "The Incompetent",
            "The Incredible",
            "The Infamous",
            "The Innocent",
            "The Intelligent",
            "The Interesting",
            "The International",
            "The Iron",
            "The Itchy",
            "The Ivory",
            "The Jaded",
            "The Jagged",
            "The Japanese",
            "The Jazzy",
            "The Jealous",
            "The Jewish",
            "The Jolly",
            "The Juicy",
            "The Kaput",
            "The Keen",
            "The Kind",
            "The Known",
            "The Lame",
            "The Last",
            "The Late",
            "The Latin",
            "The Latino",
            "The Laughable",
            "The Laughing",
            "The Lazy",
            "The Lean",
            "The Left",
            "The Lethal",
            "The Light",
            "The Likeable",
            "The Limping",
            "The Little",
            "The Lively",
            "The Lonely",
            "The Long",
            "The Longing",
            "The Loud",
            "The Lovely",
            "The Loving",
            "The Lucky",
            "The Lush",
            "The Lying",
            "The Lyrical",
            "The Macho",
            "The Magenta",
            "The Magical",
            "The Magnificent",
            "The Majestic",
            "The Mammoth",
            "The Maniacal",
            "The Marked",
            "The Married",
            "The Marvelous",
            "The Massive",
            "The Mature",
            "The Mean",
            "The Measly",
            "The Mellow",
            "The Melting",
            "The Merciful",
            "The Messy",
            "The Metal",
            "The Middle",
            "The Mighty",
            "The Minor",
            "The Misty",
            "The Mixed",
            "The Mixing",
            "The Modern",
            "The Moldy",
            "The Molten",
            "The Murky",
            "The Mushy",
            "The Mute",
            "The Mysterious",
            "The Naive",
            "The Narrow",
            "The Nasty",
            "The National",
            "The Natural",
            "The Naughty",
            "The Needy",
            "The Nervous",
            "The New",
            "The Next",
            "The Next Best",
            "The Nice",
            "The Nifty",
            "The Nimble",
            "The Nonstalgic",
            "The Obedient",
            "The Obnoxious",
            "The Oceanic",
            "The Odd",
            "The Old",
            "The Old Fashioned",
            "The Open",
            "The Opposite",
            "The Orange",
            "The Organic",
            "The Oriental",
            "The Outrageous",
            "The Overrated",
            "The Painful",
            "The Panoramic",
            "The Parallel",
            "The Pathetic",
            "The Peaceful",
            "The Perfect",
            "The Pink",
            "The Plain",
            "The Pleasant",
            "The Pointless",
            "The Polite",
            "The Poor",
            "The Precious",
            "The Private",
            "The Protective",
            "The Proud",
            "The Psychotic",
            "The Puny",
            "The Purple",
            "The Puzzled",
            "The Puzzling",
            "The Quack",
            "The Quacking",
            "The Quaint",
            "The Quick",
            "The Quickest",
            "The Quiet",
            "The Rabid",
            "The Rainy",
            "The Rapid",
            "The Rare",
            "The Real",
            "The Rebel",
            "The Rebelious",
            "The Red",
            "The Reflecting",
            "The Regular",
            "The Relieved",
            "The Repulsive",
            "The Responsible",
            "The Rich",
            "The Right",
            "The Righteous",
            "The Romantic",
            "The Rotten",
            "The Round",
            "The Royal",
            "The Running",
            "The Russian",
            "The Ruthless",
            "The Sad",
            "The Safe",
            "The Salty",
            "The Scared",
            "The Scary",
            "The Scattered",
            "The Second",
            "The Secret",
            "The Serious",
            "The Shaggy",
            "The Shaking",
            "The Shattered",
            "The Short",
            "The Shouting",
            "The Sick",
            "The Sickly",
            "The Silent",
            "The Silver",
            "The Simple",
            "The Singing",
            "The Skilled",
            "The Skillful",
            "The Skinny",
            "The Sleeping",
            "The Sleepy",
            "The Slippery",
            "The Slow",
            "The Smart",
            "The Smelly",
            "The Smiling",
            "The Smooth",
            "The Snobbish",
            "The Snoring",
            "The Soft",
            "The Solid",
            "The Sore",
            "The Sour",
            "The Sparkling",
            "The Special",
            "The Spectacular",
            "The Spicy",
            "The Spiritual",
            "The Spooky",
            "The Spotless",
            "The Spotted",
            "The Square",
            "The Stately",
            "The Steel",
            "The Stormy",
            "The Successful",
            "The Sudden",
            "The Super",
            "The Superb",
            "The Supreme",
            "The Sweet",
            "The Sweet and Sour",
            "The Swift",
            "The Tacky",
            "The Talented",
            "The Tall",
            "The Tame",
            "The Tasty",
            "The Teeny",
            "The Temporary",
            "The Terrible",
            "The Terrific",
            "The Thanked",
            "The Thankful",
            "The Thick",
            "The Thin",
            "The Third",
            "The Thoughtful",
            "The Threatened",
            "The Threatening",
            "The Thundering",
            "The Timid",
            "The Tiny",
            "The Tipsy",
            "The Tired",
            "The Towering",
            "The Triangular",
            "The Tricky",
            "The Twelve",
            "The Twin",
            "The Typical",
            "The Ugliest",
            "The Ugly",
            "The Unarmed",
            "The Uneven",
            "The Unique",
            "The Unknown",
            "The Unnatural",
            "The Unusual",
            "The Unwritten",
            "The Upset",
            "The Vagabond",
            "The Vague",
            "The Valuable",
            "The Vengeful",
            "The Venomous",
            "The Victorious",
            "The Violent",
            "The Violet",
            "The Voiceless",
            "The Vulgar",
            "The Wacky",
            "The Waiting",
            "The Wandering",
            "The Warm",
            "The Weak",
            "The Well-Groomed",
            "The Wet",
            "The Whimsical",
            "The Whispering",
            "The White",
            "The Wicked",
            "The Wild",
            "The Windy",
            "The Wise",
            "The Wooden",
            "The Worthless",
            "The Wretched",
            "The Wrong",
            "The Demon",
            "The Yellow",
            "The Young",
            "The Zealous",
            "Ye Olde",
            "Ye Olde",
            "Ye Olde",
            "Ye Olde",
            "Ye Olde",
            "Ye Olde",
            "Ye Olde",
            "Ye Olde",
            "Ye Olde",
            "Ye Olde",
        ]
        t2 = [
            "",
            "",
            "",
            "",
            "",
            "",
            "Accordion",
            "Adventurer",
            "Albatross",
            "Alligator",
            "Anemone",
            "Angel",
            "Angels",
            "Ant",
            "Anteater",
            "Antelope",
            "Ants",
            "Ape",
            "Apple",
            "Apples",
            "Arm",
            "Armadillo",
            "Avocado",
            "Axe",
            "Baboon",
            "Bachelor",
            "Badger",
            "Bagpipe",
            "Baker",
            "Balloon",
            "Bamboo",
            "Banjo",
            "Barracuda",
            "Barrel",
            "Barricade",
            "Bass",
            "Bassoon",
            "Bat",
            "Bats",
            "Battleaxe",
            "Bean",
            "Bear",
            "Beard",
            "Bears",
            "Beaver",
            "Beavers",
            "Bed",
            "Bee",
            "Bees",
            "Bell",
            "Bells",
            "Belltower",
            "Bird",
            "Birds",
            "Bison",
            "Blossom",
            "Boat",
            "Bone",
            "Bongo",
            "Book",
            "Books",
            "Boulder",
            "Bow",
            "Bowl",
            "Brain",
            "Branch",
            "Buffalo",
            "Bunny",
            "Butcher",
            "Butterflies",
            "Butterfly",
            "Cabbage",
            "Cake",
            "Camel",
            "Canary",
            "Candle",
            "Captain",
            "Carrot",
            "Cashew",
            "Castle",
            "Cat",
            "Caterpillar",
            "Cats",
            "Cave",
            "Cavern",
            "Celery",
            "Cello",
            "Chain",
            "Chainmail",
            "Chair",
            "Cheese",
            "Cheetah",
            "Cherry",
            "Chestnut",
            "Chestplate",
            "Chick",
            "Chicken",
            "Child",
            "Chimpanzee",
            "Cinamon",
            "City",
            "Clam",
            "Clams",
            "Clarinet",
            "Cliff",
            "Cloth",
            "Cobra",
            "Coconut",
            "Cod",
            "Coin",
            "Cookie",
            "Corn",
            "Couple",
            "Coyote",
            "Crab",
            "Crabs",
            "Crane",
            "Crew",
            "Crocodile",
            "Crossbow",
            "Crow",
            "Crows",
            "Crystal",
            "Cucumber",
            "Cup",
            "Curry",
            "Cushion",
            "Dagger",
            "Dahlia",
            "Dandelion",
            "Dark Elf",
            "Dawg",
            "Deer",
            "Demon",
            "Demons",
            "Desk",
            "Dessert",
            "Didgeridoo",
            "Dinosaur",
            "Discovery",
            "Dog",
            "Dogs",
            "Donkey",
            "Dove",
            "Doves",
            "Dragon",
            "Dragonfruit",
            "Dragons",
            "Drum",
            "Drumstick",
            "Duck",
            "Ducks",
            "Duduk",
            "Dwarf",
            "Eagle",
            "Eagles",
            "Eel",
            "Egg",
            "Elderberry",
            "Elephant",
            "Elephant Seal",
            "Elephants",
            "Elf",
            "Emu",
            "Explorer",
            "Fairy",
            "Falcon",
            "Falcons",
            "Ferret",
            "Fiddle",
            "Fiddler",
            "Fig",
            "Fire",
            "Fish",
            "Flame",
            "Flea",
            "Flies",
            "Flower",
            "Flute",
            "Fly",
            "Forest",
            "Fork",
            "Fowl",
            "Fox",
            "Frog",
            "Gang",
            "Garden",
            "Gate",
            "Gauntlet",
            "Gazelle",
            "Geese",
            "Gentleman",
            "Gentlemen",
            "Gentlewoman",
            "Gentlewomen",
            "Giant",
            "Giraffe",
            "Glass",
            "Glory",
            "Goat",
            "Goats",
            "Goose",
            "Gooseberry",
            "Gopher",
            "Gorilla",
            "Grape",
            "Grasshopper",
            "Grotto",
            "Group",
            "Guard",
            "Guinea Pig",
            "Guinea Pigs",
            "Guitar",
            "Hag",
            "Halberd",
            "Hammer",
            "Hamster",
            "Hamsters",
            "Hand",
            "Harbour",
            "Harp",
            "Hatchet",
            "Hawk",
            "Hawks",
            "Hazelnut",
            "Head",
            "Heart",
            "Helm",
            "Helmet",
            "Hill",
            "Hippo",
            "Hippopotamus",
            "Hog",
            "Horn",
            "Hornet",
            "Hornets",
            "Horse",
            "Horses",
            "Hunter",
            "Huntress",
            "Husband",
            "Hyacinth",
            "Hyena",
            "Ice",
            "Ingot",
            "Jackal",
            "Jackals",
            "Jaguar",
            "Jellyfish",
            "Jester",
            "Kangaroo",
            "King",
            "Kitten",
            "Kiwi",
            "Knife",
            "Knight",
            "Koala",
            "Kumquat",
            "Lady",
            "Lake",
            "Lamb",
            "Lamp",
            "Lantern",
            "Lavender",
            "Leader",
            "Leaf",
            "Leg",
            "Lemon",
            "Leopard",
            "Lettuce",
            "Librarian",
            "Library",
            "Lily",
            "Lime",
            "Lion",
            "Lioness",
            "Lions",
            "Llama",
            "Loaf",
            "Lobster",
            "Lobsters",
            "Loch",
            "Lord",
            "Lute",
            "Lychee",
            "Lyre",
            "Magpie",
            "Manatee",
            "Mandolin",
            "Mango",
            "Maple",
            "Marigold",
            "Master",
            "Meat",
            "Meerkat",
            "Melon",
            "Melons",
            "Mice",
            "Midget",
            "Mind",
            "Mole",
            "Moon",
            "Morning Glory",
            "Mosquito",
            "Mountain",
            "Mouse",
            "Moustache",
            "Mushroom",
            "Narcissus",
            "Night",
            "Night Elf",
            "Nightingale",
            "Note",
            "Nugget",
            "Nut",
            "Nutmeg",
            "Oak",
            "Ocean",
            "Octopus",
            "Olive",
            "Onion",
            "Opossum",
            "Orange",
            "Orangutan",
            "Orc",
            "Ore",
            "Ostrich",
            "Otter",
            "Owl",
            "Ox",
            "Oyster",
            "Oysters",
            "Palm",
            "Pan Flute",
            "Panda",
            "Panther",
            "Pants",
            "Papaya",
            "Parrot",
            "Parrots",
            "Parsnip",
            "Pea",
            "Peacock",
            "Peanut",
            "Pear",
            "Pearl",
            "Pegasus",
            "Pelican",
            "Peon",
            "Pepper",
            "Piano",
            "Pickaxe",
            "Pie",
            "Pig",
            "Pigeon",
            "Pigeons",
            "Pike",
            "Pillow",
            "Pirate",
            "Pistachio",
            "Planet",
            "Plate",
            "Ponies",
            "Pony",
            "Potato",
            "Prince",
            "Princess",
            "Pudding",
            "Pumpkin",
            "Puppy",
            "Queen",
            "Rabbit",
            "Raccoon",
            "Rapier",
            "Raspberry",
            "Rat",
            "Rats",
            "Raven",
            "Reindeer",
            "Rhino",
            "Rhinoceros",
            "Rhododendron",
            "River",
            "Rock",
            "Root",
            "Rope",
            "Rose",
            "Sail",
            "Sailboat",
            "Salad",
            "Salmon",
            "Salt",
            "Saxophone",
            "Scream",
            "Sea",
            "Seadog",
            "Seagull",
            "Seagulls",
            "Seahorse",
            "Seal",
            "Seals",
            "Serpent",
            "Shark",
            "Sharks",
            "Sheep",
            "Shield",
            "Ship",
            "Shipmate",
            "Shirt",
            "Shoe",
            "Shovel",
            "Shrub",
            "Sign",
            "Skies",
            "Skull",
            "Skunk",
            "Skunks",
            "Snail",
            "Snake",
            "Snakes",
            "Snapdragon",
            "Snow",
            "Snowball",
            "Snowdrop",
            "Snowfall",
            "Soup",
            "Spade",
            "Spider",
            "Spiders",
            "Spoon",
            "Squash",
            "Squid",
            "Squirrel",
            "Stag",
            "Star",
            "Stars",
            "Steed",
            "Stew",
            "Stick",
            "Stone",
            "Strawberry",
            "Stream",
            "Sugar",
            "Sun",
            "Swallow",
            "Swan",
            "Sword",
            "Table",
            "Tankard",
            "Tauren",
            "Tea Cup",
            "Termite",
            "Throne",
            "Tiger",
            "Tigers",
            "Tigress",
            "Toad",
            "Tomato",
            "Tortoise",
            "Tower",
            "Town",
            "Traveler",
            "Tree",
            "Trespasser",
            "Triangle",
            "Troll",
            "Trombone",
            "Trout",
            "Truffle",
            "Trumpet",
            "Trunk",
            "Tuba",
            "Tulip",
            "Turkey",
            "Turnip",
            "Turtle",
            "Tusk",
            "Twig",
            "Ukulele",
            "Unicorn",
            "Unicorns",
            "Vampire",
            "Vanilla",
            "Vanilla Bean",
            "Violin",
            "Wall",
            "Water",
            "Weasel",
            "Well",
            "Whale",
            "Whip",
            "Whisper",
            "Whistle",
            "Wife",
            "Wilderbeast",
            "Willow",
            "Wolf",
            "Wolves",
            "Wood Elf",
            "Woodpecker",
            "Worker",
            "Worm",
            "Xylophone",
            "Yak",
            "Yam",
            "Yew",
            "Zebra",
        ]
        t3 = ["Pub", "Tavern", "Inn", "Bar", "", ""]
        return choice(t1) + " " + choice(t2) + " " + choice(t3)

    @staticmethod
    def Diner():
        r1 = [
            "Abacus",
            "Amber",
            "Aqua",
            "Arctic",
            "Aroma",
            "Autumn",
            "Baking",
            "Bamboo",
            "Beach",
            "Bengal",
            "Big",
            "Big City",
            "Bitter",
            "Boiling",
            "Bright",
            "Saffron",
            "Brimstone",
            "Bronze",
            "Caramel",
            "Caribbean",
            "Caviar",
            "Central",
            "Champagne",
            "Charming",
            "Chili",
            "Chocolate",
            "Chopping",
            "Cinnamon",
            "City",
            "Clear",
            "Coastal",
            "Cocoa",
            "Coffee",
            "Comet",
            "Cool",
            "Cool Cat",
            "Copper",
            "Coriander",
            "Corner",
            "Court",
            "Crimson",
            "Crystal",
            "Curry",
            "Dairy",
            "Dapper",
            "Delhi",
            "Dwarf",
            "Eastern",
            "Electric",
            "Emerald",
            "Enigma",
            "Fable",
            "Fantasy",
            "Fiery",
            "Fire",
            "First",
            "Forest",
            "French",
            "Fresh",
            "Friendly",
            "Gallery",
            "Glass",
            "Golden",
            "Grand",
            "Greek",
            "Harborview",
            "Harlequin",
            "Harmonic",
            "Holy",
            "Honey",
            "Honor",
            "Hot",
            "Hungry",
            "Imperial",
            "Incredible",
            "Indian",
            "Island",
            "Italian",
            "Jade",
            "Jamming",
            "Japanese",
            "Jazz",
            "Jungle",
            "Juniper",
            "Karma",
            "King's",
            "Lakeside",
            "Lavender",
            "Light",
            "Little",
            "Lunar",
            "Mad",
            "Magical",
            "Malt",
            "Mammoth",
            "Meadow",
            "Mellow",
            "Minty",
            "Modern",
            "Moroccan",
            "Mountain",
            "Mountainview",
            "Narrow",
            "New",
            "Nifty",
            "Noodle",
            "Northern",
            "Old",
            "Olive",
            "Orange",
            "Original",
            "Oval",
            "Painted",
            "Palm",
            "Paradise",
            "Pearl",
            "Pepper",
            "Pink",
            "Polar",
            "Private",
            "Proud",
            "Queen's",
            "Rare",
            "River",
            "Royal",
            "Ruby",
            "Sailing",
            "Salty",
            "Sapphire",
            "Savory",
            "Seaside",
            "Shining",
            "Silent",
            "Silk",
            "Silver",
            "Solar",
            "Sour",
            "Southern",
            "Spaghetti",
            "Spiced",
            "Spicy",
            "Spring",
            "Square",
            "Streetwise",
            "Sugar",
            "Summer",
            "Sumo",
            "Sushi",
            "Sweet",
            "Tandoori",
            "Thai",
            "Tropical",
            "Underwater",
            "Urban",
            "Vanilla",
            "Village",
            "Vintage",
            "Violet",
            "Warm",
            "Waterfront",
            "Waterway",
            "Western",
            "Whiskey",
            "Wild",
            "Winter",
        ]
        r2 = [
            "After Dark",
            "Afternoon",
            "Ambience",
            "Angel",
            "Apple",
            "Archive",
            "Avenue",
            "Badger",
            "Balcony",
            "Barbecue",
            "Bass",
            "Bay",
            "Bear",
            "Beehive",
            "Bistro",
            "Bite",
            "Bites",
            "Blanket",
            "Blend",
            "Block",
            "Blossom",
            "Boar",
            "Bond",
            "Boulevard",
            "Brewery",
            "Brothers",
            "Canteen",
            "Castle",
            "Catch",
            "Chamber",
            "Chef",
            "Chicken",
            "Chimney",
            "Clam",
            "Cloud",
            "Clove",
            "Club",
            "Commander",
            "Cottage",
            "Court",
            "Courtyard",
            "Cow",
            "Crown",
            "Cuisine",
            "Dairy",
            "Deer",
            "Demon",
            "Devil",
            "Diner",
            "Docks",
            "Dome",
            "Door",
            "Dragon",
            "Dream",
            "Drum",
            "Duke",
            "Eats",
            "Elephant",
            "Emperor",
            "Empress",
            "Exchange",
            "Exhibit",
            "Fable",
            "Factory",
            "Faire",
            "Farmer",
            "Fence",
            "Fiddler",
            "Fish",
            "Flavour",
            "Flower",
            "Fox",
            "Fridge",
            "Front",
            "Fusion",
            "Garden",
            "Gate",
            "Genie",
            "Goat",
            "God",
            "Goddess",
            "Grill",
            "Grove",
            "Harvest",
            "Heart",
            "Heaven",
            "Hog",
            "Hook",
            "Horse",
            "Hound",
            "House",
            "Jewel",
            "Junction",
            "Kitchen",
            "Knight",
            "Laguna",
            "Lane",
            "Lantern",
            "Leaf",
            "Lighthouse",
            "Lily",
            "Lion",
            "Lobster",
            "Lounge",
            "Maple",
            "Market",
            "Merchant",
            "Mirror",
            "Mission",
            "Mockingbird",
            "Moment",
            "Moments",
            "Monkey",
            "Monument",
            "Morning",
            "Night",
            "Nights",
            "Oak",
            "Orchard",
            "Orchid",
            "Oriental",
            "Oyster",
            "Palace",
            "Panda",
            "Pantry",
            "Paradise",
            "Parlour",
            "Peasant",
            "Persia",
            "Petal",
            "Pig",
            "Pipe",
            "Pizzeria",
            "Place",
            "Pond",
            "Port",
            "Ranch",
            "Road",
            "Rooftop",
            "Room",
            "Rose",
            "Salmon",
            "Saloon",
            "Scarf",
            "Shack",
            "Shark",
            "Ship",
            "Shrimp",
            "Sisters",
            "Smith",
            "Spice",
            "Spices",
            "Star",
            "Stranger",
            "Street",
            "Street Kitchen",
            "Table",
            "Taste",
            "Tiger",
            "Tower",
            "Tree",
            "Trumpet",
            "Tulip",
            "Valley",
            "Vaults",
            "Victory",
            "View",
            "Vine",
            "Violin",
            "Walk",
            "Way",
            "Well",
            "Whale",
            "Wharf",
            "Willow",
            "Windmill",
            "Window",
            "Wok",
            "Word",
            "Yard",
        ]
        r3 = [
            "Abacus",
            "Acapella",
            "Ace",
            "After Dark",
            "Alpha",
            "Ambience",
            "Amigos",
            "Amuse",
            "Aqua",
            "Arch",
            "Aroma",
            "Atlas",
            "Aurora",
            "Babylon",
            "Backstage",
            "Bambino",
            "Bandits",
            "Basil",
            "Beehive",
            "Blossoms",
            "Blueprint",
            "Bonds",
            "Bones",
            "Bounty",
            "Brimstone",
            "Butlers",
            "Buttons",
            "Candle",
            "Carnival",
            "Castle",
            "Catch",
            "Chance",
            "Chapter",
            "Charm",
            "Cinnamon",
            "Citrus",
            "Clarity",
            "Cocoa",
            "Crickets",
            "Curiosity",
            "Daydream",
            "Drifters",
            "Elementary",
            "Elements",
            "Embers",
            "Enigma",
            "Eureka",
            "Fabled",
            "Fantasia",
            "Fiddler",
            "Fire and Ice",
            "Fluorescence",
            "Forester",
            "Friends",
            "Gastrognome",
            "Gem",
            "Gentle",
            "Glasshouse",
            "Grace",
            "Happening",
            "Harlequin",
            "Harmony",
            "Harvest",
            "Hibiscus",
            "Incognito",
            "Indigo",
            "Interlude",
            "Intermezzo",
            "Intermission",
            "Ivory",
            "Ivy",
            "Jewel",
            "Jubilee",
            "Karma",
            "Kings",
            "Kingsize",
            "Laguna",
            "Lavender",
            "Lemon",
            "Lemon Grass",
            "Lily",
            "Limestone",
            "Little China",
            "Little Italy",
            "Little Persia",
            "Maximus",
            "Maze",
            "Meadows",
            "Medallion",
            "Melting Pot",
            "Midnight",
            "Mirage",
            "Mirrors",
            "Modesty",
            "Moonlight",
            "Mumbles",
            "Nightowl",
            "Nirvana",
            "Nova",
            "Oddity",
            "Olive Grove",
            "Paragon",
            "Paramount",
            "Parlay",
            "Pavilion",
            "Petals",
            "Piccolo",
            "Podium",
            "Potroast",
            "Prospects",
            "Purity",
            "Queens",
            "Recess",
            "Retro",
            "Revelations",
            "Roadhouse",
            "Roast",
            "Robot",
            "Rogue",
            "Roots",
            "Rye",
            "Saffron",
            "Salutation",
            "Sapphire",
            "Seawise",
            "Serenade",
            "Serenity",
            "Shambles",
            "Shazam",
            "Simmer Down",
            "Skyward",
            "Solitude",
            "Solo Mio",
            "Solstice",
            "Souls",
            "Splash",
            "Starlight",
            "Steam",
            "Streetwise",
            "Sunset",
            "The Bell Tower",
            "The Boar",
            "The Boutique",
            "The Cane",
            "The Cave",
            "The Cellar",
            "The Cottage",
            "The Crown",
            "The Depot",
            "The Eclipse",
            "The Emperor",
            "The Empress",
            "The Exhibit",
            "The Gallery",
            "The Garden",
            "The Goat",
            "The Grove",
            "The Hat",
            "The Hive",
            "The Hog",
            "The Hummingbird",
            "The Island",
            "The Lamb",
            "The Lighthouse",
            "The Lion",
            "The Locket",
            "The Lotus",
            "The Maple",
            "The Mockingbird",
            "The Momument",
            "The Monarch",
            "The Nightingale",
            "The Nomad",
            "The Oak",
            "The Parlour",
            "The Peacock",
            "The Pearl",
            "The Rose",
            "The Scarf",
            "The Smile",
            "The Square",
            "The Tower",
            "The Tulip",
            "The Turban",
            "The Vine",
            "The Vineyard",
            "The Wall",
            "The Willow",
            "Tip Top",
            "Tranquility",
            "Treasure",
            "Trilogy",
            "Trinity",
            "Twilight",
            "Unwind",
            "Veil",
            "Vertigo",
            "Vista",
            "Whammy",
            "Whisperwind",
        ]
        if randrange(2):
            return "The " + choice(r1) + " " + choice(r2)
        else:
            return choice(r3)

    @staticmethod
    def French():
        r1 = [
            "Elegant",
            "Emeraude",
            "Epice",
            "Acide",
            "Acidule",
            "Affame",
            "Ambre",
            "Amer",
            "Ancien",
            "Antique",
            "Arctique",
            "Ardent",
            "Argente",
            "Bengale",
            "Bouillant",
            "Brulent",
            "Brillant",
            "Cotier",
            "Carre",
            "Chaleureux",
            "Charmant",
            "Chaud",
            "Chic",
            "Chouette",
            "Clair",
            "Cramoisi",
            "Dore",
            "Doux",
            "Fier",
            "Fou",
            "Frais",
            "Francais",
            "Gracieux",
            "Grec",
            "Harmonique",
            "Incarnat",
            "Incroyable",
            "Indien",
            "Italien",
            "Japonais",
            "Laitier",
            "Lunaire",
            "Magique",
            "Marocain",
            "Moderne",
            "Moelleux",
            "Ovale",
            "Peint",
            "Pimpant",
            "Polaire",
            "Prive",
            "Rare",
            "Releve",
            "Rose",
            "Sacre",
            "Sale",
            "Sauvage",
            "Silencieux",
            "Solaire",
            "Sous-Marin",
            "Soyeux",
            "Suave",
            "Sucre",
            "Sympa",
            "Thailandais",
            "Urbain",
            "Veloute",
            "Violet",
            "d'enigme",
            "d'ete",
            "d'Abaque",
            "d'Ambre",
            "d'Aqua",
            "d'Arome",
            "d'Arlequin",
            "d'Aura",
            "d'Automne",
            "d'Eau",
            "d'Harmonie",
            "d'Hiver",
            "d'Honneur",
            "d'Olive",
            "d'Or",
            "d'Orange",
            "de Bambou",
            "de Bord de la Mer",
            "de Bord du Lac",
            "de Bronze",
            "de Cabotage",
            "de Cacao",
            "de Cafe",
            "de Cannelle",
            "de Caramel",
            "de Caviar",
            "de Champagne",
            "de Chocolat",
            "de Coriandre",
            "de Couperet",
            "de Cramoisi",
            "de Cristal",
            "de Cuibre",
            "de Cuisson",
            "de Fantaisie",
            "de Feu",
            "de Front de Mer",
            "de Genevrier",
            "de Grande Ville",
            "de Jade",
            "de Jazz",
            "de Karma",
            "de Laiterie",
            "de Lavande",
            "de Lumiere",
            "de Malt",
            "de Miel",
            "de Paradis",
            "de Paume",
            "de Perle",
            "de Piments",
            "de Plage",
            "de Poivre",
            "de Printemps",
            "de Rubis",
            "de Safran",
            "de Saphir",
            "de Sarriette",
            "de Soie",
            "de Soufre",
            "de Sushi",
            "de Vanille",
            "de Verre",
            "de Village",
            "de Ville",
            "de Whisky",
            "de l'enigme",
            "de l'Ile",
            "de l'Est",
            "de l'Ouest",
            "de la Comete",
            "de la Cour",
            "de la Fable",
            "de la Flamme",
            "de la Foret",
            "de la Galerie",
            "de la Jungle",
            "de la Legende",
            "de la Montagne",
            "de la Nouille",
            "de la Plage",
            "de la Prairie",
            "de la Reine",
            "de la Riviere",
            "de la Rue",
            "de la Voie Navale",
            "des Caraibes",
            "du Canal",
            "du Coin",
            "du Curry",
            "du Feu",
            "du Fleuve",
            "du Nain",
            "du Nord",
            "du Pre",
            "du Quai",
            "du Roi",
            "du Sucre",
            "du Sud",
            "du Tribunal",
            "du Village",
            "Tropical",
            "Royal",
            "Principal",
            "Oriental",
            "Original",
            "Imperial",
            "Central",
            "Austral",
            "Amical",
        ]
        r2 = [
            "elegante",
            "emeraude",
            "epicee",
            "Acide",
            "Acidulee",
            "Affamee",
            "Ambree",
            "Amere",
            "Ancienne",
            "Antique",
            "Arctique",
            "Ardente",
            "Argentee",
            "Bengale",
            "Bouillante",
            "Brulente",
            "Brillante",
            "Cotiere",
            "Carree",
            "Chaleureuse",
            "Charmante",
            "Chaude",
            "Chic",
            "Chouette",
            "Claire",
            "Cramoisie",
            "Doree",
            "Douce",
            "Fiere",
            "Folle",
            "FraIche",
            "Francaise",
            "Gracieuse",
            "Grecque",
            "Harmonique",
            "Incarnate",
            "Incroyable",
            "Indienne",
            "Italienne",
            "Japonaise",
            "Laitiere",
            "Lunaire",
            "Magique",
            "Marocaine",
            "Moderne",
            "Moelleuse",
            "Ovale",
            "Peinte",
            "Pimpante",
            "Polaire",
            "Privee",
            "Rare",
            "Relevee",
            "Rose",
            "Sacree",
            "Salee",
            "Sauvage",
            "Silencieuce",
            "Solaire",
            "Sous-Marine",
            "Soyeuse",
            "Suave",
            "Sucree",
            "Sympa",
            "Thailandaise",
            "Urbaine",
            "Veloutee",
            "Violette",
            "d'enigme",
            "d'ete",
            "d'Abaque",
            "d'Ambre",
            "d'Aqua",
            "d'Arome",
            "d'Arlequin",
            "d'Aura",
            "d'Automne",
            "d'Eau",
            "d'Harmonie",
            "d'Hiver",
            "d'Honneur",
            "d'Olive",
            "d'Or",
            "d'Orange",
            "de Bambou",
            "de Bord de la Mer",
            "de Bord du Lac",
            "de Bronze",
            "de Cabotage",
            "de Cacao",
            "de Cafe",
            "de Cannelle",
            "de Caramel",
            "de Caviar",
            "de Champagne",
            "de Chocolat",
            "de Coriandre",
            "de Couperet",
            "de Cramoisi",
            "de Cristal",
            "de Cuibre",
            "de Cuisson",
            "de Fantaisie",
            "de Feu",
            "de Front de Mer",
            "de Genevrier",
            "de Grande Ville",
            "de Jade",
            "de Jazz",
            "de Karma",
            "de Laiterie",
            "de Lavande",
            "de Lumiere",
            "de Malt",
            "de Miel",
            "de Paradis",
            "de Paume",
            "de Perle",
            "de Piments",
            "de Plage",
            "de Poivre",
            "de Printemps",
            "de Rubis",
            "de Safran",
            "de Saphir",
            "de Sarriette",
            "de Soie",
            "de Soufre",
            "de Sushi",
            "de Vanille",
            "de Verre",
            "de Village",
            "de Ville",
            "de Whisky",
            "de l'enigme",
            "de l'Ile",
            "de l'Est",
            "de l'Ouest",
            "de la Comete",
            "de la Cour",
            "de la Fable",
            "de la Flamme",
            "de la Foret",
            "de la Galerie",
            "de la Jungle",
            "de la Legende",
            "de la Montagne",
            "de la Nouille",
            "de la Plage",
            "de la Prairie",
            "de la Reine",
            "de la Riviere",
            "de la Rue",
            "de la Voie Navale",
            "des Caraibes",
            "du Canal",
            "du Coin",
            "du Curry",
            "du Feu",
            "du Fleuve",
            "du Nain",
            "du Nord",
            "du Pre",
            "du Quai",
            "du Roi",
            "du Sucre",
            "du Sud",
            "du Tribunal",
            "du Village",
            "Tropicale",
            "Royale",
            "Principale",
            "Orientale",
            "Originale",
            "Imperiale",
            "Centrale",
            "Australe",
            "Amicale",
        ]
        r3 = [
            "l'echarpe",
            "l'epice",
            "l'etoile",
            "l'Ambiance",
            "l'Archive",
            "l'Atmosphere",
            "la Baie",
            "la Balade",
            "la Baleine",
            "la Basse",
            "la Biche",
            "la Brasserie",
            "la Cabane",
            "la Cantine",
            "la Capture",
            "la Chevre",
            "la Chambre",
            "la Cheminee",
            "la Cocotte",
            "la Cour",
            "la Couronne",
            "la Couverture",
            "la Crevette",
            "la Cuisine",
            "la Deesse",
            "la Duchesse",
            "l'Exposition",
            "la Facon",
            "la Fable",
            "la Fenetre",
            "la Ferme",
            "la Feuille",
            "la Fleur",
            "la Floraison",
            "la Fusion",
            "l'HuItre",
            "l'Idole",
            "l'Imperatrice",
            "la Legende",
            "la Lagune",
            "la Lanterne",
            "la Liaison",
            "la Libellule",
            "la Maison",
            "la Mare",
            "la Matinee",
            "la Merveille",
            "la Mission",
            "la Morsure",
            "la Nappe",
            "la Nuit",
            "l'Orchidee",
            "la Paloudre",
            "la Parole",
            "la Perle",
            "la Pizzeria",
            "la Pomme",
            "la Porte",
            "la Poule",
            "la Promenade",
            "la Recolte",
            "la Rose",
            "la Route",
            "la Ruche",
            "la Rue",
            "la Salle",
            "la Saveur",
            "la Soiree",
            "la Source",
            "la Table",
            "la Tour",
            "la Tulipe",
            "l'Usine",
            "la Vache",
            "la Vallee",
            "la Victoire",
            "la Vigne",
            "la Voute",
            "la Voie",
            "la Vue",
            "l'echange",
            "l'elephant",
            "l'erable",
            "l'etalage",
            "l'Ange",
            "l'Apres-Midi",
            "l'Arbre",
            "le Balcon",
            "le Bassin",
            "le Bateau",
            "le Bijou",
            "le Bistro",
            "le Blaireau",
            "le Bloc",
            "le Bosquet",
            "le Boulevard",
            "le Coeur",
            "le Carrefour",
            "le Cavalier",
            "le Cerf",
            "le Chateau",
            "le Chene",
            "le Champ",
            "le Chef",
            "le Chemin",
            "le Cheval",
            "le Chevalier",
            "le Ciel",
            "le Club",
            "le Coin",
            "le Colibri",
            "le Commandant",
            "le Cottage",
            "le Demon",
            "le DIner",
            "le DIneur",
            "le Dome",
            "le Diable",
            "le Dieu",
            "le Dragon",
            "le Duc",
            "l'Empereur",
            "l'Endroit",
            "le Fleur",
            "le Forgeron",
            "le Foulard",
            "le Foyer",
            "le Frigo",
            "le Genie",
            "le Gout",
            "le Gril",
            "le Hall",
            "le Homard",
            "l'Instant",
            "le Jardin",
            "le Lien",
            "le Lieu",
            "le Lion",
            "le Lis",
            "le Loup",
            "le Melange",
            "le Manoir",
            "le Marche",
            "le Matin",
            "le Miroir",
            "le Moisson",
            "le Moment",
            "le Monument",
            "le Morceau",
            "le Mot",
            "le Moulin",
            "le Navire",
            "le Nuage",
            "l'Ours",
            "le Petale",
            "le Palais",
            "le Panda",
            "le Paradis",
            "le Parc",
            "le Parfum",
            "le Parloir",
            "le Paysan",
            "le Perchoir",
            "le Phare",
            "le Piment",
            "le Poisson",
            "le Port",
            "le Quai",
            "le Reve",
            "le Ranch",
            "le Renard",
            "le Requin",
            "le Salon",
            "le Sanglier",
            "le Saule",
            "le Saumon",
            "le Singe",
            "le Sommet",
            "le Tableau",
            "le Tambour",
            "le Theatre",
            "le Tigre",
            "le Toit",
            "le Trefle",
            "le Triomphe",
            "le Vaisseau",
            "le Verger",
            "le Violon",
            "le Violoneux",
            "le Yard",
        ]
        r4 = [
            "elementaire",
            "Acapella",
            "Agrume",
            "Alpha",
            "Ambiance",
            "Aqua",
            "Atlas",
            "Babylone",
            "Bambino",
            "Basilic",
            "Boutons",
            "Cacao",
            "Citronnelle",
            "Clair de Lune",
            "Clarte",
            "Coquin",
            "Coucher du Soleil",
            "Curiosite",
            "Eau",
            "Eureka",
            "Feu et Glace",
            "Fleurs",
            "Floraisons",
            "Fluorescence",
            "Geant",
            "Gentil",
            "Grace",
            "Harmonie",
            "Incognito",
            "Indigo",
            "Legendaire",
            "Lavande",
            "Lueuer des etoiles",
            "Maximus",
            "Merveille",
            "Minuit",
            "Miroirs",
            "Modestie",
            "Nirvana",
            "Nova",
            "Oiseau de Nuit",
            "Petales",
            "Petite Chine",
            "Petite Italie",
            "Petite Perse",
            "Piccolo",
            "Primordial",
            "Purete",
            "Recreation",
            "Retro",
            "Revelations",
            "Reveries",
            "Reines",
            "Royal",
            "Seduction",
            "Serenite",
            "Safran",
            "Seigle",
            "Shazam",
            "Solitude",
            "Tranquillite",
            "Vagabonds",
            "Vers le Ciel",
            "Violoneux",
            "des Os",
            "l'eclipse",
            "l'enigme",
            "l'erable",
            "l'etalage",
            "l'evenement",
            "l'Ile",
            "l'Abaque",
            "l'Accord",
            "l'Ace",
            "l'Agneau",
            "l'Amusement",
            "l'Arome",
            "l'Arche",
            "l'Arlequin",
            "l'Atmosphere",
            "l'Aura",
            "l'Aurore",
            "l'Empereur",
            "l'Entracte",
            "l'Exposition",
            "l'Hibiscus",
            "l'Imperatrice",
            "l'Interlude",
            "l'Intermezzo",
            "l'Intermission",
            "l'Interruption",
            "l'Ivoire",
            "l'Occasion",
            "l'Oiseau Moqueur",
            "l'Oliveraie",
            "l'Origine",
            "la Base",
            "la Bougie",
            "la Boutique",
            "la Braise",
            "la Branche",
            "la Brume",
            "la Canne",
            "la Cannelle",
            "la Capture",
            "la Cave",
            "la Caverne",
            "la Chevre",
            "la Chance",
            "la Chandelle",
            "la Cime",
            "la Couronne",
            "la Curiosite",
            "la Fable",
            "la Fantaisie",
            "la Fusion",
            "la Galerie",
            "la Gemme",
            "la Goutte",
            "la Grotte",
            "la Joliesse",
            "la Legende",
            "la Lagune",
            "la Liaison",
            "la Lumiere des etoiles",
            "la Muraille",
            "la Niche",
            "la Nuit",
            "la Nuit Tombee",
            "la Penombre",
            "la Pagaille",
            "la Pause",
            "la Perle",
            "la Perspective",
            "la Petite Maison",
            "la Prairie",
            "la Prime",
            "la Recolte",
            "la Reverie",
            "la Rose",
            "la Ruche",
            "la Serenade",
            "la Salutation",
            "la Sensation",
            "la Serre",
            "la Singularite",
            "la Tour",
            "la Tribune",
            "la Trilogie",
            "la Trinite",
            "la Tulipe",
            "la Verrerie",
            "la Vieillesse",
            "la Vigne",
            "la Voute",
            "la Vue",
            "le Bosquet",
            "le Calcaire",
            "le Calme",
            "le Carnaval",
            "le Chateau",
            "le Chapeau",
            "le Chapitre",
            "le Charme",
            "le Clocher",
            "le Colibri",
            "le Cottage",
            "le Couloir",
            "le Crane",
            "le Crepuscule",
            "le Creuset",
            "le Depot",
            "le Forestier",
            "le GastroGnome",
            "le Gastronome",
            "le Grillage",
            "le Jardin",
            "le Jubile",
            "le Karma",
            "le Labyrinthe",
            "le Lien",
            "le Lierre",
            "le Lion",
            "le Lis",
            "le Lotus",
            "le Medaillon",
            "le Marmonnement",
            "le Mirage",
            "le Monarque",
            "le Monument",
            "le Mur",
            "le Nomade",
            "le Paon",
            "le Parangon",
            "le Parloir",
            "le Pavillon",
            "le Plan",
            "le Podium",
            "le Pre",
            "le Projet",
            "le Roti",
            "le Recoin",
            "le Relais",
            "le Robot",
            "le Rossignol",
            "le Sanglier",
            "le Saphir",
            "le Saule",
            "le Solstice",
            "le Sommet",
            "le Sortilege",
            "le Soufre",
            "le Sourire",
            "le Sous-Sol",
            "le Tresor",
            "le Turban",
            "le Vignoble",
            "le Voile",
            "les ames",
            "les elements",
            "les Amis",
            "les Bandits",
            "les Grillons",
            "les Prairies",
            "les Rois",
        ]
        r = randrange(3)
        if r == 0:
            return choice(r3) + " " + choice(r1)
        elif r == 1:
            return choice(r3) + " " + choice(r2)
        else:
            return choice(r4)

    @staticmethod
    def generate(classification=None):
        if classification is None or classification not in Restaurant.RestaurantType:
            classification = choice(list(Restaurant.RestaurantType))
        if classification == Restaurant.RestaurantType.Diner:
            return Restaurant.Diner()
        elif classification == Restaurant.RestaurantType.French:
            return Restaurant.French()
        elif classification == Restaurant.RestaurantType.Tavern:
            return Restaurant.Tavern()


class Jeweller(Store):
    @staticmethod
    def generate():
        j1 = [
            "A Hill of Beads",
            "A Sparkly Thing",
            "A Strand Above",
            "A Strand For You",
            "Accustomed",
            "Adornmix",
            "Around the Block",
            "Artik",
            "Artsifi",
            "Be Adorned",
            "Bead Adorned",
            "Bead Alternique",
            "Bead Assemblage",
            "Bead Chic",
            "Bead It Again",
            "Beaded Creations",
            "Beadiful Things",
            "Beading Hearts",
            "Beadniks",
            "Bijouxanew",
            "Bizzy Beads",
            "BluGreen Jewelry",
            "BluMoon",
            "Buttons & Beads",
            "Chameleons",
            "Charming Crafts",
            "Chic and Artsy",
            "Chicas",
            "Chokers and Charms",
            "Classical Customs",
            "Classics Jewelry",
            "Colorful Stardust",
            "Creative Incarnations",
            "Creative Rage",
            "Creative Recycling",
            "Cultured Curio",
            "CuriousBead",
            "Custom Chic",
            "Deja Jewel",
            "Diamond Bead",
            "Diamond Light Nebula",
            "Diamond Sea",
            "Diamonds",
            "Discoveries",
            "Doodads",
            "Earth Unique Jewelry",
            "Ecletic Creations",
            "Elements: Wearable Art",
            "Embellished Life",
            "Euphorium Jewel Design",
            "Fab Jewels",
            "Firebird Jewels",
            "Foozles",
            "Grace of Hearts",
            "Green Chic",
            "Holidaze Jewelry",
            "Ice Jewelers",
            "Illuminate Jewelers",
            "Illuminated Accessories",
            "Infinity Jewelers",
            "Jenewal",
            "Jeweled Feather",
            "JewelJest",
            "Jewelry Junkie",
            "Jewelry Palace",
            "Jewels and Gems",
            "Jewelure",
            "Journey Jewelry",
            "Just Bead It",
            "Kaleidescopes",
            "Kobbled",
            "Lux Fine Jewelry",
            "Made For Her",
            "Magic Clasp Jewelry",
            "Memories Jewelry & Beads",
            "Metal Spectrum Jewelry Store",
            "Metamorphic Creations",
            "Mingled Spectrum",
            "Mixed Media Mutations",
            "Moxie",
            "Mr. Sparklez Emporium",
            "New Born Bead",
            "New Life Designs",
            "New Life Inventions",
            "Original Adornments",
            "Ornamental Phoenix",
            "Pandora's Box",
            "Past to Present",
            "Phoenix Creations",
            "Redazzled",
            "Redonez",
            "Regal Creations",
            "Relics to Riches",
            "Restoration Beads",
            "ReTrend",
            "RetroChic Jewelry",
            "Revibrant",
            "Ring of Memories Jewelers",
            "Rocks",
            "Royal Bloom Creations",
            "Sparkles Shop",
            "Special Engagements Jewelers",
            "Spirited ReCreations",
            "Spring Jewelers",
            "Stone Appeal",
            "Stranded Memories",
            "Sunkissed Jewelry",
            "The Beadhaus",
            "The Diamond Band",
            "The Galleria of Gems",
            "The Gemstone Gallery",
            "The Golden Goose",
            "The Looking Glass Jewelers",
            "The Platinum People",
            "The Velvet Box",
            "Thrifty Trinkets",
            "Tiger's Eye Oasis",
            "Tiny Collage Studios",
            "Touch of Gold",
            "Transforming Trinkets",
            "Treasure Gems",
            "Treasurebox",
            "Treasurer",
            "Trinity Jewelers & Co.",
            "The Chic and Some Wire",
            "Uncommon Jewelry",
            "Uniqness",
        ]
        return choice(j1)


class Blacksmith(Store):
    @staticmethod
    def generate():
        b1 = [
            "A Steel",
            "Adore Ore",
            "Anvil Crafts",
            "Anvil Mastery",
            "Anvil Works",
            "Anything Metal",
            "Arms of Steel",
            "Ball of Fire",
            "Balls of Fire",
            "Baptisms of Fire",
            "Bars of Steel",
            "Beat the Heat",
            "Beats of Fire",
            "Belly Fires",
            "Between Hammer and Anvil",
            "Blackstone Forge",
            "Blazing Blacksmiths",
            "Blazing Glory",
            "Blazing Trails",
            "Bloodbath & Beyond",
            "Blue Blazes",
            "Blue Steel",
            "Breathing Fire",
            "By Hammer and Hand",
            "By Hammer and Tongs",
            "Clamor Glamor",
            "Clamorize",
            "Clink 'n Clank",
            "Clobbering Time",
            "Curious Forge",
            "Dame of Flame",
            "Fame of Flame",
            "Fire & Brimstone",
            "Fire It Up",
            "Flame of Fame",
            "Flux Crux",
            "Flux Deluxe",
            "Forge and Fabricate",
            "Forge away",
            "Forging Ahead",
            "Forging Matters",
            "George's Forge",
            "Gorge 'n Forge",
            "Hammer 'n Anvil",
            "Hammer Clamor",
            "Hammer Down",
            "Hammer Glamor",
            "Hammer Home",
            "Hammer It Hot",
            "Hammer Out",
            "Hammer Time",
            "Hammer and Metal",
            "Hammer and Tongs",
            "Hammer in Hand",
            "He Who Smelt It",
            "Heat Up",
            "Heat of the Moment",
            "Heavy Metal Works",
            "Heavy Metals",
            "Hot Hammer",
            "Hot Hot Hot",
            "Hot Iron",
            "Hot Rod",
            "Hot Spot",
            "Hot Stuff",
            "Hot diggety dog!",
            "Hot diggety!",
            "Hot-Shot",
            "In Flux",
            "Ingot This",
            "Iron Designs",
            "Iron Man",
            "Iron Woman",
            "Iron in the Fire",
            "Ironclad",
            "Just Enough Irons",
            "Like Moths",
            "Making It Hot",
            "Matter of Metal",
            "Metal Accent",
            "Metal Arts",
            "Metal Expertise",
            "Metal Fabrications",
            "Metal Mania",
            "Metal Maniac",
            "Metal Mastery",
            "Metal Pandemonium",
            "Metal Trades",
            "Metal Works",
            "Metallurgy",
            "Metalworks",
            "Metalworks of Art",
            "Mind Over Matter",
            "Mind Over Metal",
            "Mineral Minded",
            "Mineral Works",
            "Mr Smith",
            "Mrs Smith",
            "Nerves of Steel",
            "Nice Ring To It",
            "Ore Decor",
            "Ore Else",
            "Ore Galore",
            "Ore Really",
            "Ore Restore",
            "Ore Store",
            "Parent Rock",
            "Phoenix Fire",
            "Pound World",
            "Real Steel",
            "Ring to It",
            "Rings True",
            "Smelt Art",
            "Smelt My Hearth",
            "Smelt in my Arms",
            "Smelting Pot",
            "Smelts of Heaven",
            "Smelts of Roses",
            "Smite Thee",
            "Smith Thee",
            "Smithen",
            "Smitten",
            "Sparks and Flames",
            "Squeal of Steel",
            "Steel Appeal",
            "Steel Arms",
            "Steel Base",
            "Steel Fabrications",
            "Steel Ideal",
            "Steel Show",
            "Steel Thunder",
            "Steel Wings",
            "Stop! Hammer Time",
            "Striking Hot",
            "Sword in the Forge",
            "Sword in the Stone",
            "The Ancient Anvil",
            "The Blacksmith's Forge",
            "The Clamor Shop",
            "The Clank Tank",
            "The Clinker Shop",
            "The Cobalt Forge",
            "The Eternal Flame",
            "The Fire Spire",
            "The Fire Squire",
            "The Flame Game",
            "The Gorge Forge",
            "The Heat is On",
            "The Hot Forge",
            "The Hot Ticket",
            "The Inferno Forge",
            "The Iron's Hot",
            "The Metal Petal",
            "The Phoenix Forge",
            "The Right Clank",
            "The Smelt Belt",
            "The Smelt Celt",
            "The Smith Myth",
            "The Smithy",
            "The Storm Forge",
            "The Tilted Anvil",
            "The Unbreakable Anvil",
            "There Be Smoke",
            "True as Steel",
            "Under Construction",
            "While the Iron's Hot",
            "Young Flames",
        ]
        return choice(b1)


class Relic(Store):
    class RelicType(StrEnum):
        Armor = auto()
        Book = auto()
        Potion = auto()
        Jewel = auto()
        Other = auto()

    @staticmethod
    def generate(classification=None):
        n1 = [
            "Absorbing",
            "Abundance",
            "Acrimony",
            "Affluence",
            "Agony",
            "All-Seeing",
            "Angels",
            "Annihilation",
            "Apathy",
            "Athanasia",
            "Bane",
            "Banishment",
            "Benediction",
            "Betrayal",
            "Binding",
            "Birth",
            "Black Magic",
            "Blessings",
            "Blights",
            "Blinding",
            "Chance",
            "Chaos",
            "Charming",
            "Collapse",
            "Contagion",
            "Corruption",
            "Courage",
            "Curses",
            "Damnation",
            "Darkness",
            "Death",
            "Decadence",
            "Decay",
            "Delirium",
            "Delusion",
            "Dementia",
            "Demons",
            "Depravity",
            "Desire",
            "Destiny",
            "Destruction",
            "Dismay",
            "Divinity",
            "Doom",
            "Downfall",
            "Dread",
            "Dreams",
            "Enigmas",
            "Enthrallment",
            "Eternal Health",
            "Eternal Slumber",
            "Eternity",
            "Evil",
            "Evils",
            "Exiles",
            "Faith",
            "Fate",
            "Fear",
            "Fertility",
            "Fire",
            "Flame",
            "Fortitude",
            "Fortuity",
            "Fortune",
            "Frost",
            "Futures",
            "Genesis",
            "Gluttony",
            "Gold",
            "Grace",
            "Greed",
            "Guardians",
            "Hatred",
            "Healing",
            "Hell",
            "Heroism",
            "Honesty",
            "Hunger",
            "Ice",
            "Immobilizing",
            "Immortality",
            "Immunity",
            "Imperviousness",
            "Infinity",
            "Invincibility",
            "Invisibility",
            "Invocation",
            "Judgment",
            "Justice",
            "Karma",
            "Knowledge",
            "Liberation",
            "Life",
            "Lifeblood",
            "Light",
            "Lightness",
            "Lightning",
            "Longevity",
            "Loyalty",
            "Luck",
            "Luminosity",
            "Lunacy",
            "Lust",
            "Malady",
            "Malediction",
            "Malevolence",
            "Malice",
            "Mania",
            "Massacres",
            "Mending",
            "Metamorphosis",
            "Misery",
            "Misfortune",
            "Mysteries",
            "Nightmares",
            "Oaths",
            "Oblivion",
            "Origins",
            "Pain",
            "Paradise",
            "Paralysis",
            "Passion",
            "Peace",
            "Persecution",
            "Pestilence",
            "Petrification",
            "Potency",
            "Prosperity",
            "Protection",
            "Radiance",
            "Rain",
            "Rebirth",
            "Remedies",
            "Repelling",
            "Resistance",
            "Restoration",
            "Resurrection",
            "Revival",
            "Riches",
            "Riddles",
            "Ruination",
            "Runes",
            "Sanctification",
            "Sanctity",
            "Scorching",
            "Secrets",
            "Seduction",
            "Sentience",
            "Serendipity",
            "Service",
            "Shadows",
            "Shapeshifting",
            "Sight",
            "Silence",
            "Sleep",
            "Solitude",
            "Souls",
            "Specters",
            "Speed",
            "Spellbinding",
            "Spells",
            "Spirits",
            "Spite",
            "Storms",
            "Strength",
            "Summoning",
            "Teleportation",
            "Temptation",
            "Time",
            "Torment",
            "Torture",
            "Toxin",
            "Transformation",
            "Transmutation",
            "Treachery",
            "Truth",
            "Valor",
            "Vengeance",
            "Venom",
            "Vice",
            "Virility",
            "Warding",
            "Wealth",
            "Wisdom",
            "Wishes",
            "Worship",
            "Youth",
            "the Aether",
            "the Cosmos",
            "the Creed",
            "the Crux",
            "the Dead",
            "the Elements",
            "the Gods",
            "the Heavens",
            "the Occult",
            "the Oracle",
            "the Scourge",
            "the Titans",
            "the Void",
        ]
        n2 = [
            "Absorbing",
            "Aethereal",
            "Agony",
            "Alchemy",
            "All-Seeing",
            "Almighty",
            "Anarchy",
            "Angel",
            "Anguish",
            "Annihilation",
            "Archangel",
            "Athanasia",
            "Aurora",
            "Azure",
            "Banishing",
            "Benediction",
            "Binding",
            "Black Magic",
            "Blazing",
            "Blight",
            "Blinding",
            "Bravery",
            "Burning",
            "Celestial",
            "Chaos",
            "Charming",
            "Contagion",
            "Corruption",
            "Curse",
            "Cursed",
            "Damnation",
            "Darkness",
            "Death's",
            "Decay",
            "Decimation",
            "Delirium",
            "Delusion",
            "Dementia",
            "Demon",
            "Demonic",
            "Desire's",
            "Destiny's",
            "Destruction",
            "Devotion",
            "Diabolic",
            "Divine",
            "Divinity's",
            "Dominance",
            "Domination",
            "Dominion",
            "Doom",
            "Dread",
            "Dream",
            "Echo",
            "Eclipse",
            "Elemental",
            "Enigma",
            "Enigmatic",
            "Equinox",
            "Eradication",
            "Eternal",
            "Eternity",
            "Evil",
            "Exile",
            "Exiled",
            "Extinction",
            "Faith's",
            "Fate's",
            "Finality",
            "Fire",
            "Flame",
            "Fortitude",
            "Fortune's",
            "Frost",
            "Genesis",
            "Gold",
            "Golden",
            "Grave",
            "Guardian",
            "Guardian's",
            "Hallowed",
            "Hatred's",
            "Healing",
            "Heavenly",
            "Hell's",
            "Hellish",
            "Hero",
            "Hero's",
            "Holy",
            "Hungering",
            "Ice",
            "Immortal",
            "Immunity",
            "Impurity",
            "Infernal",
            "Infinity",
            "Insanity",
            "Invincibility",
            "Invisibility",
            "Invisible",
            "Isolation",
            "Judging",
            "Judgment",
            "Justice",
            "Karma",
            "Kismet",
            "Liberty",
            "Life",
            "Life's",
            "Lifeblood",
            "Light's",
            "Longevity",
            "Lucky",
            "Lust's",
            "Malady",
            "Malediction",
            "Malevolence",
            "Maniacal",
            "Massacre",
            "Mending",
            "Metamorphosis",
            "Mirage",
            "Misery",
            "Misfortune",
            "Mystery",
            "Necrotic",
            "Nightmare",
            "Obedience",
            "Oblivion",
            "Obsidian",
            "Onyx",
            "Oracle",
            "Pandemonium",
            "Paradise",
            "Paragon",
            "Paralyzing",
            "Paramount",
            "Pestilence",
            "Petrifying",
            "Philosopher's",
            "Primal",
            "Prime",
            "Prosperous",
            "Purity",
            "Rebirth",
            "Resistance",
            "Resolution",
            "Restoration",
            "Resurrection",
            "Rogue",
            "Runed",
            "Sacred",
            "Sanctifying",
            "Scourge",
            "Seduction",
            "Sentient",
            "Seraphic",
            "Serenity",
            "Shade",
            "Shadow",
            "Shapeshifter",
            "Shapeshifter's",
            "Slumber",
            "Solitude's",
            "Soul",
            "Specter",
            "Spellbound",
            "Spirit",
            "Spiritbound",
            "Spite",
            "Storm",
            "Summoning",
            "Supremacy",
            "Teleportation",
            "Teleporting",
            "Temptation",
            "Termination",
            "Thaumaturgy",
            "Thunder",
            "Titan",
            "Torment",
            "Torture",
            "Tranquility",
            "Transformation",
            "Transmutation",
            "Tribute",
            "Triumph",
            "Truth",
            "Twilight",
            "Unholy",
            "Valor",
            "Valor's",
            "Vengeance",
            "Venom",
            "Vice",
            "Virility",
            "Virtue",
            "Void",
            "Warding",
            "Wisdom",
            "Worshop",
        ]
        n3 = []
        if classification is None or classification not in Relic.RelicType:
            classification = choice(list(Relic.RelicType))

        if classification == Relic.RelicType.Armor:
            n3 = [
                "Amulet",
                "Band",
                "Boots",
                "Sandals",
                "Bracelet",
                "Chest",
                "Cloak",
                "Fleece",
                "Gauntlet",
                "Hand",
                "Hide",
                "Mantle",
                "Mask",
                "Ring",
                "Robes",
                "Shield",
            ]
        elif classification == Relic.RelicType.Book:
            n3 = [
                "Book",
                "Grimoire",
                "Inscriptions",
                "Instrument",
                "Letters",
                "Runes",
                "Scroll",
                "Symbols",
                "Tablet",
                "Texts",
                "Slab",
                "Tome",
            ]
        elif classification == Relic.RelicType.Potion:
            n3 = ["Canopic Jar", "Elixir", "Fountain", "Ichor", "Tincture"]
        elif classification == Relic.RelicType.Jewel:
            n3 = ["Crown", "Tiara", "Circlet", "Gem", "Necklace", "Stone"]
        elif classification == Relic.RelicType.Other:
            n3 = [
                "Arch",
                "Ark",
                "Box",
                "Canopic Chest",
                "Cube",
                "Cup",
                "Cylinder",
                "Disc",
                "Chalice",
                "Goblet",
                "Door",
                "Feather",
                "Fruit",
                "Grail",
                "Horn",
                "Jar",
                "Key",
                "Lamp",
                "Microlith",
                "Mirror",
                "Monolith",
                "Pillar",
                "Rod",
                "Root",
                "Seal",
                "Shard",
                "Skull",
                "Statue",
                "Statuette",
                "Urn",
            ]

        if randrange(2):
            return choice(n3) + " of " + choice(n1)
        else:
            return choice(n2) + " " + choice(n3)


class Weapon(Store):
    class WeaponType(StrEnum):
        Axe = auto()
        Bow = auto()
        Dagger = auto()
        Hammer = auto()
        Mace = auto()
        Spear = auto()
        Sword = auto()

    @staticmethod
    def generate(classification=None):
        var1 = var2 = var3 = var4 = var5 = var6 = var7 = []

        if classification is None or classification not in Weapon.WeaponType:
            classification = choice(list(Weapon.WeaponType))
        if classification == Weapon.WeaponType.Axe:
            var1 = [
                "Abomination",
                "Agatha",
                "Allegiance",
                "Alpha",
                "Amnesia",
                "Anduril",
                "Anger's Edge",
                "Apocalypse",
                "Armageddon",
                "Arondite",
                "Ash",
                "Ashes",
                "Ashrune",
                "Betrayal",
                "Betrayer",
                "Blackout",
                "Blazefury",
                "Blazeguard",
                "Blight's Plight",
                "Blind Justice",
                "Blinkstrike",
                "Bloodfury",
                "Bloodmoon",
                "Bloodquench",
                "Bloodrage",
                "Bloodspiller",
                "Bloodweep",
                "Bone Warden",
                "Braindead",
                "Broken Promise",
                "Brutality",
                "Brutalizer",
                "Cataclysm",
                "Catastrophe",
                "Celeste",
                "Chance",
                "Chaos",
                "Chasm",
                "Chieftain",
                "Comet",
                "Cometfall",
                "Convergence",
                "Corpsemaker",
                "Corruption",
                "Crescent Moon",
                "Crimson",
                "Cutting Response",
                "Cyclone",
                "Darkness",
                "Dawn",
                "Dawn's Edge",
                "Dawnbreaker",
                "Daytime",
                "Deathbringer",
                "Deathraze",
                "Deathspade",
                "Decimation",
                "Desolation",
                "Despair",
                "Destiny",
                "Devastation",
                "Devine",
                "Devotion",
                "Devourer",
                "Divine Light",
                "Dominance",
                "Dominion",
                "Doom",
                "Doom's Edge",
                "Doomblade",
                "Doombringer",
                "Due Diligence",
                "Dusk's Edge",
                "Early Retirement",
                "Earthquake",
                "Echo",
                "Eclipse",
                "Edge of Death",
                "Edge of Eternity",
                "Edge of Infinity",
                "Edge of Life",
                "Edge of Madness",
                "Edge of Misery",
                "Edge of Reason",
                "Edge of Ruin",
                "Edge of Time",
                "Emergency",
                "Endbringer",
                "Enigma",
                "Epilogue",
                "Eternal Rest",
                "Eternity",
                "Extermination",
                "Extinction",
                "Faithkeeper",
                "Fate",
                "Finality",
                "Fleshrender",
                "Freak's Bite",
                "Frenzy",
                "Frostbite",
                "Frostwind",
                "Fury",
                "Fury's Gaze",
                "Gatecrasher",
                "Ghost Reaver",
                "Ghostwalker",
                "Glimmer",
                "Godslayer",
                "Grieving Blade",
                "Guillotine",
                "Gutrender",
                "Harbinger",
                "Harvester",
                "Hatred",
                "Hatred's Blade",
                "Heartseeker",
                "Hell's Scream",
                "Hellfire",
                "Hellreaver",
                "Homage",
                "Honor's Call",
                "Hope's Edge",
                "Hope's End",
                "Humongous",
                "Hurricane",
                "Infamy",
                "Infinity",
                "Interrogator",
                "Justice",
                "Justifier",
                "King's Defender",
                "King's Legacy",
                "Kinslayer",
                "Knight's Fall",
                "Knight's Honor",
                "Knightfall",
                "Lament",
                "Last Chance",
                "Last Laugh",
                "Last Rites",
                "Last Words",
                "Lazarus",
                "Legacy",
                "Legionaire",
                "Life's Limit",
                "Light's Bane",
                "Lightbane",
                "Lightbringer",
                "Lightning",
                "Limbo",
                "Magma",
                "Malice",
                "Maneater",
                "Massacre",
                "Mercy",
                "Midnight",
                "Misery's Edge",
                "Misery's End",
                "Monsoon",
                "Mooncleaver",
                "Mournblade",
                "Narcoleptic",
                "Nethersbane",
                "Night's Edge",
                "Night's Fall",
                "Nightbane",
                "Nightfall",
                "Nighttime",
                "Nirvana",
                "Oathbreaker",
                "Oathkeeper",
                "Oblivion",
                "Old Age",
                "Omega",
                "Orbit",
                "Orenmir",
                "Party Pooper",
                "Peacekeeper",
                "Peacemaker",
                "Pendulum",
                "Perfect Storm",
                "Persuasion",
                "Piece Maker",
                "Piety",
                "Pork-Chopper",
                "Pride",
                "Prophecy",
                "Purifier",
                "Rage",
                "Ragnarok",
                "Rapture",
                "Reaper",
                "Reaper's Toll",
                "Reckoning",
                "Red Dwarf",
                "Reign",
                "Remorse",
                "Requiem",
                "Retirement",
                "Righteous Might",
                "Rigormortis",
                "Rising Tide",
                "Savagery",
                "Scar",
                "Scourgeborne",
                "Second Chance",
                "Seism",
                "Severance",
                "Shadow Strike",
                "Shadow's Edge",
                "Shadowfury",
                "Shadowmoon",
                "Shadowsteel",
                "Silence",
                "Skullcleaver",
                "Skullcrusher",
                "Slice of Life",
                "Soul Breaker",
                "Soul Reaper",
                "Spinefall",
                "Stalker",
                "Storm",
                "Storm Breaker",
                "Storm-Weaver",
                "Stormbringer",
                "Stormcaller",
                "Stormedge",
                "Stormrider",
                "Supernova",
                "Supremacy",
                "Suspension",
                "Swan Song",
                "Termination",
                "The Ambassador",
                "The Chancellor",
                "The Chief",
                "The Decapitator",
                "The End",
                "The Facelifter",
                "The Light",
                "The Minotaur",
                "The Oculus",
                "The Oracle",
                "The Sundering",
                "The Void",
                "The Warden",
                "Thunder",
                "Treachery",
                "Tremor",
                "Trickster",
                "Trickster's Edge",
                "Trinity",
                "Twisted",
                "Typhoon",
                "Ubiquity",
                "Undoing",
                "Vacancy",
                "Valkyrie",
                "Vanquisher",
                "Vengeance",
                "Warbringer",
                "Warmonger",
                "Whirlwind",
                "Wicked",
                "Widow Maker",
                "Willbreaker",
                "Windreaper",
                "Windslicer",
                "Winter's Bite",
                "Wit's End",
                "Witherbrand",
                "Wolf",
                "Worldbreaker",
                "Worldcarver",
                "Worldslayer",
            ]
            var2 = [
                "Ancient",
                "Antique",
                "Apocalypse",
                "Apocalyptic",
                "Arcane",
                "Arched",
                "Atuned",
                "Bandit's",
                "Baneful",
                "Banished",
                "Barbarian",
                "Barbaric",
                "Battleworn",
                "Blazefury",
                "Blood Infused",
                "Blood-Forged",
                "Bloodcursed",
                "Bloodied",
                "Bloodlord's",
                "Bloodsurge",
                "Bloodvenom",
                "Bonecarvin",
                "Brutal",
                "Brutality",
                "Burnished",
                "Cataclysm",
                "Cataclysmic",
                "Challenger",
                "Challenger's",
                "Champion",
                "Champion's",
                "Cold-Forged",
                "Conqueror",
                "Conqueror's",
                "Corroded",
                "Corrupted",
                "Crazed",
                "Crying",
                "Cursed",
                "Curved",
                "Dancing",
                "Dark",
                "Darkness",
                "Defender",
                "Defender's",
                "Defiled",
                "Defiling",
                "Deluded",
                "Demonic",
                "Deserted",
                "Desire's",
                "Desolation",
                "Destiny's",
                "Diabolical",
                "Dire",
                "Doom",
                "Doom's",
                "Dragon's",
                "Dragonbreath",
                "Eerie",
                "Enchanted",
                "Engraved",
                "Enlightened",
                "Eternal",
                "Exiled",
                "Extinction",
                "Faith's",
                "Faithful",
                "Fancy",
                "Fearful",
                "Feral",
                "Ferocious",
                "Fierce",
                "Fiery",
                "Fire Infused",
                "Fireguard",
                "Firesoul",
                "Firestorm",
                "Flaming",
                "Flimsy",
                "Forsaken",
                "Fortune's",
                "Foul",
                "Fragile",
                "Frail",
                "Frenzied",
                "Frost",
                "Frozen",
                "Furious",
                "Fusion",
                "Ghastly",
                "Ghost",
                "Ghost-Forged",
                "Ghostly",
                "Gladiator",
                "Gladiator's",
                "Gleaming",
                "Glinting",
                "Greedy",
                "Grieving",
                "Grim",
                "Guard's",
                "Guardian's",
                "Hailstorm",
                "Harmonized",
                "Hateful",
                "Haunted",
                "Heartless",
                "Heinous",
                "Hero",
                "Hero's",
                "Hollow",
                "Holy",
                "Honed",
                "Honor's",
                "Hope's",
                "Hopeless",
                "Howling",
                "Hungering",
                "Improved",
                "Impure",
                "Incarnated",
                "Infused",
                "Inherited",
                "Isolated",
                "Jade Infused",
                "Judgement",
                "Keeper's",
                "Knightly",
                "Knight's",
                "Legionnaire's",
                "Liar's",
                "Lich",
                "Lightning",
                "Lonely",
                "Loyal",
                "Lustful",
                "Lusting",
                "Malevolent",
                "Malicious",
                "Malificent",
                "Malignant",
                "Massive",
                "Mended",
                "Mercenary",
                "Military",
                "Misfortune's",
                "Misty",
                "Moonlit",
                "Mourning",
                "Nightmare",
                "Oathkeeper's",
                "Ominous",
                "Peacekeeper",
                "Peacekeeper's",
                "Phantom",
                "Polished",
                "Possessed",
                "Pride's",
                "Prideful",
                "Primal",
                "Prime",
                "Primitive",
                "Promised",
                "Protector's",
                "Proud",
                "Pure",
                "Putrid",
                "Raging",
                "Recruit's",
                "Refined",
                "Reforged",
                "Reincarnated",
                "Relentless",
                "Remorseful",
                "Renewed",
                "Renovated",
                "Replica",
                "Restored",
                "Retribution",
                "Ritual",
                "Roaring",
                "Ruby Infused",
                "Rune-Forged",
                "Runed",
                "Rusty",
                "Savage",
                "Sentinel",
                "Shadow",
                "Shamanic",
                "Sharpened",
                "Silent",
                "Singed",
                "Singing",
                "Sinister",
                "Skyfall",
                "Smooth",
                "Soldier's",
                "Solitude's",
                "Sorcerer's",
                "Sorrow's",
                "Soul",
                "Soul Infused",
                "Soul-Forged",
                "Soulcursed",
                "Soulless",
                "Spectral",
                "Spectral-Forged",
                "Spiteful",
                "Storm",
                "Storm-Forged",
                "Stormfury",
                "Stormguard",
                "Terror",
                "Thirsting",
                "Thirsty",
                "Thunder",
                "Thunder-Forged",
                "Thunderfury",
                "Thunderguard",
                "Thundersoul",
                "Thunderstorm",
                "Timeworn",
                "Tormented",
                "Trainee's",
                "Treachery's",
                "Twilight",
                "Twilight's",
                "Twisted",
                "Tyrannical",
                "Undead",
                "Unholy",
                "Vanquisher",
                "Vengeance",
                "Vengeful",
                "Venom",
                "Vicious",
                "Victor",
                "Vile",
                "Vindication",
                "Vindicator",
                "Vindictive",
                "Void",
                "Volcanic",
                "Vowed",
                "War",
                "War-Forged",
                "Warden's",
                "Warlord's",
                "Warp",
                "Warped",
                "Warrior",
                "Warrior's",
                "Whistling",
                "Wicked",
                "Wind's",
                "Wind-Forged",
                "Windsong",
                "Woeful",
                "Wrathful",
                "Wretched",
                "Yearning",
                "Zealous",
            ]
            var3 = [
                "Adamantite",
                "Bone",
                "Bronze",
                "Bronzed",
                "Ivory",
                "Ebon",
                "Glass",
                "Golden",
                "Iron",
                "Ironbark",
                "Mithril",
                "Obsidian",
                "Silver",
                "Skeletal",
                "Steel",
                "Titanium",
            ]
            var4 = [
                "Battle Axe",
                "Chopper",
                "Axe",
                "Edge",
                "Crescent",
                "Cleaver",
                "Greataxe",
                "Dualblade",
                "Broadaxe",
                "Reaver",
                "War Axe",
                "Ravager",
                "Maul",
            ]
            var5 = [
                "Allegiance",
                "Annihilation",
                "Axe",
                "Battle Axe",
                "Betrayer",
                "Bond",
                "Boon",
                "Breaker",
                "Bringer",
                "Broadaxe",
                "Butcher",
                "Call",
                "Carver",
                "Champion",
                "Chopper",
                "Cleaver",
                "Conqueror",
                "Crescent",
                "Crusader",
                "Cry",
                "Cunning",
                "Dark Blade",
                "Dawn",
                "Defender",
                "Defiler",
                "Destroyer",
                "Doomblade",
                "Dualblade",
                "Edge",
                "Ender",
                "Etcher",
                "Executioner",
                "Favor",
                "Ferocity",
                "Foe",
                "Gift",
                "Glory",
                "Greataxe",
                "Guardian",
                "Heirloom",
                "Hope",
                "Incarnation",
                "Jaws",
                "Last Hope",
                "Last Stand",
                "Legacy",
                "Maul",
                "Memory",
                "Might",
                "Oath",
                "Pact",
                "Pledge",
                "Promise",
                "Prophecy",
                "Protector",
                "Ravager",
                "Razor",
                "Reach",
                "Reaper",
                "Reaver",
                "Runed Blade",
                "Sculptor",
                "Secret",
                "Slayer",
                "Slicer",
                "Soul",
                "Terror",
                "Token",
                "Tribute",
                "Vengeance",
                "Voice",
                "War Axe",
                "Warblade",
                "Whisper",
                "Wit",
            ]
            var6 = [
                "of Agony",
                "of Ancient Power",
                "of Anguish",
                "of Ashes",
                "of Assassins",
                "of Black Magic",
                "of Blessed Fortune",
                "of Blessings",
                "of Blight",
                "of Blood",
                "of Bloodlust",
                "of Broken Bones",
                "of Broken Dreams",
                "of Broken Families",
                "of Burdens",
                "of Chaos",
                "of Closing Eyes",
                "of Conquered Worlds",
                "of Corruption",
                "of Cruelty",
                "of Cunning",
                "of Dark Magic",
                "of Dark Souls",
                "of Darkness",
                "of Decay",
                "of Deception",
                "of Degradation",
                "of Delusions",
                "of Denial",
                "of Desecration",
                "of Diligence",
                "of Dismay",
                "of Dragonsouls",
                "of Due Diligence",
                "of Echoes",
                "of Ended Dreams",
                "of Ending Hope",
                "of Ending Misery",
                "of Eternal Bloodlust",
                "of Eternal Damnation",
                "of Eternal Glory",
                "of Eternal Justice",
                "of Eternal Rest",
                "of Eternal Sorrow",
                "of Eternal Struggles",
                "of Eternity",
                "of Executions",
                "of Faded Memories",
                "of Fallen Souls",
                "of Fools",
                "of Frost",
                "of Frozen Hells",
                "of Fury",
                "of Giants",
                "of Giantslaying",
                "of Grace",
                "of Grieving Widows",
                "of Hate",
                "of Hatred",
                "of Hell's Games",
                "of Hellish Torment",
                "of Heroes",
                "of Holy Might",
                "of Honor",
                "of Hope",
                "of Horrid Dreams",
                "of Horrors",
                "of Illuminated Dreams",
                "of Illumination",
                "of Immortality",
                "of Inception",
                "of Infinite Trials",
                "of Insanity",
                "of Invocation",
                "of Justice",
                "of Light's Hope",
                "of Lost Comrades",
                "of Lost Hope",
                "of Lost Voices",
                "of Lost Worlds",
                "of Magic",
                "of Mercy",
                "of Misery",
                "of Mountains",
                "of Mourning",
                "of Mystery",
                "of Necromancy",
                "of Nightmares",
                "of Oblivion",
                "of Perdition",
                "of Phantoms",
                "of Power",
                "of Pride",
                "of Pride's Fall",
                "of Putrefaction",
                "of Reckoning",
                "of Redemption",
                "of Regret",
                "of Riddles",
                "of Secrecy",
                "of Secrets",
                "of Shadow Strikes",
                "of Shadows",
                "of Shifting Sands",
                "of Shifting Worlds",
                "of Silence",
                "of Slaughter",
                "of Souls",
                "of Stealth",
                "of Storms",
                "of Subtlety",
                "of Suffering",
                "of Suffering's End",
                "of Summoning",
                "of Terror",
                "of Thunder",
                "of Time-Lost Memories",
                "of Timeless Battles",
                "of Titans",
                "of Torment",
                "of Traitors",
                "of Trembling Hands",
                "of Trials",
                "of Truth",
                "of Twilight's End",
                "of Twisted Visions",
                "of Unholy Blight",
                "of Unholy Might",
                "of Vengeance",
                "of Visions",
                "of Wasted Time",
                "of Widows",
                "of Wizardry",
                "of Woe",
                "of Wraiths",
                "of Zeal",
                "of the Ancients",
                "of the Banished",
                "of the Basilisk",
                "of the Beast",
                "of the Blessed",
                "of the Breaking Storm",
                "of the Brotherhood",
                "of the Burning Sun",
                "of the Caged Mind",
                "of the Cataclysm",
                "of the Champion",
                "of the Claw",
                "of the Corrupted",
                "of the Covenant",
                "of the Crown",
                "of the Damned",
                "of the Daywalker",
                "of the Dead",
                "of the Depth",
                "of the Dreadlord",
                "of the Earth",
                "of the East",
                "of the Emperor",
                "of the Empty Void",
                "of the End",
                "of the Enigma",
                "of the Fallen",
                "of the Falling Sky",
                "of the Flame",
                "of the Forest",
                "of the Forgotten",
                "of the Forsaken",
                "of the Gladiator",
                "of the Harvest",
                "of the Immortal",
                "of the Incoming Storm",
                "of the Insane",
                "of the King",
                "of the Lasting Night",
                "of the Leviathan",
                "of the Light",
                "of the Lion",
                "of the Lionheart",
                "of the Lone Victor",
                "of the Lone Wolf",
                "of the Lost",
                "of the Moon",
                "of the Moonwalker",
                "of the Night Sky",
                "of the Night",
                "of the Nightstalker",
                "of the North",
                "of the Occult",
                "of the Oracle",
                "of the Phoenix",
                "of the Plague",
                "of the Prince",
                "of the Protector",
                "of the Queen",
                "of the Serpent",
                "of the Setting Sun",
                "of the Shadows",
                "of the Sky",
                "of the South",
                "of the Stars",
                "of the Storm",
                "of the Summoner",
                "of the Sun",
                "of the Sunwalker",
                "of the Talon",
                "of the Undying",
                "of the Victor",
                "of the Void",
                "of the West",
                "of the Whispers",
                "of the Wicked",
                "of the Wind",
                "of the Wolf",
                "of the World",
                "of the Wretched",
            ]
            var7 = [
                "Abomination",
                "Agatha",
                "Allegiance",
                "Alpha",
                "Amnesia",
                "Anduril",
                "Anger's Edge",
                "Apocalypse",
                "Armageddon",
                "Arondite",
                "Ash",
                "Ashes",
                "Ashrune",
                "Betrayal",
                "Betrayer",
                "Blackout",
                "Blazefury",
                "Blazeguard",
                "Blind Justice",
                "Blinkstrike",
                "Bloodfury",
                "Bloodmoon",
                "Bloodquench",
                "Bloodrage",
                "Bloodspiller",
                "Bloodweep",
                "Bone Warden",
                "Braindead",
                "Broken Promise",
                "Brutality",
                "Brutalizer",
                "Cataclysm",
                "Catastrophe",
                "Celeste",
                "Chance",
                "Chaos",
                "Chasm",
                "Chieftain",
                "Comet",
                "Cometfall",
                "Convergence",
                "Corpsemaker",
                "Corruption",
                "Crescent Moon",
                "Crimson",
                "Cyclone",
                "Darkness",
                "Dawn",
                "Dawn's Edge",
                "Dawnbreaker",
                "Daytime",
                "Deathbringer",
                "Deathraze",
                "Deathspade",
                "Decimation",
                "Desolation",
                "Despair",
                "Destiny",
                "Devastation",
                "Devine",
                "Devotion",
                "Devourer",
                "Divine Light",
                "Dominance",
                "Dominion",
                "Doom",
                "Doomblade",
                "Doombringer",
                "Due Diligence",
                "Earthquake",
                "Echo",
                "Eclipse",
                "Emergency",
                "Endbringer",
                "Enigma",
                "Epilogue",
                "Eternal Rest",
                "Eternity",
                "Extermination",
                "Extinction",
                "Faithkeeper",
                "Fate",
                "Finality",
                "Fleshrender",
                "Freak's Bite",
                "Frenzy",
                "Frostbite",
                "Frostwind",
                "Fury",
                "Fury's Gaze",
                "Gatecrasher",
                "Ghost Reaver",
                "Ghostwalker",
                "Glimmer",
                "Godslayer",
                "Guillotine",
                "Gutrender",
                "Harbinger",
                "Harvester",
                "Hatred",
                "Heartseeker",
                "Hell's Scream",
                "Hellfire",
                "Hellreaver",
                "Homage",
                "Honor's Call",
                "Hope's Edge",
                "Hope's End",
                "Humongous",
                "Hurricane",
                "Infamy",
                "Infinity",
                "Interrogator",
                "Justice",
                "Justifier",
                "King's Defender",
                "King's Legacy",
                "Kinslayer",
                "Knight's Fall",
                "Knight's Honor",
                "Knightfall",
                "Lament",
                "Last Chance",
                "Last Laugh",
                "Last Rites",
                "Last Words",
                "Lazarus",
                "Legacy",
                "Legionaire",
                "Life's Limit",
                "Light's Bane",
                "Lightbane",
                "Lightbringer",
                "Lightning",
                "Limbo",
                "Magma",
                "Malice",
                "Maneater",
                "Massacre",
                "Mercy",
                "Midnight",
                "Misery's Edge",
                "Misery's End",
                "Monsoon",
                "Mooncleaver",
                "Mournblade",
                "Narcoleptic",
                "Nethersbane",
                "Night's Edge",
                "Night's Fall",
                "Nightbane",
                "Nightfall",
                "Nighttime",
                "Nirvana",
                "Oathbreaker",
                "Oathkeeper",
                "Oblivion",
                "Old Age",
                "Omega",
                "Orbit",
                "Orenmir",
                "Party Pooper",
                "Peacekeeper",
                "Peacemaker",
                "Pendulum",
                "Perfect Storm",
                "Persuasion",
                "Piece Maker",
                "Piety",
                "Pork-Chopper",
                "Pride",
                "Prophecy",
                "Purifier",
                "Rage",
                "Ragnarok",
                "Rapture",
                "Reaper",
                "Reaper's Toll",
                "Reckoning",
                "Red Dwarf",
                "Reign",
                "Remorse",
                "Requiem",
                "Retirement",
                "Rigormortis",
                "Rising Tide",
                "Savagery",
                "Scar",
                "Scourgeborne",
                "Second Chance",
                "Seism",
                "Severance",
                "Shadow Strike",
                "Shadow's Edge",
                "Shadowfury",
                "Shadowmoon",
                "Shadowsteel",
                "Silence",
                "Skullcleaver",
                "Skullcrusher",
                "Slice of Life",
                "Soul Breaker",
                "Soul Reaper",
                "Spinefall",
                "Stalker",
                "Storm",
                "Storm Breaker",
                "Storm-Weaver",
                "Stormbringer",
                "Stormcaller",
                "Stormedge",
                "Stormrider",
                "Supernova",
                "Supremacy",
                "Suspension",
                "Swan Song",
                "Termination",
                "The Ambassador",
                "The Chancellor",
                "The Chief",
                "The Decapitator",
                "The End",
                "The Facelifter",
                "The Light",
                "The Minotaur",
                "The Oculus",
                "The Oracle",
                "The Sundering",
                "The Void",
                "The Warden",
                "Thunder",
                "Treachery",
                "Tremor",
                "Trickster",
                "Trinity",
                "Twisted",
                "Typhoon",
                "Ubiquity",
                "Undoing",
                "Vacancy",
                "Valkyrie",
                "Vanquisher",
                "Vengeance",
                "Warbringer",
                "Warmonger",
                "Whirlwind",
                "Wicked",
                "Widow Maker",
                "Willbreaker",
                "Windreaper",
                "Windslicer",
                "Winter's Bite",
                "Wit's End",
                "Witherbrand",
                "Wolf",
                "Worldbreaker",
                "Worldcarver",
                "Worldslayer",
            ]
        elif classification == Weapon.WeaponType.Bow:
            var1 = [
                "Hornet's Sting",
                "Blackened Sky",
                "Darkened Sky",
                "Steel Hail",
                "Archangel",
                "Archdemon",
                "Arcus",
                "Armadillo",
                "Armageddon",
                "Arrowsong",
                "Arrowspike",
                "Avalance",
                "Back Pain",
                "Backsnipe",
                "Ballista",
                "Barrage",
                "Beesting",
                "Betrayal",
                "Betrayal's Sting",
                "Bolt",
                "Bolt Action",
                "Bon Voyage",
                "Bristleblitz",
                "Bullseye",
                "Calamity",
                "Chimera",
                "Clutch",
                "Comet",
                "Courier",
                "Crier",
                "Curvey",
                "Cyclone",
                "Dash",
                "Dead Air",
                "Death's Kiss",
                "Death's Sigh",
                "Death's Whisper",
                "Decimate",
                "Deliverance",
                "Deluge",
                "Destiny's Song",
                "Devil's Kiss",
                "Devil's Recurve",
                "Devil's Sting",
                "Devil's Whisper",
                "Doomcaster",
                "Drawback",
                "Drawling",
                "Drawstring",
                "Dream Catcher",
                "Eagle",
                "Eagle Strike",
                "Emily's Curve",
                "Euthanasia",
                "Eye of Eternity",
                "Eye of Fidelity",
                "Eye of Precision",
                "Eye of Truth",
                "Falling Star",
                "Featherdraw",
                "Final Breath",
                "Final Voyage",
                "Final Whisper",
                "Final Whistle",
                "Firestarter",
                "Fling",
                "Flux",
                "Fury",
                "Gargoyle",
                "Graviton",
                "Hailstorm",
                "Hamstring",
                "Hamstrung",
                "Harbinger",
                "Hatred's Sting",
                "Hawkeye",
                "Heartbeat",
                "Heartpiercer",
                "Heartstriker",
                "Heartstring",
                "Hedgehog",
                "Hell's Whistle",
                "High-Strung",
                "Hooty Tooty Aim and Shooty",
                "Hope's End",
                "Hornet",
                "Huntress",
                "Hurricane",
                "Hush",
                "Imminent Doom",
                "Impending Doom",
                "Irk",
                "Jugular",
                "Kiss of Death",
                "Lash",
                "Last Kiss",
                "Last Vision",
                "Last Whisper",
                "Lightning",
                "Lightning Strike",
                "Long Shot",
                "Messenger",
                "Meteor",
                "Meteor Strike",
                "Midge",
                "Mirage",
                "Misery's End",
                "Molten Fury",
                "Mosquito",
                "Needle Shooter",
                "Needle Threader",
                "Netherstrand",
                "Penetrator",
                "Perfidy",
                "Phantom",
                "Phantom Strike",
                "Phoenix",
                "Pierce",
                "Pinch",
                "Pique",
                "Pluck",
                "Porcupine",
                "Precise",
                "Precision",
                "Prickle",
                "Prophet",
                "Puncture",
                "Quickstrike",
                "Quillshooter",
                "Quintain",
                "Rain Maker",
                "Razorsong",
                "Razorwind",
                "Recurve",
                "Rigormortis",
                "Salvation",
                "Scorpio",
                "Scorpion",
                "Scorpion Sting",
                "Shadow Strike",
                "Shadow's Bane",
                "Shadow's Strike",
                "Shatter Storm",
                "Shooting Star",
                "Shriek",
                "Silent Messenger",
                "Silentsong",
                "Siren's Call",
                "Siren's Cry",
                "Siren's Song",
                "Sky Piercer",
                "Skyfire",
                "Snatch",
                "Snipe",
                "Snitch",
                "Soulstring",
                "Special Delivery",
                "Spitfire",
                "Splinter",
                "Splintermark",
                "Squawk",
                "Squirm",
                "Star's Fury",
                "Starshot",
                "Starstruck",
                "Sting",
                "Stormsong",
                "Striker's Mark",
                "Stryker",
                "Sudden Death",
                "Surprise",
                "Swiftwind",
                "Swoosh",
                "Talonstrike",
                "Tempest",
                "The Ambassador",
                "The Messenger",
                "Thunder",
                "Thunderstrike",
                "Tiebreaker",
                "Tranquility",
                "Trophy Chord",
                "Trophy Gatherer",
                "Trophy Mark",
                "Truestrike",
                "Tweak",
                "Twisted",
                "Twister",
                "Twitch",
                "Typhoon",
                "Valkyrie",
                "Vehement Chord",
                "Venomstrike",
                "Viper",
                "Vixen",
                "Vulture",
                "Warsong",
                "Wasp",
                "Wasp's Sting",
                "Whelm",
                "Whisper",
                "Whisperwind",
                "Windbreaker",
                "Windforce",
                "Windlass",
                "Windrunner",
                "Windstalker",
                "Windtalker",
                "WithDraw",
            ]
            var2 = [
                "Advanced",
                "Amber Infused",
                "Ancient",
                "Anguish'",
                "Annihilation",
                "Antique",
                "Arcane",
                "Arched",
                "Archer's",
                "Assassination",
                "Atuned",
                "Bandit's",
                "Baneful",
                "Banished",
                "Barbarian",
                "Barbaric",
                "Battleworn",
                "Blazefury",
                "Blessed",
                "Blood Infused",
                "Bloodcursed",
                "Bloodied",
                "Bloodlord's",
                "Bloodsurge",
                "Bloodvenom",
                "Bone Crushing",
                "Bowman's",
                "Brutal",
                "Brutality",
                "Burnished",
                "Cataclysm",
                "Cataclysmic",
                "Charmed",
                "Corrupted",
                "Crazed",
                "Crying",
                "Cursed",
                "Curved",
                "Dancing",
                "Defiled",
                "Deluded",
                "Demonic",
                "Deserted",
                "Desire's",
                "Desolation",
                "Destiny's",
                "Dire",
                "Doom",
                "Doom's",
                "Dragon's",
                "Dragonbreath",
                "Dreadful",
                "Ebon",
                "Eerie",
                "Enchanted",
                "Engraved",
                "Eternal",
                "Ethereal",
                "Executing",
                "Exiled",
                "Expert's",
                "Extinction",
                "Faith's",
                "Faithful",
                "Fancy",
                "Fearful",
                "Feather-Wrapped",
                "Featherdraw",
                "Feral",
                "Fierce",
                "Fiery",
                "Fine",
                "Firestorm",
                "Flimsy",
                "Forsaken",
                "Fortune's",
                "Fragile",
                "Frail",
                "Frenzied",
                "Frost",
                "Frozen",
                "Furious",
                "Fusion",
                "Ghastly",
                "Ghostly",
                "Gladiator",
                "Gladiator's",
                "Grieving",
                "Guard's",
                "Guardian's",
                "Hateful",
                "Haunted",
                "Heavy",
                "Hollow",
                "Holy",
                "Honed",
                "Honor's",
                "Hope's",
                "Hopeless",
                "Howling",
                "Hungering",
                "Improved",
                "Incarnated",
                "Infused",
                "Inherited",
                "Isolated",
                "Jade Infused",
                "Judgement",
                "Liar's",
                "Lich",
                "Lightning",
                "Lonely",
                "Loyal",
                "Lustful",
                "Lusting",
                "Mage's",
                "Malevolent",
                "Malicious",
                "Malignant",
                "Massive",
                "Master Hunter's",
                "Mended",
                "Mercenary",
                "Military",
                "Misfortune's",
                "Mourning",
                "Nightmare",
                "Nightstalker",
                "Ominous",
                "Peacekeeper",
                "Phantom",
                "Possessed",
                "Pride's",
                "Prideful",
                "Primitive",
                "Promised",
                "Protector's",
                "Proud",
                "Ranger's",
                "Recruit's",
                "Reincarnated",
                "Relentless",
                "Remorseful",
                "Renewed",
                "Renovated",
                "Replica",
                "Restored",
                "Retribution",
                "Ritual",
                "Roaring",
                "Savage",
                "Oathkeeper's",
                "Shadow",
                "Shadowleaf",
                "Shrieking",
                "Silent",
                "Singed",
                "Singing",
                "Sinister",
                "Skullforge",
                "Skyfall",
                "Smooth",
                "Solitude's",
                "Sorrow's",
                "Soul",
                "Soul Infused",
                "Soulcursed",
                "Soulless",
                "Spectral",
                "Spiteful",
                "Storm",
                "Storm's",
                "Stormfury",
                "Stormguard",
                "Stout",
                "Striker's",
                "Sturdy",
                "Terror",
                "Thirsting",
                "Thirsty",
                "Thunder",
                "Thunderfury",
                "Thunderguard",
                "Thundersoul",
                "Timeworn",
                "Tormented",
                "Tracking",
                "Trainee's",
                "Trapper's",
                "Treachery's",
                "Twilight",
                "Twilight's",
                "Twisted",
                "Tyrannical",
                "Undead",
                "Unholy",
                "Vengeance",
                "Vengeful",
                "Venom",
                "Vicious",
                "Vindication",
                "Vindictive",
                "Void",
                "Volcanic",
                "Vowed",
                "War-Forged",
                "Warlord's",
                "Warp",
                "Warped",
                "Warsong",
                "Well Crafted",
                "Whistling",
                "Wicked",
                "Wind's",
                "Windsong",
                "Woeful",
                "Wrathful",
                "Wretched",
                "Yearning",
                "Yielding",
                "Zealous",
            ]
            var3 = [
                "Ashwood",
                "Bone",
                "Bronzed",
                "Driftwood",
                "Ebon",
                "Hardwood",
                "Iron",
                "Ironbark",
                "Maple",
                "Oak",
                "Redwood",
                "Skeletal",
                "Steel",
                "Titanium",
                "Warpwood",
                "Willow",
                "Yew",
            ]
            var4 = [
                "Longbow",
                "Shortbow",
                "Crossbow",
                "Speargun",
                "Launcher",
                "Repeater",
                "Shooter",
                "Crossfire",
                "Bolter",
                "Heavy Crossbow",
                "Arbalest",
                "Piercer",
                "Striker",
                "Warbow",
                "Chord",
                "Recurve",
                "Bow",
                "Compound Bow",
                "Hunting Bow",
                "Warp-Bow",
                "Flatbow",
                "Reflex Bow",
                "Composite Bow",
                "Compound Crossbow",
                "Straight Bow",
                "Self Bow",
            ]
            var5 = [
                "Annihilation",
                "Arbalest",
                "Arch",
                "Betrayer",
                "Bite",
                "Bolter",
                "Bond",
                "Boon",
                "Bow",
                "Breaker",
                "Bringer",
                "Call",
                "Champion",
                "Chord",
                "Composite Bow",
                "Compound Bow",
                "Crescent",
                "Crook",
                "Crossbow",
                "Crossfire",
                "Cry",
                "Cunning",
                "Curve",
                "Dawn",
                "Defiler",
                "Destroyer",
                "Eclipse",
                "Ellipse",
                "Ender",
                "Etcher",
                "Executioner",
                "Eye",
                "Favor",
                "Ferocity",
                "Flatbow",
                "Foe",
                "Gift",
                "Glory",
                "Guardian",
                "Heavy Crossbow",
                "Heirloom",
                "Hope",
                "Hunting Bow",
                "Incarnation",
                "Kiss",
                "Last Hope",
                "Last Stand",
                "Launcher",
                "Legacy",
                "Longbow",
                "Memory",
                "Might",
                "Oath",
                "Pact",
                "Piercer",
                "Pique",
                "Pledge",
                "Poke",
                "Prick",
                "Promise",
                "Protector",
                "Ravager",
                "Reach",
                "Recurve",
                "Reflex Bow",
                "Repeater",
                "Savagery",
                "Secret",
                "Self Bow",
                "Shooter",
                "Shortbow",
                "Skewer",
                "Soul",
                "Speargun",
                "Spike",
                "Spine",
                "Straight Bow",
                "Striker",
                "String",
                "Terror",
                "Token",
                "Tribute",
                "Vengeance",
                "Voice",
                "Warbow",
                "Warp-Bow",
                "Whisper",
                "Wit",
            ]
            var6 = [
                "of Agony",
                "of Ancient Power",
                "of Anguish",
                "of Ashes",
                "of Assassins",
                "of Black Magic",
                "of Blessed Fortune",
                "of Blessings",
                "of Blight",
                "of Blood",
                "of Bloodlust",
                "of Broken Bones",
                "of Broken Dreams",
                "of Broken Families",
                "of Burdens",
                "of Chaos",
                "of Closing Eyes",
                "of Conquered Worlds",
                "of Corruption",
                "of Cruelty",
                "of Cunning",
                "of Dark Magic",
                "of Dark Souls",
                "of Darkness",
                "of Decay",
                "of Deception",
                "of Degradation",
                "of Delusions",
                "of Denial",
                "of Desecration",
                "of Diligence",
                "of Dismay",
                "of Dragonsouls",
                "of Due Diligence",
                "of Echoes",
                "of Ended Dreams",
                "of Ending Hope",
                "of Ending Misery",
                "of Eternal Bloodlust",
                "of Eternal Damnation",
                "of Eternal Glory",
                "of Eternal Justice",
                "of Eternal Rest",
                "of Eternal Sorrow",
                "of Eternal Struggles",
                "of Eternity",
                "of Executions",
                "of Faded Memories",
                "of Fallen Souls",
                "of Fools",
                "of Frost",
                "of Frozen Hells",
                "of Fury",
                "of Giants",
                "of Giantslaying",
                "of Grace",
                "of Grieving Widows",
                "of Hate",
                "of Hatred",
                "of Hell's Games",
                "of Hellish Torment",
                "of Heroes",
                "of Holy Might",
                "of Honor",
                "of Hope",
                "of Horrid Dreams",
                "of Horrors",
                "of Illuminated Dreams",
                "of Illumination",
                "of Immortality",
                "of Inception",
                "of Infinite Trials",
                "of Insanity",
                "of Invocation",
                "of Justice",
                "of Light's Hope",
                "of Lost Comrades",
                "of Lost Hope",
                "of Lost Voices",
                "of Lost Worlds",
                "of Magic",
                "of Mercy",
                "of Misery",
                "of Mountains",
                "of Mourning",
                "of Mystery",
                "of Necromancy",
                "of Nightmares",
                "of Oblivion",
                "of Perdition",
                "of Phantoms",
                "of Power",
                "of Pride",
                "of Pride's Fall",
                "of Putrefaction",
                "of Reckoning",
                "of Redemption",
                "of Regret",
                "of Riddles",
                "of Secrecy",
                "of Secrets",
                "of Shadow Strikes",
                "of Shadows",
                "of Shifting Sands",
                "of Shifting Worlds",
                "of Silence",
                "of Slaughter",
                "of Souls",
                "of Stealth",
                "of Storms",
                "of Subtlety",
                "of Suffering",
                "of Suffering's End",
                "of Summoning",
                "of Terror",
                "of Thunder",
                "of Time-Lost Memories",
                "of Timeless Battles",
                "of Titans",
                "of Torment",
                "of Traitors",
                "of Trembling Hands",
                "of Trials",
                "of Truth",
                "of Twilight's End",
                "of Twisted Visions",
                "of Unholy Blight",
                "of Unholy Might",
                "of Vengeance",
                "of Visions",
                "of Wasted Time",
                "of Widows",
                "of Wizardry",
                "of Woe",
                "of Wraiths",
                "of Zeal",
                "of the Ancients",
                "of the Banished",
                "of the Basilisk",
                "of the Beast",
                "of the Blessed",
                "of the Breaking Storm",
                "of the Brotherhood",
                "of the Burning Sun",
                "of the Caged Mind",
                "of the Cataclysm",
                "of the Champion",
                "of the Claw",
                "of the Corrupted",
                "of the Covenant",
                "of the Crown",
                "of the Damned",
                "of the Daywalker",
                "of the Dead",
                "of the Depth",
                "of the Dreadlord",
                "of the Earth",
                "of the East",
                "of the Emperor",
                "of the Empty Void",
                "of the End",
                "of the Enigma",
                "of the Fallen",
                "of the Falling Sky",
                "of the Flame",
                "of the Forest",
                "of the Forgotten",
                "of the Forsaken",
                "of the Gladiator",
                "of the Harvest",
                "of the Immortal",
                "of the Incoming Storm",
                "of the Insane",
                "of the King",
                "of the Lasting Night",
                "of the Leviathan",
                "of the Light",
                "of the Lion",
                "of the Lionheart",
                "of the Lone Victor",
                "of the Lone Wolf",
                "of the Lost",
                "of the Moon",
                "of the Moonwalker",
                "of the Night Sky",
                "of the Night",
                "of the Nightstalker",
                "of the North",
                "of the Occult",
                "of the Oracle",
                "of the Phoenix",
                "of the Plague",
                "of the Prince",
                "of the Protector",
                "of the Queen",
                "of the Serpent",
                "of the Setting Sun",
                "of the Shadows",
                "of the Sky",
                "of the South",
                "of the Stars",
                "of the Storm",
                "of the Summoner",
                "of the Sun",
                "of the Sunwalker",
                "of the Talon",
                "of the Undying",
                "of the Victor",
                "of the Void",
                "of the West",
                "of the Whispers",
                "of the Wicked",
                "of the Wind",
                "of the Wolf",
                "of the World",
                "of the Wretched",
            ]
            var7 = [
                "Archangel",
                "Archdemon",
                "Arcus",
                "Armadillo",
                "Armageddon",
                "Arrowsong",
                "Arrowspike",
                "Avalance",
                "Back Pain",
                "Backsnipe",
                "Ballista",
                "Barrage",
                "Beesting",
                "Betrayal",
                "Betrayal's Sting",
                "Bolt",
                "Bon Voyage",
                "Bristleblitz",
                "Bullseye",
                "Calamity",
                "Chimera",
                "Clutch",
                "Comet",
                "Courier",
                "Crier",
                "Curvey",
                "Cyclone",
                "Dash",
                "Dead Air",
                "Death's Kiss",
                "Death's Sigh",
                "Death's Whisper",
                "Decimate",
                "Deliverance",
                "Deluge",
                "Destiny's Song",
                "Devil's Kiss",
                "Devil's Recurve",
                "Devil's Sting",
                "Devil's Whisper",
                "Doomcaster",
                "Drawback",
                "Drawling",
                "Drawstring",
                "Dream Catcher",
                "Eagle",
                "Eagle Strike",
                "Emily's Curve",
                "Euthanasia",
                "Falling Star",
                "Featherdraw",
                "Firestarter",
                "Fling",
                "Flux",
                "Fury",
                "Gargoyle",
                "Graviton",
                "Hailstorm",
                "Hamstring",
                "Hamstrung",
                "Harbinger",
                "Hatred's Sting",
                "Hawkeye",
                "Heartbeat",
                "Heartpiercer",
                "Heartstriker",
                "Heartstring",
                "Hedgehog",
                "Hell's Whistle",
                "High-Strung",
                "Hope's End",
                "Hornet",
                "Huntress",
                "Hurricane",
                "Hush",
                "Irk",
                "Jugular",
                "Kiss of Death",
                "Lash",
                "Lightning",
                "Long Shot",
                "Messenger",
                "Meteor",
                "Midge",
                "Mirage",
                "Misery's End",
                "Molten Fury",
                "Mosquito",
                "Netherstrand",
                "Penetrator",
                "Perfidy",
                "Phantom",
                "Phantom Strike",
                "Phoenix",
                "Pierce",
                "Pinch",
                "Pique",
                "Pluck",
                "Porcupine",
                "Precise",
                "Precision",
                "Prickle",
                "Prophet",
                "Puncture",
                "Quickstrike",
                "Quintain",
                "Rain Maker",
                "Razorsong",
                "Razorwind",
                "Recurve",
                "Rigormortis",
                "Salvation",
                "Scorpio",
                "Scorpion",
                "Shadow Strike",
                "Shooting Star",
                "Shriek",
                "Silent Messenger",
                "Silentsong",
                "Siren's Call",
                "Siren's Cry",
                "Siren's Song",
                "Sky Piercer",
                "Skyfire",
                "Snatch",
                "Snipe",
                "Snitch",
                "Soulstring",
                "Spitfire",
                "Splinter",
                "Splintermark",
                "Squawk",
                "Squirm",
                "Star's Fury",
                "Starshot",
                "Starstruck",
                "Sting",
                "Stormsong",
                "Stryker",
                "Surprise",
                "Swiftwind",
                "Swoosh",
                "Talonstrike",
                "Tempest",
                "The Ambassador",
                "The Messenger",
                "Thunder",
                "Thunderstrike",
                "Tiebreaker",
                "Tranquility",
                "Truestrike",
                "Tweak",
                "Twisted",
                "Twister",
                "Twitch",
                "Typhoon",
                "Valkyrie",
                "Venomstrike",
                "Viper",
                "Vixen",
                "Vulture",
                "Warsong",
                "Wasp",
                "Whelm",
                "Whisper",
                "Whisperwind",
                "Windbreaker",
                "Windforce",
                "Windlass",
                "Windrunner",
                "Windstalker",
                "Windtalker",
                "WithDraw",
            ]
        elif classification == Weapon.WeaponType.Dagger:
            var1 = [
                "Tie Breaker",
                "Redemption",
                "Laceration",
                "Forever",
                "Silver Slicer",
                "Eternity",
                "Goodbye",
                "Abyssal Shard",
                "Aetherius",
                "Agatha",
                "Wyrmtooth",
                "Alpha",
                "Amnesia",
                "Amnesty",
                "Anarchy",
                "Anduril",
                "Anger's Tear",
                "Angerfang",
                "Apocalypse",
                "Armageddon",
                "Ashrune",
                "Backtwister",
                "Barb",
                "Betrayal",
                "Betrayer",
                "Blackfang",
                "Blackout",
                "Blacktalon",
                "Blade of a Thousand Cuts",
                "Blazefury",
                "Blind Justice",
                "Blindstrike",
                "Blink",
                "Blinkstrike",
                "Blood Weeper",
                "Bloodquench",
                "Bloodsipper",
                "Bloodweep",
                "Bonescraper",
                "Bonespike",
                "Brainpicker",
                "Broken Promise",
                "Brutality",
                "Cataclysm",
                "Catastrophe",
                "Celeste",
                "Chaos",
                "Chisel",
                "Cometfell",
                "Convergence",
                "Crisscross",
                "Crucifix",
                "Darkheart",
                "Darkness",
                "Dawn",
                "Death's Bite",
                "Death's Kiss",
                "Death's Sting",
                "Deathraze",
                "Decimation",
                "Dementia",
                "Desolation",
                "Despair",
                "Destiny's Song",
                "Devine",
                "Dirge",
                "Dissector",
                "Divinity",
                "Doomblade",
                "Doombringer",
                "Doomspike",
                "Dragonclaw",
                "Dragonfang",
                "Dragontooth",
                "Draughtbane",
                "Due Diligence",
                "Dustbringer",
                "Ebony",
                "Echo",
                "Eclipse",
                "Edge of Eternity",
                "Edge of Insanity",
                "Edge of Time",
                "Endbringer",
                "Enigma",
                "Epilogue",
                "Eternal Rest",
                "Extinction",
                "Faithkeeper",
                "Fate",
                "Fear",
                "Felstriker",
                "Fleshrender",
                "Fleshshaper",
                "Flicker",
                "Frenzy",
                "Frightalon",
                "Fury",
                "Garotte",
                "Ghost Reaver",
                "Ghost Shard",
                "Ghostwalker",
                "Gladius",
                "Glimmer",
                "Grasscutter",
                "Grieving Blade",
                "Gutrender",
                "Gutwrencher",
                "Harmony",
                "Hatred's Bite",
                "Heartpierce",
                "Heartrazor",
                "Heartseeker",
                "Heartshiver",
                "Heartstriker",
                "Hell's Scream",
                "Hellfire",
                "Hollow Silence",
                "Honor's Call",
                "Hope's End",
                "Hysteria",
                "Icefall",
                "Incision",
                "Infamy",
                "Infinity",
                "Insanity",
                "Interrogator",
                "Ivory",
                "Justice",
                "Kingsbane",
                "Kingsfall",
                "Kinslayer",
                "Knight's Fall",
                "Knightfall",
                "Lament",
                "Last Rites",
                "Last Words",
                "Lazarus",
                "Lifedrinker",
                "Lightbane",
                "Lightning",
                "Limbo",
                "Lobotomizer",
                "Loyalty",
                "Lynch",
                "Maelstrom",
                "Malice",
                "Mangler",
                "Massacre",
                "Mercy",
                "Meteor",
                "Midnight",
                "Moonlight",
                "Mournblade",
                "Murder",
                "Mutilator",
                "Nail",
                "Narcoleptic",
                "Needle",
                "Nemesis",
                "Nethersbane",
                "Night's Edge",
                "Night's Fall",
                "Nightbane",
                "Nightbite",
                "Nightcrackle",
                "Nightfall",
                "Nightkiss",
                "Nimble",
                "Nirvana",
                "Oathbreaker",
                "Oathkeeper",
                "Oblivion",
                "Omega",
                "Omen",
                "Peacekeeper",
                "Persuasion",
                "Phantom",
                "Phantom Shard",
                "Phantomstrike",
                "Phobia",
                "Piece Maker",
                "Prick",
                "Purify",
                "Quicksilver",
                "Rage",
                "Ragespike",
                "Reaper",
                "Reckoning",
                "Remorse",
                "Requiem",
                "Riddle",
                "Rigormortis",
                "Sacrifice",
                "Sanguine",
                "Savagery",
                "Scalpel",
                "Scar",
                "Scarlet",
                "Seethe",
                "Severance",
                "Shadow Strike",
                "Shadowbite",
                "Shadowfall",
                "Shadowkiss",
                "Shadowrazor",
                "Shadowshiver",
                "Shadowsong",
                "Silence",
                "Silencer",
                "Silver Saber",
                "Silverlight",
                "Siphon",
                "Slander",
                "Slice of Life",
                "Solarflare",
                "Spiderfang",
                "Spike",
                "Spineripper",
                "Spiritsever",
                "Spiteblade",
                "Stalker",
                "Starlight",
                "Starshard",
                "Stickler",
                "Sting",
                "Stinger",
                "Storm",
                "Stormbringer",
                "Stormcaller",
                "Stormtip",
                "Striker",
                "Sun Strike",
                "Sunflare",
                "Sunshard",
                "Suspension",
                "Swan Song",
                "Teaser",
                "The Black Blade",
                "The End",
                "The Facelifter",
                "The Sleeper",
                "The Stake",
                "The Unmaker",
                "The Void",
                "Thorn",
                "Thunder",
                "Timeslicer",
                "Toothpick",
                "Torment",
                "Treachery",
                "Trickster",
                "Trinity",
                "Twilight",
                "Twinkle",
                "Twister",
                "Twitch",
                "Tyrhung",
                "Valkyrie",
                "Vengeance",
                "Venom",
                "Venombite",
                "Venomkiss",
                "Venomshank",
                "Venomtip",
                "Warmonger",
                "Widow Maker",
                "Widowkiller",
                "Widowmaker",
                "Winterthorn",
            ]
            var2 = [
                "Ancient",
                "Anguish'",
                "Annihilation",
                "Antique",
                "Apocalypse",
                "Apocalyptic",
                "Arcane",
                "Arched",
                "Assassination",
                "Atuned",
                "Bandit's",
                "Baneful",
                "Banished",
                "Barbarian",
                "Barbaric",
                "Battleworn",
                "Blazefury",
                "Blood Infused",
                "Blood-Forged",
                "Bloodcursed",
                "Bloodied",
                "Bloodlord's",
                "Bloodsurge",
                "Bloodvenom",
                "Bonecarvin",
                "Brutal",
                "Brutality",
                "Burnished",
                "Cataclysm",
                "Cataclysmic",
                "Cold-Forged",
                "Corroded",
                "Corrupted",
                "Crazed",
                "Crying",
                "Cursed",
                "Curved",
                "Dancing",
                "Dark",
                "Darkness",
                "Defiled",
                "Defiling",
                "Deluded",
                "Deserted",
                "Desire's",
                "Desolation",
                "Destiny's",
                "Diabolical",
                "Dire",
                "Doom",
                "Doom's",
                "Dragon's",
                "Eerie",
                "Enchanted",
                "Engraved",
                "Eternal",
                "Executing",
                "Exiled",
                "Extinction",
                "Faith's",
                "Faithful",
                "Fancy",
                "Fearful",
                "Feral",
                "Ferocious",
                "Fierce",
                "Fiery",
                "Fire Infused",
                "Fireguard",
                "Firesoul",
                "Firestorm",
                "Flaming",
                "Flimsy",
                "Forsaken",
                "Fortune's",
                "Foul",
                "Fragile",
                "Frail",
                "Frenzied",
                "Frost",
                "Frozen",
                "Furious",
                "Fusion",
                "Ghastly",
                "Ghost-Forged",
                "Ghostly",
                "Gladiator",
                "Gladiator's",
                "Gleaming",
                "Glinting",
                "Greedy",
                "Grieving",
                "Grim",
                "Guard's",
                "Guardian's",
                "Hailstorm",
                "Hateful",
                "Haunted",
                "Heartless",
                "Heinous",
                "Hollow",
                "Holy",
                "Honed",
                "Honor's",
                "Hope's",
                "Hopeless",
                "Howling",
                "Hungering",
                "Improved",
                "Impure",
                "Incarnated",
                "Infused",
                "Inherited",
                "Isolated",
                "Jade Infused",
                "Judgement",
                "Knightly",
                "Legionnaire's",
                "Liar's",
                "Lich",
                "Lightning",
                "Lonely",
                "Loyal",
                "Lustful",
                "Lusting",
                "Mage's",
                "Malevolent",
                "Malicious",
                "Malificent",
                "Malignant",
                "Massive",
                "Mended",
                "Mercenary",
                "Military",
                "Misfortune's",
                "Misty",
                "Moonlit",
                "Mourning",
                "Nightmare",
                "Oathkeeper's",
                "Ominous",
                "Peacekeeper's",
                "Phantom",
                "Polished",
                "Possessed",
                "Pride's",
                "Prideful",
                "Primitive",
                "Promised",
                "Protector's",
                "Proud",
                "Pure",
                "Putrid",
                "Raging",
                "Recruit's",
                "Reforged",
                "Reincarnated",
                "Relentless",
                "Remorseful",
                "Renewed",
                "Renovated",
                "Replica",
                "Restored",
                "Retribution",
                "Ritual",
                "Roaring",
                "Ruby Infused",
                "Rune-Forged",
                "Rusty",
                "Savage",
                "Shadow",
                "Sharpened",
                "Silent",
                "Singed",
                "Singing",
                "Sinister",
                "Smooth",
                "Solitude's",
                "Sorrow's",
                "Soul",
                "Soul Infused",
                "Soul-Forged",
                "Soulcursed",
                "Soulless",
                "Spectral",
                "Spectral-Forged",
                "Spiteful",
                "Storm",
                "Storm-Forged",
                "Stormfury",
                "Stormguard",
                "Terror",
                "Thirsting",
                "Thirsty",
                "Thunder",
                "Thunder-Forged",
                "Thunderfury",
                "Thunderguard",
                "Thundersoul",
                "Thunderstorm",
                "Timeworn",
                "Tormented",
                "Trainee's",
                "Treachery's",
                "Twilight",
                "Twilight's",
                "Twisted",
                "Tyrannical",
                "Undead",
                "Unholy",
                "Vengeance",
                "Vengeful",
                "Venom",
                "Vicious",
                "Vile",
                "Vindication",
                "Vindictive",
                "Void",
                "Volcanic",
                "Vowed",
                "War-Forged",
                "Warlord's",
                "Warp",
                "Warped",
                "Whistling",
                "Wicked",
                "Wind's",
                "Wind-Forged",
                "Windsong",
                "Woeful",
                "Wrathful",
                "Wretched",
                "Yearning",
                "Zealous",
            ]
            var3 = [
                "Adamantite",
                "Bronze",
                "Copper",
                "Diamond",
                "Ebon",
                "Ebonsteel",
                "Ebony",
                "Glass",
                "Gold",
                "Iron",
                "Ironbark",
                "Ivory",
                "Mithril",
                "Obsidian",
                "Onyx",
                "Phantomsteel",
                "Shadowsteel",
                "Silver",
                "Skeletal",
                "Steel",
            ]
            var4 = [
                "Bayonet",
                "Blade",
                "Carver",
                "Dagger",
                "Deflector",
                "Dirk",
                "Doomblade",
                "Ebonblade",
                "Etcher",
                "Fang",
                "Guardian",
                "Knife",
                "Kris",
                "Mageblade",
                "Piercer",
                "Protector",
                "Quickblade",
                "Razor",
                "Reaver",
                "Sabre",
                "Scalpel",
                "Sculptor",
                "Shanker",
                "Shiv",
                "Shortblade",
                "Shortsword",
                "Skewer",
                "Slicer",
                "Spellblade",
                "Stiletto",
                "Swiftblade",
            ]
            var5 = [
                "Annihilation",
                "Bayonet",
                "Betrayer",
                "Blade",
                "Blessed Blade",
                "Blood Blade",
                "Bond",
                "Boon",
                "Breaker",
                "Bringer",
                "Butcher",
                "Call",
                "Carver",
                "Champion",
                "Conqueror",
                "Crusader",
                "Cry",
                "Cunning",
                "Dagger",
                "Dark Blade",
                "Dawn",
                "Defender",
                "Defiler",
                "Deflector",
                "Destroyer",
                "Dirk",
                "Doomblade",
                "Ebonblade",
                "Edge",
                "Ender",
                "Etcher",
                "Executioner",
                "Fang",
                "Favor",
                "Ferocity",
                "Foe",
                "Gift",
                "Glory",
                "Guardian",
                "Heirloom",
                "Hope",
                "Incarnation",
                "Jaws",
                "Knife",
                "Kris",
                "Last Hope",
                "Last Stand",
                "Legacy",
                "Mageblade",
                "Memory",
                "Might",
                "Oath",
                "Pact",
                "Piercer",
                "Pledge",
                "Promise",
                "Protector",
                "Quickblade",
                "Ravager",
                "Razor",
                "Reach",
                "Reaper",
                "Reaver",
                "Runed Blade",
                "Saber",
                "Sabre",
                "Savagery",
                "Scalpel",
                "Sculptor",
                "Secret",
                "Shanker",
                "Shiv",
                "Shortblade",
                "Skewer",
                "Slayer",
                "Slicer",
                "Soul",
                "Spellblade",
                "Spine",
                "Stiletto",
                "Swiftblade",
                "Terror",
                "Token",
                "Tribute",
                "Vengeance",
                "Voice",
                "Warblade",
                "Whisper",
                "Wit",
            ]
            var6 = [
                "of Agony",
                "of Ancient Power",
                "of Anguish",
                "of Ashes",
                "of Assassins",
                "of Black Magic",
                "of Blessed Fortune",
                "of Blessings",
                "of Blight",
                "of Blood",
                "of Bloodlust",
                "of Broken Bones",
                "of Broken Dreams",
                "of Broken Families",
                "of Burdens",
                "of Chaos",
                "of Closing Eyes",
                "of Conquered Worlds",
                "of Corruption",
                "of Cruelty",
                "of Cunning",
                "of Dark Magic",
                "of Dark Souls",
                "of Darkness",
                "of Decay",
                "of Deception",
                "of Degradation",
                "of Delusions",
                "of Denial",
                "of Desecration",
                "of Dilusion",
                "of Dismay",
                "of Dragonsouls",
                "of Due Diligence",
                "of Echoes",
                "of Ended Dreams",
                "of Ending Hope",
                "of Ending Misery",
                "of Eternal Bloodlust",
                "of Eternal Damnation",
                "of Eternal Glory",
                "of Eternal Justice",
                "of Eternal Rest",
                "of Eternal Sorrow",
                "of Eternal Struggles",
                "of Eternity",
                "of Executions",
                "of Faded Memories",
                "of Fallen Souls",
                "of Fools",
                "of Frost",
                "of Frozen Hells",
                "of Fury",
                "of Giants",
                "of Giantslaying",
                "of Grace",
                "of Grieving Widows",
                "of Hate",
                "of Hatred",
                "of Hell's Games",
                "of Hellish Torment",
                "of Heroes",
                "of Holy Might",
                "of Honor",
                "of Hope",
                "of Horrid Dreams",
                "of Horrors",
                "of Illuminated Dreams",
                "of Illumination",
                "of Immortality",
                "of Inception",
                "of Infinite Trials",
                "of Insanity",
                "of Invocation",
                "of Justice",
                "of Light's Hope",
                "of Lost Comrades",
                "of Lost Hope",
                "of Lost Voices",
                "of Lost Worlds",
                "of Magic",
                "of Mercy",
                "of Misery",
                "of Mountains",
                "of Mourning",
                "of Mystery",
                "of Necromancy",
                "of Nightmares",
                "of Oblivion",
                "of Perdition",
                "of Phantoms",
                "of Power",
                "of Pride",
                "of Pride's Fall",
                "of Putrefaction",
                "of Reckoning",
                "of Redemption",
                "of Regret",
                "of Riddles",
                "of Secrecy",
                "of Secrets",
                "of Shadow Strikes",
                "of Shadows",
                "of Shifting Sands",
                "of Shifting Worlds",
                "of Silence",
                "of Slaughter",
                "of Souls",
                "of Stealth",
                "of Storms",
                "of Subtlety",
                "of Suffering",
                "of Suffering's End",
                "of Summoning",
                "of Terror",
                "of Thunder",
                "of Time-Lost Memories",
                "of Timeless Battles",
                "of Titans",
                "of Torment",
                "of Traitors",
                "of Trembling Hands",
                "of Trials",
                "of Truth",
                "of Twilight's End",
                "of Twisted Visions",
                "of Unholy Blight",
                "of Unholy Might",
                "of Vengeance",
                "of Visions",
                "of Wasted Time",
                "of Widows",
                "of Wizardry",
                "of Woe",
                "of Wraiths",
                "of Zeal",
                "of the Ancients",
                "of the Banished",
                "of the Basilisk",
                "of the Beast",
                "of the Blessed",
                "of the Breaking Storm",
                "of the Brotherhood",
                "of the Burning Sun",
                "of the Caged Mind",
                "of the Cataclysm",
                "of the Champion",
                "of the Claw",
                "of the Corrupted",
                "of the Covenant",
                "of the Crown",
                "of the Damned",
                "of the Daywalker",
                "of the Dead",
                "of the Depth",
                "of the Dreadlord",
                "of the Earth",
                "of the East",
                "of the Emperor",
                "of the Empty Void",
                "of the End",
                "of the Enigma",
                "of the Fallen",
                "of the Falling Sky",
                "of the Flame",
                "of the Forest",
                "of the Forgotten",
                "of the Forsaken",
                "of the Gladiator",
                "of the Harvest",
                "of the Immortal",
                "of the Incoming Storm",
                "of the Insane",
                "of the King",
                "of the Lasting Night",
                "of the Leviathan",
                "of the Light",
                "of the Lion",
                "of the Lionheart",
                "of the Lone Victor",
                "of the Lone Wolf",
                "of the Lost",
                "of the Moon",
                "of the Moonwalker",
                "of the Night Sky",
                "of the Night",
                "of the Nightstalker",
                "of the North",
                "of the Occult",
                "of the Oracle",
                "of the Phoenix",
                "of the Plague",
                "of the Prince",
                "of the Protector",
                "of the Queen",
                "of the Serpent",
                "of the Setting Sun",
                "of the Shadows",
                "of the Sky",
                "of the South",
                "of the Stars",
                "of the Storm",
                "of the Summoner",
                "of the Sun",
                "of the Sunwalker",
                "of the Talon",
                "of the Undying",
                "of the Victor",
                "of the Void",
                "of the West",
                "of the Whispers",
                "of the Wicked",
                "of the Wind",
                "of the Wolf",
                "of the World",
                "of the Wretched",
            ]
            var7 = [
                "Tie Breaker",
                "Laceration",
                "Forever",
                "Silver Slicer",
                "Eternity",
                "Goodbye",
                "Aetherius",
                "Agatha",
                "Alpha",
                "Amnesia",
                "Amnesty",
                "Anarchy",
                "Anduril",
                "Anger's Tear",
                "Angerfang",
                "Apocalypse",
                "Armageddon",
                "Ashrune",
                "Backtwister",
                "Barb",
                "Betrayal",
                "Betrayer",
                "Blackfang",
                "Blackout",
                "Blacktalon",
                "Blazefury",
                "Blind Justice",
                "Blindstrike",
                "Blink",
                "Blinkstrike",
                "Blood Weeper",
                "Bloodquench",
                "Bloodsipper",
                "Bloodweep",
                "Bonescraper",
                "Bonespike",
                "Brainpicker",
                "Broken Promise",
                "Brutality",
                "Cataclysm",
                "Catastrophe",
                "Celeste",
                "Chaos",
                "Chisel",
                "Cometfell",
                "Convergence",
                "Crisscross",
                "Crucifix",
                "Darkheart",
                "Darkness",
                "Dawn",
                "Death's Bite",
                "Death's Kiss",
                "Death's Sting",
                "Deathraze",
                "Decimation",
                "Dementia",
                "Desolation",
                "Despair",
                "Devine",
                "Dirge",
                "Dissector",
                "Divinity",
                "Doomblade",
                "Doombringer",
                "Doomspike",
                "Dragonclaw",
                "Dragonfang",
                "Dragontooth",
                "Draughtbane",
                "Due Diligence",
                "Dustbringer",
                "Echo",
                "Eclipse",
                "Edge of Eternity",
                "Edge of Insanity",
                "Edge of Time",
                "Endbringer",
                "Enigma",
                "Epilogue",
                "Eternal Rest",
                "Extinction",
                "Faithkeeper",
                "Fate",
                "Fear",
                "Felstriker",
                "Fleshrender",
                "Fleshshaper",
                "Flicker",
                "Frenzy",
                "Frightalon",
                "Fury",
                "Garotte",
                "Ghost Reaver",
                "Ghost Shard",
                "Ghostwalker",
                "Glimmer",
                "Gutrender",
                "Gutwrencher",
                "Harmony",
                "Hatred's Bite",
                "Heartpierce",
                "Heartrazor",
                "Heartseeker",
                "Heartshiver",
                "Heartstriker",
                "Hell's Scream",
                "Hellfire",
                "Honor's Call",
                "Hope's End",
                "Hysteria",
                "Icefall",
                "Incision",
                "Infamy",
                "Infinity",
                "Insanity",
                "Interrogator",
                "Ivory",
                "Justice",
                "Kingsbane",
                "Kingsfall",
                "Kinslayer",
                "Knight's Fall",
                "Knightfall",
                "Lament",
                "Last Rites",
                "Last Words",
                "Lazarus",
                "Lifedrinker",
                "Lightbane",
                "Lightning",
                "Limbo",
                "Lobotomizer",
                "Lynch",
                "Maelstrom",
                "Malice",
                "Mangler",
                "Massacre",
                "Mercy",
                "Meteor",
                "Midnight",
                "Moonlight",
                "Mournblade",
                "Murder",
                "Mutilator",
                "Nail",
                "Narcoleptic",
                "Needle",
                "Nemesis",
                "Nethersbane",
                "Night's Edge",
                "Night's Fall",
                "Nightbane",
                "Nightbite",
                "Nightcrackle",
                "Nightfall",
                "Nightkiss",
                "Nimble",
                "Nirvana",
                "Oathbreaker",
                "Oathkeeper",
                "Oblivion",
                "Omega",
                "Omen",
                "Peacekeeper",
                "Persuasion",
                "Phantom",
                "Phantom Shard",
                "Phantomstrike",
                "Phobia",
                "Piece Maker",
                "Prick",
                "Purify",
                "Quicksilver",
                "Rage",
                "Ragespike",
                "Reaper",
                "Reckoning",
                "Remorse",
                "Requiem",
                "Riddle",
                "Rigormortis",
                "Sacrifice",
                "Sanguine",
                "Savagery",
                "Scalpel",
                "Scar",
                "Scarlet",
                "Seethe",
                "Severance",
                "Shadow Strike",
                "Shadowbite",
                "Shadowfall",
                "Shadowkiss",
                "Shadowrazor",
                "Shadowshiver",
                "Shadowsong",
                "Silence",
                "Silencer",
                "Silver Saber",
                "Silverlight",
                "Siphon",
                "Slander",
                "Slice of Life",
                "Solarflare",
                "Spiderfang",
                "Spike",
                "Spineripper",
                "Spiritsever",
                "Spiteblade",
                "Stalker",
                "Starlight",
                "Starshard",
                "Stickler",
                "Sting",
                "Stinger",
                "Storm",
                "Stormbringer",
                "Stormcaller",
                "Stormtip",
                "Striker",
                "Sun Strike",
                "Sunflare",
                "Sunshard",
                "Suspension",
                "Swan Song",
                "Teaser",
                "The Black Blade",
                "The End",
                "The Facelifter",
                "The Sleeper",
                "The Taker",
                "The Undertaker",
                "The Stake",
                "The Unmaker",
                "The Void",
                "Thorn",
                "Thunder",
                "Timeslicer",
                "Toothpick",
                "Torment",
                "Treachery",
                "Trickster",
                "Trinity",
                "Twilight",
                "Twinkle",
                "Twister",
                "Twitch",
                "Tyrhung",
                "Valkyrie",
                "Vengeance",
                "Venom",
                "Venombite",
                "Venomkiss",
                "Venomshank",
                "Venomtip",
                "Warmonger",
                "Widow Maker",
                "Widowkiller",
                "Widowmaker",
                "Winterthorn",
            ]
        elif classification == Weapon.WeaponType.Mace:
            var1 = [
                "Morning Glory",
                "Morning Star",
                "Mourning Star",
                "Blackjack",
                "Tresher",
                "Good Morning",
                "Headache",
                "Migraine",
                "Grimace",
                "Macerator",
                "Abomination",
                "Agatha",
                "Agony",
                "Allegiance",
                "Alpha",
                "Amnesia",
                "Anduril",
                "Apocalypse",
                "Armageddon",
                "Arondite",
                "Ash",
                "Ashes",
                "Ashrune",
                "Back Breaker",
                "Battlestar",
                "Betrayal",
                "Betrayer",
                "Blackout",
                "Blazeguard",
                "Blessing",
                "Blind Justice",
                "Bloodfury",
                "Bloodmoon",
                "Bloodquench",
                "Bloodrage",
                "Bloodspiller",
                "Bloodweep",
                "Bone Warden",
                "Bonesnapper",
                "Braindead",
                "Broken Promise",
                "Brutality",
                "Brutalizer",
                "Cataclysm",
                "Catastrophe",
                "Celeste",
                "Chance",
                "Chaos",
                "Chasm",
                "Chieftain",
                "Comet",
                "Cometfall",
                "Concussion",
                "Convergence",
                "Corpsemaker",
                "Corruption",
                "Cosmos",
                "Crash",
                "Crimson",
                "Crush",
                "Cryptmaker",
                "Cyclone",
                "Darkness",
                "Dawn",
                "Dawnbreaker",
                "Daytime",
                "Deathbringer",
                "Deathraze",
                "Decimation",
                "Demise",
                "Desolation",
                "Despair",
                "Destiny",
                "Destruction",
                "Devastation",
                "Devine",
                "Devotion",
                "Devourer",
                "Disturbance",
                "Divine Light",
                "Dominance",
                "Dominion",
                "Doom",
                "Doombringer",
                "Dragonfist",
                "Dragonmaw",
                "Dragonstrike",
                "Due Diligence",
                "Early Retirement",
                "Earthquake",
                "Earthshaker",
                "Earthshaper",
                "Earthwarden",
                "Echo",
                "Eclipse",
                "Emergency",
                "End of Dreams",
                "Endbringer",
                "Enigma",
                "Epilogue",
                "Eternal Rest",
                "Eternity",
                "Eveningstar",
                "Extermination",
                "Extinction",
                "Faithkeeper",
                "Falcon",
                "Falling Star",
                "Fate",
                "Finality",
                "Frenzy",
                "Frostwind",
                "Fury",
                "Fury's Gaze",
                "Galaxy",
                "Gatecrasher",
                "Ghost Reaver",
                "Ghostwalker",
                "Glimmer",
                "Godslayer",
                "Grace",
                "Guiding Star",
                "Harbinger",
                "Harmony",
                "Harvester",
                "Hatred",
                "Heartcrusher",
                "Hell's Scream",
                "Hellfire",
                "Homage",
                "Honor's Call",
                "Hope's End",
                "Humongous",
                "Hurricane",
                "Icebreaker",
                "Infamy",
                "Infinity",
                "Interrogator",
                "Jackhammer",
                "Jawbone",
                "Justice",
                "Justifier",
                "King's Defender",
                "King's Legacy",
                "Kinslayer",
                "Knight's Fall",
                "Knight's Honor",
                "Knightfall",
                "Lament",
                "Last Chance",
                "Last Laugh",
                "Last Rites",
                "Last Word",
                "Last Words",
                "Lazarus",
                "Legacy",
                "Legionaire",
                "Life's Limit",
                "Light's Bane",
                "Lightbane",
                "Lightbringer",
                "Lightning",
                "Limbo",
                "Lockjaw",
                "Magma",
                "Malice",
                "Maneater",
                "Massacre",
                "Mercy",
                "Midnight",
                "Misery's End",
                "Monsoon",
                "Morningstar",
                "Narcoleptic",
                "Nethersbane",
                "Night's Fall",
                "Nightbane",
                "Nightfall",
                "Nightglow",
                "Nightmare",
                "Nighttime",
                "Nirvana",
                "Oathbreaker",
                "Oathkeeper",
                "Oblivion",
                "Old Age",
                "Omega",
                "Orbit",
                "Orenmir",
                "Oxheart",
                "Party Pooper",
                "Patience",
                "Peacekeeper",
                "Peacemaker",
                "Pendulum",
                "Perfect Storm",
                "Persuasion",
                "Piece Maker",
                "Piety",
                "Pride",
                "Prophecy",
                "Punisher",
                "Purifier",
                "Rage",
                "Ragnarok",
                "Rapture",
                "Reaper's Toll",
                "Reckoning",
                "Red Dwarf",
                "Reign",
                "Remorse",
                "Requiem",
                "Retirement",
                "Righteous Might",
                "Rigormortis",
                "Rising Tide",
                "Savagery",
                "Scar",
                "Scourgeborne",
                "Second Chance",
                "Seism",
                "Seismic",
                "Serenity",
                "Severance",
                "Shadowfury",
                "Shadowmoon",
                "Shatterskull",
                "Shooting Star",
                "Silence",
                "Skullcrusher",
                "Soul Breaker",
                "Spinefall",
                "Stalker",
                "Stonefist",
                "Storm",
                "Storm Breaker",
                "Storm-Weaver",
                "Stormbringer",
                "Stormcaller",
                "Stormedge",
                "Stormherald",
                "Stormrider",
                "Sucker Punch",
                "Sundown",
                "Supernova",
                "Supremacy",
                "Suspension",
                "Swan Song",
                "Tank",
                "Tenderiser",
                "Termination",
                "The Ambassador",
                "The Chancellor",
                "The Chief",
                "The End",
                "The Light",
                "The Minotaur",
                "The Oculus",
                "The Oracle",
                "The Sundering",
                "The Void",
                "The Warden",
                "Thunder",
                "Trauma",
                "Treachery",
                "Tremor",
                "Trinity",
                "Twilight",
                "Typhoon",
                "Ubiquity",
                "Undoing",
                "Vacancy",
                "Valkyrie",
                "Vanquisher",
                "Vengeance",
                "Warbringer",
                "Warmonger",
                "Whirlwind",
                "Wicked",
                "Widow Maker",
                "Willbreaker",
                "Winter's Bite",
                "Wit's End",
                "Witherbrand",
                "Wolf",
                "Worldbreaker",
                "Worldcarver",
                "Worldslayer",
            ]
            var2 = [
                "Ancient",
                "Antique",
                "Apocalypse",
                "Apocalyptic",
                "Arcane",
                "Arched",
                "Atuned",
                "Bandit's",
                "Baneful",
                "Banished",
                "Barbarian",
                "Barbaric",
                "Battleworn",
                "Blazefury",
                "Blood Infused",
                "Blood-Forged",
                "Bloodcursed",
                "Bloodied",
                "Bloodlord's",
                "Bloodsurge",
                "Bloodvenom",
                "Bonecarvin",
                "Brutal",
                "Brutality",
                "Burnished",
                "Cataclysm",
                "Cataclysmic",
                "Challenger",
                "Challenger's",
                "Champion",
                "Champion's",
                "Cold-Forged",
                "Conqueror",
                "Conqueror's",
                "Corroded",
                "Corrupted",
                "Crazed",
                "Crying",
                "Cursed",
                "Curved",
                "Dancing",
                "Dark",
                "Darkness",
                "Defender",
                "Defender's",
                "Defiled",
                "Defiling",
                "Deluded",
                "Demonic",
                "Deserted",
                "Desire's",
                "Desolation",
                "Destiny's",
                "Diabolical",
                "Dire",
                "Doom",
                "Doom's",
                "Dragon's",
                "Dragonbreath",
                "Eerie",
                "Enchanted",
                "Engraved",
                "Enlightened",
                "Eternal",
                "Exiled",
                "Extinction",
                "Faith's",
                "Faithful",
                "Fancy",
                "Fearful",
                "Feral",
                "Ferocious",
                "Fierce",
                "Fiery",
                "Fire Infused",
                "Fireguard",
                "Firesoul",
                "Firestorm",
                "Flaming",
                "Flimsy",
                "Forsaken",
                "Fortune's",
                "Foul",
                "Fragile",
                "Frail",
                "Frenzied",
                "Frost",
                "Frozen",
                "Furious",
                "Fusion",
                "Ghastly",
                "Ghost",
                "Ghost-Forged",
                "Ghostly",
                "Gladiator",
                "Gladiator's",
                "Gleaming",
                "Glinting",
                "Greedy",
                "Grieving",
                "Grim",
                "Guard's",
                "Guardian's",
                "Hailstorm",
                "Harmonized",
                "Hateful",
                "Haunted",
                "Heartless",
                "Heinous",
                "Hero",
                "Hero's",
                "Hollow",
                "Holy",
                "Honed",
                "Honor's",
                "Hope's",
                "Hopeless",
                "Howling",
                "Hungering",
                "Improved",
                "Impure",
                "Incarnated",
                "Infused",
                "Inherited",
                "Isolated",
                "Jade Infused",
                "Judgement",
                "Keeper's",
                "Knightly",
                "Knight's",
                "Legionnaire's",
                "Liar's",
                "Lich",
                "Lightning",
                "Lonely",
                "Loyal",
                "Lustful",
                "Lusting",
                "Malevolent",
                "Malicious",
                "Malificent",
                "Malignant",
                "Massive",
                "Mended",
                "Mercenary",
                "Military",
                "Misfortune's",
                "Misty",
                "Moonlit",
                "Mourning",
                "Nightmare",
                "Oathkeeper's",
                "Ominous",
                "Peacekeeper",
                "Peacekeeper's",
                "Phantom",
                "Polished",
                "Possessed",
                "Pride's",
                "Prideful",
                "Primal",
                "Prime",
                "Primitive",
                "Promised",
                "Protector's",
                "Proud",
                "Pure",
                "Putrid",
                "Raging",
                "Recruit's",
                "Refined",
                "Reforged",
                "Reincarnated",
                "Relentless",
                "Remorseful",
                "Renewed",
                "Renovated",
                "Replica",
                "Restored",
                "Retribution",
                "Ritual",
                "Roaring",
                "Ruby Infused",
                "Rune-Forged",
                "Runed",
                "Rusty",
                "Savage",
                "Sentinel",
                "Shadow",
                "Shamanic",
                "Sharpened",
                "Silent",
                "Singed",
                "Singing",
                "Sinister",
                "Skyfall",
                "Smooth",
                "Soldier's",
                "Solitude's",
                "Sorcerer's",
                "Sorrow's",
                "Soul",
                "Soul Infused",
                "Soul-Forged",
                "Soulcursed",
                "Soulless",
                "Spectral",
                "Spectral-Forged",
                "Spiteful",
                "Storm",
                "Storm-Forged",
                "Stormfury",
                "Stormguard",
                "Terror",
                "Thirsting",
                "Thirsty",
                "Thunder",
                "Thunder-Forged",
                "Thunderfury",
                "Thunderguard",
                "Thundersoul",
                "Thunderstorm",
                "Timeworn",
                "Tormented",
                "Trainee's",
                "Treachery's",
                "Twilight",
                "Twilight's",
                "Twisted",
                "Tyrannical",
                "Undead",
                "Unholy",
                "Vanquisher",
                "Vengeance",
                "Vengeful",
                "Venom",
                "Vicious",
                "Victor",
                "Vile",
                "Vindication",
                "Vindicator",
                "Vindictive",
                "Void",
                "Volcanic",
                "Vowed",
                "War",
                "War-Forged",
                "Warden's",
                "Warlord's",
                "Warp",
                "Warped",
                "Warrior",
                "Warrior's",
                "Whistling",
                "Wicked",
                "Wind's",
                "Wind-Forged",
                "Windsong",
                "Woeful",
                "Wrathful",
                "Wretched",
                "Yearning",
                "Zealous",
            ]
            var3 = [
                "Adamantite",
                "Bone",
                "Bronze",
                "Bronzed",
                "Ivory",
                "Ebon",
                "Glass",
                "Golden",
                "Gilded",
                "Iron",
                "Ironbark",
                "Mithril",
                "Obsidian",
                "Silver",
                "Skeletal",
                "Steel",
                "Titanium",
            ]
            var4 = [
                "Mace",
                "Bludgeon",
                "Maul",
                "Crusher",
                "Smasher",
                "Warmace",
                "Hammer",
                "Mace",
                "Flail",
                "Morning Star",
                "Spikes",
                "Pummel",
                "Wacker",
                "Basher",
                "Impaler",
                "Piercer",
            ]
            var5 = [
                "Allegiance",
                "Annihilation",
                "Basher",
                "Betrayer",
                "Bludgeon",
                "Bond",
                "Boon",
                "Breaker",
                "Bringer",
                "Butcher",
                "Call",
                "Carver",
                "Champion",
                "Chopper",
                "Cleaver",
                "Conqueror",
                "Crusader",
                "Crusher",
                "Cry",
                "Cunning",
                "Dawn",
                "Defender",
                "Defiler",
                "Destroyer",
                "Edge",
                "Ender",
                "Etcher",
                "Executioner",
                "Favor",
                "Ferocity",
                "Flail",
                "Foe",
                "Gift",
                "Glory",
                "Guardian",
                "Hammer",
                "Heirloom",
                "Hope",
                "Impaler",
                "Incarnation",
                "Jaws",
                "Last Hope",
                "Last Stand",
                "Legacy",
                "Mace",
                "Maul",
                "Memory",
                "Might",
                "Morning Star",
                "Oath",
                "Pact",
                "Piercer",
                "Pledge",
                "Promise",
                "Prophecy",
                "Protector",
                "Pummel",
                "Ravager",
                "Razor",
                "Reach",
                "Reaper",
                "Reaver",
                "Sculptor",
                "Secret",
                "Slayer",
                "Slicer",
                "Smasher",
                "Soul",
                "Spikes",
                "Terror",
                "Token",
                "Tribute",
                "Vengeance",
                "Voice",
                "Wacker",
                "Warblade",
                "Warmace",
                "Whisper",
                "Wit",
            ]
            var6 = [
                "of Agony",
                "of Ancient Power",
                "of Anguish",
                "of Ashes",
                "of Assassins",
                "of Black Magic",
                "of Blessed Fortune",
                "of Blessings",
                "of Blight",
                "of Blood",
                "of Bloodlust",
                "of Broken Bones",
                "of Broken Dreams",
                "of Broken Families",
                "of Burdens",
                "of Chaos",
                "of Closing Eyes",
                "of Conquered Worlds",
                "of Corruption",
                "of Cruelty",
                "of Cunning",
                "of Dark Magic",
                "of Dark Souls",
                "of Darkness",
                "of Decay",
                "of Deception",
                "of Degradation",
                "of Delusions",
                "of Denial",
                "of Desecration",
                "of Diligence",
                "of Dismay",
                "of Dragonsouls",
                "of Due Diligence",
                "of Echoes",
                "of Ended Dreams",
                "of Ending Hope",
                "of Ending Misery",
                "of Eternal Bloodlust",
                "of Eternal Damnation",
                "of Eternal Glory",
                "of Eternal Justice",
                "of Eternal Rest",
                "of Eternal Sorrow",
                "of Eternal Struggles",
                "of Eternity",
                "of Executions",
                "of Faded Memories",
                "of Fallen Souls",
                "of Fools",
                "of Frost",
                "of Frozen Hells",
                "of Fury",
                "of Giants",
                "of Giantslaying",
                "of Grace",
                "of Grieving Widows",
                "of Hate",
                "of Hatred",
                "of Hell's Games",
                "of Hellish Torment",
                "of Heroes",
                "of Holy Might",
                "of Honor",
                "of Hope",
                "of Horrid Dreams",
                "of Horrors",
                "of Illuminated Dreams",
                "of Illumination",
                "of Immortality",
                "of Inception",
                "of Infinite Trials",
                "of Insanity",
                "of Invocation",
                "of Justice",
                "of Light's Hope",
                "of Lost Comrades",
                "of Lost Hope",
                "of Lost Voices",
                "of Lost Worlds",
                "of Magic",
                "of Mercy",
                "of Misery",
                "of Mountains",
                "of Mourning",
                "of Mystery",
                "of Necromancy",
                "of Nightmares",
                "of Oblivion",
                "of Perdition",
                "of Phantoms",
                "of Power",
                "of Pride",
                "of Pride's Fall",
                "of Putrefaction",
                "of Reckoning",
                "of Redemption",
                "of Regret",
                "of Riddles",
                "of Secrecy",
                "of Secrets",
                "of Shadow Strikes",
                "of Shadows",
                "of Shifting Sands",
                "of Shifting Worlds",
                "of Silence",
                "of Slaughter",
                "of Souls",
                "of Stealth",
                "of Storms",
                "of Subtlety",
                "of Suffering",
                "of Suffering's End",
                "of Summoning",
                "of Terror",
                "of Thunder",
                "of Time-Lost Memories",
                "of Timeless Battles",
                "of Titans",
                "of Torment",
                "of Traitors",
                "of Trembling Hands",
                "of Trials",
                "of Truth",
                "of Twilight's End",
                "of Twisted Visions",
                "of Unholy Blight",
                "of Unholy Might",
                "of Vengeance",
                "of Visions",
                "of Wasted Time",
                "of Widows",
                "of Wizardry",
                "of Woe",
                "of Wraiths",
                "of Zeal",
                "of the Ancients",
                "of the Banished",
                "of the Basilisk",
                "of the Beast",
                "of the Blessed",
                "of the Breaking Storm",
                "of the Brotherhood",
                "of the Burning Sun",
                "of the Caged Mind",
                "of the Cataclysm",
                "of the Champion",
                "of the Claw",
                "of the Corrupted",
                "of the Covenant",
                "of the Crown",
                "of the Damned",
                "of the Daywalker",
                "of the Dead",
                "of the Depth",
                "of the Dreadlord",
                "of the Earth",
                "of the East",
                "of the Emperor",
                "of the Empty Void",
                "of the End",
                "of the Enigma",
                "of the Fallen",
                "of the Falling Sky",
                "of the Flame",
                "of the Forest",
                "of the Forgotten",
                "of the Forsaken",
                "of the Gladiator",
                "of the Harvest",
                "of the Immortal",
                "of the Incoming Storm",
                "of the Insane",
                "of the King",
                "of the Lasting Night",
                "of the Leviathan",
                "of the Light",
                "of the Lion",
                "of the Lionheart",
                "of the Lone Victor",
                "of the Lone Wolf",
                "of the Lost",
                "of the Moon",
                "of the Moonwalker",
                "of the Night Sky",
                "of the Night",
                "of the Nightstalker",
                "of the North",
                "of the Occult",
                "of the Oracle",
                "of the Phoenix",
                "of the Plague",
                "of the Prince",
                "of the Protector",
                "of the Queen",
                "of the Serpent",
                "of the Setting Sun",
                "of the Shadows",
                "of the Sky",
                "of the South",
                "of the Stars",
                "of the Storm",
                "of the Summoner",
                "of the Sun",
                "of the Sunwalker",
                "of the Talon",
                "of the Undying",
                "of the Victor",
                "of the Void",
                "of the West",
                "of the Whispers",
                "of the Wicked",
                "of the Wind",
                "of the Wolf",
                "of the World",
                "of the Wretched",
            ]
            var7 = [
                "Morning Glory",
                "Morning Star",
                "Mourning Star",
                "Blackjack",
                "Tresher",
                "Good Morning",
                "Headache",
                "Migraine",
                "Grimace",
                "Macerator",
                "Abomination",
                "Agatha",
                "Agony",
                "Allegiance",
                "Alpha",
                "Amnesia",
                "Anduril",
                "Apocalypse",
                "Armageddon",
                "Arondite",
                "Ash",
                "Ashes",
                "Ashrune",
                "Back Breaker",
                "Battlestar",
                "Betrayal",
                "Betrayer",
                "Blackout",
                "Blazeguard",
                "Blessing",
                "Blind Justice",
                "Bloodfury",
                "Bloodmoon",
                "Bloodquench",
                "Bloodrage",
                "Bloodspiller",
                "Bloodweep",
                "Bone Warden",
                "Bonesnapper",
                "Braindead",
                "Broken Promise",
                "Brutality",
                "Brutalizer",
                "Cataclysm",
                "Catastrophe",
                "Celeste",
                "Chance",
                "Chaos",
                "Chasm",
                "Chieftain",
                "Comet",
                "Cometfall",
                "Concussion",
                "Convergence",
                "Corpsemaker",
                "Corruption",
                "Cosmos",
                "Crash",
                "Crimson",
                "Crush",
                "Cryptmaker",
                "Cyclone",
                "Darkness",
                "Dawn",
                "Dawnbreaker",
                "Daytime",
                "Deathbringer",
                "Deathraze",
                "Decimation",
                "Demise",
                "Desolation",
                "Despair",
                "Destiny",
                "Destruction",
                "Devastation",
                "Devine",
                "Devotion",
                "Devourer",
                "Disturbance",
                "Divine Light",
                "Dominance",
                "Dominion",
                "Doom",
                "Doombringer",
                "Dragonfist",
                "Dragonmaw",
                "Dragonstrike",
                "Due Diligence",
                "Earthquake",
                "Earthshaker",
                "Earthshaper",
                "Earthwarden",
                "Echo",
                "Eclipse",
                "Emergency",
                "End of Dreams",
                "Endbringer",
                "Enigma",
                "Epilogue",
                "Eternal Rest",
                "Eternity",
                "Eveningstar",
                "Extermination",
                "Extinction",
                "Faithkeeper",
                "Falcon",
                "Falling Star",
                "Fate",
                "Finality",
                "Frenzy",
                "Frostwind",
                "Fury",
                "Fury's Gaze",
                "Galaxy",
                "Gatecrasher",
                "Ghost Reaver",
                "Ghostwalker",
                "Glimmer",
                "Godslayer",
                "Grace",
                "Guiding Star",
                "Harbinger",
                "Harmony",
                "Harvester",
                "Hatred",
                "Heartcrusher",
                "Hell's Scream",
                "Hellfire",
                "Homage",
                "Honor's Call",
                "Hope's End",
                "Humongous",
                "Hurricane",
                "Icebreaker",
                "Infamy",
                "Infinity",
                "Interrogator",
                "Jackhammer",
                "Jawbone",
                "Justice",
                "Justifier",
                "King's Defender",
                "King's Legacy",
                "Kinslayer",
                "Knight's Fall",
                "Knight's Honor",
                "Knightfall",
                "Lament",
                "Last Chance",
                "Last Laugh",
                "Last Rites",
                "Last Word",
                "Last Words",
                "Lazarus",
                "Legacy",
                "Legionaire",
                "Life's Limit",
                "Light's Bane",
                "Lightbane",
                "Lightbringer",
                "Lightning",
                "Limbo",
                "Lockjaw",
                "Magma",
                "Malice",
                "Maneater",
                "Massacre",
                "Mercy",
                "Midnight",
                "Misery's End",
                "Monsoon",
                "Morningstar",
                "Narcoleptic",
                "Nethersbane",
                "Night's Fall",
                "Nightbane",
                "Nightfall",
                "Nightglow",
                "Nightmare",
                "Nighttime",
                "Nirvana",
                "Oathbreaker",
                "Oathkeeper",
                "Oblivion",
                "Old Age",
                "Omega",
                "Orbit",
                "Orenmir",
                "Oxheart",
                "Party Pooper",
                "Patience",
                "Peacekeeper",
                "Peacemaker",
                "Pendulum",
                "Perfect Storm",
                "Persuasion",
                "Piety",
                "Pride",
                "Prophecy",
                "Punisher",
                "Purifier",
                "Rage",
                "Ragnarok",
                "Rapture",
                "Reckoning",
                "Red Dwarf",
                "Reign",
                "Remorse",
                "Requiem",
                "Retirement",
                "Rigormortis",
                "Rising Tide",
                "Savagery",
                "Seism",
                "Seismic",
                "Serenity",
                "Severance",
                "Shadowfury",
                "Shatterskull",
                "Shooting Star",
                "Silence",
                "Skullcrusher",
                "Soul Breaker",
                "Spinefall",
                "Stalker",
                "Stonefist",
                "Storm",
                "Storm Breaker",
                "Storm-Weaver",
                "Stormbringer",
                "Stormcaller",
                "Stormedge",
                "Stormherald",
                "Stormrider",
                "Sucker Punch",
                "Sundown",
                "Supernova",
                "Supremacy",
                "Suspension",
                "Swan Song",
                "Tank",
                "Tenderiser",
                "Termination",
                "The Ambassador",
                "The Chancellor",
                "The Chief",
                "The End",
                "The Light",
                "The Minotaur",
                "The Oculus",
                "The Oracle",
                "The Sundering",
                "The Void",
                "The Warden",
                "Thunder",
                "Trauma",
                "Treachery",
                "Tremor",
                "Trinity",
                "Twilight",
                "Typhoon",
                "Ubiquity",
                "Undoing",
                "Vacancy",
                "Valkyrie",
                "Vanquisher",
                "Vengeance",
                "Warbringer",
                "Warmonger",
                "Whirlwind",
                "Wicked",
                "Widow Maker",
                "Willbreaker",
                "Winter's Bite",
                "Wit's End",
                "Witherbrand",
                "Wolf",
                "Worldbreaker",
                "Worldcarver",
                "Worldslayer",
            ]
        elif classification == Weapon.WeaponType.Spear:
            var1 = [
                "Abomination",
                "Agatha",
                "Allegiance",
                "Alpha",
                "Amnesia",
                "Anduril",
                "Anger's Edge",
                "Angerfang",
                "Anguish",
                "Apocalypse",
                "Appointment",
                "Armageddon",
                "Arondite",
                "Ash",
                "Ashes",
                "Ashrune",
                "Betrayal",
                "Betrayer",
                "Blackfury",
                "Blackout",
                "Blacktalon",
                "Blazefury",
                "Blazeguard",
                "Blind Justice",
                "Blinder",
                "Blindstrike",
                "Blinkstrike",
                "Bloodbound",
                "Bloodfall",
                "Bloodfury",
                "Bloodpike",
                "Bloodrage",
                "Bloodspiller",
                "Bloodweep",
                "Broken Promise",
                "Brutality",
                "Brutalizer",
                "Cataclysm",
                "Catastrophe",
                "Celeste",
                "Chance",
                "Chaos",
                "Checkpoint",
                "Chillspike",
                "Comet",
                "Cometfall",
                "Convergence",
                "Corpsemaker",
                "Corruption",
                "Crimson",
                "Cyclone",
                "Darkness",
                "Dawn",
                "Dawn's Edge",
                "Dawnbreaker",
                "Daytime",
                "Deathbringer",
                "Deathraze",
                "Deathspade",
                "Decimation",
                "Depravity",
                "Desolation",
                "Despair",
                "Destiny",
                "Devastation",
                "Devine",
                "Devotion",
                "Devourer",
                "Disappoint",
                "Divine Light",
                "Dominance",
                "Dominion",
                "Doom",
                "Doom's Tip",
                "Doombringer",
                "Due Diligence",
                "Early Retirement",
                "Echo",
                "Eclipse",
                "Emergency",
                "Endbringer",
                "Enigma",
                "Epilogue",
                "Eternal Rest",
                "Eternity",
                "Extermination",
                "Extinction",
                "Eyegouger",
                "Faithkeeper",
                "Fate",
                "Finality",
                "Freak's Bite",
                "Frenzy",
                "Frostbite",
                "Fury",
                "Fury's Gaze",
                "Ghostwalker",
                "Glimmer",
                "Glory's Reach",
                "Good Point",
                "Grieving Spike",
                "Hail",
                "Harbinger",
                "Harvester",
                "Hatred",
                "Hatred's Point",
                "Hatred's Spike",
                "Headspike",
                "Heartseeker",
                "Hell's Scream",
                "Hellreaver",
                "Homage",
                "Honor's Call",
                "Honor's Reach",
                "Honorbound",
                "Hope's Edge",
                "Hope's End",
                "Hope's Point",
                "Hurricane",
                "Icicle",
                "Infamy",
                "Infinity",
                "Inner Demon",
                "Jaeger",
                "Justice",
                "Justifier",
                "King's Defender",
                "King's Legacy",
                "Kingpin",
                "Kinslayer",
                "Knight's Fall",
                "Knight's Honor",
                "Knightfall",
                "Lament",
                "Last Chance",
                "Last Laugh",
                "Last Rites",
                "Last Words",
                "Lazarus",
                "Legacy",
                "Legionaire",
                "Life's Limit",
                "Light's Bane",
                "Lightbane",
                "Lightbringer",
                "Lightning",
                "Limbo",
                "Long Arm of the Law",
                "Malice",
                "Marrowstrike",
                "Massacre",
                "Mercy",
                "Midnight",
                "Misery's End",
                "Misery's Spike",
                "Narcoleptic",
                "Needle",
                "Needler",
                "Nethersbane",
                "Night's Fall",
                "Night's Reach",
                "Night's Spike",
                "Nightbane",
                "Nightfall",
                "Nighthorror",
                "Nightterror",
                "Nighttime",
                "Nirvana",
                "Oathbinder",
                "Oathbreaker",
                "Oathkeeper",
                "Oblivion",
                "Old Age",
                "Omega",
                "Orbit",
                "Party Pooper",
                "Peacekeeper",
                "Peacemaker",
                "Pendulum",
                "Persuasion",
                "Piece Maker",
                "Piety",
                "Pinpoint",
                "Point of no Return",
                "Pointless",
                "Pride",
                "Prophecy",
                "Purifier",
                "Rage",
                "Rapture",
                "Reckoning",
                "Reign",
                "Remorse",
                "Requiem",
                "Rigormortis",
                "Savagery",
                "Scar",
                "Seism",
                "Severance",
                "Shadow Strike",
                "Shadowfury",
                "Shadowmoon",
                "Shadowpike",
                "Shadowspike",
                "Shadowsteel",
                "Shadowstrike",
                "Shiverspine",
                "Silence",
                "Skirmisher",
                "Slice of Life",
                "Spike of Death",
                "Spike of Eternity",
                "Spike of Infinity",
                "Spike of Life",
                "Spike of Madness",
                "Spike of Misery",
                "Spike of Reason",
                "Spike of Ruin",
                "Spike of Time",
                "Spike",
                "Spinefall",
                "Spite",
                "Stalker",
                "Storm",
                "Stormbringer",
                "Stormcaller",
                "Stormcrow",
                "Stormedge",
                "Stormrider",
                "Supernova",
                "Supremacy",
                "Suspension",
                "Swan Song",
                "Swoosh",
                "Termination",
                "Terror's Reach",
                "The End",
                "The Facelifter",
                "The Oculus",
                "The Oracle",
                "The Surgeon",
                "The Void",
                "The Warden",
                "Thunder",
                "Thunderstrike",
                "Treachery",
                "Tremor",
                "Trickster",
                "Trickster's Tip",
                "Trinity",
                "Twisted",
                "Typhoon",
                "Ubiquity",
                "Undoing",
                "Vacancy",
                "Valkyrie",
                "Vanquisher",
                "Vengeance",
                "Viewpoint",
                "Warbringer",
                "Warmonger",
                "Waypoint",
                "Whirlwind",
                "Wicked",
                "Widow Maker",
                "Willbreaker",
                "Windpiercer",
                "Winter's Bite",
                "Wit's End",
                "Witherbrand",
                "Wolf",
                "Woosh",
            ]
            var2 = [
                "Ancient",
                "Antique",
                "Apocalypse",
                "Apocalyptic",
                "Arcane",
                "Arched",
                "Atuned",
                "Bandit's",
                "Baneful",
                "Banished",
                "Barbarian",
                "Barbaric",
                "Battleworn",
                "Blazefury",
                "Blood Infused",
                "Blood-Forged",
                "Bloodcursed",
                "Bloodied",
                "Bloodlord's",
                "Bloodsurge",
                "Bloodvenom",
                "Bonecarvin",
                "Brutal",
                "Brutality",
                "Burnished",
                "Cataclysm",
                "Cataclysmic",
                "Challenger",
                "Challenger's",
                "Champion",
                "Champion's",
                "Cold-Forged",
                "Conqueror",
                "Conqueror's",
                "Corroded",
                "Corrupted",
                "Crazed",
                "Crying",
                "Cursed",
                "Curved",
                "Dancing",
                "Dark",
                "Darkness",
                "Defender",
                "Defender's",
                "Defiled",
                "Defiling",
                "Deluded",
                "Demonic",
                "Deserted",
                "Desire's",
                "Desolation",
                "Destiny's",
                "Diabolical",
                "Dire",
                "Doom",
                "Doom's",
                "Dragon's",
                "Dragonbreath",
                "Eerie",
                "Enchanted",
                "Engraved",
                "Enlightened",
                "Eternal",
                "Exiled",
                "Extinction",
                "Faith's",
                "Faithful",
                "Fancy",
                "Fearful",
                "Feral",
                "Ferocious",
                "Fierce",
                "Fiery",
                "Fire Infused",
                "Fireguard",
                "Firesoul",
                "Firestorm",
                "Flaming",
                "Flimsy",
                "Forsaken",
                "Fortune's",
                "Foul",
                "Fragile",
                "Frail",
                "Frenzied",
                "Frost",
                "Frozen",
                "Furious",
                "Fusion",
                "Ghastly",
                "Ghost",
                "Ghost-Forged",
                "Ghostly",
                "Gladiator",
                "Gladiator's",
                "Gleaming",
                "Glinting",
                "Greedy",
                "Grieving",
                "Grim",
                "Guard's",
                "Guardian's",
                "Hailstorm",
                "Harmonized",
                "Hateful",
                "Haunted",
                "Heartless",
                "Heinous",
                "Hero",
                "Hero's",
                "Hollow",
                "Holy",
                "Honed",
                "Honor's",
                "Hope's",
                "Hopeless",
                "Howling",
                "Hungering",
                "Improved",
                "Impure",
                "Incarnated",
                "Infused",
                "Inherited",
                "Isolated",
                "Jade Infused",
                "Judgement",
                "Keeper's",
                "Knightly",
                "Knight's",
                "Legionnaire's",
                "Liar's",
                "Lich",
                "Lightning",
                "Lonely",
                "Loyal",
                "Lustful",
                "Lusting",
                "Malevolent",
                "Malicious",
                "Malificent",
                "Malignant",
                "Massive",
                "Mended",
                "Mercenary",
                "Military",
                "Misfortune's",
                "Misty",
                "Moonlit",
                "Mourning",
                "Nightmare",
                "Oathkeeper's",
                "Ominous",
                "Peacekeeper",
                "Peacekeeper's",
                "Phantom",
                "Polished",
                "Possessed",
                "Pride's",
                "Prideful",
                "Primal",
                "Prime",
                "Primitive",
                "Promised",
                "Protector's",
                "Proud",
                "Pure",
                "Putrid",
                "Raging",
                "Recruit's",
                "Refined",
                "Reforged",
                "Reincarnated",
                "Relentless",
                "Remorseful",
                "Renewed",
                "Renovated",
                "Replica",
                "Restored",
                "Retribution",
                "Ritual",
                "Roaring",
                "Ruby Infused",
                "Rune-Forged",
                "Runed",
                "Rusty",
                "Savage",
                "Sentinel",
                "Shadow",
                "Shamanic",
                "Sharpened",
                "Silent",
                "Singed",
                "Singing",
                "Sinister",
                "Skyfall",
                "Smooth",
                "Soldier's",
                "Solitude's",
                "Sorcerer's",
                "Sorrow's",
                "Soul",
                "Soul Infused",
                "Soul-Forged",
                "Soulcursed",
                "Soulless",
                "Spectral",
                "Spectral-Forged",
                "Spiteful",
                "Storm",
                "Storm-Forged",
                "Stormfury",
                "Stormguard",
                "Terror",
                "Thirsting",
                "Thirsty",
                "Thunder",
                "Thunder-Forged",
                "Thunderfury",
                "Thunderguard",
                "Thundersoul",
                "Thunderstorm",
                "Timeworn",
                "Tormented",
                "Trainee's",
                "Treachery's",
                "Twilight",
                "Twilight's",
                "Twisted",
                "Tyrannical",
                "Undead",
                "Unholy",
                "Vanquisher",
                "Vengeance",
                "Vengeful",
                "Venom",
                "Vicious",
                "Victor",
                "Vile",
                "Vindication",
                "Vindicator",
                "Vindictive",
                "Void",
                "Volcanic",
                "Vowed",
                "War",
                "War-Forged",
                "Warden's",
                "Warlord's",
                "Warp",
                "Warped",
                "Warrior",
                "Warrior's",
                "Whistling",
                "Wicked",
                "Wind's",
                "Wind-Forged",
                "Windsong",
                "Woeful",
                "Wrathful",
                "Wretched",
                "Yearning",
                "Zealous",
            ]
            var3 = [
                "Adamantite",
                "Mithril",
                "Obsidian",
                "Silver",
                "Skeletal",
                "Steel",
                "Ebon",
                "Ivory",
                "Ironbark",
                "Oak",
                "Maple",
                "Yew",
                "Ashwood",
                "Warpwood",
                "Ebonsteel",
                "Ebony",
                "Onyx",
                "Shadowsteel",
            ]
            var4 = [
                "Spear",
                "Trident",
                "Halberd",
                "Polearm",
                "Pike",
                "Spike",
                "Ranseur",
                "Javelin",
                "Lance",
                "Piercer",
                "Harpoon",
                "Prick",
                "Pricker",
                "Impaler",
                "Skewer",
                "Skiver",
            ]
            var5 = [
                "Allegiance",
                "Annihilation",
                "Betrayer",
                "Bond",
                "Boon",
                "Breaker",
                "Bringer",
                "Butcher",
                "Call",
                "Carver",
                "Champion",
                "Chopper",
                "Cleaver",
                "Conqueror",
                "Crusader",
                "Cry",
                "Cunning",
                "Dawn",
                "Defender",
                "Defiler",
                "Destroyer",
                "Edge",
                "Ender",
                "Etcher",
                "Executioner",
                "Favor",
                "Ferocity",
                "Foe",
                "Gift",
                "Glory",
                "Guardian",
                "Halberd",
                "Harpoon",
                "Heirloom",
                "Hope",
                "Impaler",
                "Incarnation",
                "Javelin",
                "Jaws",
                "Lance",
                "Last Hope",
                "Last Stand",
                "Legacy",
                "Memory",
                "Might",
                "Oath",
                "Pact",
                "Piercer",
                "Pike",
                "Pledge",
                "Polearm",
                "Prick",
                "Pricker",
                "Promise",
                "Prophecy",
                "Protector",
                "Ranseur",
                "Ravager",
                "Razor",
                "Reach",
                "Reaper",
                "Reaver",
                "Sculptor",
                "Secret",
                "Skewer",
                "Skiver",
                "Slayer",
                "Slicer",
                "Soul",
                "Spear",
                "Spike",
                "Terror",
                "Token",
                "Tribute",
                "Trident",
                "Vengeance",
                "Voice",
                "Warblade",
                "Whisper",
                "Wit",
            ]
            var6 = [
                "of Agony",
                "of Ancient Power",
                "of Anguish",
                "of Ashes",
                "of Assassins",
                "of Black Magic",
                "of Blessed Fortune",
                "of Blessings",
                "of Blight",
                "of Blood",
                "of Bloodlust",
                "of Broken Bones",
                "of Broken Dreams",
                "of Broken Families",
                "of Burdens",
                "of Chaos",
                "of Closing Eyes",
                "of Conquered Worlds",
                "of Corruption",
                "of Cruelty",
                "of Cunning",
                "of Dark Magic",
                "of Dark Souls",
                "of Darkness",
                "of Decay",
                "of Deception",
                "of Degradation",
                "of Delusions",
                "of Denial",
                "of Desecration",
                "of Diligence",
                "of Dismay",
                "of Dragonsouls",
                "of Due Diligence",
                "of Echoes",
                "of Ended Dreams",
                "of Ending Hope",
                "of Ending Misery",
                "of Eternal Bloodlust",
                "of Eternal Damnation",
                "of Eternal Glory",
                "of Eternal Justice",
                "of Eternal Rest",
                "of Eternal Sorrow",
                "of Eternal Struggles",
                "of Eternity",
                "of Executions",
                "of Faded Memories",
                "of Fallen Souls",
                "of Fools",
                "of Frost",
                "of Frozen Hells",
                "of Fury",
                "of Giants",
                "of Giantslaying",
                "of Grace",
                "of Grieving Widows",
                "of Hate",
                "of Hatred",
                "of Hell's Games",
                "of Hellish Torment",
                "of Heroes",
                "of Holy Might",
                "of Honor",
                "of Hope",
                "of Horrid Dreams",
                "of Horrors",
                "of Illuminated Dreams",
                "of Illumination",
                "of Immortality",
                "of Inception",
                "of Infinite Trials",
                "of Insanity",
                "of Invocation",
                "of Justice",
                "of Light's Hope",
                "of Lost Comrades",
                "of Lost Hope",
                "of Lost Voices",
                "of Lost Worlds",
                "of Magic",
                "of Mercy",
                "of Misery",
                "of Mountains",
                "of Mourning",
                "of Mystery",
                "of Necromancy",
                "of Nightmares",
                "of Oblivion",
                "of Perdition",
                "of Phantoms",
                "of Power",
                "of Pride",
                "of Pride's Fall",
                "of Putrefaction",
                "of Reckoning",
                "of Redemption",
                "of Regret",
                "of Riddles",
                "of Secrecy",
                "of Secrets",
                "of Shadow Strikes",
                "of Shadows",
                "of Shifting Sands",
                "of Shifting Worlds",
                "of Silence",
                "of Slaughter",
                "of Souls",
                "of Stealth",
                "of Storms",
                "of Subtlety",
                "of Suffering",
                "of Suffering's End",
                "of Summoning",
                "of Terror",
                "of Thunder",
                "of Time-Lost Memories",
                "of Timeless Battles",
                "of Titans",
                "of Torment",
                "of Traitors",
                "of Trembling Hands",
                "of Trials",
                "of Truth",
                "of Twilight's End",
                "of Twisted Visions",
                "of Unholy Blight",
                "of Unholy Might",
                "of Vengeance",
                "of Visions",
                "of Wasted Time",
                "of Widows",
                "of Wizardry",
                "of Woe",
                "of Wraiths",
                "of Zeal",
                "of the Ancients",
                "of the Banished",
                "of the Basilisk",
                "of the Beast",
                "of the Blessed",
                "of the Breaking Storm",
                "of the Brotherhood",
                "of the Burning Sun",
                "of the Caged Mind",
                "of the Cataclysm",
                "of the Champion",
                "of the Claw",
                "of the Corrupted",
                "of the Covenant",
                "of the Crown",
                "of the Damned",
                "of the Daywalker",
                "of the Dead",
                "of the Depth",
                "of the Dreadlord",
                "of the Earth",
                "of the East",
                "of the Emperor",
                "of the Empty Void",
                "of the End",
                "of the Enigma",
                "of the Fallen",
                "of the Falling Sky",
                "of the Flame",
                "of the Forest",
                "of the Forgotten",
                "of the Forsaken",
                "of the Gladiator",
                "of the Harvest",
                "of the Immortal",
                "of the Incoming Storm",
                "of the Insane",
                "of the King",
                "of the Lasting Night",
                "of the Leviathan",
                "of the Light",
                "of the Lion",
                "of the Lionheart",
                "of the Lone Victor",
                "of the Lone Wolf",
                "of the Lost",
                "of the Moon",
                "of the Moonwalker",
                "of the Night Sky",
                "of the Night",
                "of the Nightstalker",
                "of the North",
                "of the Occult",
                "of the Oracle",
                "of the Phoenix",
                "of the Plague",
                "of the Prince",
                "of the Protector",
                "of the Queen",
                "of the Serpent",
                "of the Setting Sun",
                "of the Shadows",
                "of the Sky",
                "of the South",
                "of the Stars",
                "of the Storm",
                "of the Summoner",
                "of the Sun",
                "of the Sunwalker",
                "of the Talon",
                "of the Undying",
                "of the Victor",
                "of the Void",
                "of the West",
                "of the Whispers",
                "of the Wicked",
                "of the Wind",
                "of the Wolf",
                "of the World",
                "of the Wretched",
            ]
            var7 = [
                "Abomination",
                "Agatha",
                "Allegiance",
                "Alpha",
                "Amnesia",
                "Anduril",
                "Angerfang",
                "Anguish",
                "Apocalypse",
                "Appointment",
                "Armageddon",
                "Arondite",
                "Ash",
                "Ashes",
                "Ashrune",
                "Betrayal",
                "Betrayer",
                "Blackfury",
                "Blackout",
                "Blacktalon",
                "Blazefury",
                "Blazeguard",
                "Blind Justice",
                "Blinder",
                "Blindstrike",
                "Blinkstrike",
                "Bloodbound",
                "Bloodfall",
                "Bloodfury",
                "Bloodpike",
                "Bloodrage",
                "Bloodspiller",
                "Bloodweep",
                "Broken Promise",
                "Brutality",
                "Brutalizer",
                "Cataclysm",
                "Catastrophe",
                "Celeste",
                "Chance",
                "Chaos",
                "Checkpoint",
                "Chillspike",
                "Comet",
                "Cometfall",
                "Convergence",
                "Corpsemaker",
                "Corruption",
                "Crimson",
                "Cyclone",
                "Darkness",
                "Dawn",
                "Dawn's Edge",
                "Dawnbreaker",
                "Daytime",
                "Deathbringer",
                "Deathraze",
                "Deathspade",
                "Decimation",
                "Depravity",
                "Desolation",
                "Despair",
                "Destiny",
                "Devastation",
                "Devine",
                "Devotion",
                "Devourer",
                "Disappoint",
                "Divine Light",
                "Dominance",
                "Dominion",
                "Doom",
                "Doom's Tip",
                "Doombringer",
                "Due Diligence",
                "Echo",
                "Eclipse",
                "Emergency",
                "Endbringer",
                "Enigma",
                "Epilogue",
                "Eternal Rest",
                "Eternity",
                "Extermination",
                "Extinction",
                "Eyegouger",
                "Faithkeeper",
                "Fate",
                "Finality",
                "Freak's Bite",
                "Frenzy",
                "Frostbite",
                "Fury",
                "Fury's Gaze",
                "Ghostwalker",
                "Glimmer",
                "Glory's Reach",
                "Good Point",
                "Grieving Spike",
                "Hail",
                "Harbinger",
                "Harvester",
                "Hatred",
                "Hatred's Point",
                "Hatred's Spike",
                "Headspike",
                "Heartseeker",
                "Hell's Scream",
                "Hellreaver",
                "Homage",
                "Honor's Call",
                "Honor's Reach",
                "Honorbound",
                "Hope's Edge",
                "Hope's End",
                "Hope's Point",
                "Hurricane",
                "Icicle",
                "Infamy",
                "Infinity",
                "Inner Demon",
                "Jaeger",
                "Justice",
                "Justifier",
                "King's Defender",
                "King's Legacy",
                "Kingpin",
                "Kinslayer",
                "Knight's Fall",
                "Knight's Honor",
                "Knightfall",
                "Lament",
                "Last Chance",
                "Last Laugh",
                "Last Rites",
                "Last Words",
                "Lazarus",
                "Legacy",
                "Legionaire",
                "Life's Limit",
                "Light's Bane",
                "Lightbane",
                "Lightbringer",
                "Lightning",
                "Limbo",
                "Malice",
                "Marrowstrike",
                "Massacre",
                "Mercy",
                "Midnight",
                "Misery's End",
                "Misery's Spike",
                "Narcoleptic",
                "Needle",
                "Needler",
                "Nethersbane",
                "Night's Fall",
                "Night's Reach",
                "Night's Spike",
                "Nightbane",
                "Nightfall",
                "Nighthorror",
                "Nightterror",
                "Nighttime",
                "Nirvana",
                "Oathbinder",
                "Oathbreaker",
                "Oathkeeper",
                "Oblivion",
                "Old Age",
                "Omega",
                "Orbit",
                "Party Pooper",
                "Peacekeeper",
                "Peacemaker",
                "Pendulum",
                "Persuasion",
                "Piece Maker",
                "Piety",
                "Pinpoint",
                "Pointless",
                "Pride",
                "Prophecy",
                "Purifier",
                "Rage",
                "Rapture",
                "Reckoning",
                "Reign",
                "Remorse",
                "Requiem",
                "Rigormortis",
                "Savagery",
                "Scar",
                "Seism",
                "Severance",
                "Shadow Strike",
                "Shadowfury",
                "Shadowmoon",
                "Shadowpike",
                "Shadowspike",
                "Shadowsteel",
                "Shadowstrike",
                "Shiverspine",
                "Silence",
                "Skirmisher",
                "Spike",
                "Spinefall",
                "Spite",
                "Stalker",
                "Storm",
                "Stormbringer",
                "Stormcaller",
                "Stormcrow",
                "Stormedge",
                "Stormrider",
                "Supernova",
                "Supremacy",
                "Suspension",
                "Swan Song",
                "Swoosh",
                "Termination",
                "Terror's Reach",
                "The End",
                "The Facelifter",
                "The Oculus",
                "The Oracle",
                "The Surgeon",
                "The Void",
                "The Warden",
                "Thunder",
                "Thunderstrike",
                "Treachery",
                "Tremor",
                "Trickster",
                "Trickster's Tip",
                "Trinity",
                "Twisted",
                "Typhoon",
                "Ubiquity",
                "Undoing",
                "Vacancy",
                "Valkyrie",
                "Vanquisher",
                "Vengeance",
                "Viewpoint",
                "Warbringer",
                "Warmonger",
                "Waypoint",
                "Whirlwind",
                "Wicked",
                "Widow Maker",
                "Willbreaker",
                "Windpiercer",
                "Winter's Bite",
                "Wit's End",
                "Witherbrand",
                "Wolf",
                "Woosh",
            ]
        elif classification == Weapon.WeaponType.Sword:
            var1 = [
                "Shadowfang",
                "Azurewrath",
                "Assurance",
                "ForgetMeNot",
                "Red Obsidian",
                "Abyssal Shard",
                "Aetherius",
                "Agatha",
                "Alpha",
                "Amnesia",
                "Anduril",
                "Anger's Tear",
                "Apocalypse",
                "Armageddon",
                "Arondite",
                "Ashrune",
                "Betrayal",
                "Betrayer",
                "Blackest Heart",
                "Blackout",
                "Blade of a Thousand Cuts",
                "Blade of the Grave",
                "Blazefury",
                "Blazeguard",
                "Blight's Plight",
                "Blind Justice",
                "Blinkstrike",
                "Bloodquench",
                "Bloodweep",
                "Broken Promise",
                "Brutality",
                "Cataclysm",
                "Catastrophe",
                "Celeste",
                "Chaos",
                "Cometfell",
                "Convergence",
                "Corruption",
                "Darkheart",
                "Darkness",
                "Dawn",
                "Dawn of Ruins",
                "Dawnbreaker",
                "Deathbringer",
                "Deathraze",
                "Decimation",
                "Desolation",
                "Despair",
                "Destiny's Song",
                "Devine",
                "Devourer",
                "Dirge",
                "Divine Light",
                "Doomblade",
                "Doombringer",
                "Draughtbane",
                "Due Diligence",
                "Early Retirement",
                "Echo",
                "Piece Maker",
                "Eclipse",
                "Endbringer",
                "Epilogue",
                "Espada",
                "Eternal Harmony",
                "Eternal Rest",
                "Extinction",
                "Faithkeeper",
                "Fallen Champion",
                "Fate",
                "Final Achievement",
                "Fleshrender",
                "Florance",
                "Frenzy",
                "Fury",
                "Ghost Reaver",
                "Ghostwalker",
                "Gladius",
                "Glimmer",
                "Godslayer",
                "Grasscutter",
                "Grieving Blade",
                "Gutrender",
                "Hatred's Bite",
                "Heartseeker",
                "Heartstriker",
                "Hell's Scream",
                "Hellfire",
                "Hellreaver",
                "Hollow Silence",
                "Honor's Call",
                "Hope's End",
                "Infamy",
                "Interrogator",
                "Justice",
                "Justifier",
                "King's Defender",
                "King's Legacy",
                "Kinslayer",
                "Klinge",
                "Knight's Fall",
                "Knightfall",
                "Lament",
                "Last Rites",
                "Last Words",
                "Lazarus",
                "Life's Limit",
                "Lifedrinker",
                "Light's Bane",
                "Lightbane",
                "Lightbringer",
                "Lightning",
                "Limbo",
                "Loyalty",
                "Malice",
                "Mangler",
                "Massacre",
                "Mercy",
                "Misery's End",
                "Morbid Doom",
                "Morbid Will",
                "Mournblade",
                "Narcoleptic",
                "Needle",
                "Nethersbane",
                "Night's Edge",
                "Night's Fall",
                "Nightbane",
                "Nightcrackle",
                "Nightfall",
                "Nirvana",
                "Oathbreaker",
                "Oathkeeper",
                "Oblivion",
                "Omega",
                "Orenmir",
                "Peacekeeper",
                "Perfect Storm",
                "Persuasion",
                "Prick",
                "Purifier",
                "Rage",
                "Ragespike",
                "Ragnarok",
                "Reaper",
                "Reaper's Toll",
                "Reckoning",
                "Reign of Misery",
                "Remorse",
                "Requiem",
                "Requiem of the Lost",
                "Retirement",
                "Righteous Might",
                "Rigormortis",
                "Savagery",
                "Scalpel",
                "Scar",
                "Seethe",
                "Severance",
                "Shadow Strike",
                "Shadowsteel",
                "Silence",
                "Silencer",
                "Silver Saber",
                "Silverlight",
                "Skullcrusher",
                "Slice of Life",
                "Soul Reaper",
                "Soulblade",
                "Soulrapier",
                "Spada",
                "Spike",
                "Spineripper",
                "Spiteblade",
                "Stalker",
                "Starshatterer",
                "Sting",
                "Stinger",
                "Storm",
                "Storm Breaker",
                "Stormbringer",
                "Stormcaller",
                "Storm-Weaver",
                "Striker",
                "Sun Strike",
                "Suspension",
                "Swan Song",
                "The Ambassador",
                "The Black Blade",
                "The End",
                "The Facelifter",
                "The Light",
                "The Oculus",
                "The Stake",
                "The Untamed",
                "The Unyielding",
                "The Void",
                "Thorn",
                "Thunder",
                "Toothpick",
                "Tranquility",
                "Treachery",
                "Trinity",
                "Tyrhung",
                "Unending Tyranny",
                "Unholy Might",
                "Valkyrie",
                "Vanquisher",
                "Vengeance",
                "Venom",
                "Venomshank",
                "Warmonger",
                "Widow Maker",
                "Willbreaker",
                "Winterthorn",
                "Wit's End",
                "Witherbrand",
                "Wolf",
                "Worldbreaker",
                "Worldslayer",
            ]
            var2 = [
                "Massive",
                "Military",
                "Amber Infused",
                "Ancient",
                "Anguish",
                "Annihilation",
                "Antique",
                "Arcane",
                "Arched",
                "Assassination",
                "Atuned",
                "Oathkeeper's",
                "Bandit's",
                "Baneful",
                "Banished",
                "Barbarian",
                "Barbaric",
                "Battleworn",
                "Blazefury",
                "Blood Infused",
                "Blood-Forged",
                "Bloodcursed",
                "Bloodied",
                "Bloodlord's",
                "Bloodsurge",
                "Bloodvenom",
                "Bone Crushing",
                "Bonecarvin",
                "Brutal",
                "Brutality",
                "Burnished",
                "Captain's",
                "Cataclysm",
                "Cataclysmic",
                "Cold-Forged",
                "Corroded",
                "Corrupted",
                "Crazed",
                "Crying",
                "Cursed",
                "Curved",
                "Dancing",
                "Decapitating",
                "Defiled",
                "Demonic",
                "Deserted",
                "Desire's",
                "Desolation",
                "Destiny's",
                "Dire",
                "Doom",
                "Doom's",
                "Dragon's",
                "Dragonbreath",
                "Ebon",
                "Eerie",
                "Enchanted",
                "Engraved",
                "Eternal",
                "Executing",
                "Exiled",
                "Extinction",
                "Faith's",
                "Faithful",
                "Fancy",
                "Fearful",
                "Feral",
                "Fierce",
                "Fiery",
                "Fire Infused",
                "Fireguard",
                "Firesoul",
                "Firestorm",
                "Flaming",
                "Flimsy",
                "Forsaken",
                "Fortune's",
                "Fragile",
                "Frail",
                "Frenzied",
                "Frost",
                "Frozen",
                "Furious",
                "Fusion",
                "Ghastly",
                "Ghost-Forged",
                "Ghostly",
                "Gladiator",
                "Gladiator's",
                "Gleaming",
                "Glinting",
                "Greedy",
                "Grieving",
                "Guard's",
                "Guardian's",
                "Hailstorm",
                "Hateful",
                "Haunted",
                "Heartless",
                "Hollow",
                "Holy",
                "Honed",
                "Honor's",
                "Hope's",
                "Hopeless",
                "Howling",
                "Hungering",
                "Improved",
                "Incarnated",
                "Infused",
                "Inherited",
                "Isolated",
                "Jade Infused",
                "Judgement",
                "Knightly",
                "Legionnaire's",
                "Liar's",
                "Lich",
                "Lightning",
                "Lonely",
                "Loyal",
                "Lustful",
                "Lusting",
                "Mage's",
                "Malevolent",
                "Malicious",
                "Malignant",
                "Mended",
                "Mercenary",
                "Misfortune's",
                "Misty",
                "Moonlit",
                "Mourning",
                "Nightmare",
                "Ominous",
                "Peacekeeper",
                "Phantom",
                "Polished",
                "Possessed",
                "Pride's",
                "Prideful",
                "Primitive",
                "Promised",
                "Protector's",
                "Deluded",
                "Proud",
                "Recruit's",
                "Reforged",
                "Reincarnated",
                "Relentless",
                "Remorseful",
                "Renewed",
                "Renovated",
                "Replica",
                "Restored",
                "Retribution",
                "Ritual",
                "Roaring",
                "Ruby Infused",
                "Rune-Forged",
                "Rusty",
                "Sailor's",
                "Sapphire Infused",
                "Savage",
                "Shadow",
                "Sharpened",
                "Silent",
                "Singed",
                "Singing",
                "Sinister",
                "Skullforge",
                "Skyfall",
                "Smooth",
                "Solitude's",
                "Sorrow's",
                "Soul",
                "Soul Infused",
                "Soul-Forged",
                "Soulcursed",
                "Soulless",
                "Spectral",
                "Spectral-Forged",
                "Spiteful",
                "Storm",
                "Storm-Forged",
                "Stormfury",
                "Stormguard",
                "Terror",
                "Thirsting",
                "Thirsty",
                "Thunder",
                "Thunder-Forged",
                "Thunderfury",
                "Thunderguard",
                "Thundersoul",
                "Thunderstorm",
                "Timeworn",
                "Tormented",
                "Trainee's",
                "Treachery's",
                "Twilight",
                "Twilight's",
                "Twisted",
                "Tyrannical",
                "Undead",
                "Unholy",
                "Vengeance",
                "Vengeful",
                "Venom",
                "Vicious",
                "Vindication",
                "Vindictive",
                "Void",
                "Volcanic",
                "Vowed",
                "War-Forged",
                "Warlord's",
                "Warp",
                "Warped",
                "Whistling",
                "Wicked",
                "Wind's",
                "Wind-Forged",
                "Windsong",
                "Woeful",
                "Wrathful",
                "Wretched",
                "Yearning",
                "Zealous",
            ]
            var3 = [
                "Adamantite",
                "Bronze",
                "Copper",
                "Diamond",
                "Glass",
                "Gold",
                "Iron",
                "Mithril",
                "Obsidian",
                "Silver",
                "Skeletal",
                "Steel",
            ]
            var4 = [
                "Blade",
                "Broadsword",
                "Claymore",
                "Defender",
                "Deflector",
                "Doomblade",
                "Greatsword",
                "Guardian",
                "Katana",
                "Longsword",
                "Mageblade",
                "Protector",
                "Quickblade",
                "Rapier",
                "Reaver",
                "Sabre",
                "Scimitar",
                "Shortsword",
                "Slicer",
                "Spellblade",
                "Swiftblade",
                "Sword",
                "Warblade",
                "Skewer",
                "Carver",
                "Etcher",
                "Sculptor",
                "Razor",
                "Crusader",
            ]
            var5 = [
                "Annihilation",
                "Betrayer",
                "Blade",
                "Blessed Blade",
                "Blood Blade",
                "Bond",
                "Boon",
                "Breaker",
                "Bringer",
                "Broadsword",
                "Butcher",
                "Call",
                "Carver",
                "Champion",
                "Claymore",
                "Conqueror",
                "Crusader",
                "Cry",
                "Cunning",
                "Dark Blade",
                "Dawn",
                "Defender",
                "Defiler",
                "Deflector",
                "Destroyer",
                "Doomblade",
                "Edge",
                "Ender",
                "Etcher",
                "Executioner",
                "Favor",
                "Ferocity",
                "Foe",
                "Gift",
                "Glory",
                "Greatsword",
                "Guardian",
                "Heirloom",
                "Hope",
                "Incarnation",
                "Jaws",
                "Katana",
                "Last Hope",
                "Last Stand",
                "Legacy",
                "Longblade",
                "Longsword",
                "Mageblade",
                "Memory",
                "Might",
                "Oath",
                "Pact",
                "Pledge",
                "Promise",
                "Protector",
                "Quickblade",
                "Rapier",
                "Ravager",
                "Razor",
                "Reach",
                "Reaper",
                "Reaver",
                "Runed Blade",
                "Saber",
                "Sabre",
                "Savagery",
                "Scimitar",
                "Sculptor",
                "Secret",
                "Shortsword",
                "Skewer",
                "Slayer",
                "Slicer",
                "Soul",
                "Spellblade",
                "Spine",
                "Swiftblade",
                "Sword",
                "Terror",
                "Token",
                "Tribute",
                "Vengeance",
                "Voice",
                "Warblade",
                "Warglaive",
                "Whisper",
                "Wit",
            ]
            var6 = [
                "of Agony",
                "of Ancient Power",
                "of Anguish",
                "of Ashes",
                "of Assassins",
                "of Black Magic",
                "of Blessed Fortune",
                "of Blessings",
                "of Blight",
                "of Blood",
                "of Bloodlust",
                "of Broken Bones",
                "of Broken Dreams",
                "of Broken Families",
                "of Burdens",
                "of Chaos",
                "of Closing Eyes",
                "of Conquered Worlds",
                "of Corruption",
                "of Cruelty",
                "of Cunning",
                "of Dark Magic",
                "of Dark Souls",
                "of Darkness",
                "of Decay",
                "of Deception",
                "of Degradation",
                "of Delusions",
                "of Denial",
                "of Desecration",
                "of Diligence",
                "of Dismay",
                "of Dragonsouls",
                "of Due Diligence",
                "of Echoes",
                "of Ended Dreams",
                "of Ending Hope",
                "of Ending Misery",
                "of Eternal Bloodlust",
                "of Eternal Damnation",
                "of Eternal Glory",
                "of Eternal Justice",
                "of Eternal Rest",
                "of Eternal Sorrow",
                "of Eternal Struggles",
                "of Eternity",
                "of Executions",
                "of Faded Memories",
                "of Fallen Souls",
                "of Fools",
                "of Frost",
                "of Frozen Hells",
                "of Fury",
                "of Giants",
                "of Giantslaying",
                "of Grace",
                "of Grieving Widows",
                "of Hate",
                "of Hatred",
                "of Hell's Games",
                "of Hellish Torment",
                "of Heroes",
                "of Holy Might",
                "of Honor",
                "of Hope",
                "of Horrid Dreams",
                "of Horrors",
                "of Illuminated Dreams",
                "of Illumination",
                "of Immortality",
                "of Inception",
                "of Infinite Trials",
                "of Insanity",
                "of Invocation",
                "of Justice",
                "of Light's Hope",
                "of Lost Comrades",
                "of Lost Hope",
                "of Lost Voices",
                "of Lost Worlds",
                "of Magic",
                "of Mercy",
                "of Misery",
                "of Mountains",
                "of Mourning",
                "of Mystery",
                "of Necromancy",
                "of Nightmares",
                "of Oblivion",
                "of Perdition",
                "of Phantoms",
                "of Power",
                "of Pride",
                "of Pride's Fall",
                "of Putrefaction",
                "of Reckoning",
                "of Redemption",
                "of Regret",
                "of Riddles",
                "of Secrecy",
                "of Secrets",
                "of Shadow Strikes",
                "of Shadows",
                "of Shifting Sands",
                "of Shifting Worlds",
                "of Silence",
                "of Slaughter",
                "of Souls",
                "of Stealth",
                "of Storms",
                "of Subtlety",
                "of Suffering",
                "of Suffering's End",
                "of Summoning",
                "of Terror",
                "of Thunder",
                "of Time-Lost Memories",
                "of Timeless Battles",
                "of Titans",
                "of Torment",
                "of Traitors",
                "of Trembling Hands",
                "of Trials",
                "of Truth",
                "of Twilight's End",
                "of Twisted Visions",
                "of Unholy Blight",
                "of Unholy Might",
                "of Vengeance",
                "of Visions",
                "of Wasted Time",
                "of Widows",
                "of Wizardry",
                "of Woe",
                "of Wraiths",
                "of Zeal",
                "of the Ancients",
                "of the Banished",
                "of the Basilisk",
                "of the Beast",
                "of the Blessed",
                "of the Breaking Storm",
                "of the Brotherhood",
                "of the Burning Sun",
                "of the Caged Mind",
                "of the Cataclysm",
                "of the Champion",
                "of the Claw",
                "of the Corrupted",
                "of the Covenant",
                "of the Crown",
                "of the Damned",
                "of the Daywalker",
                "of the Dead",
                "of the Depth",
                "of the Dreadlord",
                "of the Earth",
                "of the East",
                "of the Emperor",
                "of the Empty Void",
                "of the End",
                "of the Enigma",
                "of the Fallen",
                "of the Falling Sky",
                "of the Flame",
                "of the Forest",
                "of the Forgotten",
                "of the Forsaken",
                "of the Gladiator",
                "of the Harvest",
                "of the Immortal",
                "of the Incoming Storm",
                "of the Insane",
                "of the King",
                "of the Lasting Night",
                "of the Leviathan",
                "of the Light",
                "of the Lion",
                "of the Lionheart",
                "of the Lone Victor",
                "of the Lone Wolf",
                "of the Lost",
                "of the Moon",
                "of the Moonwalker",
                "of the Night Sky",
                "of the Night",
                "of the Nightstalker",
                "of the North",
                "of the Occult",
                "of the Oracle",
                "of the Phoenix",
                "of the Plague",
                "of the Prince",
                "of the Protector",
                "of the Queen",
                "of the Serpent",
                "of the Setting Sun",
                "of the Shadows",
                "of the Sky",
                "of the South",
                "of the Stars",
                "of the Storm",
                "of the Summoner",
                "of the Sun",
                "of the Sunwalker",
                "of the Talon",
                "of the Undying",
                "of the Victor",
                "of the Void",
                "of the West",
                "of the Whispers",
                "of the Wicked",
                "of the Wind",
                "of the Wolf",
                "of the World",
                "of the Wretched",
            ]
            var7 = [
                "Felthorn",
                "Aetherius",
                "Agatha",
                "Alpha",
                "Amnesia",
                "Anduril",
                "Apocalypse",
                "Armageddon",
                "Arondite",
                "Ashrune",
                "Betrayal",
                "Betrayer",
                "Blackout",
                "Blazefury",
                "Blazeguard",
                "Blinkstrike",
                "Bloodquench",
                "Bloodweep",
                "Brutality",
                "Celeste",
                "Chaos",
                "Cometfell",
                "Convergence",
                "Darkheart",
                "Dawn",
                "Dawnbreaker",
                "Deathbringer",
                "Deathraze",
                "Decimation",
                "Desolation",
                "Destiny's Song",
                "Dirge",
                "Doomblade",
                "Doombringer",
                "Draughtbane",
                "Due Diligence",
                "Echo",
                "Eclipse",
                "Endbringer",
                "Epilogue",
                "Espada",
                "Extinction",
                "Faithkeeper",
                "Fate",
                "Fleshrender",
                "Florance",
                "Frenzy",
                "Fury",
                "Ghost Reaver",
                "Ghostwalker",
                "Gladius",
                "Glimmer",
                "Godslayer",
                "Grasscutter",
                "Gutrender",
                "Hatred's Bite",
                "Heartseeker",
                "Heartstriker",
                "Hell's Scream",
                "Hellfire",
                "Piece Maker",
                "Hellreaver",
                "Honor's Call",
                "Hope's End",
                "Infamy",
                "Interrogator",
                "Justifier",
                "Kinslayer",
                "Klinge",
                "Knightfall",
                "Lament",
                "Lazarus",
                "Lifedrinker",
                "Light's Bane",
                "Lightbane",
                "Lightbringer",
                "Lightning",
                "Limbo",
                "Loyalty",
                "Malice",
                "Mangler",
                "Massacre",
                "Mercy",
                "Misery",
                "Mournblade",
                "Narcoleptic",
                "Needle",
                "Nethersbane",
                "Night's Edge",
                "Night's Fall",
                "Nightbane",
                "Nightcrackle",
                "Nightfall",
                "Nirvana",
                "Oathbreaker",
                "Oathkeeper",
                "Oblivion",
                "Omega",
                "Orenmir",
                "Peacekeeper",
                "Persuasion",
                "Prick",
                "Purifier",
                "Rage",
                "Ragespike",
                "Ragnarok",
                "Reckoning",
                "Reign",
                "Remorse",
                "Requiem",
                "Retirement",
                "Rigormortis",
                "Savagery",
                "Scalpel",
                "Scar",
                "Seethe",
                "Severance",
                "Shadow Strike",
                "Shadowsteel",
                "Silence",
                "Silencer",
                "Silver Saber",
                "Silverlight",
                "Skullcrusher",
                "Slice of Life",
                "Soul Reaper",
                "Soulblade",
                "Soulrapier",
                "Spada",
                "Spike",
                "Spineripper",
                "Spiteblade",
                "Stalker",
                "Starshatterer",
                "Sting",
                "Stinger",
                "Storm",
                "Storm Breaker",
                "Stormbringer",
                "Stormcaller",
                "Story-Weaver",
                "Striker",
                "Sun Strike",
                "Suspension",
                "Swan Song",
                "The Ambassador",
                "The Black Blade",
                "The End",
                "The Facelifter",
                "The Light",
                "The Oculus",
                "The Stake",
                "The Untamed",
                "The Unyielding",
                "The Void",
                "Thorn",
                "Thunder",
                "Toothpick",
                "Tranquility",
                "Treachery",
                "Trinity",
                "Tyrhung",
                "Unending Tyranny",
                "Unholy Might",
                "Valkyrie",
                "Vanquisher",
                "Vengeance",
                "Venom",
                "Venomshank",
                "Warmonger",
                "Widow Maker",
                "Willbreaker",
                "Winterthorn",
                "Wit's End",
                "Witherbrand",
                "Wolf",
                "Worldbreaker",
                "Worldslayer",
            ]
        elif classification == Weapon.WeaponType.Hammer:
            var1 = [
                "Abomination",
                "Agatha",
                "Agony",
                "Allegiance",
                "Alpha",
                "Amnesia",
                "Anduril",
                "Apocalypse",
                "Armageddon",
                "Arondite",
                "Ash",
                "Ashes",
                "Ashrune",
                "Back Breaker",
                "Battlestar",
                "Betrayal",
                "Betrayer",
                "Blackout",
                "Blazeguard",
                "Blessing",
                "Blind Justice",
                "Bloodfury",
                "Bloodmoon",
                "Bloodquench",
                "Bloodrage",
                "Bloodspiller",
                "Bloodweep",
                "Bone Warden",
                "Bonesnapper",
                "Braindead",
                "Broken Promise",
                "Brutality",
                "Brutalizer",
                "Cataclysm",
                "Catastrophe",
                "Celeste",
                "Chance",
                "Chaos",
                "Chasm",
                "Chieftain",
                "Comet",
                "Cometfall",
                "Concussion",
                "Convergence",
                "Corpsemaker",
                "Corruption",
                "Cosmos",
                "Crash",
                "Crimson",
                "Crush",
                "Cryptmaker",
                "Cyclone",
                "Darkness",
                "Dawn",
                "Dawnbreaker",
                "Daytime",
                "Deathbringer",
                "Deathraze",
                "Decimation",
                "Demise",
                "Desolation",
                "Despair",
                "Destiny",
                "Destruction",
                "Devastation",
                "Devine",
                "Devotion",
                "Devourer",
                "Disturbance",
                "Divine Light",
                "Dominance",
                "Dominion",
                "Doom",
                "Doombringer",
                "Dragonfist",
                "Dragonmaw",
                "Dragonstrike",
                "Due Diligence",
                "Early Retirement",
                "Earthquake",
                "Earthshaker",
                "Earthshaper",
                "Earthwarden",
                "Echo",
                "Eclipse",
                "Emergency",
                "End of Dreams",
                "Endbringer",
                "Enigma",
                "Epilogue",
                "Eternal Rest",
                "Eternity",
                "Eveningstar",
                "Extermination",
                "Extinction",
                "Faithkeeper",
                "Falcon",
                "Falling Star",
                "Fate",
                "Finality",
                "Frenzy",
                "Frostwind",
                "Fury",
                "Fury's Gaze",
                "Galaxy",
                "Gatecrasher",
                "Ghost Reaver",
                "Ghostwalker",
                "Glimmer",
                "Godslayer",
                "Grace",
                "Guiding Star",
                "Harbinger",
                "Harmony",
                "Harvester",
                "Hatred",
                "Heartcrusher",
                "Hell's Scream",
                "Hellfire",
                "Homage",
                "Honor's Call",
                "Hope's End",
                "Humongous",
                "Hurricane",
                "Icebreaker",
                "Infamy",
                "Infinity",
                "Interrogator",
                "Jackhammer",
                "Jawbone",
                "Justice",
                "Justifier",
                "King's Defender",
                "King's Legacy",
                "Kinslayer",
                "Knight's Fall",
                "Knight's Honor",
                "Knightfall",
                "Lament",
                "Last Chance",
                "Last Laugh",
                "Last Rites",
                "Last Word",
                "Last Words",
                "Lazarus",
                "Legacy",
                "Legionaire",
                "Life's Limit",
                "Light's Bane",
                "Lightbane",
                "Lightbringer",
                "Lightning",
                "Limbo",
                "Lockjaw",
                "Magma",
                "Malice",
                "Maneater",
                "Massacre",
                "Mercy",
                "Midnight",
                "Misery's End",
                "Monsoon",
                "Morningstar",
                "Narcoleptic",
                "Nethersbane",
                "Night's Fall",
                "Nightbane",
                "Nightfall",
                "Nightglow",
                "Nightmare",
                "Nighttime",
                "Nirvana",
                "Oathbreaker",
                "Oathkeeper",
                "Oblivion",
                "Old Age",
                "Omega",
                "Orbit",
                "Orenmir",
                "Oxheart",
                "Party Pooper",
                "Patience",
                "Peacekeeper",
                "Peacemaker",
                "Pendulum",
                "Perfect Storm",
                "Persuasion",
                "Piece Maker",
                "Piety",
                "Pride",
                "Prophecy",
                "Punisher",
                "Purifier",
                "Rage",
                "Ragnarok",
                "Rapture",
                "Reaper's Toll",
                "Reckoning",
                "Red Dwarf",
                "Reign",
                "Remorse",
                "Requiem",
                "Retirement",
                "Righteous Might",
                "Rigormortis",
                "Rising Tide",
                "Savagery",
                "Scar",
                "Scourgeborne",
                "Second Chance",
                "Seism",
                "Seismic",
                "Serenity",
                "Severance",
                "Shadowfury",
                "Shadowmoon",
                "Shatterskull",
                "Shooting Star",
                "Silence",
                "Skullcrusher",
                "Soul Breaker",
                "Spinefall",
                "Stalker",
                "Stonefist",
                "Storm",
                "Storm Breaker",
                "Storm-Weaver",
                "Stormbringer",
                "Stormcaller",
                "Stormedge",
                "Stormherald",
                "Stormrider",
                "Sucker Punch",
                "Sundown",
                "Supernova",
                "Supremacy",
                "Suspension",
                "Swan Song",
                "Tank",
                "Tenderiser",
                "Termination",
                "The Ambassador",
                "The Chancellor",
                "The Chief",
                "The End",
                "The Light",
                "The Minotaur",
                "The Oculus",
                "The Oracle",
                "The Sundering",
                "The Void",
                "The Warden",
                "Thunder",
                "Trauma",
                "Treachery",
                "Tremor",
                "Trinity",
                "Twilight",
                "Typhoon",
                "Ubiquity",
                "Undoing",
                "Vacancy",
                "Valkyrie",
                "Vanquisher",
                "Vengeance",
                "Warbringer",
                "Warmonger",
                "Whirlwind",
                "Wicked",
                "Widow Maker",
                "Willbreaker",
                "Winter's Bite",
                "Wit's End",
                "Witherbrand",
                "Wolf",
                "Worldbreaker",
                "Worldcarver",
                "Worldslayer",
            ]
            var2 = [
                "Ancient",
                "Antique",
                "Apocalypse",
                "Apocalyptic",
                "Arcane",
                "Arched",
                "Atuned",
                "Bandit's",
                "Baneful",
                "Banished",
                "Barbarian",
                "Barbaric",
                "Battleworn",
                "Blazefury",
                "Blood Infused",
                "Blood-Forged",
                "Bloodcursed",
                "Bloodied",
                "Bloodlord's",
                "Bloodsurge",
                "Bloodvenom",
                "Bonecarvin",
                "Brutal",
                "Brutality",
                "Burnished",
                "Cataclysm",
                "Cataclysmic",
                "Challenger",
                "Challenger's",
                "Champion",
                "Champion's",
                "Cold-Forged",
                "Conqueror",
                "Conqueror's",
                "Corroded",
                "Corrupted",
                "Crazed",
                "Crying",
                "Cursed",
                "Curved",
                "Dancing",
                "Dark",
                "Darkness",
                "Defender",
                "Defender's",
                "Defiled",
                "Defiling",
                "Deluded",
                "Demonic",
                "Deserted",
                "Desire's",
                "Desolation",
                "Destiny's",
                "Diabolical",
                "Dire",
                "Doom",
                "Doom's",
                "Dragon's",
                "Dragonbreath",
                "Eerie",
                "Enchanted",
                "Engraved",
                "Enlightened",
                "Eternal",
                "Exiled",
                "Extinction",
                "Faith's",
                "Faithful",
                "Fancy",
                "Fearful",
                "Feral",
                "Ferocious",
                "Fierce",
                "Fiery",
                "Fire Infused",
                "Fireguard",
                "Firesoul",
                "Firestorm",
                "Flaming",
                "Flimsy",
                "Forsaken",
                "Fortune's",
                "Foul",
                "Fragile",
                "Frail",
                "Frenzied",
                "Frost",
                "Frozen",
                "Furious",
                "Fusion",
                "Ghastly",
                "Ghost",
                "Ghost-Forged",
                "Ghostly",
                "Gladiator",
                "Gladiator's",
                "Gleaming",
                "Glinting",
                "Greedy",
                "Grieving",
                "Grim",
                "Guard's",
                "Guardian's",
                "Hailstorm",
                "Harmonized",
                "Hateful",
                "Haunted",
                "Heartless",
                "Heinous",
                "Hero",
                "Hero's",
                "Hollow",
                "Holy",
                "Honed",
                "Honor's",
                "Hope's",
                "Hopeless",
                "Howling",
                "Hungering",
                "Improved",
                "Impure",
                "Incarnated",
                "Infused",
                "Inherited",
                "Isolated",
                "Jade Infused",
                "Judgement",
                "Keeper's",
                "Knightly",
                "Knight's",
                "Legionnaire's",
                "Liar's",
                "Lich",
                "Lightning",
                "Lonely",
                "Loyal",
                "Lustful",
                "Lusting",
                "Malevolent",
                "Malicious",
                "Malificent",
                "Malignant",
                "Massive",
                "Mended",
                "Mercenary",
                "Military",
                "Misfortune's",
                "Misty",
                "Moonlit",
                "Mourning",
                "Nightmare",
                "Oathkeeper's",
                "Ominous",
                "Peacekeeper",
                "Peacekeeper's",
                "Phantom",
                "Polished",
                "Possessed",
                "Pride's",
                "Prideful",
                "Primal",
                "Prime",
                "Primitive",
                "Promised",
                "Protector's",
                "Proud",
                "Pure",
                "Putrid",
                "Raging",
                "Recruit's",
                "Refined",
                "Reforged",
                "Reincarnated",
                "Relentless",
                "Remorseful",
                "Renewed",
                "Renovated",
                "Replica",
                "Restored",
                "Retribution",
                "Ritual",
                "Roaring",
                "Ruby Infused",
                "Rune-Forged",
                "Runed",
                "Rusty",
                "Savage",
                "Sentinel",
                "Shadow",
                "Shamanic",
                "Sharpened",
                "Silent",
                "Singed",
                "Singing",
                "Sinister",
                "Skyfall",
                "Smooth",
                "Soldier's",
                "Solitude's",
                "Sorcerer's",
                "Sorrow's",
                "Soul",
                "Soul Infused",
                "Soul-Forged",
                "Soulcursed",
                "Soulless",
                "Spectral",
                "Spectral-Forged",
                "Spiteful",
                "Storm",
                "Storm-Forged",
                "Stormfury",
                "Stormguard",
                "Terror",
                "Thirsting",
                "Thirsty",
                "Thunder",
                "Thunder-Forged",
                "Thunderfury",
                "Thunderguard",
                "Thundersoul",
                "Thunderstorm",
                "Timeworn",
                "Tormented",
                "Trainee's",
                "Treachery's",
                "Twilight",
                "Twilight's",
                "Twisted",
                "Tyrannical",
                "Undead",
                "Unholy",
                "Vanquisher",
                "Vengeance",
                "Vengeful",
                "Venom",
                "Vicious",
                "Victor",
                "Vile",
                "Vindication",
                "Vindicator",
                "Vindictive",
                "Void",
                "Volcanic",
                "Vowed",
                "War",
                "War-Forged",
                "Warden's",
                "Warlord's",
                "Warp",
                "Warped",
                "Warrior",
                "Warrior's",
                "Whistling",
                "Wicked",
                "Wind's",
                "Wind-Forged",
                "Windsong",
                "Woeful",
                "Wrathful",
                "Wretched",
                "Yearning",
                "Zealous",
            ]
            var3 = [
                "Adamantite",
                "Bone",
                "Bronze",
                "Bronzed",
                "Ivory",
                "Ebon",
                "Glass",
                "Golden",
                "Iron",
                "Ironbark",
                "Mithril",
                "Obsidian",
                "Silver",
                "Skeletal",
                "Steel",
                "Titanium",
            ]
            var4 = [
                "Mace",
                "Bludgeon",
                "Maul",
                "Hammer",
                "Mallet",
                "Crusher",
                "Battlehammer",
                "Greathammer",
                "Smasher",
                "Warmace",
                "Hammer",
                "Mace",
                "Scepter",
                "Pummeler",
            ]
            var5 = [
                "Allegiance",
                "Annihilation",
                "Battlehammer",
                "Betrayer",
                "Bludgeon",
                "Bond",
                "Boon",
                "Breaker",
                "Bringer",
                "Bruiser",
                "Butcher",
                "Call",
                "Champion",
                "Conqueror",
                "Crusader",
                "Crusher",
                "Cry",
                "Cunning",
                "Dawn",
                "Defender",
                "Defiler",
                "Destroyer",
                "Disposer",
                "Ender",
                "Executioner",
                "Favor",
                "Ferocity",
                "Foe",
                "Gift",
                "Glory",
                "Greathammer",
                "Guardian",
                "Hammer",
                "Heirloom",
                "Hope",
                "Incarnation",
                "Jaws",
                "Last Hope",
                "Last Stand",
                "Legacy",
                "Mace",
                "Mallet",
                "Masher",
                "Maul",
                "Memory",
                "Might",
                "Oath",
                "Pact",
                "Pledge",
                "Pounder",
                "Promise",
                "Prophecy",
                "Protector",
                "Pummeler",
                "Queller",
                "Ravager",
                "Reach",
                "Reaper",
                "Scepter",
                "Sculptor",
                "Secret",
                "Slayer",
                "Smasher",
                "Soul",
                "Suppressor",
                "Terror",
                "Token",
                "Tribute",
                "Vengeance",
                "Voice",
                "Warmace",
                "Whisper",
                "Wit",
            ]
            var6 = [
                "of Agony",
                "of Ancient Power",
                "of Anguish",
                "of Ashes",
                "of Assassins",
                "of Black Magic",
                "of Blessed Fortune",
                "of Blessings",
                "of Blight",
                "of Blood",
                "of Bloodlust",
                "of Broken Bones",
                "of Broken Dreams",
                "of Broken Families",
                "of Burdens",
                "of Chaos",
                "of Closing Eyes",
                "of Conquered Worlds",
                "of Corruption",
                "of Cruelty",
                "of Cunning",
                "of Dark Magic",
                "of Dark Souls",
                "of Darkness",
                "of Decay",
                "of Deception",
                "of Degradation",
                "of Delusions",
                "of Denial",
                "of Desecration",
                "of Diligence",
                "of Dismay",
                "of Dragonsouls",
                "of Due Diligence",
                "of Echoes",
                "of Ended Dreams",
                "of Ending Hope",
                "of Ending Misery",
                "of Eternal Bloodlust",
                "of Eternal Damnation",
                "of Eternal Glory",
                "of Eternal Justice",
                "of Eternal Rest",
                "of Eternal Sorrow",
                "of Eternal Struggles",
                "of Eternity",
                "of Executions",
                "of Faded Memories",
                "of Fallen Souls",
                "of Fools",
                "of Frost",
                "of Frozen Hells",
                "of Fury",
                "of Giants",
                "of Giantslaying",
                "of Grace",
                "of Grieving Widows",
                "of Hate",
                "of Hatred",
                "of Hell's Games",
                "of Hellish Torment",
                "of Heroes",
                "of Holy Might",
                "of Honor",
                "of Hope",
                "of Horrid Dreams",
                "of Horrors",
                "of Illuminated Dreams",
                "of Illumination",
                "of Immortality",
                "of Inception",
                "of Infinite Trials",
                "of Insanity",
                "of Invocation",
                "of Justice",
                "of Light's Hope",
                "of Lost Comrades",
                "of Lost Hope",
                "of Lost Voices",
                "of Lost Worlds",
                "of Magic",
                "of Mercy",
                "of Misery",
                "of Mountains",
                "of Mourning",
                "of Mystery",
                "of Necromancy",
                "of Nightmares",
                "of Oblivion",
                "of Perdition",
                "of Phantoms",
                "of Power",
                "of Pride",
                "of Pride's Fall",
                "of Putrefaction",
                "of Reckoning",
                "of Redemption",
                "of Regret",
                "of Riddles",
                "of Secrecy",
                "of Secrets",
                "of Shadow Strikes",
                "of Shadows",
                "of Shifting Sands",
                "of Shifting Worlds",
                "of Silence",
                "of Slaughter",
                "of Souls",
                "of Stealth",
                "of Storms",
                "of Subtlety",
                "of Suffering",
                "of Suffering's End",
                "of Summoning",
                "of Terror",
                "of Thunder",
                "of Time-Lost Memories",
                "of Timeless Battles",
                "of Titans",
                "of Torment",
                "of Traitors",
                "of Trembling Hands",
                "of Trials",
                "of Truth",
                "of Twilight's End",
                "of Twisted Visions",
                "of Unholy Blight",
                "of Unholy Might",
                "of Vengeance",
                "of Visions",
                "of Wasted Time",
                "of Widows",
                "of Wizardry",
                "of Woe",
                "of Wraiths",
                "of Zeal",
                "of the Ancients",
                "of the Banished",
                "of the Basilisk",
                "of the Beast",
                "of the Blessed",
                "of the Breaking Storm",
                "of the Brotherhood",
                "of the Burning Sun",
                "of the Caged Mind",
                "of the Cataclysm",
                "of the Champion",
                "of the Claw",
                "of the Corrupted",
                "of the Covenant",
                "of the Crown",
                "of the Damned",
                "of the Daywalker",
                "of the Dead",
                "of the Depth",
                "of the Dreadlord",
                "of the Earth",
                "of the East",
                "of the Emperor",
                "of the Empty Void",
                "of the End",
                "of the Enigma",
                "of the Fallen",
                "of the Falling Sky",
                "of the Flame",
                "of the Forest",
                "of the Forgotten",
                "of the Forsaken",
                "of the Gladiator",
                "of the Harvest",
                "of the Immortal",
                "of the Incoming Storm",
                "of the Insane",
                "of the King",
                "of the Lasting Night",
                "of the Leviathan",
                "of the Light",
                "of the Lion",
                "of the Lionheart",
                "of the Lone Victor",
                "of the Lone Wolf",
                "of the Lost",
                "of the Moon",
                "of the Moonwalker",
                "of the Night Sky",
                "of the Night",
                "of the Nightstalker",
                "of the North",
                "of the Occult",
                "of the Oracle",
                "of the Phoenix",
                "of the Plague",
                "of the Prince",
                "of the Protector",
                "of the Queen",
                "of the Serpent",
                "of the Setting Sun",
                "of the Shadows",
                "of the Sky",
                "of the South",
                "of the Stars",
                "of the Storm",
                "of the Summoner",
                "of the Sun",
                "of the Sunwalker",
                "of the Talon",
                "of the Undying",
                "of the Victor",
                "of the Void",
                "of the West",
                "of the Whispers",
                "of the Wicked",
                "of the Wind",
                "of the Wolf",
                "of the World",
                "of the Wretched",
            ]
            var7 = [
                "Abomination",
                "Agatha",
                "Agony",
                "Allegiance",
                "Alpha",
                "Amnesia",
                "Anduril",
                "Apocalypse",
                "Armageddon",
                "Arondite",
                "Ash",
                "Ashes",
                "Ashrune",
                "Back Breaker",
                "Battlestar",
                "Betrayal",
                "Betrayer",
                "Blackout",
                "Blazeguard",
                "Blessing",
                "Blind Justice",
                "Bloodfury",
                "Bloodmoon",
                "Bloodquench",
                "Bloodrage",
                "Bloodspiller",
                "Bloodweep",
                "Bone Warden",
                "Bonesnapper",
                "Braindead",
                "Broken Promise",
                "Brutality",
                "Brutalizer",
                "Cataclysm",
                "Catastrophe",
                "Celeste",
                "Chance",
                "Chaos",
                "Chasm",
                "Chieftain",
                "Comet",
                "Cometfall",
                "Concussion",
                "Convergence",
                "Corpsemaker",
                "Corruption",
                "Cosmos",
                "Crash",
                "Crimson",
                "Crush",
                "Cryptmaker",
                "Cyclone",
                "Darkness",
                "Dawn",
                "Dawnbreaker",
                "Daytime",
                "Deathbringer",
                "Deathraze",
                "Decimation",
                "Demise",
                "Desolation",
                "Despair",
                "Destiny",
                "Destruction",
                "Devastation",
                "Devine",
                "Devotion",
                "Devourer",
                "Disturbance",
                "Divine Light",
                "Dominance",
                "Dominion",
                "Doom",
                "Doombringer",
                "Dragonfist",
                "Dragonmaw",
                "Dragonstrike",
                "Due Diligence",
                "Earthquake",
                "Earthshaker",
                "Earthshaper",
                "Earthwarden",
                "Echo",
                "Eclipse",
                "Emergency",
                "End of Dreams",
                "Endbringer",
                "Enigma",
                "Epilogue",
                "Eternal Rest",
                "Eternity",
                "Eveningstar",
                "Extermination",
                "Extinction",
                "Faithkeeper",
                "Falcon",
                "Falling Star",
                "Fate",
                "Finality",
                "Frenzy",
                "Frostwind",
                "Fury",
                "Fury's Gaze",
                "Galaxy",
                "Gatecrasher",
                "Ghost Reaver",
                "Ghostwalker",
                "Glimmer",
                "Godslayer",
                "Grace",
                "Guiding Star",
                "Harbinger",
                "Harmony",
                "Harvester",
                "Hatred",
                "Heartcrusher",
                "Hell's Scream",
                "Hellfire",
                "Homage",
                "Honor's Call",
                "Hope's End",
                "Humongous",
                "Hurricane",
                "Icebreaker",
                "Infamy",
                "Infinity",
                "Interrogator",
                "Jackhammer",
                "Jawbone",
                "Justice",
                "Justifier",
                "King's Defender",
                "King's Legacy",
                "Kinslayer",
                "Knight's Fall",
                "Knight's Honor",
                "Knightfall",
                "Lament",
                "Last Chance",
                "Last Laugh",
                "Last Rites",
                "Last Word",
                "Last Words",
                "Lazarus",
                "Legacy",
                "Legionaire",
                "Life's Limit",
                "Light's Bane",
                "Lightbane",
                "Lightbringer",
                "Lightning",
                "Limbo",
                "Lockjaw",
                "Magma",
                "Malice",
                "Maneater",
                "Massacre",
                "Mercy",
                "Midnight",
                "Misery's End",
                "Monsoon",
                "Morningstar",
                "Narcoleptic",
                "Nethersbane",
                "Night's Fall",
                "Nightbane",
                "Nightfall",
                "Nightglow",
                "Nightmare",
                "Nighttime",
                "Nirvana",
                "Oathbreaker",
                "Oathkeeper",
                "Oblivion",
                "Old Age",
                "Omega",
                "Orbit",
                "Orenmir",
                "Oxheart",
                "Party Pooper",
                "Patience",
                "Peacekeeper",
                "Peacemaker",
                "Pendulum",
                "Perfect Storm",
                "Persuasion",
                "Piety",
                "Pride",
                "Prophecy",
                "Punisher",
                "Purifier",
                "Rage",
                "Ragnarok",
                "Rapture",
                "Reckoning",
                "Red Dwarf",
                "Reign",
                "Remorse",
                "Requiem",
                "Retirement",
                "Rigormortis",
                "Rising Tide",
                "Savagery",
                "Seism",
                "Seismic",
                "Serenity",
                "Severance",
                "Shadowfury",
                "Shatterskull",
                "Shooting Star",
                "Silence",
                "Skullcrusher",
                "Soul Breaker",
                "Spinefall",
                "Stalker",
                "Stonefist",
                "Storm",
                "Storm Breaker",
                "Storm-Weaver",
                "Stormbringer",
                "Stormcaller",
                "Stormedge",
                "Stormherald",
                "Stormrider",
                "Sucker Punch",
                "Sundown",
                "Supernova",
                "Supremacy",
                "Suspension",
                "Swan Song",
                "Tank",
                "Tenderiser",
                "Termination",
                "The Ambassador",
                "The Chancellor",
                "The Chief",
                "The End",
                "The Light",
                "The Minotaur",
                "The Oculus",
                "The Oracle",
                "The Sundering",
                "The Void",
                "The Warden",
                "Thunder",
                "Trauma",
                "Treachery",
                "Tremor",
                "Trinity",
                "Twilight",
                "Typhoon",
                "Ubiquity",
                "Undoing",
                "Vacancy",
                "Valkyrie",
                "Vanquisher",
                "Vengeance",
                "Warbringer",
                "Warmonger",
                "Whirlwind",
                "Wicked",
                "Widow Maker",
                "Willbreaker",
                "Winter's Bite",
                "Wit's End",
                "Witherbrand",
                "Wolf",
                "Worldbreaker",
                "Worldcarver",
                "Worldslayer",
            ]

        num = randrange(4)
        if num == 0:
            return choice(var1).title()
        elif num == 1:
            return choice(var2) + " " + choice(var4)
        elif num == 2:
            return choice(var2) + " " + choice(var3) + " " + choice(var4)
        elif num == 3:
            return choice(var7) + " " + choice(var5) + " " + choice(var6)


class General(Store):
    @staticmethod
    def generate():
        n1 = [
            "Abiding",
            "Acclaimed",
            "Acquired",
            "Adapt",
            "Admired",
            "Admiring",
            "Adorable",
            "Affordable",
            "Aggressive",
            "Agreeing",
            "Amazing",
            "Amusing",
            "Ancient",
            "Angelic",
            "Angry",
            "Antique",
            "Arriving",
            "Awesome",
            "Awkward",
            "Baby",
            "Baking",
            "Balanced",
            "Basic",
            "Bathing",
            "Beautiful",
            "Begging",
            "Better",
            "Big",
            "Bitter",
            "Black",
            "Blank",
            "Bleeding",
            "Blind",
            "Blissful",
            "Blond",
            "Blue",
            "Blushing",
            "Bouncing",
            "Bouncy",
            "Brass",
            "Bright",
            "Brilliant",
            "Broken",
            "Bronze",
            "Brown",
            "Burning",
            "Busy",
            "Calculating",
            "Calm",
            "Careful",
            "Challenging",
            "Cheap",
            "Cheating",
            "Cheering",
            "Clean",
            "Clever",
            "Colorful",
            "Common",
            "Complaining",
            "Confused",
            "Corrupt",
            "Corrupted",
            "Courageous",
            "Crafty",
            "Crazy",
            "Creeping",
            "Cuddly",
            "Curly",
            "Dancing",
            "Dapper",
            "Dark",
            "Dazzling",
            "Defiant",
            "Deserving",
            "Dirty",
            "Dizzy",
            "Drawing",
            "Dreaming",
            "Dry",
            "Eager",
            "Early",
            "Earnest",
            "Educated",
            "Elder",
            "Elegant",
            "Elementary",
            "Empty",
            "Evil",
            "Exalted",
            "Excited",
            "Expensive",
            "Expert",
            "Fabulous",
            "Fading",
            "Fair",
            "Fake",
            "False",
            "Famous",
            "Fancy",
            "Fantastic",
            "Fast",
            "Flawless",
            "Flimsy",
            "Floating",
            "Flowing",
            "Fluffy",
            "Forsaken",
            "Fresh",
            "Frozen",
            "Gentle",
            "Glass",
            "Glittering",
            "Glorious",
            "Glowing",
            "Golden",
            "Gorgeous",
            "Graceful",
            "Gracious",
            "Greedy",
            "Green",
            "Grim",
            "Groaning",
            "Growing",
            "Grumpy",
            "Guarding",
            "Hairy",
            "Happy",
            "Hasty",
            "Haunting",
            "Heavy",
            "Hidden",
            "Hiding",
            "Honest",
            "Honored",
            "Huge",
            "Humble",
            "Humming",
            "Hungry",
            "Imaginary",
            "Infamous",
            "Intelligent",
            "Invincible",
            "Invisible",
            "Iron",
            "Ironclad",
            "Jaded",
            "Jealous",
            "Joking",
            "Jolly",
            "Juicy",
            "Jumbo",
            "Jumping",
            "Kicking",
            "Kind",
            "Kissing",
            "Kneeling",
            "Large",
            "Last",
            "Laughing",
            "Lazy",
            "Light",
            "Listening",
            "Little",
            "Lonely",
            "Long",
            "Loving",
            "Loyal",
            "Lucky",
            "Mad",
            "Majestic",
            "Marching",
            "Mellow",
            "Melting",
            "Merry",
            "Misty",
            "Muddy",
            "Mushy",
            "Naughty",
            "Needy",
            "New",
            "Nodding",
            "Nutty",
            "Old",
            "Orange",
            "Ordinary",
            "Perfect",
            "Performing",
            "Phony",
            "Pink",
            "Plain",
            "Pleasant",
            "Popular",
            "Praying",
            "Preaching",
            "Precious",
            "Pretty",
            "Purple",
            "Puzzled",
            "Quick",
            "Quiet",
            "Racing",
            "Rainy",
            "Rapid",
            "Rare",
            "Reading",
            "Red",
            "Rhyming",
            "Rolling",
            "Royal",
            "Running",
            "Sad",
            "Sandy",
            "Scary",
            "Screaming",
            "Searching",
            "Second",
            "Secret",
            "Seeking",
            "Serene",
            "Shady",
            "Shaking",
            "Shaving",
            "Shrugging",
            "Silly",
            "Silver",
            "Sleek",
            "Sleeping",
            "Small",
            "Smart",
            "Smelly",
            "Smoking",
            "Sneaky",
            "Sparkling",
            "Steel",
            "Storm",
            "Stormy",
            "Striped",
            "Sunny",
            "Sweet",
            "Swimming",
            "Talking",
            "Tall",
            "Tasty",
            "Thirsty",
            "Thunder",
            "Tiny",
            "Tired",
            "Trusty",
            "Ugly",
            "Unique",
            "Unlucky",
            "Velvet",
            "Vicious",
            "Violet",
            "Walking",
            "Wandering",
            "Watching",
            "Waving",
            "Weeping",
            "Wet",
            "Whimsical",
            "Whispering",
            "Whistling",
            "White",
            "Wicked",
            "Wild",
            "Winking",
            "Wise",
            "Wishing",
            "Worthy",
            "Wrestling",
            "Yawning",
            "Yelling",
            "Yellow",
            "Young",
        ]
        n2 = [
            "Adventure",
            "Android",
            "Antenna",
            "Anvil",
            "Apple",
            "Armor",
            "Arsenal",
            "Asteroid",
            "Bear",
            "Bed",
            "Bee",
            "Berry",
            "Bird",
            "Bite",
            "Blade",
            "Blossom",
            "Boar",
            "Board",
            "Boat",
            "Bomb",
            "Book",
            "Boulder",
            "Bowl",
            "Brush",
            "Bull",
            "Cake",
            "Canvas",
            "Cape",
            "Captain",
            "Car",
            "Caravan",
            "Carpet",
            "Carriage",
            "Carrot",
            "Cart",
            "Castle",
            "Cat",
            "Chariot",
            "Cherry",
            "Chestnut",
            "Chimney",
            "Cloak",
            "Clock",
            "Comet",
            "Compass",
            "Cow",
            "Crate",
            "Crow",
            "Cup",
            "Curtain",
            "Cyborg",
            "Day",
            "Disguise",
            "Dish",
            "Dog",
            "Door",
            "Drape",
            "Dress",
            "Duck",
            "Dwarf",
            "Eagle",
            "Eel",
            "Elf",
            "Elixir",
            "Expanse",
            "Expedition",
            "Face",
            "Feather",
            "Fire",
            "Fish",
            "Flower",
            "Forest",
            "Fork",
            "Frame",
            "Frog",
            "Furnace",
            "Ghost",
            "Giant",
            "Gnome",
            "Goose",
            "Grape",
            "Growth",
            "Guard",
            "Gull",
            "Hammer",
            "Hazelnut",
            "Hog",
            "Horse",
            "Hunt",
            "Jester",
            "Joker",
            "Journey",
            "Jug",
            "Kettle",
            "Kite",
            "Knife",
            "Lemon",
            "Mammoth",
            "Mantle",
            "Mark",
            "Mask",
            "Melon",
            "Mill",
            "Mirror",
            "Model",
            "Monkey",
            "Moon",
            "Mountain",
            "Mouse",
            "Mug",
            "Note",
            "Nut",
            "Oven",
            "Owl",
            "Pagoda",
            "Painting",
            "Pantheon",
            "Peach",
            "Peacock",
            "Peanut",
            "Pear",
            "Pen",
            "Pencil",
            "Pepper",
            "Phantom",
            "Phone",
            "Pig",
            "Pixy",
            "Plane",
            "Plate",
            "Plum",
            "Pond",
            "Pony",
            "Pot",
            "Potato",
            "Pygmy",
            "Quarry",
            "Quest",
            "Quill",
            "Radio",
            "Raven",
            "Record",
            "Remote",
            "River",
            "Road",
            "Robot",
            "Rocket",
            "Rug",
            "Sail",
            "Screen",
            "Search",
            "Shark",
            "Shawl",
            "Shield",
            "Ship",
            "Shoe",
            "Shrimp",
            "Shrine",
            "Sign",
            "Snowman",
            "Spaceship",
            "Spoon",
            "Star",
            "Stone",
            "Stove",
            "Sword",
            "TV",
            "Table",
            "Tankard",
            "Temple",
            "Ticker",
            "Timer",
            "Tome",
            "Tooth",
            "Tower",
            "Train",
            "Traveller",
            "Tree",
            "Tribute",
            "Tusk",
            "Voyage",
            "Wall",
            "Walnut",
            "Watch",
            "Weapon",
            "Window",
            "Wolf",
            "World",
            "Writer",
        ]
        n3 = [
            "Store",
            "Tradepost",
            "Grocer",
            "Hardware Store",
            "Hobby Store",
            "Kitchens",
            "Liquor Store",
            "Market",
            "Pawn",
            "Pet Store",
            "Pharmacy",
            "Pub",
            "Repairs",
        ]

        return choice(n1) + " " + choice(n2) + " " + choice(n3)


class Town(Store):
    @staticmethod
    def generate():
        nm1 = [
            "amber",
            "angel",
            "spirit",
            "basin",
            "lagoon",
            "basin",
            "arrow",
            "autumn",
            "bare",
            "bay",
            "beach",
            "bear",
            "bell",
            "black",
            "bleak",
            "blind",
            "bone",
            "boulder",
            "bridge",
            "brine",
            "brittle",
            "bronze",
            "castle",
            "cave",
            "chill",
            "clay",
            "clear",
            "cliff",
            "cloud",
            "cold",
            "crag",
            "crow",
            "crystal",
            "curse",
            "dark",
            "dawn",
            "dead",
            "deep",
            "deer",
            "demon",
            "dew",
            "dim",
            "dire",
            "dirt",
            "dog",
            "dragon",
            "dry",
            "dusk",
            "dust",
            "eagle",
            "earth",
            "east",
            "ebon",
            "edge",
            "elder",
            "ember",
            "ever",
            "fair",
            "fall",
            "false",
            "far",
            "fay",
            "fear",
            "flame",
            "flat",
            "frey",
            "frost",
            "ghost",
            "glimmer",
            "gloom",
            "gold",
            "grass",
            "gray",
            "green",
            "grim",
            "grime",
            "hazel",
            "heart",
            "high",
            "hollow",
            "honey",
            "hound",
            "ice",
            "iron",
            "kil",
            "knight",
            "lake",
            "last",
            "light",
            "lime",
            "little",
            "lost",
            "mad",
            "mage",
            "maple",
            "mid",
            "might",
            "mill",
            "mist",
            "moon",
            "moss",
            "mud",
            "mute",
            "myth",
            "never",
            "new",
            "night",
            "north",
            "oaken",
            "ocean",
            "old",
            "ox",
            "pearl",
            "pine",
            "pond",
            "pure",
            "quick",
            "rage",
            "raven",
            "red",
            "rime",
            "river",
            "rock",
            "rogue",
            "rose",
            "rust",
            "salt",
            "sand",
            "scorch",
            "shade",
            "shadow",
            "shimmer",
            "shroud",
            "silent",
            "silk",
            "silver",
            "sleek",
            "sleet",
            "sly",
            "small",
            "smooth",
            "snake",
            "snow",
            "south",
            "spring",
            "stag",
            "star",
            "steam",
            "steel",
            "steep",
            "still",
            "stone",
            "storm",
            "summer",
            "sun",
            "swamp",
            "swan",
            "swift",
            "thorn",
            "timber",
            "trade",
            "west",
            "whale",
            "whit",
            "white",
            "wild",
            "wilde",
            "wind",
            "winter",
            "wolf",
        ]
        nm2 = [
            "acre",
            "band",
            "barrow",
            "bay",
            "bell",
            "born",
            "borough",
            "bourne",
            "breach",
            "break",
            "brook",
            "burgh",
            "burn",
            "bury",
            "cairn",
            "call",
            "chill",
            "cliff",
            "coast",
            "crest",
            "cross",
            "dale",
            "denn",
            "drift",
            "fair",
            "fall",
            "falls",
            "fell",
            "field",
            "ford",
            "forest",
            "fort",
            "front",
            "frost",
            "garde",
            "gate",
            "glen",
            "grasp",
            "grave",
            "grove",
            "guard",
            "gulch",
            "gulf",
            "hall",
            "hallow",
            "ham",
            "hand",
            "harbor",
            "haven",
            "helm",
            "hill",
            "hold",
            "holde",
            "hollow",
            "horn",
            "host",
            "keep",
            "land",
            "light",
            "maw",
            "meadow",
            "mere",
            "mire",
            "mond",
            "moor",
            "more",
            "mount",
            "mouth",
            "pass",
            "peak",
            "point",
            "pond",
            "port",
            "post",
            "reach",
            "rest",
            "rock",
            "run",
            "scar",
            "shade",
            "shear",
            "shell",
            "shield",
            "shore",
            "shire",
            "side",
            "spell",
            "spire",
            "stall",
            "wich",
            "minster",
            "star",
            "storm",
            "strand",
            "summit",
            "tide",
            "town",
            "vale",
            "valley",
            "vault",
            "vein",
            "view",
            "ville",
            "wall",
            "wallow",
            "ward",
            "watch",
            "water",
            "well",
            "wharf",
            "wick",
            "wind",
            "wood",
            "yard",
        ]

        return choice(nm1).title() + choice(nm2)


class Brothel(Store):
    @staticmethod
    def generate():
        s = [
            "Daisies",
            "The Don",
            "Blinkers",
            "The Prudes Suspenders",
            "Gold's Dust",
            "The Velvet Fang",
            "The Whisper Home",
            "The Hook",
            "Over the River",
            "Slooshes",
            "The Rapid Rascal",
            "The Stoat",
            "The Fidgety Ferret",
            "Long Shaft",
            "The Guards",
            "Chastity's",
            "The Mask",
            "The Red Dress",
            "Jewels",
            "Silken Flute",
            "The Nag's Head",
            "Drummers",
            "Sailors Choice",
            "Blacksmiths Envy",
            "The Nagging Wife",
            "Colins Rubble",
            "Drons Beat",
            "The Wink",
            "Maggie's Horn",
            "The Sun & Cider",
            "The Oakworm",
            "Tickle & Feather",
            "The Mistress",
            "Madam Zersannies",
            "The Kings Court",
            "The Cursed Coin",
            "Slit",
            "The Maiden Head",
            "The Silken Ferret",
            "Long Legs",
            "Elven Whispers",
            "The Leg",
            "False Suspenders",
            "Aunt Fannies Bloomers",
            "Final Rest",
            "Cocks Crow",
            "The Unblinking Eye",
            "The Bountiful Bosom",
            "Tuskers",
            "The Thrusting Gentleman",
            "Tally Hoes",
            "Rutting",
            "Pigs in Blankets",
            "The Delicate Touch",
            "Aphrodite's Wish",
            "The Dirty Secret",
            "Long Locks",
            "Sweat",
            "Brothel",
            "Taters",
            "The Swift Finish",
            "Cumberlands",
            "The Missing Sausage",
            "The Fools Frolic",
            "Dragons",
            "The Bushel",
            "Farmers Oats",
            "The Raised Brow",
            "Genies",
            "The Farfetched Feather",
            "Junk",
            "The Connoisseur's Choice",
            "Colossus",
            "The Smooth Ride",
            "Bucking",
            "The Great Big Globes",
            "The Glimmeric",
            "Loving Embrace",
            "Chokers Necklace",
            "The Grand Madams Emporium of Fine Delicacies, Treats, and the Exotic",
            "Thug's Retreat",
            "Warriors Return",
            "Gold Gobblers",
            "Cackling Croons",
            "The Warty",
            "Bessie's Best",
            "Corset",
            "Winkies",
            "The Shagger",
            "Port of Call",
            "The Home away from Hoes",
            "Smooth",
            "The Maiden Fair",
            "The Bit",
            "Hosted",
            "Glamourous Delights",
            "Happily Ever After",
            "Sultry Stare",
            "The Full Flush",
            "The Dark Cavern",
            "The Deep Thoroughfare",
            "The Hidden Depths",
            "The Massive Oak",
            "The Tall Mast",
            "The Quivering Hills",
            "The Steamy Engine",
            "The Lair of the Two-Backed Beast",
            "The Row of Rigid Spears",
            "Sultry Scullion",
            "The Rusty Pipe",
            "Ye Old Festhall",
            "Shambling Mounds",
            "The Out Inn",
            "The Shagging Carpet",
            "The Plot Hole",
            "The Pink Hydra",
            "The Gelatinous Cube",
            "The Locked Gauntlet",
            "Ten Foot Ladder",
            "The Come and Go",
            "The Clockwork Dollhouse",
            "The Wild Wild West",
            "The Very Jolly Roger",
            "This is Not a Brothel",
            "The Salty Clam",
            "Classy Lassies",
            "Tally Hoes",
            "Breast Buy",
            "Pussy Galore",
            "The Lancer's Tilt",
            "The Piston",
            "The Wandering Eye",
            "The Sure Thing",
            "What Awaits",
            "Nothing and More",
            "The Minotaurs Horn",
            "The Witches Wiggle",
            "The Fighting Buck",
            "The Noble Nymph",
            "The Portly Sorcerer",
            "The Shag Pile",
            "The Spoony Bardesses",
            "The Greasy Wheel",
            "Pretty & Witty & Gay",
            "The Purple Party Pantaloons",
            "The Ascended Kobold",
            "Pick - a - Dilly Square",
            "The Paladin's Mount",
            "The Kitty and the Rooster",
            "The Pearl",
            "Iron Heart Surge",
            "We Sell Scrolls of Remove Disease",
            "The Masterwork Stirrup",
            "The Ten Foot Pole",
            "The Prancing Pink Party Pony",
            "A Whore of a Different Color",
            "The Halfling's Quarterstaff",
            "Crank Shaft Grinders",
            "The Rusty Scabbard",
            "The Lady Hole",
            "The Pink Lagoon",
            "The Clam Shack",
            "The Piping Pie Inn",
            "Sadie's Sweet Meats",
            "The Breach",
            "The Easy Cleaver",
            "The Easy Beaver",
            "The Eager Beaver",
            "The Wet Seal",
            "The Gap",
            "Maiden's Kiss",
            "The Cumly Maden",
            "The Milk Depository",
            "The Butter Factory",
            "The Milking Station",
            "The Milk Maid's Inn",
            "The Ruddy Knees Inn",
            "The Sqeaky Wheel",
            "The Bicycle Club",
            "The Riding Club",
            "The Jockey's Club ",
            "The Glass Blower",
            "The Beer Goggles",
            "Balloon Ride",
            "The Tank and Spank",
            "Bigby's Enjoyable Hand",
            "Mordenkainen's Luxurious Loveshack",
            "Otiluke's Spheres",
            "Flurry of Blows",
            "Butterchurn",
            "Happy Eel",
            "Rose Garden",
            "The Changeling's Secret",
            "The Portable Hole",
            "Century Worm",
            "Rod of Lordly Might",
            "Robe of Bones",
            "The Bread Gazebo",
            "Just an Ordinary Storefront",
            "Aunty's Helping Hands",
            "The Bearded Clam",
            "The Smurven Hammer",
            "The Ramrod.",
            "The Truss 'n Stuff",
            "The Rowdy Beaver",
            "The Love Bite",
            "The Love Tap",
            "The Hate Hit",
            "The Sucking Succubus",
            "House of Heavenly Delights",
            "Guild For The Oldest Job",
            "Lady Marmalade's House",
            "Cunning Linguists Guild",
            "The Rocking Horses",
            "House of Hung Harrys",
            "Rod of Wonder",
            "Lords of Rodly Might",
            "Gloryhouse",
            "The Healing Surge",
            "The Sunken Pole",
            "The Mosquito's Rest",
            "The Spring and Flange Assembly",
            "Afternoon's Delight",
            "The Blue Oyster",
            "The Gaudy Bawdy",
            "The Pickled Pecker",
            "The Loose Rudder",
            "The Rusty Rollocks",
            "The Wandering Tiller",
            "The Able Seamen",
            "Steppin the Mast",
            "The Wayward Bouy",
            "The Fish Net Inn",
            "The Glorious Booty",
            "The Precious Booty",
            "The Salty Transmission",
            "Den of Iniquity",
            "Massage Parlor",
            "The Red Door",
            "The Growing Cock",
            "The Swallowing Maiden",
            "Gobbling Girties",
        ]

        return choice(s)


class Gunsmithing(Store):
    @staticmethod
    def generate():
        s1 = [
            "Abomination",
            "Agony",
            "Allegiance",
            "Alpha",
            "Amigo",
            "Amnesia",
            "Apocalypse",
            "Armageddon",
            "Ash",
            "Ashes",
            "Atomic Annie",
            "Baby",
            "Battery",
            "Battlestar",
            "Betrayal",
            "Betrayer",
            "Big Bertha",
            "Mighty Mouse",
            "Betty",
            "Quick Fix",
            "Swiftscope",
            "Bad Medicine",
            "Toots",
            "Enterprise",
            "Big Rhonda",
            "Crowd Control",
            "Intervention",
            "Matilda",
            "Pink Mist",
            "Judas",
            "Headhunter",
            "Jaeger",
            "Lupus",
            "Big Daddy",
            "Big Game",
            "Birthmark",
            "Blackout",
            "Bloodfury",
            "Bloodmoon",
            "Bloodrage",
            "Bloodspiller",
            "Bloodweep",
            "Bombardment",
            "Boomer",
            "Boomstick",
            "Brass Rain",
            "Brutality",
            "Brutalizer",
            "Bulldog",
            "Burn",
            "Burp",
            "Cataclysm",
            "Catastrophe",
            "Chance",
            "Chaos",
            "Comet",
            "Corpsemaker",
            "Corruption",
            "Cosmos",
            "Crash",
            "Crimson",
            "Crossfire",
            "Cruiser",
            "Crush",
            "Cyclone",
            "Daddy",
            "Damnation",
            "Darkness",
            "Dawn",
            "Deadeye",
            "Deathbringer",
            "Deathraze",
            "Decimation",
            "Demise",
            "Desolation",
            "Despair",
            "Destiny",
            "Destruction",
            "Devastation",
            "Devotion",
            "Devourer",
            "Discharge",
            "Disturbance",
            "Divine",
            "Dominance",
            "Dominion",
            "Doom",
            "Downpour",
            "Dragonmaw",
            "Dragonstrike",
            "Dreamhunter",
            "Due Diligence",
            "Early Retirement",
            "Echo",
            "Eclipse",
            "Emergency",
            "End of Dreams",
            "Endbringer",
            "Enigma",
            "Envy",
            "Epilogue",
            "Equality",
            "Equalizer",
            "Eternal Rest",
            "Eternity",
            "Eveningstar",
            "Extermination",
            "Extinction",
            "Falcon",
            "Falling Star",
            "Fate",
            "Finality",
            "Frankenlove",
            "Frankenstein",
            "Frenzy",
            "Fury",
            "Gov'ner",
            "Grace",
            "Harbinger",
            "Harmony",
            "Hatred",
            "Heat",
            "Hell's Scream",
            "Homage",
            "Honor's Call",
            "Hope's End",
            "Infamy",
            "Infinity",
            "Injection",
            "Interrogator",
            "Judged",
            "Justice",
            "Justifier",
            "King of Nines",
            "Knight's Fall",
            "Knightfall",
            "Lament",
            "Last Chance",
            "Last Laugh",
            "Last Rites",
            "Last Word",
            "Last Words",
            "Lazarus",
            "Legacy",
            "Legionaire",
            "Life's Limit",
            "Lightning",
            "Lightningflash",
            "Limbo",
            "Lockjaw",
            "Magma",
            "Malice",
            "Maneater",
            "Massacre",
            "Mercy",
            "Midnight",
            "Misery's End",
            "Moonsight",
            "Mortality",
            "Narcoleptic",
            "Night's Fall",
            "Nightbane",
            "Nightfall",
            "Nightmare",
            "Nighttime",
            "Nightwatch",
            "Nirvana",
            "Oathbreaker",
            "Oathkeeper",
            "Oblivion",
            "Ole Betsy",
            "Omega",
            "Optimist",
            "Orbit",
            "Party Pooper",
            "Patience",
            "Peacekeeper",
            "Peacemaker",
            "Pendulum",
            "Perfect Storm",
            "Persuasion",
            "Piety",
            "Popeye",
            "Pride",
            "Prophecy",
            "Pulse",
            "Punisher",
            "Purifier",
            "Rage",
            "Rapture",
            "Rattlesnake",
            "Reckoning",
            "Reign",
            "Remorse",
            "Requiem",
            "Retirement",
            "Rigormortis",
            "Salvation",
            "Salvo",
            "Scar",
            "Serenity",
            "Severance",
            "Shadowfury",
            "Shadowmoon",
            "Silence",
            "Snake",
            "Snapper",
            "Soulburn",
            "Sprocket",
            "Stalker",
            "Storm",
            "Storm Breaker",
            "Storm-Weaver",
            "Stormbringer",
            "Stormrider",
            "Sugar",
            "Sunshine",
            "Supernova",
            "Supremacy",
            "Suspension",
            "Swan Song",
            "Sweetie",
            "Syndrome",
            "Termination",
            "The Ambassador",
            "The Chancellor",
            "The End",
            "The Judge",
            "The Light",
            "The Oculus",
            "The Oracle",
            "The Pig",
            "The Void",
            "Thunder",
            "Thundercall",
            "Trauma",
            "Treachery",
            "Tremor",
            "Tribunal",
            "Tribute",
            "Trinity",
            "Trouble",
            "Twilight",
            "Typhoon",
            "Ubiquity",
            "Undoing",
            "Vacancy",
            "Valkyrie",
            "Vanquisher",
            "Vengeance",
            "Voice of Insanity",
            "Voice of Reason",
            "Warbringer",
            "Warmonger",
            "Whispers",
            "Whisperwind",
            "Wicked",
            "Widow Maker",
            "Willbreaker",
            "Wit's End",
            "Wolf",
        ]
        s2 = [
            "Apocalypse",
            "Apocalyptic",
            "Atuned",
            "Bandit's",
            "Baneful",
            "Banished",
            "Barbaric",
            "Battleworn",
            "Blood Infused",
            "Blood-Forged",
            "Bloodied",
            "Bloodlord's",
            "Bloodsurge",
            "Brutal",
            "Brutality",
            "Burnished",
            "Cataclysm",
            "Cataclysmic",
            "Challenger",
            "Challenger's",
            "Champion",
            "Cold-Forged",
            "Commando",
            "Commando's",
            "Conqueror",
            "Conqueror's",
            "Corroded",
            "Corrupted",
            "Crazed",
            "Dancing",
            "Dark",
            "Darkness",
            "Defender",
            "Defender's",
            "Defiled",
            "Defiling",
            "Deluded",
            "Deserted",
            "Desire's",
            "Desolation",
            "Destiny's",
            "Diabolical",
            "Dire",
            "Doom",
            "Doom's",
            "Eerie",
            "Engraved",
            "Eternal",
            "Exiled",
            "Extinction",
            "Faith's",
            "Faithful",
            "Fancy",
            "Fearful",
            "Feral",
            "Ferocious",
            "Fierce",
            "Fireguard",
            "Firestorm",
            "Forsaken",
            "Fortune's",
            "Foul",
            "Frenzied",
            "Furious",
            "Fusion",
            "Ghastly",
            "Ghostly",
            "Gladiator",
            "Gleaming",
            "Glinting",
            "Greedy",
            "Grieving",
            "Grim",
            "Guard's",
            "Guardian's",
            "Guerilla",
            "Hateful",
            "Heartless",
            "Heinous",
            "Hero",
            "Hero's",
            "Honed",
            "Honor's",
            "Hopeless",
            "Howling",
            "Hungering",
            "Incarnated",
            "Infantry",
            "Infantry's",
            "Infused",
            "Inherited",
            "Judgement",
            "Keeper's",
            "Legionnaire's",
            "Liar's",
            "Lightning",
            "Lonely",
            "Loyal",
            "Lustful",
            "Lusting",
            "Malevolent",
            "Malicious",
            "Malificent",
            "Malignant",
            "Massive",
            "Mended",
            "Mercenary",
            "Military",
            "Misfortune's",
            "Mourning",
            "Nightmare",
            "Oathkeeper's",
            "Ominous",
            "Peacekeeper",
            "Peacekeeper's",
            "Phantom",
            "Polished",
            "Pride's",
            "Prideful",
            "Primal",
            "Prime",
            "Primitive",
            "Private",
            "Promised",
            "Protector's",
            "Proud",
            "Pure",
            "Raging",
            "Recruit's",
            "Refined",
            "Reforged",
            "Reincarnated",
            "Relentless",
            "Remorseful",
            "Renewed",
            "Renovated",
            "Replica",
            "Restored",
            "Retribution",
            "Ritual",
            "Roaring",
            "Savage",
            "Sentinel",
            "Shadow",
            "Silent",
            "Singed",
            "Singing",
            "Sinister",
            "Smooth",
            "Soldier's",
            "Solitude's",
            "Sorrow's",
            "Soulless",
            "Spectral",
            "Spiteful",
            "Storm",
            "Storm-Forged",
            "Stormfury",
            "Stormguard",
            "Terror",
            "Thirsting",
            "Thirsty",
            "Thunder",
            "Thunder-Forged",
            "Thunderfury",
            "Thunderguard",
            "Thundersoul",
            "Thunderstorm",
            "Timeworn",
            "Trainee's",
            "Treachery's",
            "Trooper",
            "Twilight",
            "Twilight's",
            "Twisted",
            "Tyrannical",
            "Vanquisher",
            "Vengeance",
            "Vengeful",
            "Veteran",
            "Veteran's",
            "Vicious",
            "Victor",
            "Vile",
            "Vindication",
            "Vindicator",
            "Vindictive",
            "Void",
            "Vowed",
            "War",
            "War-Forged",
            "Warden's",
            "Warlord's",
            "Warmonger",
            "Warmonger's",
            "Warp",
            "Warped",
            "Warrior",
            "Warrior's",
            "Whistling",
            "Wicked",
            "Windsong",
            "Woeful",
            "Wrathful",
            "Wretched",
            "Yearning",
            "Zealous",
        ]
        s3 = [
            "Bronze",
            "Bronzed",
            "Ivory",
            "Ebon",
            "Glass",
            "Golden",
            "Gilded",
            "Chromed",
            "Iron",
            "Stainless",
            "Carbon",
            "Brass",
            "Fiberglass",
            "Ironbark",
            "Mithril",
            "Obsidian",
            "Silver",
            "Steel",
            "Titanium",
        ]
        s4 = [
            "Rifle",
            "Carbine",
            "Blaster",
            "Fusil",
            "Launcher",
            "Shooter",
            "Repeater",
            "Sniper",
            "Longrifle",
        ]
        s5 = [
            "Agent",
            "Allegiance",
            "Ambassador",
            "Annihilation",
            "Bearer",
            "Betrayer",
            "Blaster",
            "Bond",
            "Boomstick",
            "Boon",
            "Breaker",
            "Bringer",
            "Bruiser",
            "Butcher",
            "Call",
            "Carbine",
            "Carrier",
            "Champion",
            "Conqueror",
            "Courier",
            "Crier",
            "Crusader",
            "Crusher",
            "Cry",
            "Cunning",
            "Dawn",
            "Defender",
            "Defiler",
            "Delegate",
            "Destroyer",
            "Dispatcher",
            "Disposer",
            "Emissary",
            "Ender",
            "Envoy",
            "Executioner",
            "Favor",
            "Ferocity",
            "Foe",
            "Fusil",
            "Gift",
            "Glory",
            "Guardian",
            "Harbinger",
            "Heirloom",
            "Herald",
            "Hope",
            "Incarnation",
            "Last Hope",
            "Last Stand",
            "Launcher",
            "Legacy",
            "Longrifle",
            "Memory",
            "Messenger",
            "Might",
            "Musket",
            "Oath",
            "Pact",
            "Pledge",
            "Pounder",
            "Promise",
            "Prophecy",
            "Protector",
            "Queller",
            "Ravager",
            "Reach",
            "Reaper",
            "Repeater",
            "Rifle",
            "Scepter",
            "Sculptor",
            "Secret",
            "Shooter",
            "Shotgun",
            "Slayer",
            "Smasher",
            "Sniper",
            "Soul",
            "Suppressor",
            "Terror",
            "Token",
            "Tribute",
            "Vengeance",
            "Voice",
            "Whisper",
            "Wit",
        ]
        s6 = [
            "of Agony",
            "of Ancient Power",
            "of Anguish",
            "of Ashes",
            "of Assassins",
            "of Black Magic",
            "of Blessed Fortune",
            "of Blessings",
            "of Blight",
            "of Blood",
            "of Bloodlust",
            "of Broken Bones",
            "of Broken Dreams",
            "of Broken Families",
            "of Burdens",
            "of Chaos",
            "of Closing Eyes",
            "of Conquered Worlds",
            "of Corruption",
            "of Cruelty",
            "of Cunning",
            "of Dark Magic",
            "of Dark Souls",
            "of Darkness",
            "of Decay",
            "of Deception",
            "of Degradation",
            "of Delusions",
            "of Denial",
            "of Desecration",
            "of Diligence",
            "of Dismay",
            "of Dragonsouls",
            "of Due Diligence",
            "of Echoes",
            "of Ended Dreams",
            "of Ending Hope",
            "of Ending Misery",
            "of Eternal Bloodlust",
            "of Eternal Damnation",
            "of Eternal Glory",
            "of Eternal Justice",
            "of Eternal Rest",
            "of Eternal Sorrow",
            "of Eternal Struggles",
            "of Eternity",
            "of Executions",
            "of Faded Memories",
            "of Fallen Souls",
            "of Fools",
            "of Frost",
            "of Frozen Hells",
            "of Fury",
            "of Giants",
            "of Giantslaying",
            "of Grace",
            "of Grieving Widows",
            "of Hate",
            "of Hatred",
            "of Hell's Games",
            "of Hellish Torment",
            "of Heroes",
            "of Holy Might",
            "of Honor",
            "of Hope",
            "of Horrid Dreams",
            "of Horrors",
            "of Illuminated Dreams",
            "of Illumination",
            "of Immortality",
            "of Inception",
            "of Infinite Trials",
            "of Insanity",
            "of Invocation",
            "of Justice",
            "of Light's Hope",
            "of Lost Comrades",
            "of Lost Hope",
            "of Lost Voices",
            "of Lost Worlds",
            "of Magic",
            "of Mercy",
            "of Misery",
            "of Mountains",
            "of Mourning",
            "of Mystery",
            "of Necromancy",
            "of Nightmares",
            "of Oblivion",
            "of Perdition",
            "of Phantoms",
            "of Power",
            "of Pride",
            "of Pride's Fall",
            "of Putrefaction",
            "of Reckoning",
            "of Redemption",
            "of Regret",
            "of Riddles",
            "of Secrecy",
            "of Secrets",
            "of Shadow Strikes",
            "of Shadows",
            "of Shifting Sands",
            "of Shifting Worlds",
            "of Silence",
            "of Slaughter",
            "of Souls",
            "of Stealth",
            "of Storms",
            "of Subtlety",
            "of Suffering",
            "of Suffering's End",
            "of Summoning",
            "of Terror",
            "of Thunder",
            "of Time-Lost Memories",
            "of Timeless Battles",
            "of Titans",
            "of Torment",
            "of Traitors",
            "of Trembling Hands",
            "of Trials",
            "of Truth",
            "of Twilight's End",
            "of Twisted Visions",
            "of Unholy Blight",
            "of Unholy Might",
            "of Vengeance",
            "of Visions",
            "of Wasted Time",
            "of Widows",
            "of Wizardry",
            "of Woe",
            "of Wraiths",
            "of Zeal",
            "of the Ancients",
            "of the Banished",
            "of the Basilisk",
            "of the Beast",
            "of the Blessed",
            "of the Breaking Storm",
            "of the Brotherhood",
            "of the Burning Sun",
            "of the Caged Mind",
            "of the Cataclysm",
            "of the Champion",
            "of the Claw",
            "of the Corrupted",
            "of the Covenant",
            "of the Crown",
            "of the Damned",
            "of the Daywalker",
            "of the Dead",
            "of the Depth",
            "of the Dreadlord",
            "of the Earth",
            "of the East",
            "of the Emperor",
            "of the Empty Void",
            "of the End",
            "of the Enigma",
            "of the Fallen",
            "of the Falling Sky",
            "of the Flame",
            "of the Forest",
            "of the Forgotten",
            "of the Forsaken",
            "of the Gladiator",
            "of the Harvest",
            "of the Immortal",
            "of the Incoming Storm",
            "of the Insane",
            "of the King",
            "of the Lasting Night",
            "of the Leviathan",
            "of the Light",
            "of the Lion",
            "of the Lionheart",
            "of the Lone Victor",
            "of the Lone Wolf",
            "of the Lost",
            "of the Moon",
            "of the Moonwalker",
            "of the Night",
            "of the Night Sky",
            "of the Nightstalker",
            "of the North",
            "of the Occult",
            "of the Oracle",
            "of the Phoenix",
            "of the Plague",
            "of the Prince",
            "of the Protector",
            "of the Queen",
            "of the Serpent",
            "of the Setting Sun",
            "of the Shadows",
            "of the Sky",
            "of the South",
            "of the Stars",
            "of the Storm",
            "of the Summoner",
            "of the Sun",
            "of the Sunwalker",
            "of the Talon",
            "of the Undying",
            "of the Victor",
            "of the Void",
            "of the West",
            "of the Whispers",
            "of the Wicked",
            "of the Wind",
            "of the Wolf",
            "of the World",
            "of the Wretched",
        ]
        s7 = [
            "Abomination",
            "Agony",
            "Allegiance",
            "Alpha",
            "Amigo",
            "Amnesia",
            "Apocalypse",
            "Armageddon",
            "Ash",
            "Ashes",
            "Atomic Annie",
            "Baby",
            "Battery",
            "Battlestar",
            "Betrayal",
            "Betrayer",
            "Big Bertha",
            "Mighty Mouse",
            "Betty",
            "Quick Fix",
            "Swiftscope",
            "Bad Medicine",
            "Toots",
            "Enterprise",
            "Big Rhonda",
            "Crowd Control",
            "Intervention",
            "Matilda",
            "Pink Mist",
            "Judas",
            "Headhunter",
            "Jaeger",
            "Lupus",
            "Big Daddy",
            "Big Game",
            "Birthmark",
            "Blackout",
            "Bloodfury",
            "Bloodmoon",
            "Bloodrage",
            "Bloodspiller",
            "Bloodweep",
            "Bombardment",
            "Boomer",
            "Boomstick",
            "Brass Rain",
            "Brutality",
            "Brutalizer",
            "Bulldog",
            "Burn",
            "Burp",
            "Cataclysm",
            "Catastrophe",
            "Chance",
            "Chaos",
            "Comet",
            "Corpsemaker",
            "Corruption",
            "Cosmos",
            "Crash",
            "Crimson",
            "Crossfire",
            "Cruiser",
            "Crush",
            "Cyclone",
            "Daddy",
            "Damnation",
            "Darkness",
            "Dawn",
            "Deadeye",
            "Deathbringer",
            "Deathraze",
            "Decimation",
            "Demise",
            "Desolation",
            "Despair",
            "Destiny",
            "Destruction",
            "Devastation",
            "Devotion",
            "Devourer",
            "Discharge",
            "Disturbance",
            "Divine",
            "Dominance",
            "Dominion",
            "Doom",
            "Downpour",
            "Dragonmaw",
            "Dragonstrike",
            "Dreamhunter",
            "Due Diligence",
            "Early Retirement",
            "Echo",
            "Eclipse",
            "Emergency",
            "End of Dreams",
            "Endbringer",
            "Enigma",
            "Envy",
            "Epilogue",
            "Equality",
            "Equalizer",
            "Eternal Rest",
            "Eternity",
            "Eveningstar",
            "Extermination",
            "Extinction",
            "Falcon",
            "Falling Star",
            "Fate",
            "Finality",
            "Frankenlove",
            "Frankenstein",
            "Frenzy",
            "Fury",
            "Gov'ner",
            "Grace",
            "Harbinger",
            "Harmony",
            "Hatred",
            "Heat",
            "Hell's Scream",
            "Homage",
            "Honor's Call",
            "Hope's End",
            "Infamy",
            "Infinity",
            "Injection",
            "Interrogator",
            "Judged",
            "Justice",
            "Justifier",
            "King of Nines",
            "Knight's Fall",
            "Knightfall",
            "Lament",
            "Last Chance",
            "Last Laugh",
            "Last Rites",
            "Last Word",
            "Last Words",
            "Lazarus",
            "Legacy",
            "Legionaire",
            "Life's Limit",
            "Lightning",
            "Lightningflash",
            "Limbo",
            "Lockjaw",
            "Magma",
            "Malice",
            "Maneater",
            "Massacre",
            "Mercy",
            "Midnight",
            "Misery's End",
            "Moonsight",
            "Mortality",
            "Narcoleptic",
            "Night's Fall",
            "Nightbane",
            "Nightfall",
            "Nightmare",
            "Nighttime",
            "Nightwatch",
            "Nirvana",
            "Oathbreaker",
            "Oathkeeper",
            "Oblivion",
            "Ole Betsy",
            "Omega",
            "Optimist",
            "Orbit",
            "Party Pooper",
            "Patience",
            "Peacekeeper",
            "Peacemaker",
            "Pendulum",
            "Perfect Storm",
            "Persuasion",
            "Piety",
            "Popeye",
            "Pride",
            "Prophecy",
            "Pulse",
            "Punisher",
            "Purifier",
            "Rage",
            "Rapture",
            "Rattlesnake",
            "Reckoning",
            "Reign",
            "Remorse",
            "Requiem",
            "Retirement",
            "Rigormortis",
            "Salvation",
            "Salvo",
            "Scar",
            "Serenity",
            "Severance",
            "Shadowfury",
            "Shadowmoon",
            "Silence",
            "Snake",
            "Snapper",
            "Soulburn",
            "Sprocket",
            "Stalker",
            "Storm",
            "Storm Breaker",
            "Storm-Weaver",
            "Stormbringer",
            "Stormrider",
            "Sugar",
            "Sunshine",
            "Supernova",
            "Supremacy",
            "Suspension",
            "Swan Song",
            "Sweetie",
            "Syndrome",
            "Termination",
            "The Ambassador",
            "The Chancellor",
            "The End",
            "The Judge",
            "The Light",
            "The Oculus",
            "The Oracle",
            "The Pig",
            "The Void",
            "Thunder",
            "Thundercall",
            "Trauma",
            "Treachery",
            "Tremor",
            "Tribunal",
            "Tribute",
            "Trinity",
            "Trouble",
            "Twilight",
            "Typhoon",
            "Ubiquity",
            "Undoing",
            "Vacancy",
            "Valkyrie",
            "Vanquisher",
            "Vengeance",
            "Voice of Insanity",
            "Voice of Reason",
            "Warbringer",
            "Warmonger",
            "Whispers",
            "Whisperwind",
            "Wicked",
            "Widow Maker",
            "Willbreaker",
            "Wit's End",
            "Wolf",
        ]

        c = randrange(4)
        if c == 0:
            return choice(s1)
        elif c == 1:
            return choice(s2) + " " + choice(s4)
        elif c == 2:
            return choice(s2) + " " + choice(s3) + " " + choice(s4)
        elif c == 3:
            return choice(s7) + ", " + choice(s5) + " " + choice(s6)


class Guilds:
    class GuildType(StrEnum):
        Adventurers = auto()
        Arcane = auto()
        Laborers = auto()
        Performers = auto()
        Scholastic = auto()
        Merchant = auto()
        Bardic = auto()
        Military = auto()
        Thieves = auto()
        Assassin = auto()
        Gladiator = auto()

    nm1 = [
        "Acts",
        "Affliction",
        "Agony",
        "Allies",
        "Ambition",
        "Angels",
        "Anger",
        "Anguish",
        "Anomalies",
        "Archers",
        "Army",
        "Assassins",
        "Association",
        "Atonement",
        "Attack",
        "Avengers",
        "Avenging",
        "Ban",
        "Bandits",
        "Bane",
        "Beasts",
        "Betrayal",
        "Birth",
        "Blaze",
        "Blessing",
        "Blood",
        "Bond",
        "Boon",
        "Bounty",
        "Brigade",
        "Burden",
        "Butchers",
        "Champions",
        "Children",
        "Citizens",
        "Civilians",
        "Commandos",
        "Companions",
        "Conquerors",
        "Contract",
        "Corruption",
        "Courage",
        "Crew",
        "Crushers",
        "Cry",
        "Curse",
        "Damnation",
        "Dawn",
        "Deceivers",
        "Demons",
        "Desire",
        "Destiny",
        "Disciples",
        "Disruption",
        "Disturbance",
        "Division",
        "Dream",
        "Dreamers",
        "Duty",
        "End",
        "Enemies",
        "Enigmas",
        "Entities",
        "Evolution",
        "Executioners",
        "Faith",
        "Fame",
        "Favor",
        "Fiends",
        "Fight",
        "Fighters",
        "Flames",
        "Flash",
        "Flight",
        "Force",
        "Forgiveness",
        "Fortune",
        "Freaks",
        "Frenzy",
        "Gang",
        "Genocide",
        "Ghosts",
        "Gift",
        "Gladiators",
        "Glory",
        "Grace",
        "Grief",
        "Grudge",
        "Guardians",
        "Guards",
        "Hammers",
        "Harbingers",
        "Harmony",
        "Harvesters",
        "Hate",
        "Hell",
        "Heralds",
        "Heroes",
        "Home",
        "Honor",
        "Hope",
        "Horde",
        "Host",
        "House",
        "Howl",
        "Hunters",
        "Illusions",
        "Immortals",
        "Justice",
        "Keepers",
        "Killers",
        "Knights",
        "Last",
        "Legacy",
        "Legion",
        "Light",
        "Mages",
        "Masters",
        "Memories",
        "Men",
        "Mercenaries",
        "Messengers",
        "Might",
        "Minds",
        "Misery",
        "Monsters",
        "Mysteries",
        "Mystery",
        "Mystics",
        "Myth",
        "Nightmares",
        "Oath",
        "Oracles",
        "Order",
        "Outcasts",
        "Outlaws",
        "Outsiders",
        "Overseers",
        "Pact",
        "Pain",
        "Paladins",
        "Passion",
        "Patience",
        "Peace",
        "Phantoms",
        "Plague",
        "Promise",
        "Prophecies",
        "Prophets",
        "Protection",
        "Protectors",
        "Punishment",
        "Purification",
        "Pursuit",
        "Quiet",
        "Rage",
        "Raiders",
        "Rangers",
        "Rebellion",
        "Rebels",
        "Rebirth",
        "Recovery",
        "Recruits",
        "Redemption",
        "Refugees",
        "Rejects",
        "Relics",
        "Requiem",
        "Residents",
        "Retaliation",
        "Retribution",
        "Revelations",
        "Revenge",
        "Riddles",
        "Riders",
        "Rise",
        "Rivals",
        "Roar",
        "Rogues",
        "Ruins",
        "Rumours",
        "Sacrifice",
        "Safety",
        "Scourge",
        "Scouts",
        "Screams",
        "Screech",
        "Secret",
        "Secrets",
        "Seducers",
        "Seekers",
        "Seers",
        "Sentinels",
        "Serenity",
        "Service",
        "Shades",
        "Shadows",
        "Shamans",
        "Shame",
        "Shepherds",
        "Shields",
        "Silence",
        "Sinners",
        "Smiles",
        "Society",
        "Soldiers",
        "Sorcerers",
        "Spears",
        "Specters",
        "Spirits",
        "Spite",
        "Squad",
        "Stalkers",
        "Stewards",
        "Storm",
        "Strangers",
        "Strength",
        "Struggle",
        "Survivors",
        "Swarm",
        "Swords",
        "Tears",
        "Tempest",
        "Templars",
        "Terror",
        "Thieves",
        "Thugs",
        "Thunder",
        "Tirade",
        "Torment",
        "Tradition",
        "Traitors",
        "Tranquillity",
        "Treasure",
        "Trial",
        "Trust",
        "Vendetta",
        "Vengeance",
        "Venom",
        "Victims",
        "Vigor",
        "Vikings",
        "Villains",
        "Vision",
        "Visions",
        "Visitors",
        "Voice",
        "Voices",
        "Wards",
        "Warlords",
        "Warriors",
        "Wealth",
        "Weapons",
        "Weight",
        "Whisper",
        "Whispers",
        "Widows",
        "Witches",
        "Wizards",
        "Women",
        "Workers",
        "Wound",
        "Wraiths",
        "Wrath",
        "Yell",
    ]
    nm2 = [
        "from the Empire",
        "from the Forest",
        "from the Grave",
        "from the Mountains",
        "from the Ocean",
        "from the People",
        "from the Sea",
        "from the Woods",
        "of Abandonment",
        "of Ambition",
        "of Angels",
        "of Anger",
        "of Betrayal",
        "of Claws",
        "of Corruption",
        "of Courage",
        "of Damnation",
        "of Darkness",
        "of Death",
        "of Decay",
        "of Deception",
        "of Defiance",
        "of Delusion",
        "of Desire",
        "of Devotion",
        "of Disease",
        "of Ending",
        "of Extinction",
        "of Faith",
        "of Fear",
        "of Forests",
        "of Fortune",
        "of Fury",
        "of Hate",
        "of Heroes",
        "of Honor",
        "of Hope",
        "of Impurity",
        "of Innocence",
        "of Joy",
        "of Life",
        "of Light",
        "of Loyalty",
        "of Might",
        "of Mountains",
        "of Mystery",
        "of Mystics",
        "of Nature",
        "of Oceans",
        "of Patience",
        "of Promises",
        "of Purity",
        "of Rejects",
        "of Seduction",
        "of Serenity",
        "of Shadows",
        "of Shame",
        "of Skulls",
        "of Strength",
        "of Tricks",
        "of Trust",
        "of Vigor",
        "of Virtue",
        "of Wolves",
        "of the Abandoned",
        "of the Alligator",
        "of the Ambitious",
        "of the Angelic",
        "of the Angry",
        "of the Ape",
        "of the Badger",
        "of the Bear",
        "of the Betrayed",
        "of the Bitter",
        "of the Boar",
        "of the Bold",
        "of the Bound",
        "of the Brave",
        "of the Buffalo",
        "of the Bull",
        "of the Carious",
        "of the Cheeky",
        "of the Classified",
        "of the Claw",
        "of the Clean",
        "of the Cobra",
        "of the Collapsed",
        "of the Concealed",
        "of the Corrupt",
        "of the Corrupted",
        "of the Cosmos",
        "of the Cougar",
        "of the Covert",
        "of the Crocodile",
        "of the Crooked",
        "of the Crow",
        "of the Crumbled",
        "of the Damned",
        "of the Dark",
        "of the Dead",
        "of the Decayed",
        "of the Deceased",
        "of the Deceived",
        "of the Defiant",
        "of the Deluded",
        "of the Demonic",
        "of the Departed",
        "of the Depraved",
        "of the Deserted",
        "of the Desired",
        "of the Despicable",
        "of the Devoted",
        "of the Discarded",
        "of the Diseased",
        "of the Disgraceful",
        "of the Dishonest",
        "of the Dissipated",
        "of the Dog",
        "of the Dove",
        "of the Dragon",
        "of the Dragonfly",
        "of the Eager",
        "of the Eagle",
        "of the Earth",
        "of the Ended",
        "of the Enraged",
        "of the Extinct",
        "of the Faithful",
        "of the Fallen",
        "of the Fearless",
        "of the Feeble",
        "of the Fierce",
        "of the Forbidden",
        "of the Forest",
        "of the Forgotten",
        "of the Forsaken",
        "of the Fortunate",
        "of the Fox",
        "of the Furious",
        "of the Galaxy",
        "of the Gorilla",
        "of the Grave",
        "of the Ground",
        "of the Hallowed",
        "of the Hateful",
        "of the Hawk",
        "of the Heroic",
        "of the Hidden",
        "of the Holy",
        "of the Honest",
        "of the Honored",
        "of the Hopeful",
        "of the Horse",
        "of the Humble",
        "of the Ill",
        "of the Immoral",
        "of the Impure",
        "of the Infernal",
        "of the Innocent",
        "of the Jackal",
        "of the Jaguar",
        "of the Joyful",
        "of the Joyous",
        "of the Jungle",
        "of the Lake",
        "of the Lamb",
        "of the Land",
        "of the Last Age",
        "of the Lewd",
        "of the Light",
        "of the Lion",
        "of the Living",
        "of the Lost",
        "of the Lost Age",
        "of the Loyal",
        "of the Lynx",
        "of the Mace",
        "of the Meek",
        "of the Mental",
        "of the Mighty",
        "of the Mislead",
        "of the Moon",
        "of the Mountain",
        "of the Mysterious",
        "of the Mystical",
        "of the Natural",
        "of the Nefarious",
        "of the Night",
        "of the Noble",
        "of the Obscene",
        "of the Obscure",
        "of the Ocean",
        "of the Owl",
        "of the Passive",
        "of the Patient",
        "of the Perished",
        "of the Pious",
        "of the Poor",
        "of the Pristine",
        "of the Profane",
        "of the Promised",
        "of the Pure",
        "of the Putrid",
        "of the Ram",
        "of the Rat",
        "of the Raven",
        "of the Reckless",
        "of the Rejected",
        "of the Resolute",
        "of the Revenant",
        "of the Rhino",
        "of the Rich",
        "of the Right",
        "of the Righteous",
        "of the Rotten",
        "of the Ruined",
        "of the Sacred",
        "of the Sacrificed",
        "of the Scorpion",
        "of the Sea",
        "of the Seduced",
        "of the Serene",
        "of the Serpent",
        "of the Shadows",
        "of the Shameless",
        "of the Shark",
        "of the Sheep",
        "of the Shield",
        "of the Sick",
        "of the Sincere",
        "of the Skull",
        "of the Snake",
        "of the Sophisticated",
        "of the Spear",
        "of the Spider",
        "of the Stag",
        "of the Stars",
        "of the Stout",
        "of the Strong",
        "of the Sun",
        "of the Sword",
        "of the Taboo",
        "of the Tainted",
        "of the Talon",
        "of the Tame",
        "of the Tiger",
        "of the Tricked",
        "of the Trusted",
        "of the Undead",
        "of the Universe",
        "of the Unknown",
        "of the Valiant",
        "of the Vanquished",
        "of the Vicious",
        "of the Vigorous",
        "of the Virtuous",
        "of the Void",
        "of the Vulture",
        "of the Wasted",
        "of the Weak",
        "of the Weasel",
        "of the Wicked",
        "of the Withered",
        "of the Wolf",
        "of the Wolves",
        "of the Woods",
        "of the World",
        "of the Wretched",
        "of the Wrong",
    ]
    nm3 = [
        "Aqua",
        "Arm",
        "Banner",
        "Battle",
        "Bellow",
        "Black",
        "Blood",
        "Blue",
        "Bone",
        "Boulder",
        "Bright",
        "Bronze",
        "Burning",
        "Chaos",
        "Char",
        "Cold",
        "Cunning",
        "Dark",
        "Dashing",
        "Doom",
        "Drum",
        "Earth",
        "Ebon",
        "Fallen",
        "Fel",
        "Fire",
        "Forge",
        "Forsaken",
        "Frost",
        "Gentle",
        "Golden",
        "Gray",
        "Hallow",
        "Hell",
        "High",
        "Hollow",
        "Howling",
        "Humming",
        "Iron",
        "Ivory",
        "Jade",
        "Killing",
        "Lightning",
        "Low",
        "Mad",
        "Magic",
        "Marble",
        "Metal",
        "Midnight",
        "Monster",
        "Moon",
        "Night",
        "Poison",
        "Quick",
        "Rain",
        "Raven",
        "Red",
        "Rumble",
        "Running",
        "Shadow",
        "Shatter",
        "Shimmer",
        "Shiver",
        "Silver",
        "Snow",
        "Solar",
        "Split",
        "Steel",
        "Stone",
        "Storm",
        "Sun",
        "Swift",
        "Thunder",
        "Tremble",
        "Twin",
        "Venom",
        "Water",
        "White",
        "Wind",
        "Wrecking",
    ]
    nm4 = [
        " Assault",
        " Dragons",
        " Eagles",
        " Foxes",
        " Hawks",
        " Hearts",
        " Lust",
        " Maggots",
        " Oath",
        " Rage",
        " Rats",
        " Wolves",
        "arrows",
        "bane",
        "beards",
        "blades",
        "bow",
        "brand",
        "brawlers",
        "breaker",
        "brows",
        "cloaks",
        "clouds",
        "crawlers",
        "crushers",
        "cry",
        "dawn",
        "death",
        "fall",
        "field",
        "fists",
        "flags",
        "flayers",
        "force",
        "ford",
        "forge",
        "fury",
        "garde",
        "glades",
        "guard",
        "guards",
        "hammers",
        "hands",
        "hoods",
        "landers",
        "laws",
        "light",
        "manes",
        "mantles",
        "might",
        "pikes",
        "roses",
        "scars",
        "shade",
        "shapers",
        "shields",
        "shifters",
        "shroud",
        "sins",
        "skulls",
        "smiths",
        "song",
        "stars",
        "stand",
        "striders",
        "swords",
        "talons",
        "thorn",
        "tops",
        "tips",
        "vale",
        "well",
    ]
    nm5 = [
        "Abandoned",
        "Accurate",
        "Alchemy",
        "Alpha",
        "Ambitious",
        "Amused",
        "Angelic",
        "Angry",
        "Arcane",
        "Aspiring",
        "Assassins",
        "Assorted",
        "Awful",
        "Banished",
        "Betrayed",
        "Bite-sized",
        "Bitter",
        "Black",
        "Blades",
        "Blue",
        "Bold",
        "Bound",
        "Bounty",
        "Brave",
        "Broken",
        "Burning",
        "Chosen",
        "Clean",
        "Closed",
        "Collapsed",
        "Common",
        "Concealed",
        "Contract",
        "Corrupt",
        "Corrupted",
        "Crescent",
        "Crimson",
        "Crumbled",
        "Cutlass",
        "Damned",
        "Dark",
        "Dazzling",
        "Decayed",
        "Deceased",
        "Deceived",
        "Defiant",
        "Delicate",
        "Deluded",
        "Demolition",
        "Demonic",
        "Departed",
        "Depraved",
        "Deserted",
        "Desired",
        "Despicable",
        "Devoted",
        "Discarded",
        "Diseased",
        "Disgraceful",
        "Dishonest",
        "Dispensable",
        "Divided",
        "Electric",
        "Elite",
        "Emerald",
        "Encircling",
        "Enraged",
        "Eternal",
        "Ethereal",
        "Extra-Small",
        "Faded",
        "Fallen",
        "Famous",
        "Fast",
        "Fearless",
        "Fierce",
        "Flesh",
        "Fluttering",
        "Forbidden",
        "Forgotten",
        "Forsaken",
        "Fortunate",
        "Funny",
        "Furious",
        "Golden",
        "Grave",
        "Grouchy",
        "Grubby",
        "Hallowed",
        "Harmonious",
        "Heavens",
        "Hellfire",
        "Heroic",
        "Hidden",
        "High",
        "Holy",
        "Honest",
        "Honored",
        "Hopeful",
        "Humble",
        "Icky",
        "Ill",
        "Immoral",
        "Impure",
        "Independent",
        "Infamous",
        "Infernal",
        "Innocent",
        "Iron",
        "Itchy",
        "Jolly",
        "Joyful",
        "Joyous",
        "Jumpy",
        "Large",
        "Last",
        "Living",
        "Lost",
        "Macabre",
        "Massive",
        "Mental",
        "Mighty",
        "Mini",
        "Mislead",
        "Moonlight",
        "Mortal",
        "Mysterious",
        "Mystic",
        "Mystical",
        "Nameless",
        "Nefarious",
        "Noble",
        "Nocturnal",
        "Obscene",
        "Obscure",
        "Omega",
        "Ominous",
        "Open",
        "Ordained",
        "Ordinary",
        "Perished",
        "Phobic",
        "Pious",
        "Power",
        "Pristine",
        "Profane",
        "Promised",
        "Pure",
        "Purple",
        "Putrid",
        "Reckless",
        "Red",
        "Rejected",
        "Resolute",
        "Revenant",
        "Righteous",
        "Rising",
        "Roaring",
        "Robust",
        "Rogue",
        "Rotten",
        "Royal",
        "Ruined",
        "Sacred",
        "Sacrificed",
        "Scarlet",
        "Scary",
        "Scourge",
        "Sealed",
        "Searing",
        "Sedated",
        "Shaded",
        "Shadow",
        "Shameless",
        "Shattered",
        "Shivering",
        "Sightless",
        "Silent",
        "Sleeping",
        "Sore",
        "Super",
        "Tainted",
        "Tasty",
        "Tempest",
        "Templar",
        "Tricked",
        "Trusted",
        "Twilight",
        "Tyranny",
        "Ugly",
        "Unarmed",
        "Unknown",
        "Unseen",
        "Valiant",
        "Vanquished",
        "Vicious",
        "Vigorous",
        "Virtuous",
        "Vulgar",
        "Wasted",
        "Weak",
        "Wicked",
        "Winged",
        "Withered",
        "World",
        "Worthless",
        "Wretched",
        "Wrong",
        "Grim",
    ]
    nm6 = [
        "Admirals",
        "Alliance",
        "Ancients",
        "Anomalies",
        "Apocalypse",
        "Ashes",
        "Assailant",
        "Assassins",
        "Assault",
        "Berserkers",
        "Blow",
        "Brigade",
        "Brothers",
        "Butchers",
        "Champions",
        "Chaos",
        "Criminals",
        "Crossfire",
        "Crusaders",
        "Death",
        "Defeat",
        "Demons",
        "Devils",
        "Discipline",
        "Domination",
        "Dominion",
        "Doom",
        "Dust",
        "Dynasty",
        "Embers",
        "End",
        "Enemy",
        "Entities",
        "Executors",
        "Exiles",
        "Exterminators",
        "Fall",
        "Feast",
        "Force",
        "Gang",
        "Gangsters",
        "Genesis",
        "Genocide",
        "Gods",
        "Grave",
        "Gunslingers",
        "Harvesters",
        "Headhunters",
        "Helix",
        "Honour",
        "Hooligans",
        "Hunters",
        "Illusions",
        "Immortals",
        "Inferno",
        "Intent",
        "Jackals",
        "Killers",
        "Knights",
        "Legacy",
        "Legion",
        "Liquidators",
        "Mafia",
        "Maggots",
        "Moguls",
        "Nightmare",
        "Noobs",
        "Oblivion",
        "Occupation",
        "Outlaws",
        "Paradox",
        "Perception",
        "Pergatory",
        "Plague",
        "Power",
        "Predation",
        "Predators",
        "Prestige",
        "Primeval",
        "Privilege",
        "Punished",
        "Punks",
        "Rage",
        "Rebels",
        "Regiment",
        "Sacrament",
        "Saints",
        "Serenity",
        "Shadow",
        "Shadows",
        "Sharpshooters",
        "Singularity",
        "Slayers",
        "Soldiers",
        "Squad",
        "Strategy",
        "Supremacy",
        "Switchblades",
        "Syndicate",
        "Synergy",
        "Thugs",
        "Thunder",
        "Titans",
        "Tyranny",
        "Valor",
        "Vanguard",
        "Vanguardians",
        "Vanguards",
        "Vengeance",
        "Veterans",
        "Vigor",
        "Vigorous",
        "Vikings",
        "Vitality",
        "Voltiac",
        "Vultures",
        "War",
        "Warfare",
        "Warheads",
        "Widowmakers",
        "Wolverines",
        "Wound",
        "Incarnation",
    ]
